//设置模块ID，具体数据参见tbl_favorite_type表
var typeCode="9";
var fr = "";
var temp=0;  //记录当前条数
var startNum = 0; //记录分页开始条数
var calendar = {
    currentYear: 0,
    currentMonth: 0,
    currentDay: 0,
    activeYear: 0,
    activeMoth: 0,
    activeDay: 0,
    swiper: true,
    inintEvent: function(fns){
	 	
        this.setEvent();
        $('.calendar-content').on('click','.list',function(){
            $('.calendar-content .list.active').removeClass('active');
            $(this).addClass('active');
            calendar.activeDay = $(this).text();
            $('#today').text(calendar.activeYear + '年' + calendar.activeMoth + '月' + calendar.activeDay + '日');
            $('#todayDate').text($('#today').text());
            $('.event-list-wrap .day-event').addClass('hide');
            if($(this).children().hasClass('event')){
                var eventYear = $(this).attr('data-year');
                var eventMonth = $(this).attr('data-month');
                var eventDay = $(this).attr('data-day');
                $('.event-list-wrap .day-event[data-year="' + eventYear +'"][data-month="' + eventMonth+'"][data-day="'+ eventDay +'"]').removeClass('hide');
            }
            var year = calendar.activeYear;
            var month = calendar.activeMoth<10?'0'+calendar.activeMoth:calendar.activeMoth;
            var day = calendar.activeDay<10?'0'+calendar.activeDay:calendar.activeDay;
            
            var date = year+"-"+month+"-"+day;
            var userId = getUrlParam("userId");
            //loadPersonDetail(date,userId);
            console.log(date);
            $('#today-input').val(date);
            getDate();
        });
        $('.calendar-context .fa-chevron-down').on('click',function(){
            $(this).addClass('hide');
            $('.fa-chevron-up').removeClass('hide');
            calendar.createCalendar(calendar.currentYear,calendar.currentMonth,calendar.currentDay);
            calendar.setEvent();
            calendar.activeYear = calendar.currentYear;
            calendar.activeMoth = calendar.currentMonth;
            calendar.activeDay = calendar.currentDay;
            calendar.swiper = true;
        });
        $('.calendar-context .fa-chevron-up').on('click',function(){
            $(this).addClass('hide');
            $('.fa-chevron-down').removeClass('hide');
            calendar.createCalendarLine(calendar.currentYear,calendar.currentMonth,calendar.currentDay);
            calendar.setEvent();
            $('.event-list-wrap .day-event').addClass('hide');
            $('.event-list-wrap .day-event[data-year="' + calendar.currentYear + '"][data-month="' + calendar.currentMonth + '"][data-day="' + calendar.currentDay + '"]').removeClass('hide');
            calendar.activeYear = calendar.currentYear;
            calendar.activeMoth = calendar.currentMonth;
            calendar.activeDay = calendar.currentDay;
            calendar.swiper = false;
        });

        $('.calendar-content').off('swipeLeft');
        $('.calendar-content').on('swipeLeft',function(){
            if(calendar.swiper){
                var actYea = calendar.activeYear;
                var actMon = calendar.activeMoth;
                var actDay = calendar.activeDay;
                if(actMon == 12){
                    calendar.createCalendar(actYea + 1, 1, actDay);
                    calendar.activeYear++;
                    calendar.activeMoth = 1;
                }else{
                    calendar.createCalendar(actYea,parseInt(actMon) + 1, actDay);
                    calendar.activeMoth++;
                }
                if(fns!=undefined && typeof fns=='function'){
                	fns();
                }
                calendar.inintEvent(fns);
            }
        })
        $('.calendar-content').off('swipeRight');
        $('.calendar-content').on('swipeRight',function(){
            if(calendar.swiper){
                var actYea = calendar.activeYear;
                var actMon = calendar.activeMoth;
                var actDay = calendar.activeDay;
                if(actMon == 1){
                    calendar.createCalendar(actYea - 1, 12, actDay);
                    calendar.activeYear--;
                    calendar.activeMoth = 12;
                }else{
                    calendar.createCalendar(actYea,parseInt(actMon) - 1, actDay);
                    calendar.activeMoth--;
                }
                if(fns!=undefined && typeof fns=='function'){
                	fns();
                }
                calendar.inintEvent(fns);
            }
        })

    },
    todayEvents:function(event){
        calendar.createEvent(event);
        calendar.activeYear = calendar.currentYear;
        calendar.activeMoth = calendar.currentMonth;
        calendar.activeDay = calendar.currentDay;
        calendar.createCalendarLine(calendar.currentYear,calendar.currentMonth,calendar.currentDay);
        $('.calendar-context .fa-chevron-down').removeClass('hide');
        $('.calendar-context .fa-chevron-up').addClass('hide');
        $('.event-list-wrap .day-event').addClass('hide');
        var $this = $('.calendar-content .list.active');
        if($this.children().hasClass('event')){
            var eventYear = $this.attr('data-year');
            var eventMonth = $this.attr('data-month');
            var eventDay = $this.attr('data-day');
            $('.event-list-wrap .day-event[data-year="' + eventYear +'"][data-month="' + eventMonth+'"][data-day="'+ eventDay +'"]').removeClass('hide');
        }else if($('.calendar').next().is('.textarea')){
            $('#todayDate').text($('#today').text());
            $('.calendar').addClass('hide');
            $('.textarea').show();
        }
    },
    initCalendar: function(state,fns){
    	if(fns==undefined || fns=='undefined'){
    		fns=function(){};
	 	}
        var nowDate = new Date();
        this.currentYear = nowDate.getFullYear();
        this.currentMonth = nowDate.getMonth() + 1;
        this.currentDay = nowDate.getDate();
        this.activeDay = this.currentDay;
        this.activeMoth = this.currentMonth;
        this.activeYear = this.currentYear;
        if(state == "line"){
            $calendarItems = this.createCalendarLine(this.currentYear,this.currentMonth,this.currentDay);
            $('.calendar-context .fa-chevron-down').removeClass('hide');
        }else {
            $calendarItems = this.createCalendar(this.currentYear,this.currentMonth,this.currentDay);
            $('.calendar-context .fa-chevron-up').removeClass('hide');
        }
        $('.event-list-wrap .day-event[data-year="' + calendar.currentYear + '"][data-month="' + calendar.currentMonth + '"][data-day="' + calendar.currentDay + '"]').removeClass('hide');
        this.inintEvent(fns);
    },
    updateCalendar: function(y,m,d){
        this.activeYear = y;
        this.activeMoth = m;
        this.activeDay = d;
        this.createCalendar(y,m,d);
        $('.calendar-context .fa-chevron-down').addClass('hide');
        $('.calendar-context .fa-chevron-up').removeClass('hide');
        this.setEvent();
        $('.event-list-wrap .day-event').addClass('hide');
        $('.event-list-wrap .day-event[data-year="' + y + '"][data-month="' + m + '"][data-day="' + d + '"]').removeClass('hide');
    },
    createEvent: function(args){
    	var businessIdArray = "";
    	startNum = temp;
    	var colorArray=new Array('light-green','blue','orange','red');
        $('.event-list-wrap').empty();
        var j=0;
        $.each(args,function(key,val){
            var year = val['date'].split('-')[0];
            var mon = val['date'].split('-')[1];
            var day = val['date'].split('-')[2];
            var html = '<ul class="day-event hide" data-year="' + year + '" data-month="' + mon + '" data-day="' + day + '">';
            for(var i = 0; i < val.list.length; i++){
                /** 替换样式
                html += '<li class="list" calendarId='+val.list[i].calendarId+'>' +
                    '<div class="list-time">'+
                    '<span class="time-start">' + val.list[i].starTime + '</span>'+
                    '<span class="time-end">' + val.list[i].endTime + '</span>'+
                    '</div>' +
                    '<div class="list-content">'+ val.list[i].events +'</div>';
                if(val.list[i].pic){
                    html +=  '<img class="list-pic" src="' + val.list[i].pic + '">'
                }
                html +=  '</li>' 
                */
                html += '<li class="event-list-itemLi" >'+
					'<a class="event-list-item" calendarId="'+val.list[i].calendarId+'" href="javascript:;">'+ 
					'<b class="item_img">';
					if(val.list[i].pic==''){
						html += '<img src="../../styles/images/User.png"/>';
					}else{
						html += '<img src="'+val.list[i].pic+'"/>';
					}
					var sharePers=val.list[i].shareUser;
					sharePers=sharePers.replace(/\s/g,'');
					html +='</b><span class="item_name">'+val.list[i].starTime.substring(11,16)+"  "+val.list[i].endTime.substring(11,16)+'</span>'
							+'<div class="item_con">'
							+'<h4>'+val.list[i].events+'</h4>'
							+'<p><span>'+val.list[i].executor+'</span><i style="background-color:'+val.list[i].color+'">'+val.list[i].priorType+'</i>';
					
					if(sharePers!=''){
						html += '<i class="share">享</i>';
					}
							
				    html +='</p></div></a>';
				    
				    html +='</li>';
            }
            html +=  '</ul>';
            $('.event-list-wrap').append(html);
            j++;
        });
        this.setEvent();
    },
    setEvent: function() {
        $('.day-event').each(function(i) {
            var eventYear = $(this).attr('data-year');
            var eventMonth = $(this).attr('data-month');
            var eventDay = $(this).attr('data-day');
            $('.calendar-content .list[data-year="' + eventYear + '"][data-month="' + eventMonth + '"][data-day="' + eventDay + '"]').children().addClass('event');
        });
    },
    createCalendar: function(y,m,d){
        var nowYear = y==0 ? this.currentYear: y,
            nowMonth = m==0 ? this.currentMonth: m,
            nowDay = d==0 ? this.currentDay: d;
        $('#today').text(nowYear + '年' + nowMonth + '月' + nowDay + '日');
        var nowMonthDays = this.calculateMonthDays(nowYear,nowMonth);
        var lastMonthDays = this.calculateMonthDays(nowYear,nowMonth-1);
        var nowWeek = this.calculateWeek(nowYear,nowMonth - 1,1);
        $('#itemList').empty();
        if(nowWeek != 7){
            var lastMonth = nowMonth-1;
            for(var i = lastMonthDays - (nowWeek -1); i<= lastMonthDays; i++){
                $('#itemList').append('<div class="list lastItem" data-month='+ lastMonth +' data-day='+ i +'><a style="display:none;">' + i + '</a></div>');
            }
        }
        var date = $("#today-input").val();
        var userId = getUrlParam("userId");
        var map = loadCalendarKQ(date,userId);
        var year = nowYear;
    	var month = m<10?'0'+m:m;
        for(var j = 1; j <= nowMonthDays; j++){
        	var day = j<10?'0'+j:j;
        	var dayMap = map[year+"-"+month+"-"+day];
        	var iContType='<p>';
            if(dayMap[1]){iContType+= '<b class="b1"></b>';}
            if(dayMap[2]){iContType+= '<b class="b2"></b>';}  
            if(dayMap[3]){iContType+= '<b class="b3"></b>';}  
            if(dayMap[4]){iContType+= '<b class="b4"></b>';}  
            if(dayMap[5]){iContType+= '<b class="b5"></b>';}  
            if(dayMap[6]){iContType+= '<b class="b6"></b>';}  
        	iContType+= '</p>';
        	//iContType+='<p><b class="b1"></b></p>';
    		 //+'<b class="b2"></b>'
    		 //+'<b class="b3"></b>'
    		 //+'<b class="b4"></b>'
    		 //+'<b class="b5"></b>'
    		 //+'<b class="b6"></b>';
        	if(dayMap && !dayMap[0]){
        		if((j == nowDay && nowDay != this.currentDay) || (j == nowDay && nowDay == this.currentDay && (this.currentMonth != nowMonth || this.currentYear != nowYear))){
                    $('#itemList').append('<div class="grayList" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+ '</a></div>');
                }else if(j == nowDay && nowDay == this.currentDay && this.currentMonth == nowMonth && this.currentYear == nowYear){
                    $('#itemList').append('<div class="currentItem grayList" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+ '</a></div>');
                }else if(j == this.currentDay && nowDay != this.currentDay && this.currentMonth == nowMonth && this.currentYear == nowYear){
                    $('#itemList').append('<div class="currentItem grayList" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+ '</a></div>');
                }else{
                    $('#itemList').append('<div class="grayList" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+'</a></div>');

                }
        	}else{
        		if((j == nowDay && nowDay != this.currentDay) || (j == nowDay && nowDay == this.currentDay && (this.currentMonth != nowMonth || this.currentYear != nowYear))){
                    $('#itemList').append('<div class="list active" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+ '</a></div>');
                }else if(j == nowDay && nowDay == this.currentDay && this.currentMonth == nowMonth && this.currentYear == nowYear){
                    $('#itemList').append('<div class="list currentItem active" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+ '</a></div>');
                }else if(j == this.currentDay && nowDay != this.currentDay && this.currentMonth == nowMonth && this.currentYear == nowYear){
                    $('#itemList').append('<div class="list currentItem" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+ '</a></div>');
                }else{
                    $('#itemList').append('<div class="list" data-year='+ nowYear + ' data-month='+ nowMonth +' data-day='+ j +'><a>' + j +iContType+'</a></div>');

                }
        	}
            
        }
    },
    createCalendarLine: function(y,m,d){
        var nowYear = y==0 ? this.currentYear: y,
            nowMonth = m==0 ? this.currentMonth: m,
            nowDay = d==0 ? this.currentDay: d;
        $('#today').text(nowYear + '年' + nowMonth + '月' + nowDay + '日');
        var nowMonthDays = this.calculateMonthDays(nowYear,nowMonth);
        var lastMonthDays = this.calculateMonthDays(nowYear,nowMonth-1);
        var nowWeek = this.calculateWeek(nowYear,nowMonth - 1,nowDay);
        $('#itemList').empty();
        if(nowWeek != 7){
            for(var i = nowDay - nowWeek; i<=nowDay; i++){
                if(i>0){
                    if(this.currentDay == i && this.currentMonth == nowMonth && this.currentYear == nowYear){
                        $('#itemList').append('<div class="list currentItem active" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ i +'><a>' + i + '</a></div>');
                    }else{
                        $('#itemList').append('<div class="list" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ i +'><a>' + i + '</a></div>');
                    }
                }else{
                    $('#itemList').append('<div class="list" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ i +'><a style="display: none;">' + i + '</a></div>');
                }
            }
            for(var j = nowDay+1; j<= nowDay + (6 - nowWeek); j++){
                if(j<= nowMonthDays){
                    if(this.currentDay == j && this.currentMonth == nowMonth && this.currentYear == nowYear){
                        $('#itemList').append('<div class="list currentItem active" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ j +'><a>' + j + '</a></div>');
                    }else{
                        $('#itemList').append('<div class="list" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ j +'><a>' + j + '</a></div>');
                    }
                }
            }
        }else{
            for(var j = nowDay; j<= nowDay + 6; j++){
                if(this.currentDay == j && this.currentMonth == nowMonth && this.currentYear == nowYear){
                    $('#itemList').append('<div class="list currentItem active" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ j +'><a>' + j + '</a></div>');
                }else{
                    $('#itemList').append('<div class="list" data-year='+ nowYear +' data-month='+ nowMonth +' data-day='+ j + '><a>' + j + '</a></div>');
                }
            }
        }
        this.setEvent();
    },
    calculateMonthDays: function(y,m){
        var days = 0;
        if(m==1 || m==3 || m==5 || m==7 || m==8 || m==10 || m==12){
            days = 31;
        }else{
            if(m== 2){
                if(y % 4 == 0 && (y % 100 != 0 || y % 400 )){
                    days = 29;
                }else{
                    days = 28;
                }
            }else{
                days = 30;
            }
        }
        return days;
    },
    calculateWeek: function(y,m,d){
        var arr = [7,1,2,3,4,5,6];
        var week = arr[new Date(y,m,d).getDay()];
        return week;
    }
    
};
function showAllShareUsers(_this){
	var oThis=$(_this),
		thisPrev=oThis.prev().prev(),
		thisNext=oThis.prev();
	if(thisNext.css('display')=='inline-block'){
		thisPrev.css('display','inline-block');
		thisNext.css('display','none');
		oThis.html('展开');
	}else{
		thisPrev.css('display','none');
		thisNext.css('display','inline-block');
		oThis.html('收起');
	}
}
