﻿define(['calendar','datetime','mobilekit'], function() {
	var weekArray = new Array("星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六");
	var nowDate = getServiceCurDate().split(" ")[0];
	$("#curDate").val(nowDate);
	getCurdateTime(0)
	var advance = 30, //距离底部30px时开始加载   
	    WWCloading = false,
	    WWCisEnd = false,
	    pageNo = 1, 
	    pageSize=10;
	/**
	 * 初始化日历
	 */
	$('#curDate').mobiscroll().date({
		dateFormat: 'yy-mm-dd',               //输入框中显示日期格式
	    lang: 'zh',
	    minDate: new Date(1900,1,31),
	    maxDate: new Date(2030,12,31),
	    stepMinute: 5,
	    onSelect:function(){
			var curDate=$(this).val();
			var arys1=curDate.split('-');     //日期为输入日期，格式为 2013-3-10
		    var ssdate=new Date(arys1[0],parseInt(arys1[1]-1),arys1[2]);   
		    var curWeek=weekArray[ssdate.getDay()];  //就是你要的星期几
		    $(this).prev().html(curWeek);
		
			//getCalendarDetail();//获取当天考勤数据
		    pageNo = 1;
		    getPersonsKq();//加载人员表现
		    getChuqinScale();//加载总体出勤情况

		}
	});
    var mathUrlBefore = "api/"; // 添加：调用接口传参的公共值

    function GetDateStr(year,month,date,AddDayCount) {
        var dd = new Date(year,month,date);
        dd.setDate(dd.getDate()+AddDayCount);//获取AddDayCount天后的日期
        var y = dd.getFullYear();
        var m = dd.getMonth()+1;//获取当前月份的日期
        var d = dd.getDate();
        d=d<10?'0'+d:d;
        m=m<10?'0'+m:m;
        return y+"-"+m+"-"+d;
    }
    function getCurdateTime(num){
    	var cDate=$('#curDate').val();
		//var arys1=cDate.split('-');     //日期为输入日期，格式为 2013-3-10
	    var ssdate=new Date(cDate);  
	    var curDate=ssdate.getDate();
	    var curMonth=ssdate.getMonth();
	    var curYear=ssdate.getFullYear();
    	var date=GetDateStr(curYear,curMonth,curDate,num);
    	$('#curDate').val(date);
		var arys1=date.split('-');     //日期为输入日期，格式为 2013-3-10
	    var oDate=new Date(arys1[0],parseInt(arys1[1]-1),arys1[2]);   
	    var curWeek=weekArray[oDate.getDay()];  //就是你要的星期几
	    $('#curDate').prev().html(curWeek);
    }
    
    $('#prevDate').bind('click',function(){
    	getCurdateTime(-1);
    	pageNo = 1;
    	getPersonsKq();//加载人员表现
 	    getChuqinScale();//加载总体出勤情况
    })
    $('#nextDate').bind('click',function(){
    	getCurdateTime(1);
    	pageNo = 1;
    	getPersonsKq();//加载人员表现
 	    getChuqinScale();//加载总体出勤情况
    })
	$('.ui-tab .nav li').on('click',function(){
		$(".ui-tab .nav .current").removeClass('current');
		$(this).addClass('current');
		$('.ui-tab .content>li').addClass('hide');
		$('.ui-tab .content>li').eq($(this).index()).removeClass('hide');
	});
    var now = new Date();
    var y = now.getFullYear();
    var m = now.getMonth()+1;
    loadAttStatTop(y,m);
    //加载排行榜前三个
    function loadAttStatTop(year,month){
    	$("#phbTitle").html(month+"月勤奋排行榜");
    	var day = getLastDay(year,month);
    	if(month<10){month='0'+month};
    	if(day<10){day='0'+day};
	    var beginDate = year+'-'+month+'-01';
	    var endDate = year+'-'+month+'-'+day;
	    
	    var parameterUrl = mathUrlBefore + 'Attendance/QinFenRank';
	    var parameterData ='{"beginDate":"'+beginDate+'","endDate":"'+endDate+'","baseUrl":"'+baseurl+'"}';
	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
	    var len = data.list.length;
	    if(len>3){len=3};
	    for(var i=0;i<len;i++){
	    	var html = '<li>';
	    	if(data.list[i][3]=='' || data.list[i][3]==undefined){
	    		html+='<img src="../../styles/images/User.png" alt="">';
			}else{
				html+='<img src="'+data.list[i][3]+'" alt="">';
			}
    		html+='<b class="b1">'+(i+1)+'</b><span>'+data.list[i][1]+'</span>';
    		html+='</li>';
	    	$("#attendanceStatisticsTop").append(html);
	    }
	}
    
    
    // 初始化滚动监听
    $(window).scroll(function () {
        scrollEvent(WWCloading,WWCisEnd);
    }); 
    
    function scrollEvent(Listloading,ListisEnd) {
        if (Listloading == false) {
            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom = scrollHeight - scrollTop;
            //滚动加载
            if (scrollBottom <= advance && !Listloading && !ListisEnd) {
            	getPersonsKq();
            } else if (ListisEnd) {

            }
        }
    }    
    
    getPersonsKq();
    //加载人员表现
    function getPersonsKq(){
    	WWCloading = true;
    	var date = $("#curDate").val();
    	var parameterUrl = mathUrlBefore + 'Attendance/PersonsKq';
 	    var parameterData ='{"date":"'+date+'","pageSize":"'+pageSize+'","pageNo":"'+pageNo+'"}';
 	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
 	    if(data.list && data.list.length>0){
 	    	if(pageNo==1){
 	    		var topHtml = '<tr class="trTit">';
 	    		topHtml+='<th width="56%">部门名称</th>';
 	    		topHtml+='<th width="22%">姓名</th>';
 	    		topHtml+='<th width="22%">今日考勤</th>';
 	    		topHtml+='</tr>';
 	    		$("#personKqBody").html(topHtml);
 	    	}
 	    	for(var i=0;i<data.list.length;i++){
 	 	    	var html ='<tr>';
 	 	    	html +='<td>'+data.list[i][0]+'</td>';
 	    		html +='<td class="tdName"><a href="javascript:void(0);"  onclick="loadDetail(\''+data.list[i][3]+'\')">'+data.list[i][1]+'</a></td>';
 				html +='<td>'+data.list[i][2]+'</td>';
 				html +='</tr>';
 				$("#personKqBody").append(html);
 	 	    }
 	    }else{
 	    	$('#loadding').removeClass('hide');
 	    }
 	    
 	   WWCloading = false;
 	   pageNo++;
    }
    
    getChuqinScale();
    //总体出勤情况
    function getChuqinScale(){
    	$("#chuqinScaleOl").html("");
    	var date = $("#curDate").val();
    	var parameterUrl = mathUrlBefore + 'Attendance/ChuqinScale';
 	    var parameterData ='{"date":"'+date+'"}';
 	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
 	    var total = data.map.totalNumV;
 	    var html ='<li><span>考勤签到</span><b><em class="em1" style="width:'+((data.map.inNum/total>1?1:data.map.inNum/total)*60).toFixed(2)+'px;"></em></b><i>'+data.map.inNum+'</i></li>';
		html +='<li><span>外勤签到</span><b><em class="em2" style="width:'+(((data.map.outNum/total>1?1:data.map.outNum/total)>1?1:(data.map.outNum/total))*60).toFixed(2)+'px;"></em></b><i>'+data.map.outNum+'</i></li>';
 	    html +='<li><span>迟到</span><b><em class="em3" style="width:'+((data.map.chidaoNum/total>1?1:data.map.chidaoNum/total)*60).toFixed(2)+'px;"></em></b><i>'+data.map.chidaoNum+'</i></li>';
	    html +='<li><span>早退</span><b><em class="em4" style="width:'+((data.map.zaotuiNum/total>1?1:data.map.zaotuiNum/total)*60).toFixed(2)+'px;"></em></b><i>'+data.map.zaotuiNum+'</i></li>';
	    html +='<li><span>缺勤</span><b><em class="em5" style="width:'+((data.map.queqinNum/total>1?1:data.map.queqinNum/total)*60).toFixed(2)+'px;"></em></b><i>'+data.map.queqinNum+'</i></li>';
		html +='<li><span>未签退</span><b><em class="em6" style="width:'+((data.map.weiqiantuiNum/total>1?1:data.map.weiqiantuiNum/total)*60).toFixed(2)+'px;"></em></b><i>'+data.map.weiqiantuiNum+'</i></li>';
 	    
		$("#chuqinScaleOl").append(html);
		var realNum = data.map.realNum;//实出勤
		var queNum = data.map.queqinNum;//缺勤数量 
		var real = (realNum/(realNum+queNum)*100).toFixed(2);
		if(realNum+queNum==0){real=0};
		var queqin = (100-real).toFixed(2);
		var realStr = real+'%';
		var queStr = queqin+'%';
		var myChart = echarts.init(document.getElementById('chart1'));
	    var option = {
		    title : {
		        text: '',
		        subtext: '',
		        x:'center'
		    },
		    tooltip : {
		        trigger: 'item',
		        formatter: "{a} <br/>{b} : {c} ({d}%)"
		    },
		    series : [
		        {
		            name: '出勤占比',
		            type: 'pie',
		            radius : '55%',
		            center: ['50%', '50%'],
		            radius: ['0%', '80%'],
		            data:[
		                {value:realNum, name:'实出勤'+realStr},
		                {value:queNum, name:'缺勤'+queStr}
		            ],
		            itemStyle: {
		                emphasis: {
		                    shadowBlur: 10,
		                    shadowOffsetX: 0,
		                    shadowColor: 'rgba(0, 0, 0, 0.5)'
		                }
		            },
		            label: {
		                normal: {
		                    position: 'inner'
		                }
		            }
		        }
		    ],
		    color:['#C23531','#61A0A8']
		};
	    if(!(realNum==0&&queNum==0)){
	    	 myChart.setOption(option);
	    }
	    
	    var inNum = data.map.inNum;
		var outNum = data.map.outNum;
		var inStr = '';
		var outStr = '';
		if(inNum==0 && outNum==0){
			inStr = "0%";
			outStr = "0%";
		}else{
			inStr =  ((inNum/(inNum+outNum))*100).toFixed(2)+'%';
		    outStr = ((outNum/(inNum+outNum))*100).toFixed(2)+'%';
		}
		var myChart = echarts.init(document.getElementById('chart2'));
	    var option = {
		    title : {
		        text: '',
		        subtext: '',
		        x:'center'
		    },
		    tooltip : {
		        trigger: 'item',
		        formatter: "{a} <br/>{b} : {c} ({d}%)"
		    },
		    series : [
		        {
		            name: '出勤类型占比',
		            type: 'pie',
		            radius : '55%',
		            center: ['50%', '50%'],
		            radius: ['0%', '80%'],
		            data:[
		                {value:inNum, name:'考勤'+inStr},
		                {value:outNum, name:'外勤'+outStr}
		            ],
		            itemStyle: {
		                emphasis: {
		                    shadowBlur: 10,
		                    shadowOffsetX: 0,
		                    shadowColor: 'rgba(0, 0, 0, 0.5)'
		                }
		            },
		            label: {
		                normal: {
		                    position: 'inner'
		                }
		            }
		        }
		    ],
		    color:['#E98F6F','#749F83']
		 };
	     if(!(inNum==0&&outNum==0)){
	    	 myChart.setOption(option);
	     }
    }
    
    //近两周出勤率
    function nearTwoWeekChuQin(){
    	var parameterUrl = mathUrlBefore + 'Attendance/ChuqinPer';
 	    var data = GetDataByUrl_Post(parameterUrl, null);
 	    var list = data.list;
 	    var titleArray = new Array();
 	    var valueArray = new Array();
 	    for(var i=0;i<list.length;i++){
 	    	var obj = list[i];
 	    	titleArray.push(obj[0]);
 	    	valueArray.push(obj[1]);
 	    }
    	var myChart = echarts.init(document.getElementById('chart3'));
    	var option = {
		    tooltip : {
		        trigger: 'axis'
		    },
		    legend: {
		        data:['出勤率']
		    },
		    toolbox: {
		        feature: {
		            saveAsImage: {}
		        }
		    },
		    grid: {
		        left: '3%',
		        right: '3%',
		        bottom: '3%',
		        containLabel: true
		    },
		    xAxis : [
		        {
		            type : 'category',
		            boundaryGap : false,
		            data : titleArray
		        }
		    ],
		    yAxis : [
		        {
		            type : 'value'
		        }
		    ],
		    series : [
		        {
		            name:'近两周出勤率',
		            type:'line',
		            stack: '',
		            areaStyle: {normal: {}},
		            data:valueArray
		        }
		    ]
		};
	    myChart.setOption(option);
    }
    
    //部门本周平均出勤率
    function EveryChuqinPer(){
    	var parameterUrl = mathUrlBefore + 'Attendance/EveryChuqinPer';
 	    var data = GetDataByUrl_Post(parameterUrl, null);
 	    var everyPer = data.everyPer;
    	var myChart = echarts.init(document.getElementById('chart4'));
    	var option = {
		    color: ['#3398DB'],
		    tooltip : {
		        trigger: 'axis',
		        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
		            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
		        }
		    },
		    grid: {
		        left: '3%',
		        right: '4%',
		        bottom: '3%',
		        containLabel: true
		    },
		    xAxis : [
		        {
		            type : 'category',
		            data : ['本周平均出勤率'],
		            axisTick: {
		                alignWithLabel: true
		            }
		        }
		    ],
		    yAxis : [
		        {
		            type : 'value'
		        }
		    ],
		    series : [
		        {
		            name:'本周平均出勤率',
		            type:'bar',
		            barWidth: '40%',
		            data:[everyPer]
		        }
		    ]
		};
	    myChart.setOption(option);
    }
    
    //本周平均工时
    function EveryWorkLen(){
    	var parameterUrl = mathUrlBefore + 'Attendance/EveryWorkLen';
 	    var data = GetDataByUrl_Post(parameterUrl, null);
 	    var everyLen = data.everyLen;
    	var myChart = echarts.init(document.getElementById('chart5'));
    	var option = {
		    color: ['#3398DB'],
		    tooltip : {
		        trigger: 'axis',
		        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
		            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
		        }
		    },
		    grid: {
		        left: '3%',
		        right: '4%',
		        bottom: '3%',
		        containLabel: true
		    },
		    xAxis : [
		        {
		            type : 'category',
		            data : ['本周平均工时'],
		            axisTick: {
		                alignWithLabel: true
		            }
		        }
		    ],
		    yAxis : [
		        {
		            type : 'value'
		        }
		    ],
		    series : [
		        {
		            name:'本周平均工时',
		            type:'bar',
		            barWidth: '40%',
		            data:[everyLen]
		        }
		    ]
		};
	    myChart.setOption(option);
    }
    
    //获得某月最后一天的数
    function getLastDay(year,month) {         
        var new_year = year;    //取当前的年份          
        var new_month = month++;//取下一个月的第一天，方便计算（最后一天不固定）          
        if(month>12) {         
         new_month -=12;        //月份减          
         new_year++;            //年份增          
        }         
        var new_date = new Date(new_year,new_month,1);                //取当年当月中的第一天          
        return (new Date(new_date.getTime()-1000*60*60*24)).getDate();//获取当月最后一天日期          
   }   
    
    //切换频道
    $('.nav li').on('click',function(){
    	if($(this).index()==0){
    		getPersonsKq();//加载人员表现
     	    getChuqinScale();//加载总体出勤情况
    	}else{
    		nearTwoWeekChuQin();
    		EveryChuqinPer();
    		EveryWorkLen();
    	}

    })
});

function loadDetail(userId){
	var date = $("#curDate").val();
	location.href= '../../view/Attendance/statisticsDetail.html?userId='+userId+'&date='+date;
}
