
define(['mobilekit'],function(){
    var mathUrlBefore="api/";//wangyl 添加：调用接口传参的公共值
    var pagesize=50;
    $(function(){
    	$('.u-nearby-map').css('height',$(window).height()-88+'px');
    })
    var nowDateTime= new Date();//第一次进入页面刷新的时间
    var searchParamLng = "";//查询参数 --经度
    var searchParamLat = "";//查询参数--维度
    
    //当前时间，并转换为 yyyy-MM-dd 00:00:00的格式
    var initDate = nowDateTime.getFullYear()
        + "-"// "年"
        + ((nowDateTime.getMonth() + 1) > 9 ? (nowDateTime.getMonth() + 1) : "0"
        + (nowDateTime.getMonth() + 1))
        + "-"// "月"
        + (nowDateTime.getDate() < 10 ? "0" + nowDateTime.getDate() : nowDateTime.getDate())
        + " "
        + (nowDateTime.getHours() < 10 ? "0" + nowDateTime.getHours() : nowDateTime.getHours())
        + ":"
        + (nowDateTime.getMinutes() < 10 ? "0" + nowDateTime.getMinutes() : nowDateTime.getMinutes())
        + ":"
        + (nowDateTime.getSeconds() < 10 ? "0" + nowDateTime.getSeconds() : nowDateTime.getSeconds());


    var timeGo=200;//5分钟内    ////////////////
    var juLi=1000;//距离是1000米内
    var pageno=1;


    var WWCisEnd=false;
    var WWCloading=false;
    var advance = 30; //距离底部30px时开始加载

    var currentPositionLong = sessionStorage.getItem("curPositionLong");//当前位置的经度
	var currentPositionLat = sessionStorage.getItem("curPositionLat");//当前位置的纬度
	
	var markers = [];//地图上所有点标记
	

    // 百度地图API功能
    //初始化地图对象，加载地图
    var mp = new AMap.Map('allmap',{
        resizeEnable: true,
        view: new AMap.View2D({
            center: new AMap.LngLat(currentPositionLong, currentPositionLat),
            zoom: 15
        })
    });
    var location;

    getNearColleague(pageno);
    //输入提示
    var auto = new AMap.Autocomplete({
    	input: "tipinput"
    });
    var placeSearch = new AMap.PlaceSearch({
        map: mp
    });  //构造地点查询类
    AMap.event.addListener(auto, "select", select);//注册监听，当选中某条记录时会触发
    function select(e) {
    	searchParamLng = e.poi.location.lng;
    	searchParamLat = e.poi.location.lat;
    }

    //获取附近同事
    function getNearColleague(pno)
    {	
    	mp.remove(markers);
    	if(searchParamLng!=""){
    		currentPositionLong = searchParamLng;
    	}
    	if(searchParamLat!=""){
    		currentPositionLat = searchParamLat;
    	}
    	//中心点
        var centerMarker = new AMap.Marker({
        	map:mp,
            icon: 'https://webapi.amap.com/images/1.png',
            position: new AMap.LngLat(currentPositionLong, currentPositionLat)
        });
        markers.push(centerMarker);
        
        WWCloading = true
       /* alert('{"sign":"'+appSign+'","longitude":'+currentPositionLong+',"latitude":'+currentPositionLat+',' +
            '"initTime":"'+initDate+'","timeago":'+timeGo+',"distance ":'+juLi+',"number":'+pagesize+',"pageno":'+pno+'}');*/
        var parameterUrl = mathUrlBefore + 'Attendance/getSiteWorkermate';
       /*var parameterData ='{"longitude":'+currentPositionLong+',"latitude":'+currentPositionLat+',' +
            '"initTime":"'+initDate+'","timeago":'+timeGo+',"distance":'+juLi+',"number":'+pagesize+',"pageno":'+pno+'}';*/
        var parameterData ={longitude:currentPositionLong,latitude:currentPositionLat,initTime:initDate,timeago:timeGo,distance:juLi,number:pagesize,pageno:pno,baseUrl:baseurl};
        var data = GetDataByUrl_Post(parameterUrl, JSON.stringify(parameterData));
        var json = JSON.stringify(data);
        // alert(json);
        json = JSON.parse(json);
        var contStr = "";
        var locationStr="[";
        if(json.workMatesinfos && json.workMatesinfos.length>0) {
        	console.log(json.workMatesinfos);
            $.each(json.workMatesinfos, function (index, part) {
                contStr += ' <li class="item-colleague" date="'+part.workerSubTime+'" address="'+part.workerAdraess+'" username="'+part.workerName+'" telephone="'+part.phoneNum+'" distance="'+part.workerDistance+'">';
                if(part.headPhoto=="")//没有头像时取默认头像
                {
                    contStr += ' <div class="colleague-header"><a><img src="../../styles/images/User.png" alt=""/></a></div>';
                }
                else
                {
                    contStr += ' <div class="colleague-header"><a><img src="' + part.headPhoto + '" alt=""/></a></div>';
                }
                contStr += ' <div class="colleague-mess">';
                contStr += '    <p class="name">'+part.workerName+'</p>';
                contStr += '   </div>';
                contStr += '    <input type="hidden" value="'+part.longitude+','+part.latitude+'" />';
                contStr += '    <input type="hidden" value="'+part.worderId+'" />';
                contStr += '    </li>';

                var  vindex=index+1;
                var touxiang;
                if(part.headPhoto=="")
                {
                    touxiang="../../styles/images/User.png?text="+vindex;//没有头像时取默认头像
                }
                else {
                    touxiang = part.headPhoto+"?text="+vindex;
                }

                if(locationStr!="[") {
                    locationStr += ',{"lng":' + part.longitude + ',"lat":' + part.latitude + ',"index":'+index+',"name":"' + part.workerAdraess + '",' +
                        '"imgSrc":"'+touxiang+'","aSrc":"","userId":"'+part.worderId+'"}';
                }
                else
                {
                    locationStr += '{"lng":' + part.longitude + ',"lat":' + part.latitude + ',"index":'+index+',"name":"' + part.workerAdraess + '",' +
                        '"imgSrc":"'+touxiang+'","aSrc":"","userId":"'+part.worderId+'"}';
                }
                lastsubtime = part.workerSubTime;
            });
        }
        locationStr+="]";
        location = JSON.parse(locationStr);

        if(pageno==1)
        {
            $(".u-nearby-list").html(contStr);
        }
        else
        {
            $(".u-nearby-list").append(contStr);
        }
        $(".u-nearby-list").css('width',($(".u-nearby-list li").width()+10)*$(".u-nearby-list li").size()+'px');

        WWCloading = false;
        if(json.workMatesinfos) {
            WWCisEnd = json.workMatesinfos.length < pagesize;
        }

        //pageno=pageno+1;//注释掉为了 全部加载， 暂时附近的人，不需要翻页
        bindClick();
        
        ////
        for(var i=0;i<location.length;i++){
            var marker = new AMap.Marker({
                position:new AMap.LngLat(location[i].lng,location[i].lat)
            });
            //自定义点标记内容
            var markerContent = document.createElement("div");
            markerContent.className = "markerContentStyle";

            var span = '<a href="javascript:void(0)" class="avatarP"><img src="'+location[i].imgSrc+'" class="avatar" style="width: 40px;height: 40px;border-radius: 50%;"></a>';
            $(markerContent).append(span);
            $(markerContent).find('.avatar').data('name',location[i].name);
            marker.setContent(markerContent);//更新点标记内容
            marker.setMap(mp);  //在地图上添加点
            console.log($(document).find('.avatar'));
            $('.placeDetail').eq(location[i].index).text(location[i].name);
            $('.item-colleague').eq(location[i].index).data('loc',location[i]);
            
            markers.push(marker);
        }
        mp.setFitView();
    }
    function bindClick(){
    	$('.u-nearby-list li').each(function(){
    		$(this).click(function(){
    			var dateTime=$(this).attr("date").split(' ');
    		    var date = dateTime[0];
    		    var time = dateTime[1];
    		    var address = $(this).attr("address");
    		    var username = $(this).attr("username");
    		    var telephone = $(this).attr("telephone");
    		    var distance = $(this).attr("distance");
    			var msgStr='<b class="close">X</b>'
    					  +'<p>客户：'+username+' '+telephone+'</p>'
    					  +'<p>'+date+'<span class="date">'+time+'</span></p>'
    			          +'<p>地址：'+address+'</p>'
    			          +'<p>距离 '+distance+'</p>'
    					 /* +'<div class="iconWrap">'
    					  +'	<a href="javascript:;"><img src="../../styles/images/myOutAttendance-right1.png" width="50%"></a>'
    					  +'	<a href="javascript:;"><img src="../../styles/images/myOutAttendance-right2.png" width="50%"></a>'
    					  +'	<a href="javascript:;"><img src="../../styles/images/myOutAttendance-right3.png" width="50%"></a>'
    					  +'	<a href="javascript:;"><img src="../../styles/images/myOutAttendance-right4.png" width="50%"></a>'
    					  +'</div>'; */
    			$('.adressMsg').show().html(msgStr);
    			closeDialog();
    		})
    	})
    }
    $("#searchButton").click(function(){
    	getNearColleague(pageno);
    })
    
    function closeDialog(){
		$('.adressMsg .close').click(function(){
			$(this).parent().parent().find("img[class='avatar avatar-big']").removeClass("avatar-big");
			$(this).parent().hide();
		})
	}
    // 初始化滚动监听
    $(window).scroll(function(){
        scrollEvent();
    });

    function scrollEvent() {
        if (WWCloading == false) {
            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom = scrollHeight - scrollTop;
            //滚动加载
            if (scrollBottom <= advance && !WWCloading && !WWCisEnd) {

                getNearColleague(lastsubtime);//加载列表

                for(var i=0;i<location.length;i++){
                    var marker = new AMap.Marker({
                        position:new AMap.LngLat(location[i].lng,location[i].lat)
                    });
                    //自定义点标记内容
                    var markerContent = document.createElement("div");
                    markerContent.className = "markerContentStyle";

                    var span = '<a href="'+location[i].aSrc+'" class="avatarP"><img src="'+location[i].imgSrc+'" class="avatar" style="width: 40px;height: 40px;border-radius: 50%;"></a>';
                    $(markerContent).append(span);
                    $(markerContent).find('.avatar').data('name',location[i].name);
                    marker.setContent(markerContent);//更新点标记内容
                    marker.setMap(mp);  //在地图上添加点
                    console.log($(document).find('.avatar'));
                    $('.placeDetail').eq(location[i].index).text(location[i].name);
                    $('.item-colleague').eq(location[i].index).data('loc',location[i]);
                }
            } else if (WWCisEnd) {

            }
        }
    }


    //点击列表地图的头像放大
     $('.item-colleague').on('click',function(){
     var loc = $(this).data('loc');
     $(".avatar-big").removeClass('avatar-big');
     $(".avatar-big-parent").removeClass('avatar-big-parent');
     $(".avatar").each(function(){
     if($(this).data('name') == loc.name){
     $(this).addClass('avatar-big').closest('div').addClass('avatar-big-parent');
     $(this).parent().addClass('avatarPar');
     }
     });
     $(this).addClass('active').siblings().removeClass('active');
     mp.setZoomAndCenter(16, new AMap.LngLat(loc.lng, loc.lat));
     });

});