define(['mobilekit'],function() {
//    var daNum = sessionStorage.getItem("lngAndlat").split(",");
//    var jingdu = daNum[0];
//    var weidu = daNum[1];
	$(function(){
		var _height=$(window).height()-300;
		$('.position-wrap').css('height',_height+'px');
		$('#attendanceListWrap').css('margin-top',_height+'px');
	})
	
	var pageNo = 1;
	var pageSize = 4;
	var mathUrlBefore="api/";//wangyl 添加：调用接口传参的公共值
    var lngLat = getUrlParam("lngLat");
    var userId = getUrlParam("userId");
    var userName = getUrlParam("userName");
    var date = getUrlParam("date");
    var advance = 30, //距离底部30px时开始加载   
	    WWCloading = false,
	    WWCisEnd = false;
    //初始化地图对象，加载地图
    var markers = [];
    var lines = [];
    var map = new AMap.Map('allmap',{
        zoom: 12,
        center: [116.39,39.9]
    });
   
    if(lngLat==null){//这个分支是查询下属足迹
    	getOutAttList(userId,date);
        loadMyFootMark(userId,date);
    }else{//这个分支是加载我的足迹 
    	var obj=lngLat.split(",");
    	var ll = {'lng':obj[0],'lat':obj[1]}; 
    	ComplexCustomOverlay(ll);
    }
    
    /*
     * 根据坐标在地图上添加点
     */
    function ComplexCustomOverlay(point) {
        var marker = new AMap.Marker({
            icon: 'https://webapi.amap.com/images/1.png',
            position: new AMap.LngLat(point.lng, point.lat)
        });
        marker.setMap(map);  //在地图上添加点
        map.setCenter([point.lng, point.lat]);
    }

    //加载某人的轨迹
    function loadMyFootMark(u,d){
    	map.remove(markers);
    	map.remove(lines);
    	var parameterUrl = mathUrlBefore + 'Attendance/GetFootMarkTrail';
        var parameterData ='{"userId":"'+u+'","date":"'+d+'"}';
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        json = JSON.parse(json);
    	var dataArray = json.mes;
    	if(dataArray.length==0){return;}
    	var lineArr = [];//路过地点
    	for(var i=dataArray.length-1;i>=0;i--){
    		var img = '';
    		var pixel = [];
    		if(i==0){
    			img = baseurl+'/common/widgets/attendance/images/endFlag.png';
    			pixel[0]=-6;
    			pixel[1]=-30
    		}else{
    			img = baseurl+'/common/widgets/attendance/images/location.png';
    			pixel[0]=-17;
    			pixel[1]=-33
    		}
    		var obj = dataArray[i];
    		var marker = new AMap.Marker({  
        		map: map,
                position:(new AMap.LngLat(obj.longitude, obj.latitude)),  
                icon: new AMap.Icon({            
                    size: new AMap.Size(30, 40),  //图标大小
                    image: img
                }),
                offset:new AMap.Pixel(pixel[0],pixel[1])
            });
    		var line = [obj.longitude,obj.latitude];
    		lineArr.push(line);
    		markers.push(marker);
    	}
    	var line = new AMap.Polyline({
	    	map:map,
            path: lineArr,
            strokeColor: "#00A",  //线颜色
            strokeOpacity: 1,     //线透明度
            strokeWeight: 2,      //线宽
            strokeStyle: "solid"  //线样式
	    });
    	lines.push(line);
    	map.setFitView();
    	var pMarker = new AMap.Marker({
            map: map,
            position: lineArr[0],
            icon: "https://webapi.amap.com/images/car.png",
            offset: new AMap.Pixel(-26, -13),
            autoRotation: true
        });
	    pMarker.moveAlong(lineArr, 3000);
	    markers.push(pMarker);
    }
    
    
    function getOutAttList(userId,date){
    	WWCloading = true;
    	var parameterUrl = mathUrlBefore + 'Attendance/GetOutAttList';
	    var parameterData ='{"userId":"'+userId+'","date":"'+date+'","pageSize":"'+pageSize+'","pageNo":"'+pageNo+'"}';
	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
	    var list = data.list;
	    var html = '';
	    if(list && list.length>0) {
	    	$.each(list, function (index, part) {
	    		var li = '<li class="list-contex-list" id="'+part[0]+'">'
				    +'    <div class="item-img">'	
				    +'    	<span class="item-wait-approval-pic color2">'+formatUserName(part[1])+'</span>'
				    +'    </div>'
				    +'    <div class="item-con">'
					+'        <h4>'+part[1]+'<span>今日签到 <b>'+part[2]+'</b> 次</span></h4>'
					+'        <div class="position"><i class="fa fa-map-marker"></i>'+part[3]+'</div>'    
				    +'    </div>  ' 
			        +'</li>';
		        html+=li;
	    	})
	    	pageNo++;
	    }
	    WWCloading = false;
	    if(pageNo==null)
	    {
	        $("#attendanceList").html(html);
	    }
	    else
	    {
	        $("#attendanceList").append(html);
	    }
	    if(list.length<1){
	    	$("#listLoading").removeClass('hide').text("没有更多数据");
	    }
	    $("#attendanceList li").eq(0).addClass('list-contex-list-active');
	    bindClick();
    }
    function bindClick(){
    	$("#attendanceList li").each(function(){
    		$(this).on('click',function(){
    			$(this).addClass('list-contex-list-active').siblings().removeClass('list-contex-list-active');	
    			var u = $(this)[0].id;
    			var d = date;
    			loadMyFootMark(u,d);
    		})
    	})
    }
 // 初始化滚动监听
    $('#attendanceListWrap').scroll(function () {
        scrollEvent(WWCloading,WWCisEnd);
    }); 
    
    function scrollEvent(Listloading,ListisEnd) {
        if (Listloading == false) {
            var scrollHeight = $('#attendanceList').height() > $('#attendanceListWrap').height() ? $('#attendanceList').height() - $('#attendanceListWrap').height() : 0;
            var scrollTop = $('#attendanceListWrap').scrollTop();
            var scrollBottom = scrollHeight - scrollTop;
            console.log(scrollHeight);
            console.log(scrollTop);
            console.log(scrollBottom);
			//滚动加载
            if (scrollBottom <= advance && !Listloading && !ListisEnd) {
            	getOutAttList(userId,date);
            	console.log(11111);
            } else if (ListisEnd) {

            }
        }
    }    
});