define(['mobilekit'], function() {
    var mathUrlBefore="api/";//wangyl 添加：调用接口传参的公共值

    $('header').on('click', function() {
        history.go(-1);
    });

    var advance = 30; //距离底部30px时开始加载
    var loading = false;
    var isEnd = false;
    var pageNo = 1;
    var pageSize = 20;

    // 初始化滚动监听
    $(window).scroll(function() {
        scrollEvent();
    });

    //初始化用户
    getmyCustomerData(pageNo, "");

    /**
    * 搜索框
    */
    $('.ui-searchbar').on('input', function() {
        loading = false;
        isEnd = false;
        pageNo = 1;
        getmyCustomerData(pageNo, $('.ui-searchbar-input').children().val());
    });
    $('.ui-searchbar').on('click', function() {
        $(this).parent().addClass('focus');
        $(this).children('.ui-searchbar-input').children().focus();
    });
    $('.ui-searchbar-cancel').on('click', function() {
        $(this).parent().removeClass('focus');
        $(this).prev().children('.ui-searchbar-input').children().val('');
        loading = false;
        isEnd = false;
        pageNo = 1;
        getmyCustomerData(pageNo, "");
    });
    $('.ui-searchbar .fa-times').on('click', function() {
        $(this).prev().children().val('');
        loading = false;
        isEnd = false;
        pageNo = 1;
        getmyCustomerData(pageNo, "");
    });

    function radiolist() {
        $(".radio").each(function() {
            var t;
            if ($(this).find('input').val() == "true") {
                t = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    radioSelector: '.radio',
                    checked: true,
                    enable: true
                });
                t.setChecked(true);
            }
        })
    }
    /*点击选中*/
    $('.customer').on('click', '.radio', function() {
        var c = Checkbox({
            type: 'radio',
            obj: $(this),
            radioSelector: '.radio',
            checked: true,
            enable: true
        });
        c.setChecked(true);
        return false;
    });
    $('.customer').on('click', 'label', function() {
        $(this).find('.radio')[0].click();
    })


    //加载用户
    function getmyCustomerData(strpageNo, strkey) {
    	var saas = store.get("saas");
        loading = true;
        var strLinkManCustomerID = sessionStorage.HTQLinkManCustomerID;
        var parameterUrl = mathUrlBefore + 'Crm/GetCustomerList';
        var parameterData ='{"key":"' + strkey + '","searchType":"3","pageSize":"' + pageSize + '","pageNo":"' + strpageNo + '","userId":"' + saas.userId + '"}';
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        json = JSON.parse(json);
        var contStr = "";
        if (json.customerList && json.customerList.length > 0) {
            $.each(json.customerList, function(index, part) {
                contStr += '<li class="table-view-cell">';
                contStr += '     <label>';
                contStr += '     <div class="radio"><span class="fa fa-circle-o"></span>';
                if (strLinkManCustomerID == part.customerId) {
                    contStr += '     <input type="hidden" checked value="true"/>';
                }
                else {
                    contStr += '     <input type="hidden" checked value="false"/>';
                }
                contStr += ' </div>';
                contStr += ' <a href="javascript:;">';
                contStr += '     <p class="company">' + part.customerName + '</p>';
                contStr += '     <p class="clearfix"><span class="hidden">' + part.customerId + '</span><span class="pull-left">' + part.industry + '</span><span class="pull-right">' + part.managerName + '</span></p>';
                contStr += ' </a>';
                contStr += ' </label>';
                contStr + '= </li>';
            });
        }
        if (strpageNo == 1) {
            $('.customer ul').html(contStr);
        }
        else {
            $('.customer ul').append(contStr);
        }
        pageNo++;
        loading = false;
        isEnd = json.customerList.length < pageSize;
        radiolist();

       /* $.ajax({ type: 'post', data: '{"sign":"' + appSign + '","key":"' + strkey + '","searchType":"3","pageSize":"' + pageSize + '","pageNo":"' + strpageNo + '"}',
            url: hostUrl + "GetCustomerList",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                var json = JSON.stringify(data);
                json = JSON.parse(json);
                var contStr = "";
                if (json.CustomerList && json.CustomerList.length > 0) {
                    $.each(json.CustomerList, function(index, part) {
                        contStr += '<li class="table-view-cell">';
                        contStr += '     <label>';
                        contStr += '     <div class="radio"><span class="fa fa-circle-o"></span>';
                        if (strLinkManCustomerID == part.CustomerId) {
                            contStr += '     <input type="hidden" checked value="true"/>';
                        }
                        else {
                            contStr += '     <input type="hidden" checked value="false"/>';
                        }
                        contStr += ' </div>';
                        contStr += ' <a href="javascript:;">';
                        contStr += '     <p class="company">' + part.CustomerName + '</p>';
                        contStr += '     <p class="clearfix"><span class="hidden">' + part.CustomerId + '</span><span class="pull-left">' + part.Industry + '</span><span class="pull-right">' + part.ManagerName + '</span></p>';
                        contStr += ' </a>';
                        contStr += ' </label>';
                        contStr + '= </li>';
                    });
                }
                if (strpageNo == 1) {
                    $('.customer ul').html(contStr);
                }
                else {
                    $('.customer ul').append(contStr);
                }
                pageNo++;
                loading = false;
                isEnd = json.CustomerList.length < pageSize;
                radiolist();
            },
            Error: function(err) {
                isEnd = true;
                console.log(err);
            }
        });*/
    }

    //监听事件
    function scrollEvent() {
        if (loading == false) {
            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom = scrollHeight - scrollTop;
            //滚动加载
            if (scrollBottom <= advance && !loading && !isEnd) {
                getmyCustomerData(pageNo, $('.ui-searchbar-input').children().val()); //加载
            } else if (isEnd) {

            }
        }
    }


    $('button').on('click', function() {
        var strLinkManCustomerID = "";
        var strLinkManCustomerName = "";
        $(".customer .table-view li").each(function() {
            if ($(this).find("input").val() == "true") {
                strLinkManCustomerID = $(this).find(".clearfix").find("span").eq(0).text();
                strLinkManCustomerName = $(this).find(".company").text();
            }
        });
        if (strLinkManCustomerID == sessionStorage.HTQLinkManCustomerID) {
            history.go(-1);
        }
        else {
            //联系人所属客户调动
            var strLinkManId = sessionStorage.HTQLinkManId;
            var LinkManInfo = '{"LinkManId":"' + strLinkManId + '","CustomerId":"' + strLinkManCustomerID + '","CustomerName":"' + strLinkManCustomerName + '"}';
            //alert( '{"sign":"' + appSign + '","LinkManInfo":' + LinkManInfo + '}');
            var parameterUrl = mathUrlBefore + 'Crm/MoveLinkMan';
            var parameterData =LinkManInfo;
            var data = GetDataByUrl_Post(parameterUrl, parameterData);
            if (data.success == 1) {
                history.go(-2);
            }
            else {
                toast(data.mes, "", 1500);
            }

            /*$.ajax({
                type: 'post', data: '{"sign":"' + appSign + '","LinkManInfo":' + LinkManInfo + '}',
                url: hostUrl + "MoveLinkMan",
                async: false,
                dataType: "json",
                contentType: "application/json;charset=utf-8",
                success: function(data) {
                    if (data.success == 1) {
                        history.go(-2);
                    }
                    else {
                        toast(data.mes, "", 1500);
                    }
                },
                Error: function(err) {
                    console.log(err);
                }
            });*/
        }
    });

});