define(['mobilekit','datetime', 'area','base64'], function () {
    var clickEventType=((document.ontouchstart!==null)?'click':'tap');
	var customerFlag = getUrlParam('customerFlag');
	var customerName = getUrlParam('customerName');
    var inface = "api/Crm/",
        roleID = getUrlParam("roleID"),
        // customerName = getUrlParam("customerName"),
        userListExist = sessionStorage.getItem("UserListExist"), 
        productListExist = sessionStorage.getItem("ProductListExist"),
        responseUserExist = sessionStorage.getItem("ResponseUserExist"),
        init = {
            /*
                创建页面
            */
            create: function () {
                
                init.createForm(); 
	
                //是否是编辑
                if (roleID != undefined && userListExist != "1" && productListExist != "1"&&responseUserExist!="1") {
                    init.createFormData(roleID);
                    sessionStorage.setItem("SalesChanceEdit", "1");
                }
                //选择带回控件加载缓存
                if (userListExist == "1" || productListExist == "1" || responseUserExist == "1") {
                    init.sessionGet();
                }
                if(customerName!=null){
					$('#customer').val(customerName);
                }
				var iscustomer=getUrlParam("iscustomer");
				if(iscustomer=='true'){//说明是从客户详情转入
					$('#customer').val(sessionStorage.getItem("customerName")); //客户名称
					$('#customer_hide').val(sessionStorage.getItem("customerId")); //客户ID
				}
//				var saas = store.get("saas");
//				$('#responseUser').val(saas.userName);
//				$('#responseUser_hide').val(saas.userId);
                //固定写法，不做任何修改begin
                sessionStorage.removeItem("UserListExist");
                sessionStorage.removeItem("UserListIDS");
                sessionStorage.removeItem("ProductListExist");
                sessionStorage.removeItem("ProductListIDS");
                sessionStorage.removeItem("ResponseUserExist");
                sessionStorage.removeItem("ResponseUserIDS");
                //固定写法，不做任何修改end
            },
            /*
                初始化表单控件
            */
            createForm: function () {
                init.setFormEvent();
                init.createFormSelect("salesLevel", "Getchanceleave");  //机会级别
                console.log(customerFlag);
                //init.createFormDate("startTime");                       //开始时间
                //init.createFormDate("endTime");                         //结束时间
                init.createFormDate("estimatedTime");                   //预计销售时间
                init.matching("estimatedAmount", "Currency");           //预计销售金额匹配货币格式
                var saas = store.get("saas");
                init.createMultiselect("personList", "../common/setUser.html?title=选择人员&deptId="+saas.saasOrgId+"&fromModule=addSalesChance");  //协同人员
                init.createMultiselect("responseUser","../common/singleSetUser.html?title=选择人员&deptId="+saas.saasOrgId);
                init.createMultiselect("productList", "selectProduct.html");    //目标产品
                if(customerFlag!="1"){
                	init.createMultiselect("customer", "selectCustomer.html?title=选择客户&fromModule=addSalesChance");
			    }
                init.createFormSelect("salesSource", "Getchanceroot");  //机会来源
                init.checkFormEleEvent();
                
            },
            /*
                初始化表单事件
            */
            setFormEvent: function () {
                $('.addSalesChance-wrap').on('focus', '.form-group input', function () {
                    $(this).closest('.form-control').addClass('active');
                }).on('blur', '.form-group input', function () {
                    $(this).closest('.form-control').removeClass('active');
                });

                $('.addSalesChance-wrap').on('focus', '.form-group textarea', function () {
                    $(this).closest('.form-control').addClass('active');
                }).on('blur', '.form-group textarea', function () {
                    $(this).closest('.form-control').removeClass('active');
                });

                $('.btn-primary').on('click', function () {
                    init.saveForm();
                })
            },
            /*
                获取表单中选择列表的数据
                @face 接口名称
            */
            getSelectInfo: function (face) {
                var url = inface + face;
                var data = GetDataByUrl_Post(url, '');
                var json = JSON.parse(JSON.stringify(data));
                if(appServer=="jc6"){
                	json=json.List;
                }else{
                	json=json.list;
                }
                return json;
            },
            /*
                创建表单选择列表
                @opt 对象ID
                @face 接口名称
            */
            createFormSelect: function (opt, face) {
                var json = init.getSelectInfo(face);
                if(json.length>0){
                	initTreelistDate(json, $("#" + opt));
                }
                $("#" + opt + "_dummy").attr("placeholder", $("#" + opt + "_dummy_tip").text())
            },
            /*
                创建表单时间选择控件
                @opt 对象ID
            */
            createFormDate: function (opt) {
                $("#"+opt).mobiscroll().date({
                  /*  theme: '',
                    mode: 'scroller',
                    display: 'modal',
                    lang: 'zh',*/
                    dateFormat: 'yy-mm-dd',               //输入框中显示日期格式
                    minDate: new Date(2015, 07, 01),
                    maxDate: new Date(2030, 12, 31)
                });
            },
            /*
                创建多选控件
                @opt 对象ID
                @url 跳转的页面地址
            */
            createMultiselect: function (opt, url) {
                $("#" + opt).on("click", function () {
                    init.sessionSet(opt, url);
                })
            },
            /*
                表单数据缓存
                @opt 对象ID
                @url 跳转的页面地址
            */
            sessionSet: function (opt, url) {
                sessionStorage.setItem("chanceRoleTitle", $("#roleTitle").val());
                sessionStorage.setItem("chanceSalesLevel", $("#salesLevel_dummy").val());
                sessionStorage.setItem("chanceSalesSource", $("#salesSource_dummy").val());
                sessionStorage.setItem("chanceEstimatedTime", $("#estimatedTime").val());
                sessionStorage.setItem("chanceEstimatedAmount", $("#estimatedAmount").val());
                sessionStorage.setItem("content", $("#content").val());
                sessionStorage.setItem("roleID", roleID);
                
                sessionStorage.setItem("inputID", opt);
                sessionStorage.setItem("personListUserIDList", $("#personList_hide").val());
                sessionStorage.setItem("personListUserNameList", $("#personList").val());
                sessionStorage.setItem("productListProductListNames", $("#productList").val());
                sessionStorage.setItem("productListProductListIDs", $("#productList_hide").val());
                sessionStorage.setItem("responseUserUserIDList", $("#responseUser_hide").val());
                sessionStorage.setItem("responseUserUserNameList", $("#responseUser").val());
                sessionStorage.setItem("HTQCustomerNameList", $("#customer").val());
                sessionStorage.setItem("HTQCustomerIdList", $("#customer_hide").val());
                //打开多选页
                //location.href = url;
                switch (opt) {
                    case "personList":
                        sessionStorage.setItem("UserListIDS", $("#" + opt + "_hide").val());
                        commonSelectPerson(0);
                        break;
                    case "productList":
                        sessionStorage.setItem("ProductListIDS", $("#" + opt + "_hide").val());
                        location.href = url;
                        break;
                    case "responseUser":
                        sessionStorage.setItem("ResponseUserIDS", $("#" + opt + "_hide").val());
                        commonSelectPerson(1);
                        break;
                   case "customer":
                        sessionStorage.setItem("CustomerListIDS", $("#" + opt + "_hide").val());
                        location.href = url;
                        break;
                }
            },
            /*
                加载表单缓存数据
            */
            sessionGet: function () {
                if (sessionStorage.getItem("chanceRoleTitle") != null) {
                    $("#roleTitle").val(sessionStorage.getItem("chanceRoleTitle"));
                    sessionStorage.removeItem("chanceRoleTitle");
                }
                 
                if (sessionStorage.getItem("chanceSalesLevel") != null) {
                    $("#salesLevel_dummy").val(sessionStorage.getItem("chanceSalesLevel"));
                    sessionStorage.removeItem("chanceSalesLevel");
                }
                if (sessionStorage.getItem("chanceSalesSource") != null) {
                    $("#salesSource_dummy").val(sessionStorage.getItem("chanceSalesSource"));
                    sessionStorage.removeItem("chanceSalesSource");
                }
                if (sessionStorage.getItem("chanceEstimatedTime") != null) {
                    $("#estimatedTime").val(sessionStorage.getItem("chanceEstimatedTime"));
                    sessionStorage.removeItem("chanceEstimatedTime");
                }
                if (sessionStorage.getItem("chanceEstimatedAmount") != null) {
                    $("#estimatedAmount").val(sessionStorage.getItem("chanceEstimatedAmount"));
                    sessionStorage.removeItem("chanceEstimatedAmount");
                }
                if (sessionStorage.getItem("personListUserIDList") != null) {
                    $("#personList").val(sessionStorage.getItem("personListUserNameList"));
                    $("#personList_hide").val(sessionStorage.getItem("personListUserIDList"));
                    sessionStorage.removeItem("personListUserIDList");
                    sessionStorage.removeItem("personListUserNameList");
                    sessionStorage.removeItem("personListUserPic");
                }
                if (sessionStorage.getItem("productListProductListIDs") != null) {
                    $("#productList").val(sessionStorage.getItem("productListProductListNames"));
                    $("#productList_hide").val(sessionStorage.getItem("productListProductListIDs"));
                    sessionStorage.removeItem("productListProductList");
                    sessionStorage.removeItem("productListProductListIDs");
                    sessionStorage.removeItem("productListProductListNames");
                }
                if (sessionStorage.getItem("responseUserUserIDList") != null) {
                    $("#responseUser").val(sessionStorage.getItem("responseUserUserNameList"));
                    $("#responseUser_hide").val(sessionStorage.getItem("responseUserUserIDList"));
                    sessionStorage.removeItem("responseUserUserIDList");
                    sessionStorage.removeItem("responseUserUserNameList");
                }
                if (sessionStorage.getItem("content") != null) {
                    $("#content").val(sessionStorage.getItem("content"));
                    sessionStorage.removeItem("content");
                }
				if (sessionStorage.getItem("HTQCustomerIdList") != null) {
		            $('#customer_hide').val(sessionStorage.getItem("HTQCustomerIdList"));
		            sessionStorage.removeItem("HTQCustomerIdList");
		        }
		        if (sessionStorage.getItem("HTQCustomerNameList") != null) {
		            $('#customer').val(sessionStorage.getItem("HTQCustomerNameList"));
		            sessionStorage.removeItem("HTQCustomerNameList");
		        }
		         if (sessionStorage.getItem("roleID") != null) {
		            roleID = sessionStorage.getItem("roleID");
		            sessionStorage.removeItem("roleID");
		        }
            },
            /*
                表单数据检查
            */
            checkForm: function () {
                init.checkFormElement("roleTitle");
                init.checkFormElement("salesLevel_dummy");
                init.checkFormElement("salesSource_dummy");
                //init.checkFormElement("startTime");
                //init.checkFormElement("endTime");
                init.checkFormElement("estimatedTime");
                init.checkFormElement("estimatedAmount");
                init.checkFormElement("responseUser");
                init.checkFormElement("productList");
//                var startTime=$("#startTime").val();  
//                var start=new Date(startTime.replace("-", "/").replace("-", "/"));  
//                var endTime=$("#endTime").val();  
//                var end=new Date(endTime.replace("-", "/").replace("-", "/"));  
//                if(end<start){  
//                	$('#et2').addClass('show');
//                    $('#et2').removeClass('hide');
//                    $('#endTime').closest('.form-control').addClass('error');
//                }else{
//                	$('#et2').addClass('hide');
//                    $('#et2').removeClass('show');
//                    $('#endTime').closest('.form-control').removeClass('error');
//                }
                
                var flag = $('.fa-exclamation-circle').hasClass('show');
                if (flag) {
                    return false;
                } else {
                    return true;
                }
            },
            /*
                表单对象失去焦点事件
            */
            checkFormEleEvent: function () {
                init.checkFormEleEventBlur("roleTitle");
                init.checkFormEleEventBlur("salesLevel_dummy");
                init.checkFormEleEventBlur("salesSource_dummy");
                //init.checkFormEleEventBlur("startTime");
                //init.checkFormEleEventBlur("endTime");
                init.checkFormEleEventBlur("estimatedTime");
                init.checkFormEleEventBlur("estimatedAmount");
                init.checkFormEleEventBlur("responseUser");
            },
            /*
                表单对象绑定失去焦点事件
                @opt 对象ID
            */
            checkFormEleEventBlur: function (opt) {
                var _opt = $("#" + opt);
                var _optTip = $("#" + opt + "_tip");
                _opt.on("blur", function () {
                    if (!_opt.val()) {
                        _optTip.addClass("show");
                        _optTip.closest('.form-control').addClass('error');
                    }
                }).on("focus", function () {
                    _optTip.removeClass("show");
                    _optTip.closest('.form-control').removeClass('error');
                })
            },
            /*
                表单对象数据检查
                @opt 对象ID
            */
            checkFormElement: function (opt) {
                var _opt = $("#" + opt);
                var _optTip = $("#" + opt + "_tip");
                if (!_opt.val()) {
                    _optTip.addClass("show");
                    _optTip.closest('.form-control').addClass('error');
                } else {
                    _optTip.removeClass("show");
                    _optTip.closest('.form-control').removeClass('error');
                }
            },
            /*
                匹配
                @opt 对象ID
                @format 匹配规则
            */
            matching: function (opt,formart) {
                var _opt = $("#" + opt);
                var _optTip = $("#" + opt + "_tip");
                switch (formart) {
                    case "Currency": //货币格式
                        _opt.on("input", function () {
                            var val = $(this).val();
                            if (!init.matchingCurrency(val)) {
                                _optTip.addClass("show");
                                _optTip.parent().addClass("error")
                            } else {
                                _optTip.removeClass("show");
                                _optTip.parent().removeClass("error")
                            }
                        })
                        break;
                }     
            },
            /*
                数字匹配,允许输入最多两位小数
                @val 值
            */
            matchingCurrency: function (val) {
                //var reg = new RegExp(/^[0-9]+.?[0-9]*$/);
                var reg = new RegExp(/^(?!0+(?:\.0+)?$)(?:[1-9]\d*|0)(?:\.\d{1,2})?$/);
                if (!reg.test(val)) {
                    return false;
                } else {
                    return true;
                }
            },
            
            /*
                保存表单
            */
            saveForm: function () {
        		if(saveflag==0){
        			saveflag=1;
        			 if (init.checkForm()) {
                         var _btnsave = $('.btn-primary');
                         _btnsave.text("提交中...");
                         var data = {
                             roleID: roleID ,
                             //begintime: $("#startTime").val(),               //开始时间
                            // endtime: $("#endTime").val(),                   //结束时间
                             opp_Source: getTreelistId("salesSource")[0],    //机会来源
                             txt_oppTime: $("#estimatedTime").val(),         //预计销售时间
                             txt_oppMoney: $("#estimatedAmount").val(),      //预计销售金额
                             hid_RoleShare: $("#personList_hide").val(),     //协同人员
                             hid_CustID: $("#customer_hide").val(),      //客户ID
                             roleTitle: $("#roleTitle").val(),               //机会标题
                             roleLevel: getTreelistId("salesLevel")[0],      //机会级别
                             roleContent: $("#content").val(),               //机会内容
                             responseUserId: $("#responseUser_hide").val(),  //责任人
                             hidProduct: $("#productList_hide").val()         //目标产品
                         };
                         var url = inface + "SubMitChance";
                         var json = GetDataByUrl_Post(url, JSON.stringify(data));
                         json = JSON.parse(JSON.stringify(json));
                         
                         if (json.success == "1") {
                        	 var openType=getUrlParam("openType");
                         	 if(openType=="1"){
	                        	 var param={
	                        			 cueId:sessionStorage.getItem("businessId"),
	                        			 result:sessionStorage.getItem("result"),
	                        			 instructions:sessionStorage.getItem("instructions"),
	                        			 status:sessionStorage.getItem("status")
	                        	 };
	                        	 sessionStorage.removeItem("businessId");
	                         	 sessionStorage.removeItem("result");
	                         	 sessionStorage.removeItem("instructions");
	                         	 sessionStorage.removeItem("status");
	                        	 var data = GetDataByUrl_Post("api/Crm/Clue/EditClues", JSON.stringify(param));
			     				if (data.success == "1") {
			     					sessionStorage.removeItem("SalesChanceEdit");
                                    // window.location.href = "salesChance.html?title=销售机会";
		                            window.location.href = "salesChance.html?title=销售机会&iscustomer=true&customerName=" + $("#customer").val();
			     				}else{
			     					toast("线索办理失败！","",1500);
			     				}
                         	 }else{
                                // window.location.href="salesChance.html?title=销售机会"; $("#customer").val(json.customer)
                         		window.location.href="salesChance.html?title=销售机会&iscustomer=true&customerName=" + $("#customer").val();
                         	 }
                             
                         } else {
                             _btnsave.text("提交")
                             toast("提交失败！", "", 1500);
                         } 
                     }
        		}
            },
            /*
                编辑创建表单内容
            */
            createFormData: function (roleID) {
                var json = init.getSalesChanceInfo(roleID);
                if (json.success == "1") {
                    init.setFormData(json);
                }
            },
            /*
                合并值
                @json 列表数据
                @name 属性
            */
            combinedValue: function (json, name) {
                var str = "";
                if (json.length > 0) {
                    for (var i = 0; i < json.length; i++) {
                        var g = ",";
                        if (i == 0) g = "";
                        str += g + json[i][name];
                    }
                }

                return str;
            },
            /*
                获取销售机会详情信息
                @roleID 销售机会ID
            */
            getSalesChanceInfo: function (roleID) {
                var url = inface + "GetSalesChanceInfo";
                var data = GetDataByUrl_Post(url, roleID);
                var json = JSON.parse(JSON.stringify(data));
                return json;
            },
            /*
                加载表单数据
            */
            setFormData: function (json) {
                if (json.roleTitle != null) $("#roleTitle").val(json.roleTitle);
                if (json.customerId != null) $("#customer_hide").val(json.customerId);
                if (json.customer != null) $("#customer").val(json.customer);
                if (json.salesLevel != null) $("#salesLevel_dummy").val(json.salesLevel);   
                if (json.salesSource != null) $("#salesSource_dummy").val(json.salesSource);
                //if (json.startTime != null) $("#startTime").val(json.startTime);
                //if (json.endTime != null) $("#endTime").val(json.endTime);
                if (json.estimatedTime != null) $("#estimatedTime").val(json.estimatedTime);     
                if (json.estimatedAmount != null) $("#estimatedAmount").val(parseFloat(json.estimatedAmount).toFixed(2));
                if (json.content != null) $("#content").val(json.content);
                
            
                if (json.personList!= null && json.personList.length > 0) {
                    $("#personList").val(json.personList/*init.combinedValue(json.personList,"userName")*/);
                    $("#personList_hide").val(json.personidList/*init.combinedValue(json.personList, "userID")*/);
                }
                if (json.productList!= null && json.productList.length > 0) {
                    $("#productList").val(json.productList/*init.combinedValue(json.productList, "productName")*/);
                    $("#productList_hide").val(json.productidList/*init.combinedValue(json.productList, "productID")*/);
                }
				if (json.responseUserId!= null) {
                    $("#responseUser").val(json.responseUserName);
                    $("#responseUser_hide").val(json.responseUserId);
                }
            }
        }

    $(function () { 
    	init.create();init.sessionGet();
    })
	/**
    * 选择客户触发事件
    */

});
var saveflag=0;