define(['mobilekit'], function() {
    var mathUrlBefore="api/";//wangyl 添加：调用接口传参的公共值

    var pubactual = "";
    var pubplan = "";
    init();
    require(['echarts'], function(echarts) {
        echartsForm(pubactual, pubplan);
        function echartsForm(actual, plan) {
            var myChart = echarts.init(document.getElementById('main'));
            if (actual > plan) plan = actual;
            var option = {
                series: [
                {
                    name: 'GRM',
                    type: 'pie',
                    radius: '55%',
                    center: ['50%', '60%'],
                    itemStyle: {
                        normal: {
                            label: {
                                show: false
                            },
                            labelLine: {
                                show: false
                            }
                        }
                    },
                    calculable: true,
                    data: [
                        {
                            value: actual,
                            name: '本月销售',
                            itemStyle: {
                                normal: {
                                    color: 'rgba(135,206,250,1)'
                                }
                            }
                        },
                        {
                            value: plan - actual,
                            name: '本月计划',
                            itemStyle: {
                                normal: {
                                    color: 'rgb(255,255,255)'
                                }
                            }
                        }
                    ]
                }
            ]
            };
            myChart.setOption(option);
        }
    })
    function init() {

        var strIsRole = "";
        var parameterUrl = mathUrlBefore + 'Crm/GetUserCrmRole';
        var parameterData =appUserId;
        var data = GetDataByUrl_Post(parameterUrl, JSON.stringify(parameterData));
        if (data.success == 1) {
            strIsRole = data.crmRole;
        }
        else {
            toast(data.mes, "", 1500);
            return false;
        }

        /*$.ajax({
            type: 'post',
            data: '{"sign":"' + appSign + '","strUserId":"' + appUserId + '"}',
            url: hostUrl + "GetUserCrmRole",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                if (data.success == 1) {
                    strIsRole = data.CrmRole;
                }
                else {
                    toast(data.mes, "", 1500);
                    return false;
                }
            },
            Error: function(err) {
                console.log(err);
            }
        });*/

        if (strIsRole == "1") {
            $('.page').removeClass('hide');
            $('.ui-notice').removeClass('hide').addClass('hide');

        }
        else {
            $('.page').removeClass('hide').addClass('hide');
            $('.ui-notice').removeClass('hide');
            return false;
        }

        var strsale = 0;
        var strplan = 0;
        var strback = 0;
        var strPercent = 0;

        parameterUrl = mathUrlBefore + 'Crm/GetCrmInfo';
        parameterData ='';
        data = GetDataByUrl_Post(parameterUrl, parameterData);
       // alert(JSON.stringify(data));
        if (data.success == 1) {
            if (data.sales == "") {
                strsale = 0;
            }
            else {
                strsale = parseFloat(data.sales);
            }
            if (data.expectMoney == "") {
                strplan = 0;
            }
            else {
                strplan = parseFloat(data.expectMoney);
            }
            if (data.backMoney == "") {
                strback = 0;
            }
            else {
                strback = parseFloat(data.backMoney);
            }
            if (strplan == 0) {
                //strPercent=data.Sales+"万";
                strPercent = strsale.toFixed(2);
                $('.noData').removeClass('hide');
            }
            else {
                $('.noData').addClass('hide');
                strPercent = strsale / strplan * 100;
                strPercent = strPercent.toFixed(2);
                strPercent = strPercent + '%';
            }
        }
        else {
            $('.noData').removeClass('hide');
            strsale = 0;
            strplan = 0;
            strback = 0;
            strPercent = 0;
        }

        /*$.ajax({ type: 'post', data: '{"sign":"' + appSign + '"}',
            url: hostUrl + "GetCrmInfo",
            processData: true,
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                if (data.success == 1) {
                    if (data.Sales == "") {
                        strsale = 0;
                    }
                    else {
                        strsale = parseFloat(data.Sales);
                    }
                    if (data.ExpectMoney == "") {
                        strplan = 0;
                    }
                    else {
                        strplan = parseFloat(data.ExpectMoney);
                    }
                    if (data.BackMoney == "") {
                        strback = 0;
                    }
                    else {
                        strback = parseFloat(data.BackMoney);
                    }
                    if (strplan == 0) {
                        //strPercent=data.Sales+"万";
                        strPercent = strsale.toFixed(2);
                        $('.noData').removeClass('hide');
                    }
                    else {
                        $('.noData').addClass('hide');
                        strPercent = strsale / strplan * 100;
                        strPercent = strPercent.toFixed(2);
                        strPercent = strPercent + '%';
                    }
                }
                else {
                    $('.noData').removeClass('hide');
                    strsale = 0;
                    strplan = 0;
                    strback = 0;
                    strPercent = 0;
                }
            },
            Error: function(err) {
                console.log(err);
            }
        });*/

        $('.proprotion-text').find('span').text(strPercent);
        // $('.sale').text(strsale+'万');
        // $('.plan').text(strplan+'万');
        // $('.back').text(strback+'万');
        pubactual = strsale;
        pubplan = strplan;
        $('.sale').text(strsale.toFixed(2));
        $('.plan').text(strplan.toFixed(2));
        $('.back').text(strback.toFixed(2));
    }
});