define(['mobilekit','calendar','swiper','base64'],function() {
    var moduleId='api/Diary/';
    //显示日历
    /*$('#today').on('click',function(){
     $('.calendar-context').removeClass('hide');
     $('.textarea').hide();
     });*/
    //初始化日历
    calendar.initCalendar();
    /*var browser={
        versions:function(){
            var u = navigator.userAgent, app = navigator.appVersion;
            return {         //移动终端浏览器版本信息
                iPhone: u.indexOf('iPhone') > -1 , //是否为iPhone或者QQHD浏览器
                iPad: u.indexOf('iPad') > -1, //是否iPad
            };
        }(),
        language:(navigator.browserLanguage || navigator.language).toLowerCase()
    }
    if(browser.versions.iPhone || browser.versions.iPad){
        $('.bar-tab').css({bottom:50+'px'});
        $('.audio').css({bottom: 100+'px'});
    }
    $(document).on('click', '.list', function () {
        $('.calendar-context').addClass('hide');
        $('.textarea').show();
    }); */
    //底部导航
    $('.addMoreBtn').on('click', function () {
        if ($(this).hasClass('on')) {
            $(this).removeClass('on');
            $(this).find('.addMore').hide();
        } else {
            $(this).addClass('on').siblings().removeClass('on');
            $('.addMore').each(function () {
                $(this).hide();
            });
            $(this).find('.addMore').show();
        }
    });
    $('.content').on('click', function () {
        $('.addMore').hide();
        $('.addMoreBtn').removeClass('on');
    });
    $('.writeDiary').on('focus', function () {
        var today = $('.date').html();
        if (today != undefined && today != '') {
            var date = today.split("年")[0] + '-' + today.split("年")[1].split("月")[0] + '-' + today.split("年")[1].split("月")[1].split("日")[0];
            var cdate = new Date();
            var nowDate = cdate.getFullYear() + '-' + (cdate.getMonth() + 1) + '-' + cdate.getDate();
            if (Date.parse(date.replace(/-/g, "/")) > Date.parse(nowDate.replace(/-/g, "/"))) {
                $('#today').text(cdate.getFullYear() + '年' + (cdate.getMonth() + 1) + '月' + cdate.getDate() + '日');
                toast("只能填写今天或者今天以前的日志!", "", 1500);
            }
        }
    });
    //保存按钮
    $('.saveDiary').on('click', function () {
        var today = $('.date').html();
        var date = today.split("年")[0] + '-' + today.split("年")[1].split("月")[0] + '-' + today.split("年")[1].split("月")[1].split("日")[0];
        var reg=new RegExp("\n","g");
        var diaryContent="";

        var ret=true;

        if($("#divTemplate").find('textarea[class="writeDiary"]').length>0)
        {
            $("#divTemplate").find('textarea[class="writeDiary"]').each(function () {
                var inputs=$(this).attr("inputs");
                var checkTip=$(this).attr("checkTip");
                var content=$(this).val().replace(reg, "\\r\\n");
                var templateTitle= $(this).attr("templateTitle");
                if(inputs==1)
                {
                    if(content=="")
                    {
                        toast("请填写"+checkTip+"!", "", 1500);
                        ret=false;
                    }

                }
                if(content.indexOf('$#$')>-1)
                {
                    toast("不能包含特殊字符$#$", "", 1500);
                    ret=false;
                }
                var contentLen=notifyTextLength(content);
                if(contentLen>4000){
                	toast(checkTip+"日记内容过长,最长输入4000位字符，当前输入"+contentLen+"位字符。", "", 1500);
                    ret=false;
                }
                diaryContent+=content+"#&&#";
            });
           // diaryContent=diaryContent.substring(0,diaryContent.length);
        }
        else
        {
            diaryContent = $('.writeDiary').val().replace(reg, "\\r\\n"); ;
        }
        if($.trim(diaryContent)==""){
       	 toast("您还没有输入日志信息。", "", 1500);
       	ret=false;
       }
        var contentLen=notifyTextLength(diaryContent);
        if(contentLen>4000){
        	toast("日记内容过长,最长输入4000位字符，当前输入"+contentLen+"位字符。", "", 1500);
            ret=false;
        }
        if(!ret)
        {
            return false;
        }
        
        var url= moduleId+"SaveDiary";
        var reg1=new RegExp("\"","g");
        diaryContent=diaryContent.replace(reg1,"\\\"");
        
        var strDiaryID="";
        if($("#strDiaryID")!=undefined){
        	strDiaryID=$("#strDiaryID").val();
        }
        
        var strDiaryContentId="";
        if($("#strDiaryContentId")!=undefined){
        	strDiaryContentId=$("#strDiaryContentId").val();
        }
        var param = '{"strDiaryContent":"' + diaryContent + '","strDiaryTime":"' + date + '","files":' + uploadobj.getfiles() +',"strDiaryID":"' + strDiaryID+'","strDiaryContentId":"' + strDiaryContentId +'"}';

        var data=GetDataByUrl_Post(url,param);
        var json = JSON.stringify(data);
        json = JSON.parse(json);

        if (json.success == "1") {
            if (appType == "weixin") {
                //微信保存附件
                uploadobj.wxuploadImgVoi(json.mes, "myDiary.html?title=我的日志", "newdiary");

            }
            else {
                location.href = "myDiary.html?title=我的日志";
            }
        }
        else {
            toast("操作失败！", "", 1500);
            return false;
        }

        /*$.ajax({
            type: 'post',
            data: '{"sign":"' + appSign + '","diaryInfo":{"strDiaryContent":"' + diaryContent + '","strDiaryTime":"' + date + '","files":' + files + '}}',
            async: false,
            url: hostUrl + "SaveDiary",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                var json = JSON.stringify(data);
                //alert(json);
                json = JSON.parse(json);

                if (json.success == "1") {
                    location.href = "myDiary.html?title=我的日志";
                }
                else {
                    toast("操作失败！", "", 1500);
                    return false;
                }

            },
            Error: function (err) {
                console.log(err);
            }
        }); */
    });

    /**
     *获取字符串字节数
     */
    function notifyTextLength(str) {
        return inputNum = str.replace(/[^\x00-\xff]/g, "***").length; //得到输入的字节数
        //var  matchWords = str.length;
        //var a="当前已经输入"+ inputNum + "字节," + matchWords + "字符，还可输入"+(200 - inputNum) + "字母,"+(Math.round(((200-inputNum)/2)-0.5))+"汉字";
    }
    
    //绑定日记内容
    function InitData() {
        var did = sessionStorage.diaryId;
        var type = "1";// 0:我的日记 1：全部日记 2：未阅日记 3：关注日记 4:收藏日记
        var pageno = 1;
        var count = 20;
        var cdate = new Date();
        var nowDate = cdate.getFullYear() + '-' + (cdate.getMonth() + 1) + '-' + cdate.getDate();

        var url= moduleId+"GetDiaryList";
        var param={type:type,key:"",pageCount:""+count+"",pageNo:""+pageno+"",diaryId:""+did+"",startTime:"",endTime:"",deptList:"",content:"",userList:""};
        var data=GetDataByUrl_Post(url,JSON.stringify(param));
        
        var json = data["list"];
        json= JSON.parse(json);
        
        var contStr = "";
        var preDiaryTime = "";
        if (json.length > 0) {
        	for(var a=0;a<json.length;a++){
        		var part=json[a];
        		var  diaryContent= part["strDiaryContent"];
        		var diaryTemplateID=data["DiaryTemplateID"];
    	        var templateItemName=data["TemplateItemName"];
    	        var templateItemIsInput=data["TemplateItemIsInput"];
    	        
    	        var diaryTemplateID=diaryTemplateID.split("$#$");
                var templateItemName=templateItemName.split("$#$");
                var templateItemIsInput=templateItemIsInput.split("$#$");
               
                var contents="";
                contents=diaryContent.split("$#$"); 
                if(diaryTemplateID.length>0){	
                    var checkTip='';
                    var templateTitle='';
                    var inputs=0;
                    	var templateTitle='';var content="";var conStr="";
                		for(i=0;i<diaryTemplateID.length;i++){
                			if(i<contents.length){
                				content=contents[i].substring(contents[i].indexOf(":")+1,contents[i].length);
                			}else{
                				content="";
                			}
                			content=content.replace('&nbsp;'," ").replace(/#QQQ#/g," ");
                			
                			conStr+='<div class="textarea">';
                            if(templateItemIsInput[i]==1){
                            	 templateTitle=templateItemName[i]+'(必填)';
                            }else{
                            	 templateTitle=templateItemName[i];
                            }
                            conStr+=templateTitle;
                            conStr+='<textarea placeholder="在这里输入..." class="writeDiary" inputs="'+templateItemIsInput[i]+'" checkTip="'+templateItemName[i]+'" templateTitle="'+templateTitle+'" value="'+content+'">'+content+'</textarea>';
                            conStr+='</div>';
                            conStr+='<hr size=1 style="color: blue;border-style:dotted;width:100%;color:#CCC">';
                           
                        }
                    $('#divTemplate').html(conStr);
                } else{
                    $("#divContent").removeClass("hide");
                    diaryContent=diaryContent.replace('&nbsp;'," ");
                    var templateTitle='';
                    if(templateItemIsInput[0]==1){
                   	 templateTitle=templateItemName[0]+'(必填)';
                   }else{
                   	 templateTitle=templateItemName[0];
                   }
                    $("#divTemplate").html(templateTitle);
                   
                    $("#divContent").removeClass("hide");
                    $(".writeDiary").val(diaryContent);
                };
                var str="<input type='hidden' id='strDiaryID' value='"+data["strDiaryID"]+"' />"+
                "<input type='hidden' id='strDiaryContentId' value='"+data["strDiaryContentId"]+"' />"; 
                $("#divTemplate").append(str);
                
                loadAttAddToHTML(part["strFiles"]);
                /*微信附件获取
                if (appType == "weixin") {
                    if (typeof part["strDiaryId"] != undefined && typeof part["strDiaryId"] != 'undefined') {

                        var wxdata = uploadobj.wxgetfiles(part["strDiaryId"], "newdiary");
                        if (wxdata != '') {
                            var wximghtml = "";
                            var wxvoihtml = "";
                            for(var c=0;c<wxdata.length;c++){
                              var par=wxdata[c];
                            $.each(wxdata, function (ind, par) {
                                //alert(ind);
                                //alert(par.serviceid);
                                if (par["filetype"].indexOf('wx_image') >= 0) {
                                    var src = baseurl + 'wximages/' + par["serviceid"] + '.jpeg';
                                    wximghtml += "<img isnew='no'  style='width:70px;height:70px;' src='" + src + "' name='" + par["serviceid"] + "'  />&nbsp;";
                                }

                                if (par["filetype"].indexOf('wx_voice') >= 0) {
                                    var filename = par["serviceid"].substring(0, 20) + '.mp3';
                                    wxvoihtml += '<a isnew=\"no\" style=\"border:solid 1px blue;color:blue\" href=\"###\" title=\"' + par["serviceid"] + '\" name=\"' + par["serviceid"] + '\">' + filename + '</a>&nbsp;<span style=\"color:gray\">删除</span><br /><br />';
                                }

                            });
                            }
                            $('.wxVoi').html(wxvoihtml);
                            $('.wxImg').html(wximghtml);
                        }

                    }
                }
                微信附件获取*/
        	}
        }else{
        	if(pageno==0){
				toast("日记内容为空！");
			}
        }
    }



    InitData();



    var maxImg=5;  //图像最大上传张数
    var maxVoice=5; //语音最大上传条数
    var curImg=0;   //当前已上传图像张数
    var curVoice=0;  //当前已上传语音条数
    var canUploadImg=0;  //还可以上传的图像张数
    var canUploadVoice=0;  //还可以上传的语音条数
    //添加按钮处理
    $('#addMore a').each(function(){

        //alert(canUploadImg);

        $(this).unbind('click');
        $(this).bind('click',function(){
            curImg = uploadobj.imgcount();
            curVoice = uploadobj.voicount();
            canUploadImg=maxImg-curImg;
            canUploadVoice=maxVoice-curVoice;

            if($(this).attr('id')=='linkPic')//图库上传
            {
                if(canUploadImg<=0)
                {
                    toast("图片已到最大张数！","",1500);
                    return false;
                }
                else
                {
                    //var args="{\"businessJson\":\"{\\\"maxSelectNum\\\":"+canUploadImg+",\\\"isSuppoerDelete\\\":false}\",\"businessType\":1}";
                    //window.location.href = "jhoabrowser://selectImgFuction?args=" + $.base64.encode(args) + "&tag=" + $.base64.encode("1");
                    uploadobj.uploadimg(canUploadImg, 1, "{\"tag\":\"newDiary\"}");
                }

            }
            if($(this).attr('id')=='linkCamera')//拍照上传
            {
                if(canUploadImg<=0)
                {
                    toast("图片已到最大张数！","",1500);
                    return false;
                }
                else
                {
                    //var args = "{\"businessJson\":\"{\\\"maxSelectNum\\\":" + canUploadImg + ",\\\"isSuppoerDelete\\\":false}\",\"businessType\":0}";
                    //window.location.href = "jhoabrowser://selectImgFuction?args=" + $.base64.encode(args) + "&tag=" + $.base64.encode("1");
                    uploadobj.uploadimg(canUploadImg, 0, "{\"tag\":\"newDiary\"}");
                }
            }
            if($(this).attr('id')=='linkFile') //附件
            {
                //window.location.href="jhoabrowser://selectImgFuction?args={\"businessJson\":\"{\\\"maxSelectNum\\\":5,\\\"isSuppoerDelete\\\":false}\",\"businessType\":0}&tag=1";
            }
            if($(this).attr('id')=='linkVol') //音频
            {
                if(canUploadVoice<=0)
                {
                    toast("已经达到最大数量！","",1500);
                    return false;
                }
                else
                {
                    //var args="{\"businessJson\":\"{\\\"maxLength\\\":300000,\\\"minLength\\\":1000}\",\"businessType\":1}";
                    //window.location.href = "jhoabrowser://audioFunction?args="+ $.base64.encode(args)+"&tag="+$.base64.encode("1");
                    uploadobj.uploadvoi(300000, 1000, 1, "{\"tag\":\"newDiary\"}");
                }

            }
        });
    });

    

    


    
    //是否显示菜单
    IsShowBtn();
    function IsShowBtn()
    {
        var url= moduleId+"GetDiaryRole";
        var param="";
        var data=GetDataByUrl_Post(url,param);
        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);

        if(json.success=="1")
        {
            if(json.role=="0")
            {
                $('#allDiary').hide();
                $('#noReadDiary').hide();
                $('#attentionDiary').hide();
                $('#collectDiary').hide();
            }
        }
        else
        {
            toast("操作失败！","",1500);
            return false;
        }
        /*$.ajax({ type: 'post',data: '{"sign":"'+appSign+'"}',
            async: false,
            url: hostUrl + "GetDiaryRole",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                var json = JSON.stringify(data);
                //alert(json);
                json = JSON.parse(json);

                if(json.success=="1")
                {
                    if(json.role=="0")
                    {
                        $('#allDiary').hide();
                        $('#noReadDiary').hide();
                        $('#attentionDiary').hide();
                        $('#collectDiary').hide();
                    }
                }
                else
                {
                    toast("操作失败！","",1500);
                    return false;
                }

            },
            Error: function(err) {
                console.log(err);
            }
        }); */
    }

    //图片放大及删除
    $('.upload-pic').on('click', 'div', function () {
        var index = $(this).index();
        $('.photo-big').removeClass('hide');
        mySwiper.update();
        mySwiper.slideTo(index);
        sessionStorage.setItem("img", index);
    }).on('longTap', 'div', function () {
        var index = $(this).index();
        sessionStorage.setItem("img", index);
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
    });


    $(document).on('click', '.cancel', function () {
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
    });
    $(document).on('click', '.deleteImg', function () {
        //大图删除当前图片
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
        $('#bigImg .swiper-slide').each(function (index) {

            if ($(this).attr("class") == "swiper-slide swiper-slide-active") {
                sessionStorage.setItem("img", index);
            }
        });

    });

    var mySwiper = new Swiper('.swiper-container', {
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
    //播放音乐
    $(document).on('tap', '.playMP3', function () {
        $('.audio').removeClass('hide');
        var $ul = $(this).find('span[class="hidden"]').attr('url');

        var mname = $(this).find('span[class="hidden"]').prev().html();

        if ($ul) {
            if ($ul.lastIndexOf(".mp3") < 0&&appType != "weixin"&&appType != "ding") {
                $ul = $ul + '.mp3';
            }
            $('#audio').attr('src', $ul);
            $('#MusicName').html(mname);
        }
        $('.u-my-diary').addClass('fix-bottom');
        audio.play();
    });
    $(document).on('tap', '.audio .btn', function () {
        $(this).parent().addClass('hide');

        $('.u-my-diary').removeClass('fix-bottom');
        audio.pause();
    });
    var audio = document.getElementById("audio");
    $(document).on('tap', '.file-type', function () {
        if (audio.paused) {
            audio.play();
            return false;
        } else {
            audio.pause();
        }
    });
    //删除 rar mp3
    $(document).on('tap', '.icon-close', function () {
        /* $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除'+$(this).parent().find('.name').text()+' 吗?');
        }).on('longTap',function(){
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除'+$(this).find('.name').text()+' 吗?');;*/
        $('.icon-close').each(function (index) {
            $(this).unbind('click');
            $(this).bind('click', function () {
                sessionStorage.setItem('voice', index);
                $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
                $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除' + $(this).parent().find('.name').text() + ' 吗?');
            }).on('longTap', function () {
                sessionStorage.setItem('voice', index);
                $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
                $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除' + $(this).find('.name').text() + ' 吗?');
            });
        });
    })
    $('#back').on('click', function () {
        if (appType == "weixin" || appType == "ding") { uploadobj.stopvoi(); }
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
    });




    //长按后的删除
    $(document).on('click', '#deleted', function () {
        //alert('删除当前图片11111');
        //清除语音元素

        if (appType == "weixin" || appType == "ding") {
            uploadobj.commitvoi(); $('.ui-actionsheet-wrap').eq(0).addClass('hide'); return false;
        }

        if (sessionStorage.getItem('voice') != null) {
            var item = -1;
            $('.icon-close').each(function (index) {
                item = sessionStorage.getItem('voice');

                if (item == index) {
                    $(this).parent().remove();
                    $(this).remove();
                    sessionStorage.removeItem('voice');
                }
                if ($('#divVoice').html() == "") {
                    $('#divVoice').hide();
                }
            });
        }
        else {
            var item = -1;
            $('.upload-pic img').each(function (index) {
                item = sessionStorage.getItem('img');

                if (item == index) {
                    //alert(item);
                    $(this).parent().remove();
                    $(this).remove();
                    $('#bigImg .swiper-slide img').eq(index).parent().remove();
                    sessionStorage.removeItem('img');
                }
                if ($('.upload-pic').html() == "") {
                    $('.upload-pic').hide();
                }
            });
        }
        //图片缓存
        store.set("ImageCache", $('.upload-pic').html());
        store.set("BigImageCache", $('#bigImg').html());
        //语音缓存
        store.set("VoiceCache", $('#divVoice').html());
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
    });
});