define(['calendar', 'swiper', 'datetime', 'base64'], function() {
    var moduleId = 'api/Diary/';
    store.remove("ImageCache");
    store.remove("BigImageCache");
    store.remove("VoiceCache");

    ////上传图片
    //$('.upload .imgFunc').click(function () {
    //    $('.upload .upload-img').click();
    //});
    
    //显示日历
    var date = new Date();
    $('#todayDate').text(date.getFullYear() + '年' + (date.getMonth() + 1) + '月' + date.getDate() + '日');
    $('#todayDate').on('click', function() {
		var temp = $('.calendar').hasClass('hide');
    	if (temp) { 
    		$('.calendar').removeClass('hide');
    	}else{
    		$('.calendar').addClass('hide');
    	}
    });
    //初始化日历
    calendar.initCalendar('',bindSwiper);
    function bindSwiper(){
    	var date = $('#today').html();
        var year,mon,day;
        if(date){
            year = date.split('年')[0];
            var n=date.split('年')[1].indexOf('月');
            mon = date.split('年')[1].slice(0,n);
            day = date.split('月')[1].slice(0,date.split('月')[1].length-1);
            $('#today').html(year + '年' + mon + '月' + day + '日');
            $('#todayDate').html($('#today').html());
            calendar.updateCalendar(year, mon, day);
            if($('.calendar').next().is('.textarea')){
                $('.calendar').addClass('hide');
                $('.textarea').show();
            }
            //$('.calendar').addClass('hide');
            InitData();
        }
    }
    //获取今天的日期
    $('.calendar-title').on('click','.today',function(){
    	calendar.initCalendar();
        var todDate = new Date();
        var todN =todDate.getFullYear();
        var todY= todDate.getMonth()+1;
        var todD= todDate.getDate();
        $('.calendar').addClass('hide');
        $('#todayDate').text(todN + '年' + todY+ '月' + todD + '日');
        InitData();
        
    });
  

    /**
    * 初始化日历
    */
    $('#today-input').mobiscroll().date({
      /*  theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
        minDate: new Date(1900, 1, 31),
        maxDate: new Date(2030, 12, 31),
        stepMinute: 5
    });
    $('#today').on('click', function() {
        $('#today-input').click();
    });
    $('#today-input').on('change', function() {
        var date = $(this).val();
        var year, mon, day;

        if (date) {
            if(date.indexOf('-')>-1)
            {
                year = date.split('-')[0];
                mon = date.split('-')[1];
                day = date.split('-')[2];
            }
            else
            {
                year = date.split('/')[0];
                mon = date.split('/')[1];
                day = date.split('/')[2];
            }

            if (mon.substr(0, 1) == 0) {
                mon = mon.substr(1, 1);
            }
            if (day.substr(0, 1) == 0) {
                day = day.substr(1, 1);
            }
            $('#today').text(year + '年' + mon + '月' + day + '日');
            $('#todayDate').text($('#today').text());
            calendar.updateCalendar(year, mon, day);


            if($('.calendar').next().is('.textarea')){
                $('.calendar').addClass('hide');
                $('.textarea').show();
            }
        }
        $('.calendar').addClass('hide');
        InitData();
    });
    InitData();

var diaryTemplateIDs="";
    function InitData() {
        var cdate = $('#today').html();
        var year = cdate.split('年')[0];
        var n=cdate.split('年')[1].indexOf('月');
        var mon = cdate.split('年')[1].slice(0,n);
        var day = cdate.split('月')[1].slice(0,cdate.split('月')[1].length-1);
        var nowDate = year + '-' + mon + '-' + day;
        var url = moduleId + "GetDiaryInfo";
        var param = { diaryTime: nowDate, diaryId: "" };
        var data = GetDataByUrl_Post(url, JSON.stringify(param));
        var json = JSON.stringify(data);

        json = JSON.parse(json);

        if (json.success == "1") {
        	var part = json;
	        var diaryContent= part.strDiaryContent;
	        var diaryTemplateID=part.DiaryTemplateID;
	        var templateItemName=part.TemplateItemName;
	        var templateItemIsInput=part.TemplateItemIsInput;
	        if(diaryTemplateID!=undefined&&diaryTemplateID!="undefined"){
	        	diaryTemplateID=diaryTemplateID.split("$#$");
	        }
	        if(templateItemName!=undefined&&templateItemName!="undefined"){
	        	templateItemName = templateItemName.split("$#$");
	        }
	        if(templateItemIsInput!=undefined&&templateItemIsInput!="undefined"){
	        	templateItemIsInput=templateItemIsInput.split("$#$");
	        }
            var conStr = "";
            if (json.mes == "old") {
                //日记内容
                if(diaryContent.indexOf("$#$")>-1){
                    var contents=diaryContent.split("$#$");
                    var checkTip='';
                    var inputs=0;
                    var arr=[];
                    var url = moduleId + "GetDiaryTemplate";
                    var param = { diaryTime: nowDate,diaryId:''};
                    var data = GetDataByUrl_Post(url, JSON.stringify(param));
                    if(appServer=="c6"){
                    	diaryTemplateID=data["diaryTemplateID"];
           	            templateItemName=data["templateItemName"];
           	            templateItemIsInput=data["templateItemIsInput"];
	           	        if(diaryTemplateID!=undefined&&diaryTemplateID!="undefined"){
	         	        	diaryTemplateID=diaryTemplateID.split("$#$");
	         	        }
	         	        if(templateItemIsInput!=undefined&&templateItemIsInput!="undefined"){
	         	        	templateItemIsInput=templateItemIsInput.split("$#$");
	         	        }
	         	        if(templateItemName!=undefined&&templateItemName!="undefined"){
	         	        	templateItemName=templateItemName.split("$#$");
	         	        }
                    }
                    if(diaryTemplateID.length>0){
                    	var templateTitle='';
                    	var content='';
                		for(i=0;i<diaryTemplateID.length;i++){
                			if(i<contents.length){
                				content=contents[i];
                			}else{
                				content='';
                			}
                			conStr+='<div class="textarea">';
                            if(templateItemIsInput[i]==1){
                            	 templateTitle=templateItemName[i]+'(必填)';
                            }else{
                            	 templateTitle=templateItemName[i];
                            }
                            conStr+=templateTitle;
                            conStr+='<textarea  placeholder="在这里输入..." class="writeDiary" inputs="'+templateItemIsInput[i]+'" checkTip="'+templateItemName[i]+'" templateTitle="'+templateTitle+'" value="'+content+'">'+content+'</textarea>';
//                            arr=content.split(' src="');
//                            if(arr.length>0){
//                            	conStr+='<div class="upload-pic">';
//                            	for(var j=1;j<arr.length;j++){
//                    				var imgSrc=arr[j].slice(0,arr[j].indexOf('attachmentid')-2);
//                    				conStr+='<div><img src="'+imgSrc+'" width="100" /></div>';
//                    			}
//                            	conStr+='</div>';
//                            }
                            conStr+='</div>';
                            conStr+='<hr size=1 style="color: blue;border-style:dotted;width:100%;color:#CCC">';
                        }
                    }
                    $('#divTemplate').html(conStr);
                    
                }else{
                	var url = moduleId + "GetDiaryTemplate";
                    var param = { diaryTime: nowDate,diaryId:''};
                    var data = GetDataByUrl_Post(url, JSON.stringify(param));
                    if(appServer=="jc6"){
                   	 	 diaryTemplateID=data["DiaryTemplateID"];
            	         templateItemName=data["TemplateItemName"];
            	         templateItemIsInput=data["TemplateItemIsInput"];
                    }else{
                   	 	 diaryTemplateID=data["diaryTemplateID"];
            	         templateItemName=data["templateItemName"];
            	         templateItemIsInput=data["templateItemIsInput"];
                    }
                    
                    $("#divContent").removeClass("hide");
                    diaryContent=diaryContent.replace(/&nbsp;/g," ");
                    var templateTitle='';
                    if(templateItemIsInput!=null){
                       if(templateItemIsInput==1){
                         templateTitle=templateItemName+'(必填)';
                       }else{
                      	 templateTitle=templateItemName;
                       }
                    }
                    $("#divTemplate").html(templateTitle);
                    $("#divContent").removeClass("hide");
                    $(".writeDiary").val(diaryContent);
                    
                }
                var str="<input type='hidden' id='strDiaryID' value='"+part.strDiaryID+"' />"+
                        "<input type='hidden' id='strDiaryContentId' value='"+part.strDiaryContentId+"' />"; 
                $("#divContent").append(str);
                if(part.files.length>0){
                	var files=JSON.parse(part.files);
                  	 loadAttAddToHTML(files);
                }
            }else{
            	 var url = moduleId + "GetDiaryTemplate";
                 var param = { diaryTime: nowDate,diaryId:''};
                 var data = GetDataByUrl_Post(url, JSON.stringify(param));
                 if(appServer=="jc6"){
                	 diaryTemplateID=data["DiaryTemplateID"];
         	         templateItemName=data["TemplateItemName"];
         	         templateItemIsInput=data["TemplateItemIsInput"];
                 }else{
                	 diaryTemplateID=data["diaryTemplateID"];
         	         templateItemName=data["templateItemName"];
         	         templateItemIsInput=data["templateItemIsInput"];
                 }
                //日记内容
                if(diaryTemplateID!=undefined&&diaryTemplateID!="undefined"&&diaryTemplateID.indexOf("$#$")>-1){
                	diaryTemplateID=diaryTemplateID.split("$#$");
                	templateItemName=templateItemName.split("$#$");
                	templateItemIsInput=templateItemIsInput.split("$#$");
                    var checkTip='';
                    var inputs=0;
                    if(diaryTemplateID.length>0){
                    	var templateTitle='';
                    	var content='';
                		for(i=0;i<diaryTemplateID.length;i++){
                			conStr+='<div class="textarea">';
                            if(templateItemIsInput[i]==1){
                            	 templateTitle=templateItemName[i]+'(必填)';
                            }else{
                            	 templateTitle=templateItemName[i];
                            }
                            conStr+=templateTitle;
                            conStr+='<textarea placeholder="在这里输入..." class="writeDiary" inputs="'+templateItemIsInput[i]+'" checkTip="'+templateItemName[i]+'" templateTitle="'+templateTitle+'" value="'+content+'">'+content+'</textarea>';
                            conStr+='</div>';
                            conStr+='<hr size=1 style="color: blue;border-style:dotted;width:100%;color:#CCC">';
                        }
                    }
                    $('#divTemplate').html(conStr);
                }else{
                    $("#divContent").removeClass("hide");
                    if(diaryContent!=undefined&&diaryContent!="undefined"){
                    	diaryContent=diaryContent.replace(/&nbsp;/g," ");
        	        }
                    var templateTitle='';
                    if(templateItemIsInput!=null){
                    	if(templateItemIsInput==1){
                          	templateTitle=templateItemName+'(必填)';
                        }else{
                          	templateTitle=templateItemName;
                        }
                    }
                    $("#divTemplate").html(templateTitle);
                    $("#divContent").removeClass("hide");
                    $(".writeDiary").val(diaryContent);
                }
            }
        }
        else {
            toast("操作失败！", "", 1500);
            return false;
        }
    }

    $(document).on('click', '.list', function() {
        //$('.calendar-context').addClass('hide');
        $('.calendar').addClass('hide');
        $('.textarea').show();
        //获取当前选择日期
        var currentDate = $('#todayDate').text().replace("年", "-").replace("月", "-").replace("日", ""); //($(this).attr('data-year')+'-'+$(this).attr('data-month')+'-'+$(this).attr('data-day'));
        //获取今天的日期
        var cdate = new Date();
        var nowDate = cdate.getFullYear() + '-' + (cdate.getMonth() + 1) + '-' + cdate.getDate();
        if (Date.parse(currentDate.replace(/-/g, "/")) > Date.parse(nowDate.replace(/-/g, "/"))) {
            $('#todayDate').text(cdate.getFullYear() + '年' + (cdate.getMonth() + 1) + '月' + cdate.getDate() + '日');
            toast("只能填写今天或者今天以前的日志!", "", 1500);
            return false;
        }
        //判断当前日期是否有日记内容，如果有给出提示
        var url = moduleId + "GetDiaryInfo";
        var param = { diaryTime: currentDate, diaryId: "" };
        var data = GetDataByUrl_Post(url, JSON.stringify(param));
        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        var conStr = "";
        if (json.success == "1") {
            if (json.mes == "old") {
            	var todayDate = cdate.getFullYear() + '年' + (cdate.getMonth() + 1) + '月' + cdate.getDate() + '日';
                $('#todayDate').text(todayDate);
                var url = moduleId + "GetDiaryInfo";
                var param = { diaryTime: nowDate, diaryId: "" };
                var data = GetDataByUrl_Post(url, JSON.stringify(param));
                var json = JSON.stringify(data);
                json = JSON.parse(json);
                if (json.success == "1") {
                	var diaryContent= json.strDiaryContent;
        	        var diaryTemplateID=json.DiaryTemplateID;
        	        var templateItemName=json.TemplateItemName;
        	        var templateItemIsInput=json.TemplateItemIsInput;
        	        if(diaryTemplateID!=undefined&&diaryTemplateID!="undefined"){
        	        	diaryTemplateID=diaryTemplateID.split("$#$");
        	        }
        	        if(templateItemName!=undefined&&templateItemName!="undefined"){
        	        	templateItemName = templateItemName.split("$#$");
        	        }
        	        if(templateItemIsInput!=undefined&&templateItemIsInput!="undefined"){
        	        	templateItemIsInput=templateItemIsInput.split("$#$");
        	        }
                    if(diaryContent!=undefined&&diaryContent!="undefined"&&diaryContent!=null){
                    	var contents = "";
                    	diaryContent=diaryContent.replace(/&nbsp;/g," ");
                    	//日记内容
                        if(diaryContent.indexOf("$#$")>-1){
                            contents=diaryContent.split("$#$");
                        }
                        var checkTip='';
                        var inputs=0;
                        var arr=[];
                        var url = moduleId + "GetDiaryTemplate";
                        var param = { diaryTime: nowDate,diaryId:''};
                        var data = GetDataByUrl_Post(url, JSON.stringify(param));
                        if(appServer=="c6"){
                        	diaryTemplateID=data["diaryTemplateID"];
               	            templateItemName=data["templateItemName"];
               	            templateItemIsInput=data["templateItemIsInput"];
    	           	        if(diaryTemplateID!=undefined&&diaryTemplateID!="undefined"){
    	         	        	diaryTemplateID=diaryTemplateID.split("$#$");
    	         	        }
    	         	        if(templateItemIsInput!=undefined&&templateItemIsInput!="undefined"){
    	         	        	templateItemIsInput=templateItemIsInput.split("$#$");
    	         	        }
    	         	        if(templateItemName!=undefined&&templateItemName!="undefined"){
    	         	        	templateItemName=templateItemName.split("$#$");
    	         	        }
                        }
                        if(diaryTemplateID!=null){
                            if(diaryTemplateID.length>0 ){
                            	var templateTitle='';
                            	var content='';
                        		for(i=0;i<diaryTemplateID.length;i++){
                        			if(i<contents.length){
                        				content=contents[i];
                        			}else{
                        				content='';
                        			}
                        			conStr+='<div class="textarea">';
                                    if(templateItemIsInput[i]==1){
                                    	 templateTitle=templateItemName[i]+'(必填)';
                                    }else{
                                    	 templateTitle=templateItemName[i];
                                    }
                                    conStr+=templateTitle;
                                    conStr+='<textarea  placeholder="在这里输入..." class="writeDiary" inputs="'+templateItemIsInput[i]+'" checkTip="'+templateItemName[i]+'" templateTitle="'+templateTitle+'" value="'+content+'">'+content+'</textarea>';
                                    conStr+='</div>';
                                    conStr+='<hr size=1 style="color: blue;border-style:dotted;width:100%;color:#CCC">';
                                }
                            }
                            $('#divTemplate').html(conStr);
                        }
                    }
                }
                toast("此时间已经有日记，不能选择！", "", 1500);
                return false;
            }
            else
            {
                var url = moduleId + "GetDiaryTemplate";
                var param = { diaryTime: currentDate,diaryId:''};
                var data = GetDataByUrl_Post(url, JSON.stringify(param));
               // var json = JSON.stringify(data);
                var templateTitle='';
                var conStr='';
               
                var diaryTemplateID="";
    	        var templateItemName="";
    	        var templateItemIsInput="";
    	        if(appServer=="jc6"){
               	     diaryTemplateID=data["DiaryTemplateID"];
        	         templateItemName=data["TemplateItemName"];
        	         templateItemIsInput=data["TemplateItemIsInput"];
                }else{
               	 	 diaryTemplateID=data["diaryTemplateID"];
        	         templateItemName=data["templateItemName"];
        	         templateItemIsInput=data["templateItemIsInput"];
                }
    	        
    	        if(diaryTemplateID!=undefined&&diaryTemplateID!="undefined"){
    	        	diaryTemplateID=diaryTemplateID.split("$#$");
    	        }
    	        if(templateItemIsInput!=undefined&&templateItemIsInput!="undefined"){
    	        	templateItemIsInput=templateItemIsInput.split("$#$");
    	        }
    	        if(templateItemName!=undefined&&templateItemName!="undefined"){
    	        	templateItemName=templateItemName.split("$#$");
    	        }
//    	        var diaryTemplateID=diaryTemplateID.split("$#$");
//                var templateItemName=templateItemName.split("$#$");
//                var templateItemIsInput=templateItemIsInput.split("$#$");

                var conStr="";
                
                if(diaryTemplateID!=undefined&&diaryTemplateID!=""&&diaryTemplateID.length>0&&diaryTemplateID!=null){
                	var templateTitle='';
                	var content='';
            		for(i=0;i<diaryTemplateID.length;i++){
            			conStr+='<div class="textarea">';
                        if(templateItemIsInput[i]==1){
                        	 templateTitle=templateItemName[i]+'(必填)';
                        }else{
                        	 templateTitle=templateItemName[i];
                        }
                        conStr+=templateTitle;
                        conStr+='<textarea placeholder="在这里输入..." class="writeDiary" inputs="'+templateItemIsInput[i]+'" checkTip="'+templateItemName[i]+'" templateTitle="'+templateTitle+'" value="'+content+'">'+content+'</textarea>';
                        conStr+='</div>';
                        conStr+='<hr size=1 style="color: blue;border-style:dotted;width:100%;color:#CCC">';
                        
                    } 
            		$('#smallImg').html("");
                    $('#bigImg').html("");
                    $('#divVoice').html("");
            		$('#divTemplate').html(conStr);
                    $('#divContent').addClass('hide');
                }else{
                    $('#divContent').removeClass('hide');
                    $('#divTemplate').html('');
    	        	$(".writeDiary").val("");
                   
                }
                $('.wxImg').html("");
                $('.wxVoi').html("");
            }
        }else {
            toast("操作失败！", "", 1500);
            return false;
        }

    });
    //底部导航
    $('.addMoreBtn').on('click', function() {

        if ($(this).hasClass('on')) {
            $(this).removeClass('on');
            $(this).find('.addMore').hide();
        } else {
            $(this).addClass('on').siblings().removeClass('on');
            $('.addMore').each(function() {
                $(this).hide();
            });
            $(this).find('.addMore').show();
        }
    });
    $('#txtDairyContent').on('focus', function() {
        var today = $('.date').html();
        if (today != undefined && today != '') {
            var date = today.split("年")[0] + '-' + today.split("年")[1].split("月")[0] + '-' + today.split("年")[1].split("月")[1].split("日")[0];
            var cdate = new Date();
            var nowDate = cdate.getFullYear() + '-' + (cdate.getMonth() + 1) + '-' + cdate.getDate();
            if (Date.parse(date.replace(/-/g, "/")) > Date.parse(nowDate.replace(/-/g, "/"))) {
                $('#today').text(cdate.getFullYear() + '年' + (cdate.getMonth() + 1) + '月' + cdate.getDate() + '日');
                toast("只能填写今天或者今天以前的日志!", "", 1500);
            }
        }
    });

    //$('#spanSave').unbind('click');
    $('#spanSave').on('click', function() {
        var reg = new RegExp("\n", "g");
        var diaryContent ="";
        var today = $('.date').html();
        if (today != undefined && today != '') {
            //var date = today.split("年")[0] + '-' + today.split("年")[1].split("月")[0] + '-' + today.split("年")[1].split("月")[1].split("日")[0];
        	var date =$('#todayDate').text();
        	date=date.replace("年","-").replace("月","-").replace("日","");
            var cdate = new Date();
            var nowDate = cdate.getFullYear() + '-' + (cdate.getMonth() + 1) + '-' + cdate.getDate();
            if (Date.parse(date.replace(/-/g, "/")) > Date.parse(nowDate.replace(/-/g, "/"))) {
                $('#today').text(cdate.getFullYear() + '年' + (cdate.getMonth() + 1) + '月' + cdate.getDate() + '日');
                toast("只能填写今天或者今天以前的日志!", "", 1500);
                return false;
            }
        }
        var ret=true;
        if($("#divTemplate").find('textarea[class="writeDiary"]').length>0)
        {
        	$("#strDiaryID").val("");
            $("#divTemplate").find('textarea[class="writeDiary"]').each(function () {
                var inputs=$(this).attr("inputs");
                var checkTip=$(this).attr("checkTip");
                var templateTitle=$(this).attr("templateTitle");
                var content=$(this).val().replace(reg, "\\r\\n");

                if(inputs==1)
                {
                    if(content=="")
                    {
                        toast("请填写"+checkTip+"!", "", 1500);
                        ret=false;
                    }

                }

                if(content.indexOf('$#$')>-1)
                {
                    toast("不能包含特殊字符$#$", "", 1500);
                    ret=false;
                }
                var contentLen=notifyTextLength(content);
                if(contentLen>4000){
                	toast(checkTip+"日记内容过长,最长输入4000位字符，当前输入"+contentLen+"位字符。", "", 1500);
                    ret=false;
                }
                //if(content==""){
                //    //content="无";

                //}
                diaryContent+=content+"#&&#";
            });
            //diaryContent=diaryContent.substring(0,diaryContent.length-1);
        } else{
            diaryContent = $('.writeDiary').val().replace(reg, "\\r\\n");
            var contentLen=notifyTextLength(diaryContent);
            if(contentLen>4000){
            	toast("日记内容过长,最长输入4000位字符，当前输入"+contentLen+"位字符。", "", 1500);
                ret=false;
            }
        }
        if (diaryContent.length == 0 || diaryContent == "#&&##&&#") {
        	toast("您还没有输入日志信息。", "", 1500);
            ret=false;
        }
        if(!ret) {
            return false;
        }
        
        $(this).attr('disabled', 'disabled');
        var strDiaryID="";
        if($("#strDiaryID").val()!=undefined){
        	strDiaryID=$("#strDiaryID").val();
        }
        
        var strDiaryContentId="";
        if($("#strDiaryContentId").val()!=undefined){
        	strDiaryContentId=$("#strDiaryContentId").val();
        }

        var url = moduleId + "SaveDiary";
        var param = {strDiaryContent: diaryContent,strDiaryTime: date,files: uploadobj.getfiles(),strDiaryID:strDiaryID,strDiaryContentId:strDiaryContentId};
        var data = GetDataByUrl_Post(url,JSON.stringify(param));
        var json = JSON.stringify(data);
        json = JSON.parse(json);
        if (json.success == "1") {
        	$("#strDiaryID").val(json.diaryId);
        	//location.href = "myDiary.html?title=我的日志";
            if (appType == "weixin") {
                //微信保存附件
                uploadobj.wxuploadImgVoi(json.mes, "myDiary.html?title=我的日志", "newdiary");
            }else{
                location.href = "myDiary.html?title=我的日志";
            }
        }else{
            toast("操作失败！", "", 1500);
            $(this).removeAttr('disabled');
            return false;
        }
    });
    
    /**
     *获取字符串字节数
     */
    function notifyTextLength(str) {
        return inputNum = str.replace(/[^\x00-\xff]/g, "***").length; //得到输入的字节数
        //var  matchWords = str.length;
        //var a="当前已经输入"+ inputNum + "字节," + matchWords + "字符，还可输入"+(200 - inputNum) + "字母,"+(Math.round(((200-inputNum)/2)-0.5))+"汉字";
    }

    var maxImg = 5;  //图像最大上传张数
    var maxVoice = 5; //语音最大上传条数
    var curImg = 0;   //当前已上传图像张数
    var curVoice = 0;  //当前已上传语音条数
    var canUploadImg = 0;  //还可以上传的图像张数
    var canUploadVoice = 0;  //还可以上传的语音条数




    //添加按钮处理
    $('.addMoreBtn span').each(function() {

        //alert(canUploadImg);
        $(this).unbind('click');
        $(this).bind('click', function() {
            curImg = uploadobj.imgcount();
            curVoice = uploadobj.voicount();
            canUploadImg = maxImg - curImg;
            canUploadVoice = maxVoice - curVoice;

            if ($(this).attr('id') == 'linkPic')//图库上传
            {
                if (canUploadImg <= 0) {
                    toast("图片已到最大张数！", "", 1500);
                    return false;
                }
                else {
                    /*var args="{\"businessJson\":\"{\\\"maxSelectNum\\\":"+canUploadImg+",\\\"isSuppoerDelete\\\":false}\",\"businessType\":1}";
                    window.location.href="jhoabrowser://selectImgFuction?args="+ $.base64.encode(args)+"&tag="+$.base64.encode("1"); */
                   
                    if(appType=="weixin"){
                         uploadobj.uploadimg(canUploadImg, 0, "{\"tag\":\"newDiary\"}");
                     }else{
                         uploadobj.uploadimg(canUploadImg, 2, "{\"tag\":\"newDiary\"}");
                     }
                }

            }
            if ($(this).attr('id') == 'linkCamera')//拍照上传
            {
                if (canUploadImg <= 0) {
                    toast("图片已到最大张数！", "", 1500);
                    return false;
                }
                else {
                    //var args = "{\"businessJson\":\"{\\\"maxSelectNum\\\":" + canUploadImg + ",\\\"isSuppoerDelete\\\":false}\",\"businessType\":0}";
                    // window.location.href = "jhoabrowser://selectImgFuction?args=" + $.base64.encode(args) + "&tag=" + $.base64.encode("1");
                    uploadobj.uploadimg(canUploadImg, 2, "{\"tag\":\"newDiary\"}");
                }
            }
            if ($(this).attr('id') == 'linkFile') //附件
            {
                var BrowseModule = 1; //0’--选择附件。‘1’--浏览。
                var CheckModule = 0; //‘0’--单选。‘1’--多选。
                var SwitchModule = "music";
                var args = "{\"businessJson\":\"{\\\"BrowseModule\\\":" + BrowseModule + ",	\\\"CheckModule\\\":" + CheckModule + ",\\\"SwitchModule\\\":" + SwitchModule + "}\",\"businessType\":2}";
               
                window.location.href = "jhoabrowser://uploadFile?args=" + args + "&tag=928";
            }
            if ($(this).attr('id') == 'linkVol') //音频
            {
                if (canUploadVoice <= 0) {
                    toast("已经达到最大数量！", "", 1500);
                    return false;
                }
                else {
                     uploadobj.uploadvoi(300000, 1000, 1, "{\"tag\":\"newDiary\"}");

                }

            }
        });
    });








    //附件的回调函数
    window.uploadFilesInfo = function(jsonStr, tagJson) {

    }

    //图片放大及删除

    $('.upload-pic').on('click', 'img', function () {
         var bigPicHtml='';
    	$('.upload-pic img').each(function(){
    		var imgSrc=$(this).attr('src');
    		bigPicHtml += '<div class="swiper-slide"><img src="' + imgSrc + '" alt=""/></div>';
    	})
    	$('.swiper-wrapper').html(bigPicHtml);
        var index = $(this).parent().index();
        $('.photo-big').removeClass('hide');
        
        mySwiper.update();
        mySwiper.slideTo(index);
        sessionStorage.setItem("img", index);
    })
    //上传图片删除事件
    $('.upload-pic').on('click','.icon-close-img',function(){
        var index = $(this).parent().index();
        sessionStorage.setItem("img", index);
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
    })


    $(document).on('click', '.cancel', function () {
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
    });
    $(document).on('click', '.deleteImg', function () {
        //大图删除当前图片
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
        $('#bigImg .swiper-slide').each(function (index) {

            if ($(this).attr("class") == "swiper-slide swiper-slide-active") {
                sessionStorage.setItem("img", index);
            }
        });

    });

    var mySwiper = new Swiper('.swiper-container', {
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
    

    //播放音乐
    $(document).on('tap', '.playMP3', function () {
        $('.audio').removeClass('hide');
        var $ul = $(this).find('span[class="hidden"]').attr('url');

        var mname = $(this).find('span[class="hidden"]').prev().html();

        if ($ul) {
            if ($ul.lastIndexOf(".mp3") < 0&&appType != "weixin"&&appType != "ding") {
                $ul = $ul + '.mp3';
            }
            $('#audio').attr('src', $ul);
            $('#MusicName').html(mname);
        }
        $('.u-my-diary').addClass('fix-bottom');
        audio.play();
    });
    $(document).on('tap', '.audio .btn', function () {
        $(this).parent().addClass('hide');

        $('.u-my-diary').removeClass('fix-bottom');
        audio.pause();
    });
    var audio = document.getElementById("audio");
    $(document).on('tap', '.file-type', function () {
        if (audio.paused) {
            audio.play();
            return false;
        } else {
            audio.pause();
        }
    });
    var delObj;
    //删除 rar mp3
    $(document).on('longTap','.upload-file',function(){
        	delObj=$(this);
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除'+$(this).find('.name').text()+' 吗?');
    })
    
    $(document).on('tap','.icon-close', function () {
    	 delObj=$(this).parent();
         $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
         $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除' + $(this).parent().find('.name').text() + ' 吗?');
           
    });
    
    $('#back').on('click', function () {
        if (appType == "weixin" || appType == "ding") { uploadobj.stopvoi(); }
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
    });




    //长按后的删除
    $(document).on('click', '#deleted', function () {

        //清除语音元素
        if (appType == "weixin"  || appType == "ding") {
            if($('.ui-actionsheet-wrap').eq(0).find('#deleted').text() == "确定"){
                uploadobj.commitvoi(); $('.ui-actionsheet-wrap').eq(0).addClass('hide'); return false;
            }
        }

        if (sessionStorage.getItem('voice') != null) {
            var item = -1;
            $('.icon-close').each(function (index) {
                item = sessionStorage.getItem('voice');

                if (item == index) {
                    $(this).parent().remove();
                    $(this).remove();
                    sessionStorage.removeItem('voice');
                }
                if ($('#divVoice').html() == "") {
                    $('#divVoice').hide();
                }
            });
        } else {
            var item = -1;
            $('.upload-pic img').each(function (index) {
                item = sessionStorage.getItem('img');

                if (item == index) {
                    $(this).parent().remove();
                    $(this).remove();
                    $('#bigImg .swiper-slide img').eq(index).parent().remove();
                    sessionStorage.removeItem('img');
                }
                if ($('.upload-pic').html() == "") {
                    $('.upload-pic').hide();
                }
            });
            //if(item==null || item=="-1"){alert(2323232);
            if(delObj!=null){
            	delObj.remove();
            }
            	
            //}
            
            
        }
        //图片缓存
        store.set("ImageCache", $('.upload-pic').html());
        store.set("BigImageCache", $('#bigImg').html());
        //语音缓存
        store.set("VoiceCache", $('#divVoice').html());
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
    });

});