define(['mobilekit','swiper'],function(){
    var moduleId='api/Diary/';
    InitData();
    //收缩
    $('.diary-date').on('click',function(){
        if($(this).find('.fa').hasClass('fa-chevron-circle-up')){
            $(this).find('.fa').removeClass('fa-chevron-circle-up').addClass('fa-chevron-circle-down').parent().next().hide();
        }else{
            $(this).find('.fa').removeClass('fa-chevron-circle-down').addClass('fa-chevron-circle-up').parent().next().show();
        }
    });
    //图片放大
    $('.upload-pic').on('click','div',function(){
        var bigImageStr="";
        $(this).parent().find('img').each(function(){
            bigImageStr+='<div class="swiper-slide"><img style="max-width:100%;height:auto;" src="'+$(this).attr('src')+'+" alt=""/></div>'
        });
        $('#bigImg').html(bigImageStr);
        var index = $(this).index();
        $('.diary-marker').removeClass('hide');
        mySwiper.update();
        mySwiper.slideTo(index);
    }).on('longTap','div',function(){
        var index = $(this).index();
    });

    var mySwiper = new Swiper('.swiper-container',{
        pagination: '.swiper-pagination',
        paginationClickable: true
    });


    //删除图片
    $('.deleteImg').on('click',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
    });
    $('.cancel').on('click',function(){
        $('.diary-marker').addClass('hide');
        $('.ui-actionsheet-wrap').addClass('hide');
    });
    $('.upload-pic').on('longTap','img',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
    });
    $('#deleted').on('click',function(){
        //alert('删除当前图片');
        $('.ui-actionsheet-wrap').addClass('hide');
    });
    //播放音乐
    $('.playMP3').on('click',function(){
        $('.audio').removeClass('hide');
        var $ul = $(this).find('span[class="hidden"]').attr('url');
        var mname= $(this).find('span[class="hidden"]').prev().html();
        if($ul)
        {
            if ($ul.lastIndexOf(".mp3") < 0&&appType != "weixin"&&appType != "ding") {
                $ul = $ul + '.mp3';
            }
            $('#audio').attr('src',$ul);
            $('#MusicName').html(mname);
        }
        $('.u-my-diary').addClass('fix-bottom');
        audio.play();
    });
    $('.audio .btn').on('click',function(){
        $(this).parent().addClass('hide');
        $('.u-my-diary').removeClass('fix-bottom');
        audio.pause();
    });
    var audio = document.getElementById("audio");
    $('.file-type').on('click',function(){
        if(audio.paused){
            audio.play();
            return false;
        }else {
            audio.pause();
        }
    });
    //删除 rar mp3
    $('.upload-file').on('click','.icon-close',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
        $('.ui-actionsheet-wrap').find('.title').text('确定要删除'+$(this).parent().find('.name').text()+' 吗?');
    }).on('longTap',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
        $('.ui-actionsheet-wrap').find('.title').text('确定要删除'+$(this).find('.name').text()+' 吗?');
    });
    $('#back').on('click',function(){
        $('.ui-actionsheet-wrap').addClass('hide');
    });


    //绑定日记内容
    function InitData() {
        var did= getUrlParam("buzID");
        //var did=1001;
       // $(".content .u-my-diary").html("");

        var type = "1";// 0:我的日记 1：全部日记 2：未阅日记 3：关注日记 4:收藏日记
        var pageno=1;
        var initPage = pageno;
        var count=20;
        var cdate=new Date();
        var nowDate= cdate.getFullYear()+'-'+(cdate.getMonth() + 1)+'-'+ cdate.getDate();

        var url= moduleId+"GetDiaryList";
        var param={type:type,key:"",pageCount:""+count+"",pageNo:""+pageno+"",diaryId:""+did+""};
        var data=GetDataByUrl_Post(url,JSON.stringify(param));
        var json = JSON.stringify(data);
        
        json=data["list"];
        if(appServer=="c6"){
        	json = JSON.stringify(json);
        }
       if(typeof json=="string"){
            json = JSON.parse(json);
       }else{
            json=json;
       }
        
        var contStr = "";
        var preDiaryTime="";
        if (json.length > 0) {
           // $.each(json, function (index, part) {
        	for(var a=0;a<json.length;a++){
				var part=json[a];
				
                document.title=part["strDiaryAuthor"]+'的日志';
                if (part["strDiaryTime"] != preDiaryTime&&preDiaryTime!="")
                {
                    contStr += '</div>';
                }
                if (part["strDiaryTime"] != preDiaryTime)
                {

                    contStr += '<div class="item-every-diary">';
                    contStr += '<div class="detail_b"><span></span></div>';
                    contStr += '<div class="diary-cont">';
                    contStr += '<p class="diary-date">' + ConvertDate(part["strDiaryTime"]) + ' ' + part["strDiaryTimeWeek"] + '</p>';
                }

               
                contStr += '<div><p class="title clearfix">';
                //contStr += '<img src="'+part.strDiaryAuthorPic+'" alt=""/>';
                // contStr += '<img src="'+part.strDiaryAuthorPic+'" alt=""/>';
                contStr += '<img src="../../styles/images/User.png" alt=""/>';
                contStr += '<span name="diaryAuthor">' + part["strDiaryAuthor"] + '</span>';

                if(part["strDiaryAuthor"]==appUserName&&Date.parse( ConvertDate1(part["strDiaryTime"]).replace(/-/g, "/"))== Date.parse(nowDate.replace(/-/g, "/"))) //如果是本人的日记，并且是当天写的则可以进行编辑
                {
                    //contStr += '<a href="javascript:void" class="icon-countersign" did="'+part.strDiaryId+'"></a>';
                }


                contStr += '</p>';
                //加载模板
                //contStr += '<p class="detail" style="word-break:break-all;">' + part.strDiaryContent + '</p>';
                var diaryContent=part["strDiaryContent"];
                if(diaryContent.indexOf("$#$")>-1)
                { 
                    var contents=diaryContent.split("$#$");
                    for(i=0;i<contents.length;i++){
                    	var title=contents[i].substring(0,contents[i].indexOf(":")+1);//标题行名称
                    	contents[i]=contents[i].replace(title,"").replace(/\n/g,"<br>").replace(/#QQQ#/g," ");
                        if((i+1)%2==0)
                        {
                            contStr+='<div class="detail title">';
                        }else{
                            contStr+='<div class="detail" style="word-break:break-all;" did="'+part["strDiaryId"]+'">' 
                        }
                        contStr+='<span>'+title+'</span>';
                        contStr+='<div class="spCont">'+ contents[i]+'</div>';
                        contStr +='</div>';
                      
                    }
                }else{
                	var  title=part["strDiaryContent"].substring(0,part["strDiaryContent"].indexOf(":")+1);
                    contStr += '<div class="detail" style="word-break:break-all;" did="'+part["strDiaryId"]+'">';
                    contStr +='<span>'+title+'</span>';
                    contStr += '<div class="spCont">'+part["strDiaryContent"].replace(title,"").replace(/\n/g,"<br>").replace(/#QQQ#/g," ")+'</div>';
                    contStr +='</div>';
                }
                contStr += '<!--mp3-->';
                $('#divVoice').html("");
                var str=loadAttAddToHTML(part["strFiles"],"1");
                if("##"==str){
                }else{
                	str=str.replace("##","</div>");
                	contStr+='<div class="upload_media clearfix"><div class="upload-pic">'+str+"</div>";
                }
				
                contStr += '<div class="forwarding">';
                if (part["instructionlist"] && part["instructionlist"].length > 0) {
                    contStr += '<div class="comment">';
                    contStr += '<p>领导批示：</p>';
                    $.each(part["instructionlist"], function (psindex, pspart) {
                        contStr += '<p><img src="../../styles/images/User.png" alt="" style="width:20px;height:20px"/><span>'+pspart.instructionUser+'：</span><span class="spCont">'+pspart.instructionContent.replace(/\n/g,"<br>")+'</span><span class="time">'+pspart.instructionTime+'</span></p>';
                    });
                    contStr += '</div>';
                }
				
                if (part["farwordlist"] && part["farwordlist"].length > 0) {
                    contStr += '<div class="comment">';
                    contStr += '<p>相关转发：</p>';
                    $.each(part.farwordlist, function (zfindex, zfpart) {

                        contStr += '<p><img src="../../styles/images/User.png" alt="" style="width:20px;height:20px"/>'+zfpart.farwardUser+'：'+zfpart.farwardtoUser+'<span class="time">'+zfpart.farwardTime+'</span></p> ';

                    });
                    contStr += '</div>';
                }
				
                contStr += '</div></div>';
                contStr += '</div>';


                if (a==json.length-1)
                {
                    contStr += '</div>';
                }

                preDiaryTime=part["strDiaryTime"];
				
            }
			
        }else{
        	toast("日记内容为空！","",1500);
        }
		
        if (initPage == 1) {
            $(".content .u-my-diary").html(contStr);
        }else {
            $(".content .u-my-diary").append(contStr);
        }
    }


    /**
     * 格式化日期为年月日格式
     * @param strDate
     * @returns {string}
     * @constructor
     */
    function ConvertDate(strDate)
    {
        var date="";
        if(strDate!=undefined&&strDate!="")
        {
            if(strDate.indexOf("/")>-1)
            {
                var year=strDate.split("/")[0];
                var month=strDate.split("/")[1];
                var day=strDate.split("/")[2].split(" ")[0];
            }
            if(strDate.indexOf("-")>-1)
            {
                var year=strDate.split("-")[0];
                var month=strDate.split("-")[1];
                var day=strDate.split("-")[2].split(" ")[0];
            }
            date=year+"年"+(month.length==1?"0"+month:month)+"月"+(day.length==1?"0"+day:day)+"日";

        }
        return date;
    }
    function ConvertDate1(strDate)
    {
        var date="";
        if(strDate!=undefined&&strDate!="")
        {
            if(strDate.indexOf("/")>-1)
            {
                var year=strDate.split("/")[0];
                var month=strDate.split("/")[1];
                var day=strDate.split("/")[2].split(" ")[0];
            }
            if(strDate.indexOf("-")>-1)
            {
                var year=strDate.split("-")[0];
                var month=strDate.split("-")[1];
                var day=strDate.split("-")[2].split(" ")[0];
            }

            date=year+"-"+(month.length==1?"0"+month:month)+"-"+(day.length==1?"0"+day:day);
        }
        return date;
    }
});