﻿define( [ 'mobilekit', 'datetime', 'swiper', 'base64' ], function() {
	var idStr='';
	var nameStr='';
	var isLockSave = false; //是否锁定提交
	var phraseId = "";
	var divNum=0;
	function bindClickEvent(){
		$(".check").each(function() {
			if ($(this).find('input').val() == "true") {
	            $.extend(this, Checkbox({
	                type: 'checkbox',
	                obj: $(this),
	                checked: true,
	                enable: true
	            }))
	        }
	        else {
	            $.extend(this, Checkbox({
	                type: 'checkbox',
	                obj: $(this),
	                checked: false,
	                enable: true
	            }))
	        }
			$(this).click(function(){
				var checkThis=$(this).get(0);
				checkThis.setChecked(!checkThis.getChecked());
			})
	    });
		
		//人员单选
		$('.userRadio').each(function(){
			var curId=$(this).attr('name');
			var curParInd=$(this).closest('.u-new-detail_w').attr('id');
			$(this).click(function(){
				var dataArr = valueStore();
				store.set("dataArr", dataArr);
				var formHtml = $("#form2").html();
				store.set("formHtml", formHtml);
				var inputID=curParInd+'_'+curId;
				sessionStorage.setItem("inputID",inputID);
				sessionStorage.setItem("UserListIDS",$(this).next().val());
				location.href='../../view/common/singleSetUser.html';
			})
		})
		//部门单选
		$('.deptRadio').each(function(){
			var curId=$(this).attr('name');
			var curParInd=$(this).closest('.u-new-detail_w').attr('id');
			$(this).click(function(){
				var dataArr = valueStore();
				store.set("dataArr", dataArr);
				var formHtml = $("#form2").html();
				store.set("formHtml", formHtml);
				var inputID=curParInd+'_'+curId;
				sessionStorage.setItem("inputID",inputID);
				sessionStorage.setItem("DeptListIDS",$(this).next().val());
				location.href='../../view/common/singlesetDept.html';
			})
		})
		$('.dateTime').each(function(){
			$(this).mobiscroll().datetime({
		      /*  theme: '',     // Specify theme like: theme: 'ios' or omit setting to use default
		        mode: 'scroller',       // Specify scroller mode like: mode: 'mixed' or omit setting to use default
		        display: 'modal', // Specify display mode like: display: 'bottom' or omit setting to use default
		        lang: 'zh',       // Specify language like: lang: 'pl' or omit setting to use default*/
		        minDate: new Date(2014, 3, 10),  // More info about minDate: https://docs.mobiscroll.com/2-16-1/datetime#!opt-minDate
		        maxDate: new Date(2018, 3, 10),   // More info about maxDate: https://docs.mobiscroll.com/2-16-1/datetime#!opt-maxDate
		        stepMinute: 5  // More info about stepMinute: https://docs.mobiscroll.com/2-16-1/datetime#!opt-stepMinute
		    });
		})
		//输入框聚焦时变色
        $('.table-view-cell').on('focus', 'input', function() {
        	//$('.u-calendar-btn').css('position','inherit');
        	var _parentLi=$(this).closest('.table-view-cell');
        	_parentLi.addClass('active');
        	_parentLi.find('p').removeClass('show');
        	_parentLi.find('p').addClass('hide');
        	_parentLi.find('span.fa-exclamation-circle').addClass('hide');
        }).on('blur', 'input', function() {
        	//$('.u-calendar-btn').css('position','fixed');
        	$(this).attr('value',$(this).val());
            $(this).closest('.table-view-cell').removeClass('active');
        });
        $('.table-view-cell').on('focus', 'textarea', function() {
        	//$('.u-calendar-btn').css('position','inherit');
        	var _parentLi=$(this).closest('.table-view-cell');
            _parentLi.addClass('active');
        	_parentLi.find('p').removeClass('show');
        	_parentLi.find('p').addClass('hide');
        	_parentLi.find('span.fa-exclamation-circle').addClass('hide');
        }).on('blur', 'textarea', function() {
        	//$('.u-calendar-btn').css('position','fixed');
        	$(this).attr('value',$(this).val());
        	$(this).text($(this).val());
            $(this).closest('.table-view-cell').removeClass('active');
        });
        $('.table-view-cell').on('change', 'select', function() {
        	$(this).attr('value',$(this).val());
        })
        
        $('.fa-close').each(function(){
        	$(this).unbind('click');
        	$(this).bind('click',function(){
        		var _parent=$(this).closest('.u-new-detail_w');
        		var id = store.get('keyId');
        		var keyId = _parent.find('li').eq(0).attr('key');
        		if ("" != keyId && null != keyId && keyId != undefined){
        			if (id != undefined && null != id && id.indexOf(keyId)==-1){
        				id += "," + keyId;
        				store.set("keyId", id);
            		} else {
            			store.set("keyId", keyId);
            		}
        		}
        		clearSession();
    			_parent.remove();
        	})
        })
	}
	function clearSession(){
		$('.userRadio').each(function(){
			var curId=$(this).attr('name');
			var curParInd=$(this).closest('.u-new-detail_w').attr('id');
			sessionStorage.removeItem(curParInd+'_'+curId+"UserIDList");
	        sessionStorage.removeItem(curParInd+'_'+curId+"UserNameList");
	        sessionStorage.removeItem("UserListIDS");
		})
		$('.deptRadio').each(function(){
			var curId=$(this).attr('name');
			var curParInd=$(this).closest('.u-new-detail_w').attr('id');
			sessionStorage.removeItem(curParInd+'_'+curId+"DeptIDList");
	        sessionStorage.removeItem(curParInd+'_'+curId+"DeptNameList");
	        sessionStorage.removeItem("DeptListIDS");
		})
	}
	
	
	
    $(function() {
		//页面加载完毕
	    	var dictId = getUrlParam("dictId");
	    	store.set("dictId", dictId);
	    	var startTime = getUrlParam("startTime");
	    	var endTime = getUrlParam("endTime");
	    	var collectMemo = getUrlParam("collectMemo");
	    	var block1 = getUrlParam("block1");// 是否提交标识
	    	var feedback = getUrlParam("feedback");
	    	store.set("startTime", startTime);
	    	store.set("endTime", endTime);
	    	store.set("collectMemo", collectMemo);
	    	store.set("block1", collectMemo);
	    	store.set("feedback", feedback);
	    	$("#startTime").val(startTime);
	    	$("#endTime").val(endTime);
	    	$("#collectMemo").val(collectMemo);
	    	var param = {
	    		dictId: dictId,
	    		block1: block1
	    	};
	    	var data = GetDataByUrl_Post("api/InformationCollect/GetDictFieldsAndItems", JSON.stringify(param));
	    	store.set("collectData", data);
	    	var contStr = "";
	    	var dictItemId = "";
	    	if (data && data.success == 1){
	    		var contStr = "";
				if (data.fieldInfos && data.fieldInfos.length > 0){
					$.each(data.fieldInfos, function (index, dataInfo){
						if (dataInfo.fields && dataInfo.fields.length > 0){
							if (feedback == '2' && block1 != '1'){
								contStr += '<div class="u-new-detail u-new-detail_w" id="fields'+divNum+'"> <span class="fa fa-close"></span>';
							} else {
								contStr += '<div class="u-new-detail u-new-detail_w" id="fields'+divNum+'">';
							}
							contStr += '	<ul class="table-view">';
							$.each(dataInfo.fields, function(index, part){
								contStr += '	<li class="table-view-cell" key="'+part.dictItemId+'">';
								contStr += '		<span class="title">'+part.fieldName;
								dictItemId = part.dictItemId;
								if (part.isNotNull == 'yes'){
									contStr += '<i class="must">*</i>';
									contStr += "		：</span>";
								} else {
									contStr += "		：</span>";
								}
								if (part.fieldValue != ""){//已保存值
									if (part.editOption == 'textarea'){
										contStr += '<textarea class="textreaTxt texctRight fieldLength" data-fn="resizable" style="height: 52px;" fieldLength="'+part.fieldLength+'" name="'+part.fieldId+'" value="'+part.fieldValue+'">'+part.fieldValue+'</textarea>'
									} else if (part.editOption == 'user'){
										var defaultValue = part.fieldValue;
										var str = defaultValue.split(",");
										contStr += '<input type="text" name="'+part.fieldId+'" class="userRadio texctRight" placeholder="请填写'+part.fieldName+'" value="'+str[1]+'"/><input type="hidden" value="'+str[0]+'">';
									} else if (part.editOption == 'dept'){
										var defaultValue = part.fieldValue;
										var str = defaultValue.split(",");
										contStr += '<input type="text" name="'+part.fieldId+'" class="deptRadio texctRight" placeholder="请填写'+part.fieldName+'" value="'+str[1]+'"/><input type="hidden" value="'+str[0]+'">';
									} else if (part.editOption == 'date'){
										contStr += '<input type="text" class="titleInput dateTime" name="'+part.fieldId+'" value="'+part.fieldValue+'" placeholder="请填写'+part.fieldName+'"/>';
									} else if (part.editOption == 'dict') {
										contStr += '<p class="navigate-right"><select class="select-content texctRight" name="'+part.fieldId+'">';
										contStr += '	<option value="">--请选择--</option>';
										if (part.dictItemModels && part.dictItemModels.length > 0){
											$.each(part.dictItemModels, function(index, dataInfo) {
												if (part.fieldValue == dataInfo.dictItemId){
													contStr += '<option value="'+dataInfo.dictItemId+'" selected="selected">'+dataInfo.dictItemName+'</option>';
												} else {
													contStr += '<option value="'+dataInfo.dictItemId+'" >'+dataInfo.dictItemName+'</option>';
												}
											});
										}
										contStr += "</select></p>";
									} else {
										contStr += '<input type="text" class="titleInput fieldLength" name="'+part.fieldId+'" fieldLength="'+part.fieldLength+'" value="'+part.fieldValue+'"/>';
									}
								} else {// 未保存值
									if (part.editOption == 'textarea'){
										contStr += '<textarea class="textreaTxt texctRight fieldLength" data-fn="resizable" style="height: 52px;" fieldLength="'+part.fieldLength+'" name="'+part.fieldId+'" placeholder="请填写'+part.fieldName+'" value="">'+part.fieldValue+'</textarea>'
									} else if (part.editOption == 'user'){
										contStr += '<input type="text" name="'+part.fieldId+'" class="userRadio texctRight" placeholder="请填写'+part.fieldName+'" /><input type="hidden">';
									} else if (part.editOption == 'dept'){
										contStr += '<input type="text" name="'+part.fieldId+'" class="deptRadio texctRight" placeholder="请填写'+part.fieldName+'" /><input type="hidden">';
									} else if (part.editOption == 'date'){
										contStr += '<input type="text" class="titleInput dateTime" name="'+part.fieldId+'" value="'+part.fieldValue+'" placeholder="请填写'+part.fieldName+'"/>';
									} else if (part.editOption == 'dict'){
										contStr += '<p class="navigate-right"><select class="select-content texctRight" name="'+part.fieldId+'">';
										contStr += '	<option value="">--请选择--</option>';
										if (part.dictItemModels && part.dictItemModels.length > 0){
											$.each(part.dictItemModels, function(index, dataInfo) {
												contStr += '<option value="'+dataInfo.dictItemId+'">'+dataInfo.dictItemName+'</option>';
											});
										}
										contStr += "</select></p>";
									} else {
										contStr += '<input type="text" class="titleInput fieldLength" placeholder="请填写'+part.fieldName+'" fieldLength="'+part.fieldLength+'" name="'+part.fieldId+'"/>';
									}
								}
								if (part.isNotNull == 'yes'){
									contStr += '<p id="tit-inputtip" class="fa fa-exclamation-circle hide">您还没有输入'+part.fieldName+'</p>';
								}
								if (part.editOption == "text" || part.editOption == "textarea"){
									contStr += '<span class="fa fa-exclamation-circle hide">您输入值的长度不能超过'+part.fieldLength+'</span>';
								}
								contStr += '	</li>';
							});
							contStr += "	</ul>";
							contStr += "</div>";
						}
						divNum++;
					});
				} 
	    	}
	    	store.set("dictItemId", dictItemId);
	    	$("#form2").append(contStr);
	    	if (block1 == "1"){// 已经提交
	    		//$("#btnTemp").css({'background':'#fff','border':'1px solid #ccc','color':'#333'}).attr("disabled", "disabled");
	    		//$("#btnSubmit").css({'background':'#fff','border':'1px solid #ccc','color':'#333'}).attr("disabled", "disabled");
	    		//$("#btnAdd").attr("disabled", "disabled");
	    		$("#btnCancel").addClass("hide");
	    		$("#btnTemp").addClass("hide");
	    		$("#btnSubmit").addClass("hide");
	    		$("#btnAdd").addClass("hide");
	    		
	    	}
	    	if (feedback == "1"){
	    		$("#btnAdd").hide();
	    		$('.u-calendar-btn .btn-block').css('width','29%');
	    	}
	    	bindClickEvent();
	    	var serviceCurDate = getServiceCurDate();
	    	if (serviceCurDate > endTime){
        		toast("采集已结束！");
        		$("#btnTemp").addClass("hide");
	    		$("#btnSubmit").addClass("hide");
	    		$("#btnAdd").addClass("hide");
        	}
		});
    	//选人回显
	    if(sessionStorage.getItem('UserListExist')=="1"){
			var formHtml = store.get("formHtml");
			$("#form2").html(formHtml);
			$('.select-content').each(function(){
				$(this).val($(this).attr('value'));
			});
			var startTime = store.get("startTime");
	    	var endTime = store.get("endTime");
	    	var collectMemo = store.get("collectMemo");
	    	var block1 = store.get("block1");
	    	var feedback = store.get("feedback");
	    	$("#startTime").val(startTime);
	    	$("#endTime").val(endTime);
	    	$("#collectMemo").val(collectMemo);
			bindClickEvent();
			store.remove("formHtml");
	    	var dataArr = store.get("dataArr");
	    	//debugger;
			$('.userRadio').each(function(){
				var curId=$(this).attr('name');
				var curParInd=$(this).closest('.u-new-detail_w').attr('id');
				var UserIDList=sessionStorage.getItem(curParInd+'_'+curId+"UserIDList");
				var UserNameList=sessionStorage.getItem(curParInd+'_'+curId+"UserNameList");
				if(UserIDList!=null && UserIDList!=undefined && UserIDList!=''){
					$(this).val(UserNameList);
					$(this).next().val(UserIDList);
				}
				
			})
			$('.deptRadio').each(function(){
				var curId=$(this).attr('name');
				var curParInd=$(this).closest('.u-new-detail_w').attr('id');
				var UserIDList=sessionStorage.getItem(curParInd+'_'+curId+"DeptIDList");
				var UserNameList=sessionStorage.getItem(curParInd+'_'+curId+"DeptNameList");
				if(UserIDList!=null && UserIDList!=undefined && UserIDList!=''){
					$(this).val(UserNameList);
					$(this).next().val(UserIDList);
				}
			})
		}else{
			clearSession();
		}
	  //固定写法，不做任何修改begin
	    sessionStorage.removeItem("UserListExist");
    
    $("#btnTemp").on('click', function(){
    	var deleteKey = store.get("keyId");
    	if (deleteKey == undefined){
    		deleteKey = "";
    	}
    	var isTrue = checkForm();
    	if (!isTrue){
    		return;
    	}
    	var _true = checkFormLength();
    	if (!_true){
    		return;
    	}
    	var dataArr=[];
    	$('.u-new-detail_w').each(function(){
    		var eachDataObj={};
    		var _input=$(this).find('input');
    		_input.each(function(){
    			if($(this).attr("type")=="text"){
    				var iptId=$(this).attr('name');
    				if($(this).hasClass('userRadio') || $(this).hasClass('deptRadio')){
    					var iptVal=$(this).next().val();
    				}else{
    					var iptVal=$(this).val();
    				}
        			
        			eachDataObj[iptId]=iptVal
    			}
    		});
    		var _select=$(this).find('select');
    		_select.each(function(){
    			var selectId=$(this).attr('name');
    			var selectVal=$(this).val();
    			eachDataObj[selectId]=selectVal;
    		});
    		var _textarea=$(this).find('textarea');
    		_textarea.each(function(){
    			var _textareaId=$(this).attr('name');
    			var _textareaVal=$(this).val();
    			eachDataObj[_textareaId]=_textareaVal;
    		});
    		var keyId = $(this).find('li').eq(0).attr('key');
    		eachDataObj['dictItemId'] = keyId;
    		dataArr.push(eachDataObj);
    	});
    	var dictId = store.get("dictId");
    	var jsonObj={'CollectDetail':dataArr, dictId:dictId, enable:"2", deleteKey:deleteKey};
    	var jsonStr=JSON.stringify(jsonObj);
    	var data = GetDataByUrl_Post("api/InformationCollect/SaveCollect", jsonStr);
    	if (data && data.success == "1"){
    		toast("暂存成功。");
    		if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
    	   		goHome();
    	   	}else{
    	   		location.href = '../InformationCollect/myCollect.html';
    	   	}
    	} else {
    		toast(data.mes);
    	}
    });
    
    $("#btnAdd").on('click', function(){
    	var data = store.get("collectData");
    	addInfo(data);
    	clearSession();
    });
    
    function addInfo(data){
    	if (data && data.success == 1){
    		var contStr = "";
			if (data.fieldInfos && data.fieldInfos.length > 0){
				var dataInfo=data.fieldInfos[0];
				//$.each(data.fieldInfos, function (index, dataInfo){
					if (dataInfo.fields && dataInfo.fields.length > 0){
						contStr += '<div class="u-new-detail u-new-detail_w" id="fields'+divNum+'"><span class="fa fa-close"></span>';
						contStr += '	<ul class="table-view">';
						$.each(dataInfo.fields, function(index, part){
							contStr += '	<li class="table-view-cell">';
							contStr += '		<span class="title">'+part.fieldName;
							dictItemId = part.dictItemId;
							if (part.isNotNull == 'yes'){
								contStr += '<i class="must">*</i>';
								contStr += "		:</span>";
							} else {
								contStr += "		&nbsp;&nbsp;:</span>";
							}
							
							if (part.editOption == 'textarea'){
								contStr += '<textarea class="textreaTxt texctRight fieldLength" data-fn="resizable" style="height: 52px;" fieldLength="'+part.fieldLength+'" name="'+part.fieldId+'" placeholder="请填写'+part.fieldName+'" ></textarea>'
							} else if (part.editOption == 'user'){
								contStr += '<input type="text" name="'+part.fieldId+'" class="userRadio texctRight" placeholder="请填写'+part.fieldName+'" /><input type="hidden">';
							} else if (part.editOption == 'dept'){
								contStr += '<input type="text" name="'+part.fieldId+'" class="deptRadio texctRight" placeholder="请填写'+part.fieldName+'" /><input type="hidden">';
							} else if (part.editOption == 'date'){
								contStr += '<input type="text" class="titleInput dateTime" name="'+part.fieldId+'" value="" placeholder="请填写'+part.fieldName+'"/>';
							} else if (part.editOption == 'dict'){
								contStr += '<p class="navigate-right"><select class="select-content texctRight" name="'+part.fieldId+'">';
								contStr += '	<option value="">--请选择--</option>';
								if (part.dictItemModels && part.dictItemModels.length > 0){
									$.each(part.dictItemModels, function(index, dataInfo) {
										contStr += '<option value="'+dataInfo.dictItemId+'">'+dataInfo.dictItemName+'</option>';
									});
								}
								contStr += "</select></p>";
							} else {
								contStr += '		<input type="text" class="titleInput fieldLength" placeholder="请填写'+part.fieldName+'" fieldLength="'+part.fieldLength+'" name="'+part.fieldId+'"/>';
							}
							if (part.isNotNull == 'yes'){
								contStr += '<p id="tit-inputtip" class="fa fa-exclamation-circle hide">您还没有输入'+part.fieldName+'</p>';
							}
							if (part.editOption == "text" || part.editOption == "textarea"){
								contStr += '<span class="fa fa-exclamation-circle hide">您输入值的长度不能超过'+part.fieldLength+'</span>';
							}
							contStr += '	</li>';
						});
						contStr += "	</ul>";
						contStr += "</div>";
					}
			}
			$("#form2").append(contStr);
	    	bindClickEvent();
	    	divNum++;
		}
    }
    
    $('#btnSubmit').on('click',function(){
    	var isTrue = checkForm();
    	if (!isTrue){
    		return;
    	}
    	var _true = checkFormLength();
    	if (!_true){
    		return;
    	}
    	var self = this;
    	if (isLockSave) {
    		return;
    	}
    	var dataArr=[];
    	$('.u-new-detail_w').each(function(){
    		var eachDataObj={};
    		var _input=$(this).find('input');
    		_input.each(function(){
    			if($(this).attr("type")=="text"){
    				var iptId=$(this).attr('name');
    				if($(this).hasClass('userRadio') || $(this).hasClass('deptRadio')){
    					var iptVal=$(this).next().val();
    				}else{
    					var iptVal=$(this).val();
    				}
        			
        			eachDataObj[iptId]=iptVal
    			}
    		});
    		var _select=$(this).find('select');
    		_select.each(function(){
    			var selectId=$(this).attr('name');
    			var selectVal=$(this).val();
    			eachDataObj[selectId]=selectVal;
    		});
    		var _textarea=$(this).find('textarea');
    		_textarea.each(function(){
    			var _textareaId=$(this).attr('name');
    			var _textareaVal=$(this).val();
    			eachDataObj[_textareaId]=_textareaVal;
    		});
    		var keyId = $(this).find('li').eq(0).attr('key');
    		eachDataObj['dictItemId'] = keyId;
    		dataArr.push(eachDataObj);
    	});
    	if (dataArr.length == 0){
    		toast("没有提交的数据，不能进行提交。");
    		return;
    	}
    	SaveBtnStyleManage($(self), true);
    	SaveBtnStyleManage($(self), false);
    	var deleteKey = store.get("keyId");
    	if (deleteKey == undefined){
    		deleteKey = "";
    	}
    	var dictId = store.get("dictId");
    	var jsonObj={'CollectDetail':dataArr, dictId:dictId, enable:"1", deleteKey: deleteKey};
    	var jsonStr=JSON.stringify(jsonObj);
    	var data = GetDataByUrl_Post("api/InformationCollect/SaveCollect", jsonStr);
    	if (data && data.success == "1"){
    		toast("提交成功。");
    		if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
    	   		goHome("", "yes");
    	   	}else{
    	   		location.href = '../InformationCollect/myCollect.html';
    	   	}
    	} else {
    		toast(data.mes);
    	}
    });
    
    function SaveBtnStyleManage(node, status) {
		var $node = $(node);
		if (status != "" && typeof(status) == "boolean") {
			isLockSave = status;
		}
		if (isLockSave) {
			$node.html("提交中...");
			$node.css({
				cursor: "default"
			});
			$node.prop("style").WebkitFilter = "brightness(130%)";
		} else {
			$node.html("提交");
			$node.css({
				cursor: "pointer"
			});
			$node.prop("style").WebkitFilter = "";
		}
	}
    
    $('#btnCancel').on('click', function() {
	   	if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
	   		goHome();
	   	}else{
	   		location.href = '../InformationCollect/myCollect.html';
	   	}
    });
    
    // 必填校验
    function checkForm() {
    	var returnValue = true;
    	$('#form2').find('.must').each(function() {
    		var inputvalue = "";
            if ($(this).parent().parent().find('input').length > 0) {
                inputvalue = $(this).parent().parent().find('input').val();
            }
            if ($(this).parent().parent().find('textarea').length > 0) {
                inputvalue = $(this).parent().parent().find('textarea').val();
            }
            if ($(this).parent().parent().find('select').length > 0) {
                inputvalue = $(this).parent().parent().find('select').val();
            }
            if (inputvalue.trim() == "") {
            	returnValue = false;
            	$(this).parent().parent().find('p').addClass('show');
            	$(this).parent().parent().find('p').removeClass('hide');
            	$(this).parent().parent().closest('.table-view-cell').addClass('error');
            }else{
            	$(this).parent().parent().find('p').removeClass('show');
            	$(this).parent().parent().find('p').addClass('hide');
            	$(this).parent().parent().closest('.table-view-cell').removeClass('error');
            }
        });
    	return returnValue;
    }
    
    // 长度校验
    function checkFormLength() {
    	var returnValue = true;
    	$("#form2").find('.fieldLength').each(function() {
    		var _value = $(this).val();
    		var fieldLength = $(this).attr("fieldLength");
    		var this_par=$(this).closest('.table-view-cell');
    		if ("" != _value){
    			var _length = _value.length;
    			if (_length > fieldLength) {
                	returnValue = false;
                	//$(this).parent().find('span.fa-exclamation-circle').addClass('show');
                	this_par.find('span.fa-exclamation-circle').removeClass('hide');
                	//$(this).parent().closest('.table-view-cell').addClass('error');
                }else{
                	//$(this).parent().find('span.fa-exclamation-circle').addClass('show');
                	this_par.find('span.fa-exclamation-circle').addClass('hide');
                	//$(this).parent().closest('.table-view-cell').removeClass('error');
                }
    		}
    	});
    	return returnValue;
    }
    
    function valueStore(){
    	var dataArr=[];
    	$('.u-new-detail_w').each(function(){
    		var eachDataObj={};
    		var _input=$(this).find('input');
    		_input.each(function(){
    			if($(this).attr("type")=="text"){
    				var iptId=$(this).attr('name');
    				if($(this).hasClass('userRadio') || $(this).hasClass('deptRadio')){
    					var iptVal=$(this).next().val();
    				}else{
    					var iptVal=$(this).val();
    				}
        			
        			eachDataObj[iptId]=iptVal
    			}
    		})
    		var _select=$(this).find('select');
    		_select.each(function(){
    			var selectId=$(this).attr('name');
    			var selectVal=$(this).val();
    			eachDataObj[selectId]=selectVal;
    		})
    		var _textarea=$(this).find('textarea');
    		_textarea.each(function(){
    			var _textareaId=$(this).attr('name');
    			var _textareaVal=$(this).val();
    			eachDataObj[_textareaId]=_textareaVal;
    		})
    		dataArr.push(eachDataObj);
    	});
    	return dataArr;
    }
});
