define(['mobilekit'],function(){
    var moduleId='api/Task/';
    /**
     * 搜索框事件
     */
    var advance = 30; //距离底部30px时开始加载
    var WWCloading = false;
    var WWCSloading = false;
    var YWCloading = false;
    var YWCSloading = false;

    var WWCisEnd = false;
    var WWCSisEnd = false;
    var YWCisEnd = false;
    var YWCSisEnd = false;

    var WWCpage = 1;//未完成搜索
    var WWCSpage = 1;//已完成搜索
    var YWCpage = 1;//未完成
    var YWCSpage = 1;//已完成

    var row = 10;
    // 初始化滚动监听
    $(window).scroll(function(){
        scrollEvent();
    });
    $('.ui-tab .nav li').on('click',function(){
        $(".ui-tab .nav .current").removeClass('current');
        $(this).addClass('current');
        $('.ui-tab .content>li').addClass('hide');
        $('.ui-tab .content>li').eq($(this).index()).removeClass('hide');
    });
    //默认获取未完成数据
    getmyTaskWData(WWCpage);

    $('.ui-searchbar').on('keyup',function(){
        WWCpage = 1;
        WWCSpage = 1;
        YWCpage = 1;
        YWCSpage = 1;

        if ($("#WWC").hasClass("current")) {
            searchmyTaskWData($('.ui-searchbar-input').children().val(),WWCSpage);
        }
        else
        {
            searchmyTaskYData($('.ui-searchbar-input').children().val(),YWCSpage);
        }
    });

    $('.ui-searchbar').on('click',function(){
        $(this).parent().addClass('focus');
        $(this).children('.ui-searchbar-input').children().focus();
    });
    $('.ui-searchbar-cancel').on('click',function(){
        $(this).parent().removeClass('focus');
        $(this).prev().children('.ui-searchbar-input').children().val('');
        WWCpage = 1;
        WWCSpage = 1;
        YWCpage = 1;
        YWCSpage = 1;

        if ($("#WWC").hasClass("current") && !$("#YWC").hasClass("current")) {
            searchmyTaskWData($('.ui-searchbar-input').children().val(),WWCSpage);
        }
        else
        {
            searchmyTaskYData($('.ui-searchbar-input').children().val(),YWCSpage);
        }

    });
    $('.ui-searchbar .fa-times').on('click',function(){
        $(this).prev().children().val('');
        WWCpage = 1;
        WWCSpage = 1;
        YWCpage = 1;
        YWCSpage = 1;
        if ($("#WWC").hasClass("current") && !$("#YWC").hasClass("current")) {
            searchmyTaskWData($('.ui-searchbar-input').children().val(),WWCSpage);
        }
        else
        {
            searchmyTaskYData($('.ui-searchbar-input').children().val(),YWCSpage);
        }
    });

    /*
     点击未完成触发事件
     */
    $('#WWC').on('click',function(){
        $('.ui-searchbar-cancel').parent().removeClass('focus');
        $('.ui-searchbar-cancel').prev().children('.ui-searchbar-input').children().val('');
        // getmyTaskWData(1);
    });
    /*
     获取我的任务数据(未完成)
     */
    function getmyTaskWData(pageno) {
        $("#YWCContent .task-list-wrap").html("");
        WWCloading = true;
        var initPage=pageno;
        var taskName=$('.ui-searchbar-input').children().val();
        var initgetType="";
        var taskState="0";//任务完成状态：0为未完成、1已完成、2全部
        if(initPage==null)
        {
            initgetType="init";
        }
        else
        {
            initgetType="more";
        }
        //$.ajax({ type: 'post',data: '{"sign":"'+appSign+'","taskType":"own","taskId":"'+taskId+'","count":"'+row+'","getType":"'+initgetType+'"}',
        var url= moduleId+"GetSubList";
        var param='{"TaskFatherId":"'+localStorage.parentTaskId+'","TaskState":"'+taskState+'","key":""}';
        var data=GetDataByUrl_Post(url,param);

        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        var contStr = "";
        if(json.list && json.list.length>0){
            $.each(json.list,function(index,part){

                contStr += '<li class="task-list">';
                contStr += '    <div class="context">';
                contStr += '        <span class="hidden" id="taskId">'+part.taskId+'</span>';
                contStr += '        <span class="name">'+part.taskName+'</span>';
                contStr += '        <span class="time">'+part.taskEndTime+'</span>';
                contStr += '        <span class="percent">'+part.taskProgress+'%</span>';
                contStr += '    </div>';
                contStr += '</li>';
                //WWCpage=part.taskId;

            });
            WWCpage++;
        }
        if(initPage==1)
        {
            $("#WWCContent .task-list-wrap").html(contStr);
        }
        else
        {
            $("#WWCContent .task-list-wrap").append(contStr);
        }

        WbindOnclick();

        WWCloading = false;
        WWCSloading = true;
        YWCloading = true;
        YWCSloading = true;
        if(json.list) {
            WWCisEnd = json.list.length < row;
        }

    }
    /*
     查询我的任务数据(未完成)
     */
    function searchmyTaskWData(strWhere,pageno) {
        // $("#YWCContent .task-list-wrap").html("");
        WWCSloading = true;
        var initPage=pageno;

        var initgetType="";
        if(initPage==null)
        {
            initgetType="init";
        }
        else
        {
            initgetType="more";
        }
        var taskState="0";//任务完成状态：0为未完成、1已完成、2全部
        var searchType="0";//0为我的任务查询（默认），1为任务监督查询

        var url= moduleId+"GetSubList";
        var param='{"TaskFatherId":"'+localStorage.parentTaskId+'","TaskState":"'+taskState+'"}';
        var data=GetDataByUrl_Post(url,param);

        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        var contStr = "";
        if(json.list && json.list.length>0){
            $.each(json.list,function(index,part){

                contStr += '<li class="task-list">';
                contStr += '    <div class="context">';
                contStr += '        <span class="hidden" id="taskId">'+part.taskId+'</span>';
                contStr += '        <span class="name">'+part.taskName+'</span>';
                contStr += '        <span class="time">'+part.taskEndTime+'</span>';
                contStr += '        <span class="percent">'+part.taskProgress+'%</span>';
                contStr += '    </div>';
                contStr += '</li>';
                // WWCSpage=part.taskId;

            });
            WWCSpage++;
        }

        if(initPage==1)
        {
            $("#WWCContent .task-list-wrap").html(contStr);
        }
        else
        {
            $("#WWCContent .task-list-wrap").append(contStr);
        }
        WbindOnclick();

        WWCloading = true;
        WWCSloading = false;
        YWCloading = true;
        YWCSloading = true;
        if(json.list ) {
            WWCSisEnd = json.list.length < row;
        }

    }


    /*
     点击已完成触发事件
     */
    $('#YWC').on('click',function(){
        $('.ui-searchbar-cancel').parent().removeClass('focus');
        $('.ui-searchbar-cancel').prev().children('.ui-searchbar-input').children().val('');
        getmyTaskYData(1);
    });
    /*
     获取我的任务数据(已完成)
     */
    function getmyTaskYData(pageno) {
        $("#YWCContent .task-list-wrap").html("");
        YWCloading = true;
        var initPage=pageno;
        var taskName=$('.ui-searchbar-input').children().val();
        var initgetType="";
        if(initPage==null)
        {
            initgetType="init";
        }
        else
        {
            initgetType="more";
        }

        var taskState="1";//任务完成状态：0为未完成、1已完成、2已完成
        var searchType="0";//0为我的任务查询（默认），1为任务监督查询
        var url= moduleId+"GetSubList";
        var param='{"TaskFatherId":"'+localStorage.parentTaskId+'","TaskState":"'+taskState+'"}';
        var data=GetDataByUrl_Post(url,param);

        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        var contStr = "";
        if(json.list && json.list.length>0){
            $.each(json.list,function(index,part){

                contStr += '<li class="task-list">';
                contStr += '    <div class="context">';
                contStr += '        <span class="hidden" id="taskId">'+part.taskId+'</span>';
                contStr += '        <span class="name">'+part.taskName+'</span>';
                contStr += '        <span class="time">'+part.taskEndTime+'</span>';
                contStr += '        <span class="percent">'+part.taskProgress+'%</span>';
                contStr += '    </div>';
                contStr += '</li>';
                // WWCSpage=part.taskId;

            });
            YWCpage++;
        }

        if(initPage==1)
        {
            $("#YWCContent .task-list-wrap").html(contStr);
        }
        else
        {
            $("#YWCContent .task-list-wrap").append(contStr);
        }

        YbindOnclick();

        WWCloading = true;
        WWCSloading = true;
        YWCloading = false;
        YWCSloading = true;

        if(json.list) {
            YWCisEnd = json.list.length < row;
        }

    }
    /*
     查询我的任务数据(已完成)
     */
    function searchmyTaskYData(strWhere,pageno) {
        $("#YWCContent .task-list-wrap").html("");
        YWCSloading = true;
        var initPage=pageno;
        var initgetType="";
        if(initPage==null)
        {
            initgetType="init";
        }
        else
        {
            initgetType="more";
        }
        var taskState="1";// 0未完成 1已完成  2全部
        var searchType="0";//0为我的任务查询（默认），1为任务监督查询

        var url= moduleId+"GetSubList";
        var param='{"TaskFatherId":"'+localStorage.parentTaskId+'","TaskState":"'+taskState+'"}';
        var data=GetDataByUrl_Post(url,param);
        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        var contStr = "";
        if(json.list && json.list.length>0){
            $.each(json.list,function(index,part){

                contStr += '<li class="task-list">';
                contStr += '    <div class="context">';
                contStr += '        <span class="hidden" id="taskId">'+part.taskId+'</span>';
                contStr += '        <span class="name">'+part.taskName+'</span>';
                contStr += '        <span class="time">'+part.taskEndTime+'</span>';
                contStr += '        <span class="percent">'+part.taskProgress+'%</span>';
                contStr += '    </div>';
                contStr += '</li>';
                // YWCSpage=part.taskId;

            });
            YWCSpage++;
        }

        if(initPage==1)
        {
            $("#YWCContent .task-list-wrap").html(contStr);
        }
        else
        {
            $("#YWCContent .task-list-wrap").append(contStr);
        }

        YbindOnclick();

        WWCloading = true;
        WWCSloading = true;
        YWCloading = true;
        YWCSloading = false;
        if(json.list ) {
            YWCSisEnd = json.list.length < row;
        }

    }


    /*
     任务名称绑定事件
     */
    function WbindOnclick(){
        $("#WWCContent .task-list-wrap li").each(function () {
            $(this).unbind("click");
            $(this).bind("click", function () {
            	localStorage.taskId=$(this).find("#taskId").html();
            	localStorage.parentTaskId=$(this).find("#taskId").html();
            	localStorage.parentTaskName=$(this).find(".name").html();
                location.href ="taskDetail.html?title=任务详情";
            });
        });
    }
    function YbindOnclick(){
        $("#YWCContent .task-list-wrap li").each(function () {
            $(this).unbind("click");
            $(this).bind("click", function () {
            	localStorage.taskId=$(this).find("#taskId").html();
            	localStorage.parentTaskId=$(this).find("#taskId").html();
            	localStorage.parentTaskName=$(this).find(".name").html();
                location.href ="taskDetail.html?title=任务详情";
            });
        });
    }


    function scrollEvent(){
        if(WWCloading==false){
            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom =scrollHeight - scrollTop;

            //滚动加载
            if(scrollBottom <= advance && !WWCloading && !WWCisEnd){

                getmyTaskWData(WWCpage);//加载

            }else if(WWCisEnd){

            }



        }
        if(WWCSloading==false){
            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom =scrollHeight - scrollTop;

            //滚动加载
            if(scrollBottom <= advance && !WWCSloading && !WWCSisEnd){
                searchmyTaskWData($('.ui-searchbar-input').children().val(),WWCSpage);//加载

            }else if(WWCSisEnd){

            }
        }
        if(YWCloading==false){

            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom =scrollHeight - scrollTop;

            //滚动加载
            if(scrollBottom <= advance && !YWCloading && !YWCisEnd){

                getmyTaskYData(YWCpage);//加载

            }else if(YWCisEnd){

            }
        }

        if(YWCSloading==false){

            var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
            var scrollTop = $(window).scrollTop();
            var scrollBottom =scrollHeight - scrollTop;

            //滚动加载
            if(scrollBottom <= advance && !YWCSloading && !YWCSisEnd){

                searchmyTaskYData($('.ui-searchbar-input').children().val(),YWCSpage);//加载

            }else if(YWCisEnd){

            }
        }

    }
});