
define(['mobilekit','swiper','datetime', 'base64'],function(){
	var latestReportProgress;//当前任务最大进度
	var taskProgress;//任务的当前进度
	/**
     * 初始化日历
     */
    $('#reportActStartDate,#reportActComplateDate').mobiscroll().datetime({
     /*   theme: '',     // Specify theme like: theme: 'ios' or omit setting to use default
        mode: 'scroller',       // Specify scroller mode like: mode: 'mixed' or omit setting to use default
        display: 'modal', // Specify display mode like: display: 'bottom' or omit setting to use default
        lang: 'zh',       // Specify language like: lang: 'pl' or omit setting to use default*/
        dateFormat: 'yy-mm-dd',               //输入框中显示日期格式
        minDate: new Date(2014, 3, 10),  // More info about minDate: http://docs.mobiscroll.com/2-16-1/datetime#!opt-minDate
        maxDate: new Date(2018, 3, 10),   // More info about maxDate: http://docs.mobiscroll.com/2-16-1/datetime#!opt-maxDate
        stepMinute: 5  // More info about stepMinute: http://docs.mobiscroll.com/2-16-1/datetime#!opt-stepMinute
    });
    var moduleId='api/Task/';
    var flag=true;
    /*
    获取任务名称
     */
    getNameBytaskId(localStorage.taskId);

    $('.upload .imgFunc').click(function(){
        $('.upload .upload-img').click();
    });

    $('header').on('click',function(){
        history.go(-1);
    });

    /*
    任务进度验证
     */
    $("#tProgress").on("keyup keydown input",function () {
        var tProgress = $("#tProgress").val();
        tProgress=tProgress.replace(/[^\d]/g,'')
        if(Number(tProgress)==0)
        {
            tProgress="";
        }
        if(Number(tProgress)>100)
        {
            tProgress="";
        }
        if(Number(tProgress)==100){
        	$('#reportActComplateDate').parent().parent().show();
        }else{
            $('#reportActComplateDate').parent().parent().hide();
        }
        $("#tProgress").val(tProgress);

    });

    /*
    任务工时验证
     */
    $("#tManHour").on("keyup keydown input",function () {

        var tManHour = $("#tManHour").val();
        var ss =/^\d+(\.\d+)?$/;
        if (!ss.test(tManHour+""))
        {
            tManHour="0";
        }
        if(parseFloat(tManHour)==0)
        {
            tManHour="";
        }
        if((parseFloat(tManHour)>8)){
        	toast("一天工时不能超过8小时:","",1500);
        	tManHour="";
        }
        $("#tManHour").val(tManHour);
    });

    /*
    提交事件
     */
    $('#btn').click(function(){
        var tContent = escapeBr($('.task-cont').val());
        var tProgress = $('#tProgress').val();
        var tManHour = $('#tManHour').val();
        var reportActComplateDate =$("#reportActComplateDate").val();
        var reportActStartDate=$("#reportActStartDate").val();
        var d = new Date();
        function change(num){
        	if(num<10){
        		num ='0'+num;
        	}
        	return num;
        }
        var taskExecutingTime = d.getFullYear() + '-' +	change((d.getMonth() + 1)) + '-' +change(d.getDate())  + ' ' + change(d.getHours()) + ':' + change(d.getMinutes())+':'+change(d.getSeconds());
        var toViewer="0";
        if($('input[type="checkbox"]').prop('checked'))
        {
            toViewer="1";
        }
        if(tContent.trim()=="")
        {
            toast("内容不允许为空！","",1500);
            return false;
        }
        if(tContent.trim().length>500)
        {
            toast("内容不允许超出500！","",1500);
            return false;
        }
        if(tProgress.trim()==""&&flag)
        {
            toast("汇报进度不允许为空！","",1500);
            return false;
        }
        if(parseInt(tProgress)!=100){
			if(parseInt(tProgress)<=parseInt(latestReportProgress)){
				toast("此次汇报进度必须大于已通过汇报进度:"+latestReportProgress,"",1500);
				return false;
			}
			if(parseInt(tProgress)<=taskProgress){
				toast("此次汇报进度必须大于已通过汇报进度:"+taskProgress,"",1500);
				return false;
			}
		}
        if(tManHour.trim()=="")
        {
            toast("汇报工时不允许为空！","",1500);
            return false;
        }
        if(parseInt(tProgress)==100){
        	if(reportActComplateDate==""){
        		toast("结束时间不能为空！","",1500);
                return false;
        	}
        	var url2=moduleId+"childReported";
            var param2 ='{"TaskId":"'+localStorage.taskId+'"}'
            var data2=GetDataByUrl_Post(url2,param2);
            var json2 = JSON.stringify(data2);
            json2 = JSON.parse(json2);
            if(json2.success=="true"||json2.success=="1"){
            	isConfirm("该任务有未完成的子任务,是否确定将该任务汇报成已完成?",function(){
            		var url= moduleId+"CreateTaskExecuting";
                    var param='{"TaskId":"'+localStorage.taskId+'","TaskExecutingContent":"'+tContent+'","TaskProgress":"'+tProgress+'","WorkHours":"'+tManHour+'","IsCreateDiary":"0","TaskExecutingTime":"'+taskExecutingTime+'","toViewer":"'+toViewer+'","reportActComplateDate":"'+reportActComplateDate+'","reportActStartDate":"'+reportActStartDate+'"}';
                    var data=GetDataByUrl_Post(url,param);
                    var json = JSON.stringify(data);
                    
                    json = JSON.parse(json);

                    if(json.success=="1")
                    {
                        location.href ="taskDetail.html?title=任务详情";
                    }
                    else
                    {
                        toast(""+json.mes+"","",1500);
                        return false;
                    }
        		})
            }else{
            	var url= moduleId+"CreateTaskExecuting";
                var param='{"TaskId":"'+localStorage.taskId+'","TaskExecutingContent":"'+tContent+'","TaskProgress":"'+tProgress+'","WorkHours":"'+tManHour+'","IsCreateDiary":"0","TaskExecutingTime":"'+taskExecutingTime+'","toViewer":"'+toViewer+'","reportActComplateDate":"'+reportActComplateDate+'","reportActStartDate":"'+reportActStartDate+'"}';
                var data=GetDataByUrl_Post(url,param);
                var json = JSON.stringify(data);
                //alert(json);
                json = JSON.parse(json);

                if(json.success=="1")
                {
                    location.href ="taskDetail.html?title=任务详情";
                }
                else
                {
                    toast(""+json.mes+"","",1500);
                    return false;
                }
            }
        }else{
        	 var url= moduleId+"CreateTaskExecuting";
             var param='{"TaskId":"'+localStorage.taskId+'","TaskExecutingContent":"'+tContent+'","TaskProgress":"'+tProgress+'","WorkHours":"'+tManHour+'","IsCreateDiary":"0","TaskExecutingTime":"'+taskExecutingTime+'","toViewer":"'+toViewer+'","reportActComplateDate":"'+reportActComplateDate+'","reportActStartDate":"'+reportActStartDate+'"}';
             var data=GetDataByUrl_Post(url,param);
             var json = JSON.stringify(data);
             //alert(json);
             json = JSON.parse(json);

             if(json.success=="1")
             {
                 location.href ="taskDetail.html?title=任务详情";
             }
             else
             {
                 toast(""+json.mes+"","",1500);
                 return false;
             }
        }
        
       

    });

    /*
     获取任务名称
     */
    function getNameBytaskId(taskId) {

        var url= moduleId+"GetTask";
        var param=taskId;
        var data=GetDataByUrl_Post(url,JSON.stringify(param));
        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        if(data.success=="1")
        {
        	latestReportProgress=data.latestReportProgress;
            // $(".u-task-new .title").val(json.taskname);
            // $(".u-task-new .title").attr({ readonly: 'true' });
            if(json.taskInfo!=undefined) {
                var part=json.taskInfo;
                taskProgress=part.taskProgress;
                if(part.taskSendPersonId!=appUserId)  //如果当前用户不是任务布置人则不可以编辑任务,不可以对任务进行批示
                {
                    $('#linkTaskInstruction').hide();
                }
                if (part.taskExecutorId != appUserId&&((","+part.taskOthersId+",").indexOf(","+appUserId+",")<0))//如果当前用户不是任务执行人(配合人)，不显示任务汇报
                {
                    $('#linkTaskReport').hide();

                }else{
                	if(part.taskExecutorId == appUserId){
                		$('#tProgress').parent().parent().show();
                	}else{
                		$('#tProgress').parent().parent().hide();
                		flag=false;
                	}
                }
                /*if (part.taskExecutorId != appUserId)//如果当前用户不是任务执行人，不显示确认完成
                {
                    $('#linkEnsureTask').hide();
                }*/
               
                if(part.taskSendPersonId!=appUserId && part.taskExecutorId!=appUserId)//如果当前用户不是任务执行人和布置人，不显示任务分解
                {
                    $('#linkTaskDecomposition').hide();
                }
                if(data.timeFlag=="1"){
                	$('#reportActStartDate').parent().parent().show();
                }else{
                	$('#reportActStartDate').parent().parent().hide();
                }
                $('#reportActComplateDate').parent().parent().hide();
            }
        }
        else
        {
            toast("操作失败！","",1500);
            return false;
        }
        /*$.ajax({ type: 'post',data: '{"strTaskId":"'+taskId+'","sign":"'+appSign+'"}',
            async: false,
            url: hostUrl + "GetTask",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {


            },
            Error: function(err) {
                console.log(err);
            }
        });*/

    }
    //图片放大及删除
    $('.upload-pic').on('click','div',function(){
        var index = $(this).index();
        $('.photo-big').removeClass('hide');
        mySwiper.update();
        mySwiper.slideTo(index);
    }).on('longTap',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
    });
    $('.cancel').on('click',function(){
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').addClass('hide');
    });
    $('.deleteImg').on('click',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
    });
    //长按后的删除
    $('#deleted').on('click',function(){
        alert('删除当前图片11111');
        $('.ui-actionsheet-wrap').addClass('hide');
    });
    var mySwiper = new Swiper('.swiper-container',{
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
    //播放音乐
    $('.playMP3').on('click',function(){
        $('.audio').removeClass('hide');
        $('.u-my-diary').addClass('fix-bottom');
        audio.play();
    });
    $('.audio .btn').on('click',function(){
        $(this).parent().addClass('hide');
        $('.u-my-diary').removeClass('fix-bottom');
        audio.pause();
    });
    var audio = document.getElementById("audio");
    $('.file-type').on('click',function(){
        if(audio.paused){
            audio.play();
            return false;
        }else {
            audio.pause();
        }
    });
    //删除 rar mp3
    $('.upload-file').on('click','.icon-close',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
        $('.ui-actionsheet-wrap').find('.title').text('确定要删除'+$(this).parent().find('.name').text()+' 吗?');
    }).on('longTap',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
        $('.ui-actionsheet-wrap').find('.title').text('确定要删除'+$(this).find('.name').text()+' 吗?');
    });
    $('#back').on('click',function(){
        $('.ui-actionsheet-wrap').addClass('hide');
    });


});