
define(['mobilekit'], function() {
    //init();
    start();
    function start() {

        if (sessionStorage.getItem("pubsetdeptlist") == null) { //alert('a');
            init();
            var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetdeptlist", pubDeptLists);
        }
        else {    //alert(sessionStorage.removeItem("pubsetdeptlist"));
            $("#main-level").html(sessionStorage.getItem("pubsetdeptlist"));
        }
    }

    //复选
    $(".check").each(function() {
        if (sessionStorage.getItem("DeptListIDS") != null && sessionStorage.getItem("DeptListIDS") != "") {
            var DeptsID = "," + sessionStorage.getItem("DeptListIDS") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载部门
    */
    function init() {
        var parameterUrl = 'api/UserSelect/GetExpenseDeptList';
        var parameterData = '';
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        json = JSON.parse(json);
        var contStr = "";
       
        
        if (json.allUsersList && json.allUsersList.length > 0) {
            $.each(json.allUsersList, function(index, part) {
            	var englishLevel='';
            	
            	switch(parseInt(part.sortLevel))
                {
                	case 3: englishLevel = "three-level"; break;
                	case 4: englishLevel = "four-level"; break;
                	case 5: englishLevel = "five-level"; break;
                	case 6: englishLevel = "six-level"; break;
                	case 7: englishLevel = "seven-level"; break;
                	case 8: englishLevel = "eight-level"; break;
                }
            	switch (parseInt(part.sortLevel)) 
                {
                    case 1:
	                    contStr += '<div class="detail">';
	                    contStr += '    <p class="check">';
	                    contStr += '    <span class="fa fa-square-o"></span>';
	                    contStr += '    <input type="hidden" checked value="false"/>';
	                    contStr += '    <span class="hide">'+part.deptId+'</span>';
	                    contStr += '    <span class="hide">'+part.deptName+'</span>';
	                    contStr += '    </p>' + part.deptName;
	                    contStr += '    <i class="fa fa-caret-down pull-right main-fa"></i>';
	                    contStr += '</div>';
	                    $("#main-level").html(contStr);
	                    break;
                    case 2:
	                    contStr = '<div class="second-level" >';
	                    contStr += '    <div class="department two-level">';
	                    contStr += '        <div class="detail">';
	                    contStr += '            <p class="check">';
	                    contStr += '            <span class="fa fa-square-o"></span>';
	                    contStr += '            <input type="hidden" checked value="false"/>';
	                    contStr += '            <span class="hide">'+part.deptId+'</span>';
	                    contStr += '            <span class="hide">'+part.deptName+'</span>';
	                    contStr += '            </p>' + part.deptName;
	                    contStr += '            <i class="fa fa-caret-down pull-right"></i>';
	                    contStr += '        </div>';
	                    contStr += '       <div class="third-level" id="' + part.deptId + '"></div>';
	                    contStr += '    </div>';
	                    contStr += '</div>';
	                    $("#main-level").append(contStr);
	                    break;
                    default:
	                    contStr = ' <div class="department '+ englishLevel +'" id="' + part.deptId + '">';
	                    contStr += '     <div class="detail">';
	                    contStr += '             <p class="check">';
	                    contStr += '             <span class="fa fa-square-o"></span>';
	                    contStr += '             <input type="hidden" checked value="false"/>';
	                    contStr += '             <span class="hide">'+part.deptId+'</span>';
	                    contStr += '             <span class="hide">'+part.deptName+'</span>';
	                    contStr += '             </p>' + part.deptName;
	                    contStr += '             <i class="fa fa-caret-down pull-right"></i>';
	                    contStr += '     </div>';
	                    contStr += '</div>';
	                    $("#" + part.deptFatherId).append(contStr);
                }
            });
        }
        $('.detail').each(function(){
            if($(this).next().size()<1 || $(this).next().html()==''){
                $(this).find('.pull-right').remove();
            }
        })
    }
    /*
    保存事件
    */
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID");
        var DeptIDList = "";
        var DeptNameList = "";
        $(".check").each(function() {
            if ($(this).find("input").val() == "true") {
                if (DeptIDList == "") {
                    DeptIDList += $(this).find("span").eq(1).text();
                    DeptNameList += $(this).find("span").eq(2).text();
                }
                else {
                    DeptIDList += "," + $(this).find("span").eq(1).text();
                    DeptNameList += "," + $(this).find("span").eq(2).text();
                }
            }
        });
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.setItem(inputID + "DeptIDList", DeptIDList);
        sessionStorage.setItem(inputID + "DeptNameList", DeptNameList);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });
});