
define(['mobilekit'], function() {
   
    start();
    function start() {

        if (sessionStorage.getItem("allSendNoByDeptId") == null) { 
            init();
            pubsetprovincelist = $("#main-level").html();
            sessionStorage.setItem("allSendNoByDeptId", pubsetprovincelist);
        }
        else {   
            $("#main-level").html(sessionStorage.getItem("allSendNoByDeptId"));
        }
    }

    //复选
    $(".check").each(function() {
        if (sessionStorage.getItem("allSendNoByDeptId") != null && sessionStorage.getItem("allSendNoByDeptId") != "") {
            var DeptsID = "," + sessionStorage.getItem("allSendNoByDeptId") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载字号
    */
    function init() {
    	var parameterUrl = 'api/UserSelect/SelectSendNoByDeptId';
    	var selType=sessionStorage.getItem("type");
        var parameterData ={type:selType};
        var data = GetDataByUrl_Post(parameterUrl,JSON.stringify(parameterData));
        var json = JSON.stringify(data);
      console.log(data);
        json = JSON.parse(json); 
        var contStr = '<div class="detail">'
        					+'<table style="border:2px solid #e5e5e5;text-align:center;" class="detail">'
        						+'<thead>'
        							+'<tr>'
        								+'<th width="3%"><p class="radio"><span class="fa fa-circle-o"></span><span class="hide fa-circle-o"></span><input type="hidden" checked="" name="radio1" value="false"><span class="hide fa-circle-o"></span></p></th>'
        								+'<th width="10%">序号</th>'
        								+'<th width="10%" class="hide">字号id</th>'
        								+'<th width="10%">字号</th>'
        								+'<th width="10%">范例</th>'
        							+'</tr>'
        						+'</thead>'
        						+'<tbody id="content"></tbody>';
        if (json.allSendNoByDeptId && json.allSendNoByDeptId.length > 0) {
            $.each(json.allSendNoByDeptId, function(index, part) {
                    contStr += '<tr>';
                    contStr += '    <td><p class="radio"><span class="fa fa-circle-o"></span><span class="hide fa-circle-o"></span><input type="hidden" checked="" name="radio1" value="false"><span class="hide fa-circle-o"></span></p></td>';
                    contStr += '    <td>'+(index+1)+'</td>';
                    contStr += '    <td class="hide">'+part.fieldsizeId+'</td>';
                    contStr += '    <td>'+part.sizeName+'</td>';
                    contStr += '    <td>'+part.sizeFanli+'</td>';
                    $("#content").append(contStr);
            });
        }
        contStr+='</table></div>';
        $("#main-level").html(contStr);
    }
    /*
    保存事件
    */
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID");
        var DeptIDList = "";
        var DeptNameList = "";
        $(".radio").each(function() {
            if ($(this).find("input").val() == "true") {
                if (DeptNameList == "") {
                    DeptIDList += $(this).find("span").eq(2).text();
                    DeptNameList += $(this).find("span").eq(3).text();
                }
                else {
                    DeptIDList += "," + $(this).find("span").eq(2).text();
                    DeptNameList += "," + $(this).find("span").eq(3).text();
                }
            }
        });
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.setItem(inputID + "ProvinceIDList", DeptIDList);
        sessionStorage.setItem(inputID + "CityList", DeptNameList);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });
    
  //单选事件
    $(".radio").each(function() {
        var t;
        if ($(this).find('input').val() == "true") {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            });
            $(this).addClass("active");
            
            
        }
        else {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            });
            $(this).removeClass("active");
        }
        $(this).closest('.radio').click(function() {
            
            $('.detail').find('.radio').each(function() {
                var tt = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    checked: false,
                    enable: true
                });
                $(this).removeClass("active");
                $(this).find('span').eq(2).html();
            })
            t.setChecked(true);
            $(this).addClass("active");
            $(this).find('span').eq(2).html($(this).parent().parent().find('td:last-child').text());
            return false;
        })
    });
    
    
    //获取url中的参数
    function getUrlPara(name) {
        var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); //构造一个含有目标参数的正则表达式对象
        var r = window.location.search.substr(1).match(reg);  //匹配目标参数
        if (r != null) return unescape(r[2]); return null; //返回参数值
    }
});