define(['mobilekit'], function() {
    start();
    function start() {

        if (sessionStorage.getItem("pubsetsubjectlist") == null) {
            init();
            var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetsubjectlist", pubDeptLists);
        }
        else {
            $("#main-level").html(sessionStorage.getItem("pubsetsubjectlist"));
        }
    }

    //复选
    $(".check").each(function() {
        if (sessionStorage.getItem("DeptListIDS") != null && sessionStorage.getItem("DeptListIDS") != "") {
            var DeptsID = "," + sessionStorage.getItem("DeptListIDS") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载费用科目
    */
    function init() {
        var parameterUrl = 'api/UserSelect/GetSubjectList';
    	/*var selectId=getUrlParam("selectId");
    	var selectName=getUrlParam("selectName");
    	var budgetParam=getUrlParam("budgetParam");
    	var isSingle=getUrlParam("isSingle");
    	var deptId=getUrlParam("deptId");*/
        var parameterData ='';//'{ selectId: selectId, selectName: selectName, budgetParam: budgetParam, isSingle: isSingle, deptId: deptId }';
        var data = GetDataByUrl_Post(parameterUrl,parameterData);
        var json = JSON.stringify(data);

        json = JSON.parse(json);
        var contStr = "";
        if (json.allSubjectList && json.allSubjectList.length > 0) {
            $.each(json.allSubjectList, function(index, part) {
                if (part.sortLevel == "1") {
                    contStr += '<div class="detail">';
                    contStr += '    <p class="check">';
                    contStr += '    <span class="fa fa-square-o"></span>';
                    contStr += '    <input type="hidden" checked value="false"/>';
                    contStr += '    <span class="hide">'+part.subjectId+'</span>';
                    contStr += '    <span class="hide">'+part.subjectName+'</span>';
                    contStr += '    </p>' + part.subjectName;
                    contStr += '    <i class="fa fa-caret-down pull-right main-fa"></i>';
                    contStr += '</div>';
                    $("#main-level").html(contStr);
                }
                if (part.sortLevel == "2") {
                    contStr = '<div class="second-level" >';
                    contStr += '    <div class="department two-level">';
                    contStr += '        <div class="detail">';
                    contStr += '            <p class="check">';
                    contStr += '            <span class="fa fa-square-o"></span>';
                    contStr += '            <input type="hidden" checked value="false"/>';
                    contStr += '            <span class="hide">'+part.subjectId+'</span>';
                    contStr += '            <span class="hide">'+part.subjectName+'</span>';
                    contStr += '            </p>' + part.subjectName;
                    contStr += '            <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '        </div>';
                    contStr += '       <div class="third-level" id="' + part.subjectId + '"></div>';
                    contStr += '    </div>';
                    contStr += '</div>';
                    $("#main-level").append(contStr);
                }
                if (part.sortLevel == "3") {
                    contStr = ' <div class="department three-level" id="' + part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '             <p class="check">';
                    contStr += '             <span class="fa fa-square-o"></span>';
                    contStr += '             <input type="hidden" checked value="false"/>';
                    contStr += '             <span class="hide">'+part.subjectId+'</span>';
                    contStr += '             <span class="hide">'+part.subjectName+'</span>';
                    contStr += '             </p>' + part.subjectName;
                    contStr += '             <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    $("#" + part.subjectFatherId).append(contStr);
                }
                if (part.sortLevel == "4") {
                    contStr = '<div class="department four-level" id="' + part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '         <p class="check">';
                    contStr += '         <span class="fa fa-square-o"></span>';
                    contStr += '         <input type="hidden" checked value="false"/>';
                    contStr += '         <span class="hide">'+part.subjectId+'</span>';
                    contStr += '         <span class="hide">'+part.subjectName+'</span>';
                    contStr += '         </p>' + part.subjectName;
                    contStr += '         <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    $("#" + part.subjectFatherId).append(contStr);
                }
                if (part.sortLevel == "5") {
                    contStr = '<div class="department five-level" id="' + part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '         <p class="check">';
                    contStr += '         <span class="fa fa-square-o"></span>';
                    contStr += '         <input type="hidden" checked value="false"/>';
                    contStr += '         <span class="hide">'+part.subjectId+'</span>';
                    contStr += '         <span class="hide">'+part.subjectName+'</span>';
                    contStr += '         </p>' + part.subjectName;
                    contStr += '         <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    $("#" + part.subjectFatherId).append(contStr);
                }
                if (part.sortLevel == "6") {
                    contStr = '<div class="department six-level" id="' + part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '         <p class="check">';
                    contStr += '         <span class="fa fa-square-o"></span>';
                    contStr += '         <input type="hidden" checked value="false"/>';
                    contStr += '         <span class="hide">'+part.subjectId+'</span>';
                    contStr += '         <span class="hide">'+part.subjectName+'</span>';
                    contStr += '         </p>' + part.subjectName;
                    contStr += '         <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    $("#" + part.subjectFatherId).append(contStr);
                }
                if (part.sortLevel == "7") {
                    contStr = '<div class="department seven-level" id="' + part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '         <p class="check">';
                    contStr += '         <span class="fa fa-square-o"></span>';
                    contStr += '         <input type="hidden" checked value="false"/>';
                    contStr += '         <span class="hide">'+part.subjectId+'</span>';
                    contStr += '         <span class="hide">'+part.subjectName+'</span>';
                    contStr += '         </p>' + part.subjectName;
                    contStr += '         <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    $("#" + part.subjectFatherId).append(contStr);
                }
                if (part.sortLevel == "8") {
                    contStr = '<div class="department eight-level" id="' + part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '         <p class="check">';
                    contStr += '         <span class="fa fa-square-o"></span>';
                    contStr += '         <input type="hidden" checked value="false"/>';
                    contStr += '         <span class="hide">'+part.subjectId+'</span>';
                    contStr += '         <span class="hide">'+part.subjectName+'</span>';
                    contStr += '         </p>' + part.subjectName;
                    contStr += '         <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    $("#" + part.subjectFatherId).append(contStr);
                }
            });
        }
       
    }
    /*
    保存事件
    */
    var obj = $(this);
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID"); 
        var DeptIDList = "";
        var DeptNameList = "";
        $(".check").each(function() {
            if ($(this).find("input").val() == "true") {
                if (DeptIDList == "") {
                    DeptIDList += $(this).find("span").eq(1).text();
                    DeptNameList += $(this).find("span").eq(2).text();
                }else {
                    DeptIDList += "," + $(this).find("span").eq(1).text();
                    DeptNameList += "," + $(this).find("span").eq(2).text();
                }
            }
        });
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.setItem(inputID + "SubjectIDList", DeptIDList);
        sessionStorage.setItem(inputID + "SubjectNameList", DeptNameList);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });
});