/*
 * 阅读人员
 */
define(['mobilekit'], function () {
    var messageID = sessionStorage.getItem("messageID");
    var SendContent;
    if (appServer == "c6")
        SendContent = "您有名为 <a href='../JHSoft.Web.Message/Message/MessageDisplay" + sessionStorage.getItem("nowModuleID") + ".htm?From=1&Message=" + messageID + "'>" + sessionStorage.getItem("messageTitle") + "</a> 的信息需要阅读，请尽快查阅。";
    else
        SendContent = "您有名为 <a href='"+baseurl+"business/information/portalwb-info-pub!infoPubFlowView.action?businessId=" + messageID + "'>" + sessionStorage.getItem("messageTitle") + "</a> 的信息需要阅读，请尽快查阅。";

    var inface = "api/DoorIndex/",
        type = getUrlParam("type"),
        RecipientList = [],
        _readList = $("div.already-reader-list"),
        _unReadList = $("div.unreader-list"),
        _surebtn = $("button.sure-btn"),

        readNum = 0,
        unReadNum = 0,

        init = {
            create: function () {
                init.createUserList();
                init.setEvent()
                init.setReadNum();
            },
            createUserList: function () {
                var json = init.getMessageAllUsers(messageID);
                if (json.success == 1 && json.usersInfo.length > 0) {
                    $.each(json.usersInfo, function (index, part) {
                        var _img="";
                        if(part.userPic==""){
                             _img = '<img src="../../styles/images/User.png" alt=""/>';
                        }else{
                             _img = '<img src="'+part.userPic+'" alt="" onerror="this.src=\'../../styles/images/User.png\'"/>';
                        }
                        var _a = $("<div>"),
                            _div = $("<div>", {"class":"delete"}),
                           // _img = $("<img>").attr("src","../../styles/images/User.png"),
                          //  _p = '$("<p>", {"class":"double-row"}).text(part.userName);'
                            _p = '<div class="double-row"><p>'+part.userName+'<span class="time">'+getNewDate(part.lastReading)+'</span></p></div>';
                        _a.append(_div.append(_img)).append(_p);
                        if (part.readNumber == "") {
                            _a.addClass("unreader").appendTo(_unReadList);
                            RecipientList[unReadNum]=part.userID
                            unReadNum += 1;
                        } else {
                            _a.addClass("already-reader").appendTo(_readList)
                            readNum += 1;
                        }
                    })
                } else {
                    toast("获取阅读情况失败，请点击重试！", "", 1500);
                }
            },
            /*
             * 获取阅读人员
             */
            getMessageAllUsers: function (messageID) {
                var url = inface + "GetMessageAllUsers";
                var data = GetDataByUrl_Post(url, messageID);
                var json = JSON.parse(JSON.stringify(data));

                return json;
            },
            /*
             * 设置选项卡
             */
            setTabs: function () {
                $(".tabs").children().on("click", function () {
                    $(this).addClass("current").siblings().removeClass("current");
                    $(".reader").children().eq($(this).index()).removeClass("hide").siblings().addClass("hide");
                    if ($(this)[0] == $(".unread")[0]) {
                        if (RecipientList.length>0) $("nav").removeClass("hide");
                    } else {
                        $("nav").addClass("hide");
                    }

                })
            },
            /*
             * 设置阅读人数
             */
            setReadNum: function () {
                var _unread = $(".tabs .unread"),
                    _read = $(".tabs .already-read");
                _unread.children("i").text(unReadNum);
                _read.children("i").text(readNum);
                if (type == 1) _read.trigger("click");
                else _unread.trigger("click");
            },
            /*
             * 未读寻呼提醒
             */
            sendNetCall: function () {
                var param = {
                    CallIDs: [],
                    RecipientList: RecipientList,
                    SendContent: SendContent,
                    CallSms: 0,
                    SlaveList: []
                }

                var t = setTimeout(function () {
                    toast("发送失败，请检查网络！", "", 1500);
                    _surebtn.text("协同提醒");
                }, 20000);

                var url = "api/NetCall/SendNetCall";
                var data = GetDataByUrl_Post(url, JSON.stringify(param));
                var json = JSON.parse(JSON.stringify(data));
                clearTimeout(t);
                _surebtn.text("协同提醒");
                if (json.success == "1") {
                    toast("所有未阅人员提醒已发送！", "", 1500);
                } else {
                    toast("发送协同提醒失败！", "", 1500);
                }
            },
            /*
             * 页面事件
             */
            setEvent: function () {
                init.setTabs();
                _surebtn.on("click", function () {
                    $(this).text("发送中...")
                    setTimeout(function () { init.sendNetCall(); }, 200);
                })
            }
        }

    //初始化加载页面数据
    $(function () {
        init.create();
    })

});
