define(["app/doorIndex/newDoorIndexModel"],function(newDoorIndexModel) {
	return {
		/*获取sesstion*/
		getSesstionStorage:function(obj){
			var objStorage = {};
			for(var i=0,x=obj.length;i<x;i++){
				objStorage[obj[i]] = sessionStorage.getItem(obj[i]) ? sessionStorage.getItem(obj[i]) : null;
			}
			return objStorage;
		},
		/*设置sesstion*/ 
		setSesstionStorage:function(obj){
			for(var key in obj){
				sessionStorage.setItem(key,obj[key]);
			}
			return true;
		},
		isHasMessage:function(messageInfo){
			return messageInfo.some(function(currentValue){
				if(currentValue.hasOwnProperty("messageInfo")){
					return true;
				}
			});
		},
		/*获取首页门户信息*/
		getDoorIndexList:function(url){
			var indexListData = GetDataByUrl_Post(url,"");
			var dataProtals = newDoorIndexModel.getDoorProtalData(indexListData);
			return dataProtals;
		},
		/*获取栏目信息*/
		getDoorModulesMessages:function(modules,url){
			var _self = this;
			var modulesDatas = []; 
			$.each(modules,function(index,item){
				//console.log(item["moduleID"])
				var moduleID=item["moduleID"].split(',');
				var messages="";
				var dataMessage="";
				if(moduleID.length>1){
					var arr=[];
					$.each(moduleID,function(i,v){
						
						moduleID=v;
						messages = GetDataByUrl_Post(url,_self.jsonParemStringify(moduleID,item["channelId"],0,0));
						dataMessage = newDoorIndexModel.messagesData(messages);
						arr.push(dataMessage.messageInfo)
						item["messageInfo"]=arr;
						item.more=true;
						modulesDatas.push(item);
					})
				}else{
					$.each(moduleID,function(i,v){
						moduleID=v;
						messages = GetDataByUrl_Post(url,_self.jsonParemStringify(moduleID,item["channelId"],0,0));
						dataMessage = newDoorIndexModel.messagesData(messages);
						item["messageInfo"]=dataMessage.messageInfo;
						item.more=false;
						modulesDatas.push(item);
					})
				}
				
				
			
			
			});
			//console.log(JSON.stringify(modulesDatas))
			return modulesDatas;
		},
		/*获取更多栏目信息*/
		getMoreModulesMessages:function(moduleID,channelId,url,messageID){
			var messages = GetDataByUrl_Post(url,this.jsonParemStringify(moduleID,channelId,0,messageID));
			var dataMessage = newDoorIndexModel.messagesData(messages);
			return dataMessage.messageInfo;

		},
		/*请求参数格式化*/
		jsonParemStringify:function(moduleID,channelId,State,messageID){
			var jsondata = {
			    MessageID: messageID,
			    State: State,//1更多，0请求
			    Count: 5,
			    ModuleID: moduleID,
			    ChannelId:channelId
			}
			return JSON.stringify(jsondata);
		}
	}
});