define(["app/doorIndex/tools"],function(tools) {
	return {
		/*首页门户信息数据整理*/
		getDoorProtalData:function(data){
			var listData = {defualtID:"",protalInfo:[]};
			if(data.success === 1 || data.success === "1"){
				listData["defualtID"] = data["dprotalID"];

				if(data.hasOwnProperty("protalInfo")){
					listData["protalInfo"] = this.doorProtalData(data);
				}
			}
			return listData;
		},
		/*遍历首页门户信息数据*/
		doorProtalData:function(data){
			var protalInfos = [];
			var _self = this;
			$.each(data.protalInfo,function(index,item){
				protalInfos.push({
					protalID:item["protalID"],
					protalName:item["protalName"],
					modules:_self.moduleInfoData(item["moduleInfo"])
				});
			});
			return protalInfos;
		},
		/*遍历栏目信息*/
		moduleInfoData:function(moduleInfo){
			var moduleInfos = [];
			var _self = this;
			var moduleID = [];
			$.each(moduleInfo,function(index,item){		
				var isLoop = _self.isLoopImg(item);
				//var isMore = _self.isMore(item);
				var isMultp="";
				/*if(isMore==true){
					isMultp=true;
					item["moduleID"]=item["moduleID"].split(',');
					item["moduleName"]=item["moduleName"].split(',')
				}else{
					isMultp=false
				}*/
				moduleInfos.push({
					channelId:item["channelId"],
					moduleID:item["moduleID"],
					moduleName:item["moduleName"],
					ifPicNews:item["ifPicNews"],
					//isMultp:isMultp,
					isLoop:isLoop
					//isMore:isMore	
				})
			});
		
			return moduleInfos;
		},
		/*栏目信息数据整理*/
		messagesData:function(data,isLoopImg){
			
			var messageDatas = {};
			var datas = [];
			if(data.success === 1 || data.success === "1"){
				$.each(data.messageInfo,function(index,item){
					var obj = {};
					obj["flag"] = item["flag"];
					if(item["imageInfo"] != ""){
						var end=item["imageInfo"].substring(1).indexOf("/") + 1
						obj["imageInfo"] = baseurl+item["imageInfo"].substring(end + 1);
					}else{
						obj["imageInfo"] = "";
					}
					obj["messageID"] = item["messageID"];
					obj["messageTitle"] = item["messageTitle"];
					obj["deptName"] = item["deptName"];
					obj["sendTime"] = getNewDate(item["sendTime"]);
					datas.push(obj);

				});
			
				messageDatas["messageInfo"] = datas;
			}
			return messageDatas;
		},
		isLoopImg:function(item){
			if(item["ifPicNews"] == "1"){
				return true;
			}else{
				return false
			}
		},
		/*isMore:function(item){
			if(item["moduleID"].indexOf(',')==-1){
				return false;
			}else{
				return true;
			}
			//return item["moduleID"]=item["moduleID"].split(',')
			
			
		}*/
	}
});