﻿define( [ 'mobilekit' ], function() {
	var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'tap');
	var param = "";
	getData(param);
	//获取数据列表
	function getData(para) {
		if(para!=""&&$(".ui-notice").length>0){
			$(".ui-notice").remove();
			$(".u_sal_detail").show();
		}
		
		$(".table-view").empty();
		$("#salYear").empty();
		$("#salMonth").empty();
		$("#salName").empty();
		var data = GetDataByUrl_Post("api/MySalary/salaryDetail", para);
		var option;
		if (data.yearList && data.yearList.length > 0) {
			$(".u_sal_detail").show();
			$(".u_search_div").show();
			var $salYear = $("#salYear");
            $.each(data.yearList, function (index, part) {
				if(data.year==part){
					option = $("<option>").text(part).val(part).attr("selected","selected");
				}else{
					option = $("<option>").text(part).val(part);
				}
                $salYear.append(option);
            });
        }
		if (data.monthList && data.monthList.length > 0) {
			var $salMonth = $("#salMonth");
            $.each(data.monthList, function (index, part) {
				if(data.month==part){
					option = $("<option>").text(part+"月").val(part).attr("selected","selected");
				}else{
					option = $("<option>").text(part+"月").val(part);
				}
                $salMonth.append(option);
            });
        }
		if (data.salNameList && data.salNameList.length > 0) {
			var $salName = $("#salName");
            $.each(data.salNameList, function (index, part) {
				if(data.salId==part.salaryId){
					option = $("<option>").text(part.salaryName).val(part.salaryId).attr("selected","selected");
				}else{
					option = $("<option>").text(part.salaryName).val(part.salaryId);
				}
                $salName.append(option);
            });
        }
		
		if (data.salSendTime) {
			$("#salaryAmount").html(data.salAmount);
			$("#sendTime").html(data.salSendTime);
			var detailArrs = data.details.split(",");
			for(var i=0;i<detailArrs.length;i++){
				var detailArr = detailArrs[i].split(":");
				var deKey = "";
				var deVal = "";
				if(detailArr.length>1){
					deKey = detailArr[0];
					deVal = detailArr[1];
				}else{
					deKey = detailArr[0];
				}
				var $li = '<li class="table-view-cell">';
				$li += '<span>'+deKey+'</span>';
				$li += '<span>'+deVal+'</span>';
				$li += '</li>';
				$(".table-view").append($li);
			}
		}else{
			var contStr = '';
		   contStr += '<div class="ui-notice">';
		   contStr += '<i class="fa fa-folder-open-o"></i>';
		   contStr += '<p>您还没有薪资记录~</p>';
		   contStr += '</div>';
		   $(".my-salary").append(contStr);
		}

	}
	$("#btnSubmit").on(clickEventType,function(){
		var password = $("#salPswd").val();
		if(password==""){
			$("#err_msg").html("请输入工资条密码!");
		}
		var errorNum = sessionStorage.getItem("errorNum");
		if(errorNum == null){
			errorNum = "";
		}
		var para = '{"password":"'+password+'","errorNum":"'+errorNum+'"}';
		var data = GetDataByUrl_Post("api/MySalary/checkPassword", para);
		if (data && data.success == "1") {
			window.location.href = '../../view/mySalary/mySalaryDetail.html?title=我的工资条';
		}else{
			if(data.errorNum>=3){
				var data = GetDataByUrl_Post("api/MySalary/lockSal");
				if (data && data.success == "1") {
					$("#err_msg").html("您的工资条已经被锁定，请联系薪酬专员解锁!");
				}else{
					alert("工资条锁定出错!");
				}
				$("#btnSubmit").attr('disabled',true);
			}else{
				$("#err_msg").html("您输入的工资条密码错误，请重新输入，您还有"+(3-data.errorNum)+"次机会");
				sessionStorage.setItem('errorNum', data.errorNum);
			}
		}
	})
	$("#salYear").on("change",function(){
		param = '{"salYear":"' + $(this).val() + '","salMonth":"' + $("#salMonth").val() + '"}';
		getSalMonths(param);
	});
	$("#salMonth").on("change",function(){
		param = '{"salYear":"' + $("#salYear").val() + '","salMonth":"' + $(this).val()+'"}';
		getSalNames(param);
	});
	$("#salName").on("change",function(){
		param = '{"salYear":"' + $("#salYear").val() + '","salMonth":"' + $("#salMonth").val() + '","salId":"' + $(this).val() + '"}';
		getData(param);
	});

	function getSalNames(para){
		var $salName = $("#salName");
		$salName.empty();
		var data = GetDataByUrl_Post("api/MySalary/getSalNames", para);
		if (data.salNameList && data.salNameList.length > 0) {
            $.each(data.salNameList, function (index, part) {
				option = $("<option>").text(part.salaryName).val(part.salaryId);
                $salName.append(option);
            });
			param = '{"salYear":"' + $("#salYear").val() + '","salMonth":"' + $("#salMonth").val() + '","salId":"' + $("#salName").val() + '"}';
			getData(param);
		}
	}
	
	function getSalMonths(para){
		var $salMonth = $("#salMonth"); 
		$salMonth.empty();
		var data = GetDataByUrl_Post("api/MySalary/getSalMonths", para);
		if (data.monthList && data.monthList.length > 0) {
            $.each(data.monthList, function (index, part) {
				option = $("<option>").text(part+"月").val(part);
                $salMonth.append(option);
            });
			param = '{"salYear":"' + $("#salYear").val() + '","salMonth":"' + $salMonth.val()+'"}';
			getSalNames(param);
		}
	}
	//添加水印背景
	setUserWatermark();
});