﻿define( [ 'mobilekit' ], function() {
	var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'tap');
	var errorNum = 0;
	var hasPswd = "";
	getData();
	//获取数据列表
	function getData() {
		var data = GetDataByUrl_Post("api/MySalary/getCurSalary", "");
		errorNum = data.errorNum;
		hasPswd = data.salPswd;
		if(hasPswd==''||hasPswd==null){
			isConfirm("您是第一次查看工资条，请设置工资条密码",
				function(){
					window.location.href = '../../view/mySalary/setSalPassword.html?title=设置薪资密码';
				},
				function(){
					$("#err_msg").html("您是第一次查看工资条，请设置工资条密码");
					$("#btnSubmit").attr('disabled',true);
				}
			);
			$("#modifyPswd").html("设置密码");
		}else{
			$("#modifyPswd").html("修改密码");
		}
		if(data.isLocked=='1'){
			$("#err_msg").html("您的工资条已经被锁定，请联系薪酬专员解锁!");
			$("#btnSubmit").attr('disabled',true);
		}else if(data.errorNum!='0'){
			$("#err_msg").html("您输入的工资条密码错误，请重新输入，您还有"+(3-data.errorNum)+"次机会");
		}
		if (data.hasSal=='0') {
			$("#salaryYm").text(data.yMStr);
		} else {
			$(".salM").html("您暂无薪资记录!");
		}
	}
	$("#btnSubmit").on(clickEventType,function(){
		if($(this).attr('disabled')){
			return;
		}
		var password = $("#salPswd").val();
		if(password==""){
			$("#err_msg").html("请输入工资条密码!");
			return;
		}
		var para = '{"password":"'+password+'"}';
		var data = GetDataByUrl_Post("api/MySalary/checkPassword", para);
		if (data && data.success == "1") {
			window.location.href = '../../view/mySalary/mySalaryDetail.html?title=我的工资条';
		}else{
			if(data.errorNum>=3){
				var data = GetDataByUrl_Post("api/MySalary/lockSal");
				if (data && data.success == "1") {
					$("#err_msg").html("您的工资条已经被锁定，请联系薪酬专员解锁!");
				}else{
					alert("工资条锁定出错!");
				}
				$("#btnSubmit").attr('disabled',true);
			}else{
				$("#err_msg").html("您输入的工资条密码错误，请重新输入，您还有"+(3-data.errorNum)+"次机会");
			}
		}
	})
	
	$("#modifyPswd").on(clickEventType,function(){
		if(hasPswd==''||hasPswd==null){
			window.location.href = '../../view/mySalary/setSalPassword.html?title=设置薪资密码';
		}else{
			window.location.href = '../../view/mySalary/modifySalPassword.html?title=修改薪资密码';
		}
	})
});