define(['mobilekit','datetime'],function(){
//输入框聚焦时变色
$('.form-group').on('focus', 'input', function() {
    $(this).closest('.form-control').addClass('active');
}).on('blur', 'input', function() {
    $(this).closest('.form-control').removeClass('active');
});
//验证
$('#typeGoods').on('blur', function() {
    if ($(this).val()) {
        $('#tg').addClass('hide');
        $('#tg').removeClass('show');
        $(this).closest('.form-control').removeClass('error'); 
    }
}).on('focus', function() {
    $('#tg').addClass('hide');
    $('#tg').removeClass('show');
    $(this).closest('.form-control').removeClass('error');
});
$('#goodsNameVal').on('blur', function() {
    if ($(this).val()) {
        $('#gn').addClass('hide');
        $('#gn').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    }
}).on('focus', function() {
    $('#gn').addClass('hide');
    $('#gn').removeClass('show');
    $(this).closest('.form-control').removeClass('error');
});
$('#receiveNum').on('blur', function() {
    if ($(this).val()) {
        $('#rn').addClass('hide');
        $('#rn').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    }
}).on('focus', function() {
    $('#rn').addClass('hide');
    $('#rn').removeClass('show');
    $(this).closest('.form-control').removeClass('error');
});

function checkForm() {
    if (!$('#typeGoods').val()) {
        $('#tg').addClass('show');
        $('#tg').removeClass('hide');
        $('#typeGoods').closest('.form-control').addClass('error');
    }
    if (!$('#goodsNameVal').val()) {
        $('#gn').addClass('show');
        $('#gn').removeClass('hide');
        $('#goodsNameVal').closest('.form-control').addClass('error');
    }
    if (!$('#receiveNum').val()) {
        $('#rn').addClass('show');
        $('#rn').removeClass('hide');
        $('#receiveNum').closest('.form-control').addClass('error');
    }
    var flag = $('.fa-exclamation-circle').hasClass('show');
    if (flag) {
        return false;
    } else {
        return true;
    }
}


var goodsTypeVal = '';
var storeid = '';

//初始化物品类别
initGoodsType();
//初始化编辑页面需要编辑的数据
if (getUrlParam('guid') != null) {
    $('#typeGoods').val(getUrlParam('gtypename'));
    $('#hid_typeid').val(getUrlParam('gtypeid'));
    initGoodsName(getUrlParam('gtypeid'));
    $('#goodsNameVal').val(getUrlParam('name'));
    $('#hid_nameid').val(getUrlParam('id'));
    initGoodsCount(getUrlParam('id'));
    $('#span-dw').html(getUrlParam('dw'));
    $('#yongtu').val(getUrlParam('re'));
    $('#receiveNum').val(getUrlParam('num'));
}


function initGoodsType() {
    storeid = getUrlParam("si");
    var storename = getUrlParam("sn");
    //var obj = new Object();
    //obj.sign = appSign;
   // obj.StoreID = storeid;
    //var jsondata = ajaxPost("GetOfficeSupplyType", JSON.stringify(obj));
    var jsondata = GetDataByUrl_Post("api/Form/GetOfficeSupplyType",JSON.stringify(storeid));
    if (jsondata != "" && jsondata.success == 1) {
        var strHtml = "";
        var n = jsondata.list.length;
        if (n != 0) {
            for (var m = 0; m < n; m++) {
                strHtml += "<li class=\"clearfix\"><span class=\"pull-left type\">" + jsondata.list[m].offsName + "(" + jsondata.list[m].offsID + ")" + "</span>";
                strHtml += "<span class=\"pull-right radio\"><span class=\"fa\"></span>";
                strHtml += "<input type=\"hidden\" checked/></span></li>";
            }
        }
        $('#ul-yplb').html("");
        $('#ul-yplb').append(strHtml);
        $('#span-ck').html(storename);
        initRadio();
    }
}

//初始化物品名称	
function initGoodsName(strid) {
    //var obj = new Object();
    //obj.sign = appSign;
   //obj.OffsID = strid;
    //var jsondata = ajaxPost("GetOfficeSupplyName", JSON.stringify(obj));
    var jsondata = GetDataByUrl_Post("api/Form/GetOfficeSupplyName",JSON.stringify(strid));
    if (jsondata != "" && jsondata.success == 1) {
        var strHtml = "";
        var n = jsondata.list.length;
        if (n != 0) {
            for (var m = 0; m < n; m++) {
                strHtml += "<li class=\"clearfix\">";
                strHtml += "<span class=\"pull-left type\">" + jsondata.list[m].offsName + "(" + jsondata.list[m].offsNumber + ")" + "</span>";
                strHtml += "<span class=\"pull-right radio\">";
                strHtml += "<span class=\"fa\"></span>";
                strHtml += "<input type=\"hidden\" checked/>";
                strHtml += "</span>";
                strHtml += "</li>";
                $('#span-dw').html(jsondata.list[m].OffsUnit);
            }
        }
        $('#ul-ypmc').html("");
        $('#ul-ypmc').append(strHtml);
        initRadio();
    }
}

//初始化物品数量
function initGoodsCount(offsnumber) {
    var obj = new Object();
    //obj.sign = appSign;
    obj.OffsStoreID = storeid;
    obj.OffsNumber = offsnumber;
    //var jsondata = ajaxPost("GetOfficeSupplyAmount", JSON.stringify(obj));
    var jsondata = GetDataByUrl_Post("api/Form/GetOfficeSupplyAmount",JSON.stringify(obj));
    if (jsondata != "" && jsondata.success == 1) {
        $('#span-count').html(jsondata.mes);
    }
}


//选择类型
$('#goodsTypeBtn').on('click', function() {
    var goodsid = goodsTypeVal.substring(goodsTypeVal.indexOf('(') + 1, goodsTypeVal.indexOf(')'))
    var goodsname = goodsTypeVal.substring(0, goodsTypeVal.indexOf('('));
    $('#typeGoods').val(goodsname);
    $('#hid_typeid').val(goodsid);
    closeModal('myModal');
    initGoodsName(goodsid);

});
//选择物品
$('#goodsNameBtn').on('click', function() {
    var goodsid = goodsTypeVal.substring(goodsTypeVal.indexOf('(') + 1, goodsTypeVal.indexOf(')'))
    var goodsname = goodsTypeVal.substring(0, goodsTypeVal.indexOf('('));
    $('#goodsNameVal').val(goodsname);
    $('#hid_nameid').val(goodsid);
    closeModal('goodsName');
    initGoodsCount(goodsid);
});

function guid() {
    return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
        var r = Math.random() * 16 | 0,
					v = c == 'x' ? r : (r & 0x3 | 0x8);
        return v.toString(16);
    });
}
//保存
$('#saveAddGoods').on('click', function() {
    $(this).addClass('btn-primary').siblings().removeClass('btn-primary');
    if (checkForm()) {
        var goodsinfo = new Object();
        goodsinfo.goodstype = $('#typeGoods').val();
        goodsinfo.goodstypeid = $('#hid_typeid').val();
        goodsinfo.goodsname = $('#goodsNameVal').val();
        goodsinfo.goodsnameid = $('#hid_nameid').val();
        goodsinfo.goodsnum = $('#receiveNum').val();
        goodsinfo.goodsyongtu = $('#yongtu').val();
        goodsinfo.goodsdanwei = $('#span-dw').html();
        goodsinfo.guid = guid();
        //alert(JSON.stringify(goodsinfo));
        store.set('goods_goods', goodsinfo);
        if (getUrlParam('guid') != null) {
            store.set('delguid', getUrlParam('guid'));
        }
        //判断数量是否超标
        var count_old = $('#span-count').html();
        var count_new = $('#receiveNum').val();
        if (parseFloat(count_new) > parseFloat(count_old)) {
            toast('库存不够！');
            return false;
        }
        window.location.href = "receiveGoods.html?fr=do";
    } else {
        toast('您填写的信息有误！')
    }
});
//删除按钮
$('#deleteGoods').on('click', function() {
    $(this).addClass('btn-primary').siblings().removeClass('btn-primary');
    $('.ui-actionsheet-wrap').removeClass('hide');
});
$('#delyes').on('click', function() {
    var guid = store.get('delguid');
    if (guid != 'undefined')
        guid = guid + "," + getUrlParam('guid');
    store.set('delguid', guid);
    window.location.href = "receiveGoods.html?fr=do";
});
$('#back').on('click', function() {
    $('.ui-actionsheet-wrap').addClass('hide');
});
//取消按钮
$('#cancel').on('click', function() {
    $(this).addClass('btn-primary').siblings().removeClass('btn-primary');
    window.history.go(-1); 
});
//单选
function initRadio() {
    $(".radio").each(function() {
        var t = Checkbox({
            type: 'radio',
            obj: $(this),
            radioSelector: '.radio',
            checked: true,
            enable: true
        });
        if (t.getChecked(true)) {
            goodsTypeVal = $(this).siblings('.type').text();
        }
        $(this).closest('.radio').click(function() {
            t.setChecked(true);
            t.enable(true);
            if (t.getChecked(true)) {
                goodsTypeVal = $(this).siblings('.type').text();
            }
        })
    });
}
});