define(['mobilekit', 'swiper', 'base64'], function () {
    //页面全局变量
    var Global = {
        OpinionBigPicSwiper: null, //审批意见大图滚动查看对象
    }

    /**
	 * 搜索框事件 
	 */
    $('.ui-searchbar').on('click', function () {
        $(this).parent().addClass('focus');
        $(this).children('.ui-searchbar-input').children().focus();
    });
    $('.ui-searchbar-cancel').on('click', function () {
        $(this).parent().removeClass('focus');
        $(this).prev().children('.ui-searchbar-input').children().val('');
    });
    $('.ui-searchbar .fa-times').on('click', function () {
        $(this).prev().children().val('');
    });
    $(document).on('click', '.myVacation-list-btn', function () {
        $('.cancel-vacation-wrap').removeClass('hide');
    });
    /*
	 * 点击取消撤销按钮
	 */
    $(document).on('click', '.cancel-vacation-wrap .cancel', function () {
        $('.cancel-vacation-wrap').addClass('hide');
    });
    /*
	 * 点击确认撤销按钮
	 */
    $(document).on('click', '.cancel-vacation-wrap .submit', function () {
        //删除当前dom元素

        //隐藏弹出层
        $('.cancel-vacation-wrap').addClass('hide');
    })

    //渲染审批意见文件列表
    function RenderFileList(appId) {
        var picHtml = '',
			bigPicHtml = '',
			audioHtml = '';
        var strdata = {
            appOID: appId,
            YwType: "ApproveFile"
        };
        /*注释旧接口
		$.ajax({
		    url: hostUrl + "/getFile",
		    type: "POST",
		    data: JSON.stringify(data),
		    dataType: "json",
		    async: false,
		    contentType: "application/json;charset=utf-8",
		    success: function (data) {
		        if (data.success == "1") {
		            $.each(data.list, function (index, file) {
		                if (file.strFileType == "image") {
		                    picHtml += '<div><img src="' + file.strFileValue + '" alt=""/></div>';
		                    bigPicHtml += '<div class="swiper-slide"><img src="' + file.strFileValue + '" alt=""/></div>';
		                } else if (file.strFileType == "voice") {
		                	var vname = file.strFileValue.split('|||')[1];
		                	if(typeof vname=='undefined')
		                	vname = '';                        	
		                    audioHtml += '<div class="upload-file rar clearfix"><p class="playMP3"><span class="file-type">MP3</span><span class="name">'+vname+'</span><input type="hidden" value="' + file.strFileValue + '" /></p></div>';
		                }
		            });
		        } else {
		            toast(data.mes);
		        }
		    },
		    error: function (jqXHR, textStatus, errorThrown) {
		        console.log(jqXHR);
		    }
		});
		*/
        /*调用新接口*/
        var data = GetDataByUrl_Post("api/WorkFlow/getFile", JSON.stringify(strdata));
        if (parseInt(data.success) == 1) {
            $.each(data.list, function (index, file) {
                if (file.strFileType == "image") {
                    picHtml += '<div><img src="' + file.strFileValue + '" alt=""/></div>';
                    bigPicHtml += '<div class="swiper-slide"><img src="' + file.strFileValue + '" alt=""/></div>';
                } else if (file.strFileType == "voice") {
                    var vname = file.strFileValue.split('|||')[1];
                    if(file.blank2=='wx'){
                    	vname = filepart.fileName;
                    }
                    if (typeof vname == 'undefined')
                        vname = '';
                    if(file.strFileValue.indexOf("../../../")>-1){
                    	file.strFileValue=baseurl+file.strFileValue.replace("../../../","");
                    }
                    audioHtml += '<div class="upload-file rar clearfix"><p class="playMP3"><span class="file-type">MP3</span><span class="name">' + vname + '</span><input type="hidden" value="' + file.strFileValue + '" /></p></div>';
                }
            });
        } else {
            toast(data.mes);
        }
        picHtml = picHtml.length > 0 ? ('<div class="upload-pic clearfix">' + picHtml + '</div>') : picHtml;
        return {
            picHtml: picHtml,
            bigPicHtml: bigPicHtml,
            audioHtml: audioHtml
        };
    }

    function InitUlList() {
        var appId = store.get("WF_Approval_AppId");
        //alert(appId);
        var json = store.get("WF_Approval_Json");
        //var json = JSON.stringify(json);
        //alert(json); 
        var contStr = "";
        //流程办理过程
        if (json.wfDealtList && json.wfDealtList.length > 0) {
            $.each(json.wfDealtList, function (index, part) {

                var strAppTime = part.appDealTime;
                var strAppDName = part.appDname;
                var strAppDuser = part.appDuserName;
                //if (strAppDuser == appUserName) strAppDuser = "我";
                var strappIcontent = part.appIcontent;
                //var strAct = part.appIdeaFlag;	
                var strAppDUserPos = part.posiName;


                if (part.appId == appId) {
                    var html = RenderFileList(part.appId);

                    contStr += '<li class="myVacation-list">';
                    contStr += '    <div class="head-photo"><img src="../../styles/images/User.png" alt=""/></div>';
                    contStr += '    <a href="javascript:;" class="myVacation-list-content">';
                    contStr += '        <div class="peple">';
                    contStr += '           <span>' + strAppDuser + '</span>';
                    contStr += '           <span>' + strAppDUserPos + '</span>';
                    contStr += '        </div>';
                    contStr += '        <div class="peple">';
                    contStr += '            <span>' + strappIcontent.replace(/\r\n/gi,'<br />') + '</span>';
                    /*微信附件获取
                    if (appType == "weixin") {
                        if (typeof part.appId != undefined && typeof part.appId != 'undefined') {

                            var wxdata = uploadobj.wxgetfiles(part.appId, "workflow");
                            if (wxdata != '') {
                                var wximghtml = "";
                                var wxvoihtml = "";
                                $.each(wxdata, function (ind, par) {
                                    if (par.strFileType=='image') {
                                        wximghtml += "<img isnew='no' realPath='"+par.strFileValue+"' alt='"+par.fileName+"' fileId='"+par.fileId+"'  style='width:70px;height:70px;' src='" + par.strFileValue + "' name='" + par.fileName.split(".")[0] + "'  />&nbsp;";
                                    }

                                    if (par.strFileType=='voice') {
                                        var filename = par.fileName.substring(0, 20) + '.mp3';
                                        wxvoihtml += '<a isnew=\"no\" realPath=\"' + par.strFileValue + '\" alt=\"' + par.fileName + '\" fileId=\"' + par.fileId + '\"  style=\"border:solid 1px blue;color:blue\" href=\"###\" title=\"' + par.fileName + '\" name=\"' + par.fileName.split(".")[0] + '\">' + filename + '</a><br /><br />';
                                    }

                                });
                                if (wximghtml != "") {
                                    contStr += '<div class=\"wxImg\">' + wximghtml + '</div>';
                                }
                                if (wxvoihtml != "") {
                                    contStr += '<div class=\"wxVoi\">' + wxvoihtml + '</div>';
                                }


                            }

                        }
                    }
                    
                    else {  }微信附件获取*/
                    contStr += html.picHtml + html.audioHtml;


                    contStr += '            <span>' + strAppTime + '</span>';
                    contStr += '        </div>';                
                    contStr += '    </a>';
                    contStr += '    <a class="fa fa-comment-o hide"></a>';
                    contStr += '</li>';
                    contStr += '';
                    $('.swiper-wrapper').html(html.bigPicHtml);
                }
            });
        }
        $("#ulList").html(contStr);
        //alert(contStr)	
    }

    //审批意见图片事件
    function InitOpinionPicEvent() {
        //图片放大
        $('.upload-pic').on('click', 'div', function () {
            var index = $(this).index();
            $('.photo-big').removeClass('hide'); //显示大图
            Global.OpinionBigPicSwiper.update();
            Global.OpinionBigPicSwiper.slideTo(index);
        });
        //点击大图左上返回按钮
        $('.photo-big .cancel').on('click', function () {
            $('.photo-big').addClass('hide'); //隐藏大图
        });
        //大图左右滑动
        Global.OpinionBigPicSwiper = new Swiper('.swiper-container', {
            pagination: '.swiper-pagination',
            paginationClickable: true
        });
    }
    //审批意见音频事件

    function InitOpinionAudioEvent() {
        var audio = document.getElementById("audio");
        //音频播放
        $('#ulList').on('click', '.playMP3', function () {
            $('.audio').removeClass('hide'); //显示音频播放区
            var name = $(this).find(".name").text();
            var url = $(this).find("input").val();
            url = url.split("|||")[0];
            $("#audio").attr("src", url).prev("p").text(name);
            audio.play();
        });
        //关闭音频播放区
        $('.audio .btn').on('click', function () {
            $(this).parent().addClass('hide'); //隐藏音频播放区
            audio.pause();
        });
    }

    //页面加载完毕
    $(function () {
        InitUlList();
        InitOpinionPicEvent();
        InitOpinionAudioEvent();
    });

    /*微信图片语音方法 begin*/
    //图片放大及删除
    $('.wxImg').on('tap', 'img', function () {
        //alert($(this).attr("name"));
        var imgurl = $(this).attr("src");
        wx.previewImage({
            current: imgurl,
            urls: [imgurl]
        });
    }).on('longTap', 'img', function () {
        if (confirm("确定要删除数据吗")) {
            $(this).remove();
            images.localId.splice($.inArray($(this).attr('src'), images.localId), 1);

        } else {

        }
    });

    //语音播放
    $('.wxVoi').on('tap', 'a', function () {
        var curservice = $(this).attr('name');
        //alert(curservice);
        wx.downloadVoice({
            serverId: curservice, // 需要下载的音频的服务器端ID，由uploadVoice接口获得
            isShowProgressTips: 0,// 默认为1，显示进度提示
            success: function (res) {
                var localId = res.localId; // 返回音频的本地ID
                curvoi = localId;
                wx.playVoice({
                    localId: localId // 需要播放的音频的本地ID，由stopRecord接口获得
                });

            },
            fail: function () {
                playError(curservice);
            }

        });

        $('#wxVoiplay').removeClass('hide');

    });

    //播放失败重新上传
    function playError(curservice) {
        var newservice = wx_upload("voice", curservice);
        wx.downloadVoice({
            serverId: newservice, // 需要下载的音频的服务器端ID，由uploadVoice接口获得
            isShowProgressTips: 0,// 默认为1，显示进度提示
            success: function (res) {
                var localId = res.localId; // 返回音频的本地ID
                curvoi = localId;
                wx.playVoice({
                    localId: localId // 需要播放的音频的本地ID，由stopRecord接口获得
                });

            },
            fail: function () {

            }

        });
    }

    //停止播放
    $(document).on('click', '#voistop', function () {
        if (appType == "weixin") {
            wx.stopVoice({
                localId: curvoi // 需要播放的音频的本地ID，由stopRecord接口获得
            });
            $('#wxVoiplay').addClass('hide'); return false;
        }
    });

    //语音删除
    $('.wxVoi').on('tap', 'span', function () {
        if (confirm("确定要删除数据吗")) {
            $(this).prev().remove();
            $(this).remove();
            voice.localId.splice($.inArray($(this).attr('name'), voice.localId), 1);

        } else {

        }
    });
    /*上传多媒体文件 返回media_id*/
    function wx_upload(type, serviceid) {
        if (store.get('wx_token') == undefined)
            getToken();
        var accesstoken = store.get('wx_token');
        var para = new Object();
        para.accesstoken = accesstoken;
        para.type = type;
        para.serviceid = serviceid;
        var data = GetDataByUrl_Post("api/UserSelect/UploadMultimedia", JSON.stringify(para));
        if (data == undefined) {
            getToken();
            alert('token失效。请刷新页面重试。');
        }
        return JSON.parse(data).media_id;
    }
    /*微信图片语音方法 end*/
});