﻿//流程处理按钮
//流程发起时调用输出流程处理的按钮
function getStartAppTemInfo(strAppTId) {

		/*新接口调用*/
		var oDdata = strAppTId;
		var reData = GetDataByUrl_Post("api/WorkFlow/getWokFlowStartInfo", JSON.stringify(oDdata));
		if (reData.success == 1) {
			var flowVersion = reData.flowVersion;
			var isShwoTitle = reData.isShwoTitle;
			store.set("WF_Ver", flowVersion); 
			//加载流程按钮
			LoadApproveButton(reData);
			//字段只读状态（针对表单使用）
			F_GetFieldIsState(strAppTId, reData.httAppDID, reData.flowVersion);
			//是否多人办理
			F_GetManyPerson(strAppTId, reData.httAppDID, reData.flowVersion);
		} else {
			toast(reData.mes, "", 1500);
		}

	}
	//流程审核中调用输出流程处理的按钮

function getAppTemInfo(strAppId, fr) {
		
		/*新接口调用*/
		var oDdata = strAppId;
		var reData = GetDataByUrl_Post("api/WorkFlow/getWFDetailInfoNew", JSON.stringify(oDdata));
		if (reData.success == 1) {
			var data = reData;
			if (fr == "vacation") {
				if (data.appIsWithdraw == "1") $("#divCancel").removeClass("hide");
			} else {
				var flowVersion = data.flowVersion;
				var isShwoTitle = data.isShwoTitle; //审核中无此属性
				store.set("WF_Ver", flowVersion);
				//加载流程按钮
				LoadApproveButton(data);
				//加载办理过程
				LoadProcess(data);

			}
			//字段只读状态（针对表单使用）
			F_GetFieldIsState(data.httAppTID, data.httAppDID, data.flowVersion);
			//意见是否必填
			F_GetIdeaIsNeed(data.httAppTID, data.httAppDID, data.flowVersion);
			//是否多人办理
			F_GetManyPerson(data.httAppTID, data.httAppDID, data.flowVersion);
		} else {
			toast(reData.mes, "", 1500);
		}
	}
	//加载流程按钮的函数 

function LoadApproveButton(data) {
		var json = data;
		//alert(JSON.stringify(json));
		var contStr = "";
		var strMoreB = '<div class="clearfix hide moreBtn">';
		var strB = '<div class="clearfix">';
		var strEnd = '</div>';
		//流程可操作按钮
		if (json.appButton && json.appButton.length > 0) {
			var ibtncount = 0;
			$.each(json.appButton, function(index, part) {
				//更多，超过4个按钮

				if (contStr == "") {
					contStr += strB;
				}
				if (ibtncount == 4) { //更多按钮                 	
					contStr += '<a class="tab-item more" href="#">';
					contStr += '<span class="fa fa-ellipsis-v"></span>';
					contStr += '<span class="tab-label"></span>';
					contStr += '</a>';
					contStr += strEnd;
					contStr += strMoreB;
				}
				var strBtnId = part.buttonId;
				switch (strBtnId) {
					case "9":
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="end.html" id="endBtn">';
						contStr += '<span class="fa fa-pause"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "6":
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item active" href="nextStep.html" id="nextBtn">';
						contStr += '<span class="fa fa-forward"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "5":
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="return.html" id="returnBtn">';
						contStr += '<span class="fa fa-backward"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "7":
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="counterSign.html" id="CounterSignBtn">';
						contStr += '<span class="fa fa-pencil-square"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "11":
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="counterSignEnd.html" id="FinishCounterSignBtn">';
						contStr += '<span class="fa fa-pencil-square"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "1": //暂存 未测试页面出不来
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="#" id="temporaryBtn">';
						contStr += '<span class="fa fa-chevron-circle-down"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "2": //内部阅办
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="inHandle.html" id="InnerBtn">';
						contStr += '<span class="fa fa-file-text"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "10": //阅办完成
						ibtncount = ibtncount + 1;
						contStr += '<a class="tab-item" href="handled.html" id="FinishInnerBtn">';
						contStr += '<span class="fa fa-file-text"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
					case "4": //转其他人
						ibtncount = ibtncount + 1;
						//contStr += '<a class="tab-item" href="other.html" id="OtherBtn">';
						contStr += '<a class="tab-item" href="nextStep.html?b=o" id="OtherBtn">';
						contStr += '<span class="fa fa-chevron-circle-down"></span>';
						contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						contStr += '</a>';
						break;
						/*case "8"://删除
							ibtncount = ibtncount + 1;
							contStr += '<a class="tab-item" href="#" id="DelBtn">';
						    contStr += '<span class="fa fa-file-text"></span>';
						    contStr += '<span class="tab-label">' + part.buttonValue + '</span>';
						    contStr += '</a>';
						    break;*/
				}

			});
		}
		contStr += strEnd;
		//alert(contStr)
		$("#divAppBtn").html(contStr);

	}
	//缓存流程下一步需要的数据,流程类型、分支提交、把步骤及办理人缓存给下一步页面，不用重新调用接口

function StartWorkFlow(strAppTId, strAppCondition) {
		store.set("WF_Tem", strAppTId);
		//store.set("WF_New", 0);
		store.set("WF_Condition", strAppCondition);

		//清楚流程转下一步流程数据
		store.remove('NextJson');
		store.remove('NextStep');
		store.remove('NextXH');
	}
	//加载输出流程办理过程的函数

function LoadProcess(data) {
		//var json = JSON.stringify(data);
		//alert(json); 
		var json = data;
		var contStr = "";
		//流程办理过程
		if (json.wfDealtList && json.wfDealtList.length > 0) {
			store.set("WF_Approval_Json", json);

			$.each(json.wfDealtList, function(index, part) {
				var strAppTime = part.appDealTime;
				var strAppDName = part.appDname;
				var strAppDuser = part.appDuserName;
				if (strAppDuser == appUserName) strAppDuser = "我";
				var strappIcontent = part.appIcontent;
				var strAct = part.appIdeaFlag;
				var intAppId = part.appId;
				//已办理完成
				if (strAppTime != "") {
					contStr += '<li class="process-list clearfix">';
					contStr += '<div class="process-list-left">';
					contStr += '<span>' + strAppDuser + '</span>';
					contStr += '<span>' + strAppTime + '</span>';
					contStr += '</div>';

					if (strAct == "5") { //退回
						contStr += '<div class="process-list-center">';
						contStr += '  <span class="process-list-center-yellow">';
						contStr += '     <i class="fa fa-minus"></i>';
						contStr += '  </span>';
						contStr += '<div></div>';
						contStr += '</div>';
						//contStr+='<span class="process-list-right">'+strAppDName+'</span>';					
						contStr += '<span class="process-list-right">已退回</span>';
						contStr += '<span class="process-list-right">' + strappIcontent + '</span>';
					} else { //正常

						if (strAct == 9) { //都结束了，结束节点样式
							contStr += '<div class="process-list-center">';
							contStr += '<span class="process-list-center-green">';
							contStr += '<i class="fa fa-circle-o"></i>';
							contStr += '</span>';
							contStr += '</div>';
							contStr += '<span class="process-list-right single">' + strAppDName + '</span>';
						} else {
							contStr += '<div class="process-list-center">';
							contStr += '<span class="process-list-center-green">';
							contStr += '<i class="fa fa-check"></i>';
							contStr += '</span>';

							contStr += '<div></div>';
							contStr += '</div>';
							//有审批意见
							var strCallFlag = "0";

							//if (strCallFlag != "0") {
							//contStr += '<a href="approvoal.html?" class="process-list-right">' + strAppDName + '<i class="fa fa-angle-double-right" style="padding-left: 3px;"></i></a>';
							contStr += '<a onclick="LinkToIdeaPage(\'' + intAppId + '\')" href="#" class="process-list-right">' + strAppDName + '<i class="fa fa-angle-double-right" style="padding-left: 3px;"></i></a>';

						}

					}
					contStr += '</li>';
				} else { //未办理完成
					contStr += '<li class="process-list clearfix">';
					contStr += '<div class="process-list-wait">';
					contStr += '<span class="process-list-center-gray">';
					contStr += '<i class="fa fa-ellipsis-h"></i>';
					contStr += '</span>';
					contStr += '</div>';
					contStr += '<span class="process-list-right single">审批中</span>';
					contStr += '</li>';
				}
				contStr += '';
			});
		}
		$("#divProcessArea").show() //hide()
		$("#process-list").html(contStr);
		//alert(contStr)		
	}
	//跳转到显示当前办理步骤意见的函数

function LinkToIdeaPage(appId) {
	store.set("WF_Approval_AppId", appId);
	location.href = "approvoal.html";
}

//输出流程办理过程,当不在办理状态下调用
function LoadProcess2(strAppId) {
	//alert(strAppId)
	var retData = null;
	/*旧接口注释
	var isCreate = "getWFDealtInfo";
	var oDdata = '{"sign":"' + appSign + '","appID":"' + strAppId + '"}';
	$.ajax({
		type: 'post',
		data: oDdata,
		url: hostUrl + isCreate,
		async: false,
		dataType: "json",
		contentType: "application/json;charset=utf-8",
		// headers: { "ApplicationContext": BaseHeader },
		success: function(data) {
			//var json = JSON.stringify(data);
			//alert(json);
			//json = JSON.parse(json);
			retData = data;
			LoadProcess(data);
		}
	});
	*/
	/*新接口调用*/
	var oDdata = strAppId;
	var data = GetDataByUrl_Post("api/WorkFlow/getWFDealtInfo", JSON.stringify(oDdata));
	if (data.success == 1) {
		retData = data;
		LoadProcess(data);
	}

	return retData;
}

//通用流程按钮执行事件,无弹出页面的按钮会执行此方法，转下一步等不会
function ApproveBtnClick(btn) {
	//通用业务数据处理
	if (!ExE_Business()) {
		return false;
	}
	var smsTransactFlag = "0";
	var copyFlag = "0";
	var callCheckFlag = 0;
	var smsFlag = 0;
	var buttonValue = "";
	var buttonId = btn;

	var appID = store.get("WF_AppId"); //流程Id   
	var appIdea = ""; //$("#txtCallText").val();//store.get("AppIdea") == null ? "" : store.get("AppIdea"); //办理意见
	var appTID = store.get("WF_Tem"); //流程模板ID”,      
	var appTitle = store.get("WF_appTitle"); //流程标题”
	var version = store.get("WF_Ver"); //流程版本”,     		
	var intNextStepId = ""; //store.get("NextStep") == null ? "" : store.get("NextStep"); //下一步步骤id
	var appOId = store.get("WF_appOId");
	var appOValue = store.get("WF_appOValue");
	var isNewFlag = store.get("WF_New"); // "0";

	var isOrder = "";
	var maxCount = "";
	var isJump = "";
	var promptContent = ""; //$("#txtCallText").val(); //结束通知的内容

	var isMulti = "0";
	var transactMode = "0";

	//通知人
	var callUsers = "";
	var callUsers1 = "";
	if (buttonId == "9" && callUsers != '') {
		arrCallUser = callUsers.split(',');
		for (i = 0; i < arrCallUser.length; i++) {
			callUsers1 += '{"appFieldName": "' + arrCallUser[i] + '","appFieldType": null,"appFieldValue": ""},';
		}
		if (callUsers1.length > 0) callUsers1 = callUsers1.substring(0, callUsers1.length - 1);
		callUsers = '"callUsers": {"stepUser": [{"acceptUserInfo":[' + callUsers1 + ']}],"mes":null,"success": 1}';
	} else {
		callUsers = '"callUsers": {"stepUser": [],"mes":null,"success": 1}'
	}
	//通知人结束
	//分发人
	var distributeUsers = "";
	callUsers1 = "";
	if (buttonId == "9" && distributeUsers != '') {
		arrCallUser = distributeUsers.split(',');
		for (i = 0; i < arrCallUser.length; i++) {
			callUsers1 += '{"appFieldName": "' + arrCallUser[i] + '","appFieldType": null,"appFieldValue": "","mes": null,"success": 1},';
		}
		if (callUsers1.length > 0) callUsers1 = callUsers1.substring(0, callUsers1.length - 1);
		distributeUsers = '"distributeUsers": [' + callUsers1 + ']';
	} else {
		distributeUsers = '"distributeUsers":null';
	}
	//分发结束  
	//下一步接收人
	var acceptUserInfo = ""; //GetAcceptUserInfo();

	/*if(acceptUserInfo.length==0){
	    toast("请选择办理人！");
	    return false;
	}*/
	//下一步接收人结束
	//转下一步步骤列
	var nextStepList = '{"wfNextStepList":[{"acceptUserInfo":' + JSON.stringify(acceptUserInfo) + ',"callFlag":"1","isMulti":null,"nextStepID":"' + intNextStepId + '","nextStepName":null,"smsFlag":"0","transactMode":null,"mes":null,"success":1}],"mes": null,"success": 1}';
	//转下一步步骤列结束 
	var strdata = '{"button":{"appFlag":"2","appID":"' + appID + '","appIdea":"' + appIdea + '"';
	strdata += ',"appTID":"' + appTID + '","appTitle":"' + appTitle + '","businessData":null,"buttonValue":"' + buttonValue + '","buttonId":"' + buttonId + '"';
	strdata += ',"callCheckFlag":"' + callCheckFlag + '","copyFlag":"' + copyFlag + '",' + callUsers + ',' + distributeUsers;
	strdata += ',"isJump":"' + isJump + '","isNewFlag":"' + isNewFlag + '","isOrder":"' + isOrder + '","maxCount":"' + maxCount + '"';
	strdata += ',"nextStepList":' + nextStepList;
	strdata += ',"promptContent":"' + promptContent + '","smsTransactFlag": "' + smsTransactFlag + '","version":"' + version + '","mes": null,"success": 1}';
	strdata += ',"appOId":' + appOId + ',"appOValue":"' + appOValue + '"}';
	//alert(strdata);
	//return ;
	/* 旧接口注释
	$.ajax({
		type: 'post',
		data: strdata,
		url: hostUrl + "WorkFlowDeal",
		async: false,
		dataType: "json",
		contentType: "application/json;charset=utf-8",
		// headers: { "ApplicationContext": BaseHeader },
		success: function(data) {
			var json = JSON.stringify(data);
			//alert(json);
			if (data.success == "1") {
				//window.location.href = "myDoneApproval.html";
				//sessionStorage.removeItem(Constant.StepId);
				window.location.href = "index.html";
			} else {
				toast(data.mes);
			}
		}
	});
	*/
	/*新接口调用*/
	var data = GetDataByUrl_Post("api/WorkFlow/WorkFlowDeal", strdata);
	if (data.success == 1) {
		var json = JSON.stringify(data);
		//alert(json);
		if (data.success == "1") {
			//window.location.href = "myDoneApproval.html";
			//sessionStorage.removeItem(Constant.StepId);
			window.location.href = "index.html";
		} else {
			toast(data.mes);
		}
	}
}

//初始化流程流转按钮事件,流程提交数据库前
//每个业务JS中都要实现checkForm方法
//每个业务JS中都要实现SaveBusinessData方法
//每个业务JS中都要实现GetWFCondition
function ApproveButtonEvent(strAppTId, GetWFCondition, strBtnId, strDoFunc, strGoUrl, checkForm, SaveBusinessData) {
	
	store.set("WF_AppBtn", strBtnId);
	if (checkForm()) {
		//保存业务数据
		var flag = SaveBusinessData();
		//alert(flag)
		if (flag) {
			//初始化流程
			var strCondition = "";
			if (GetWFCondition != "") strCondition = GetWFCondition();
			StartWorkFlow(strAppTId, strCondition);
			//执行流程按钮处理方法
			if (strDoFunc != "") ApproveBtnClick(strBtnId);
			//返回流程主页
			if (strGoUrl != "") window.location.href = "index.html";
		} else {
			store.remove('WF_AppBtn');
			return false;
		}
	} else {
		//toast('您填写的信息有误！', "", 1500);
		store.remove('WF_AppBtn');
		return false;
	}
	return true;
}

function InitApproveButtonEvent(strAppTId, strAppCon, checkForm, SaveBusinessData) {
	//下一步按钮
	$('#nextBtn').on('click', function() {
		sessionStorage.removeItem("UserListExist");
		return ApproveButtonEvent(strAppTId, strAppCon, "6", "", "", checkForm, SaveBusinessData);
	});
	//结束
	$('#endBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "9", "", "", checkForm, SaveBusinessData);
	});
	//退回  
	$('#returnBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "5", "", "", checkForm, SaveBusinessData);
	});
	//暂存
	$('#temporaryBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "1", "1", "index.html", checkForm, SaveBusinessData);
	});
	//会签
	$('#CounterSignBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "7", "", "", checkForm, SaveBusinessData);
	});
	//会签完成
	$('#FinishCounterSignBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "11", "", "", checkForm, SaveBusinessData);
	});
	//内部阅办
	$('#InnerBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "2", "", "", checkForm, SaveBusinessData);
	});
	//内部阅办完成
	$('#FinishInnerBtn').on('click', function() {
		return ApproveButtonEvent(strAppTId, strAppCon, "10", "", "", checkForm, SaveBusinessData);
	});
	//转其他人
	$('#OtherBtn').on('click', function() {
		sessionStorage.removeItem("UserListExist"); //因与转下一步共用页面
		return ApproveButtonEvent(strAppTId, strAppCon, "4", "", "", checkForm, SaveBusinessData);
	});
	//更多
	$('.bar-tab').on('click', '.more', function() {
		$('.moreBtn').removeClass('hide');
	})
}

//流程按钮点击执行函数开始
function ajaxPost(strMethod, strJsonData) {
	//alert(strJsonData);
	var ret = "";
	$.ajax({
		type: 'post',
		data: strJsonData,
		async: false,
		url: hostUrl + strMethod,
		dataType: "json",
		contentType: "application/json;charset=utf-8",
		success: function(data) {
			ret = data;
		},
		Error: function(err) {
			console.log(err);
			return false;
		}
	});
	if (ret == null || ret == "null" || ret == "undefined" || ret == undefined)
		return "";
	else
		return ret;
}



function removeGoodsCache() {
	store.remove('goods_title');
	store.remove('goods_cangku');
	store.remove('goods_goods');
	store.remove('goods_html');
	store.remove('delguid');
}

//业务流程部分
function BusinessApprove(AppTId, InitBusinessData) {
		var fr = getUrlParam("fr");
		var strAppTitle = decodeURIComponent(getUrlParam("apptitle"));
		var strAppOID = getUrlParam("appoid");
		var strAppOValue = getUrlParam("appovalue");
		var strAppTId = getUrlParam("apptid");
		if (AppTId == "") AppTId = strAppTId;
		var strAppId = getUrlParam("appid");
		var strIsCreate = "";
		if (strAppOID == null && strAppOValue == null) { //新建
			$("#divProcessArea").addClass("hide");
			store.set("WF_New", 0);
			store.set("WF_AppId", "0");
			store.set("WF_appOId", "");
			store.set("WF_appOValue", "");
			store.set("WF_Tem", AppTId);
			strIsCreate = "0";
		} else { //审批
			$("#divProcessArea").removeClass("hide");
			strAppOID = decodeURIComponent(strAppOID);
			//alert(strAppOID)
			InitBusinessData(strAppTitle, strAppOID, strAppOValue);
			store.set("WF_New", 1);
			store.set("WF_AppId", strAppId);
			store.set("WF_appOId", strAppOID);
			store.set("WF_appOValue", strAppOValue);
			store.set("WF_Tem", AppTId);
			strIsCreate = "1";
		}
		//待办则输出流程按钮
		$("#divCancel").addClass("hide");
		if (fr == "do") {
			if (strIsCreate == "0") {
				getStartAppTemInfo(AppTId);
			} else
				getAppTemInfo(strAppId);
		} else if (fr == "vacation") {
			LoadProcess2(strAppId);
		} else {
			//显示流程办理过程
			var data = LoadProcess2(strAppId);
			//getAppTemInfo(strAppId);
		}
	}
	//业务数据保存成功后设置流程缓存内容

function SaveBusinessSuccess(appoid, appovalue, apptitle) {
		var strIsCreate = store.get("WF_New");
		if (strIsCreate == "0") { //开始步骤    
			store.set("WF_appOId", appoid);
			store.set("WF_appOValue", appovalue);
			store.set("WF_appTitle", apptitle);
		} else { //非开始     	
			var KeyID = store.get("WF_appOId");
			store.set("WF_appOId", KeyID);
			store.set("WF_appOValue", appovalue);
			store.set("WF_appTitle", apptitle);
		}
	}
	//撤回按钮事件

function InitWithDrawEvent() {
	$("#divCancel").on("click", function() {
		var appId = store.get("WF_AppId");
		var appOId = store.get("WF_appOId");
		var appOValue = store.get("WF_appOValue");
		var appdID = -1;
		var data = {

			appId: appId,
			appOId: appOId,
			appdID: appdID
		};
		/* 旧接口注释
		$.ajax({
			url: hostUrl + "appGoBack",
			type: "POST",
			data: JSON.stringify(data),
			dataType: "json",
			async: false,
			contentType: "application/json;charset=utf-8",
			success: function(data) {
				if (data.success == "1") {
					toast("撤回成功");
					window.location.href = "myVacation.html";
				} else {
					toast(data.mes);
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				console.log(jqXHR);
			}
		});
		*/
		/*新接口调用*/
		var data = GetDataByUrl_Post("api/WorkFlow/appGoBack", JSON.stringify(data));
		if (data.success == "1") {
			toast("撤回成功");
			window.location.href = "myVacation.html";
		} else {
			toast(data.mes);
		}
	});
}

/*通用业务数据处理*/
function ExE_Business() {
	//方法数组
	var method = new Array();
	method = store.get('EB_NAME');
	//参数数组
	var data = new Array();
	data = store.get('EB_DATA');
	//流程标题
	var title = store.get('EB_TITLE');
	//业务主键
	var bid = store.get('EB_ID');
	//流程类型 0系统流程 1表单流程
	var etype = store.get('EB_TYPE');
	//需要执行的次数循环
	if (method.length > 0) {
		for (var i = 0; i < method.length; i++) {
			//执行
			var dataJson = GetDataByUrl_Post(method[i], data[i]);
			if (dataJson != null && dataJson.success == 1) {
				if (etype == 0)
					bid = dataJson.mes;
			} else {
				toast("操作失败！", "", 1500);
				return false;
			}
		}
		if (etype == 0)
			SaveBusinessSuccess(bid, "", title);
		if (etype == 1)
			SaveBusinessSuccess("0", bid, title);

	} else {
		toast("业务数据处理失败！", "", 1500);
		return false;
	}

	return true;


}

/* 获取字段状态 0表示编辑(默认值), 1只读,2隐藏,10,必填 
 */
function F_GetFieldIsState(appTID, strappDID, strversion) {

	var strformSn = '';
	//根据appTID查询表单SN
	var data_sn = GetDataByUrl_Post("api/Model/GetFromIDbyTemID", JSON.stringify(appTID));
	if (data_sn.success == 1) {
		strformSn = data_sn.mes;
	}

	//如果是表单流程
	if (appTID != strformSn) {
		var data_p = {
			formSn: strformSn,
			appDID: strappDID,
			version: strversion
		};
		var data_state = GetDataByUrl_Post("api/WorkFlow/GetFieldIsState", JSON.stringify(data_p));
		if (data_state.success == 1) {
			store.set('WF_FIELD', data_state.list);
			/* 已下是调用方式
			 * var f = store.get('WF_FIELD');
			   $.each(f, function(index, p) {
			  	 var fieldID = p.fieldID;//字段ID
			  	 var fieldEnName = p.fieldEnName;//字段英文名称
			  	 var fieldCnName = p.fieldCnName;//字段中文名称
			  	 var formSN = p.formSN;//表单SN
			  	 var formName = p.formName;//表单名称
			  	 var fieldAttr = p.fieldAttr;//字段属性 0表示编辑(默认值), 1只读,2隐藏,10,必填  
			  	 var IsEachet = p.isEachet;//是否电子签章字段0表示否，1表示电子签章 
			   }
			 * */

		}
	}

}

/* 获取意见是否必填
 */
function F_GetIdeaIsNeed(appTID, strappDID, strversion) {
	var Parameter = new Object();
	Parameter.version = strversion;
	Parameter.appDID = strappDID;
	Parameter.appTID = appTID;

	var data = GetDataByUrl_Post("api/WorkFlow/GetIdeaIsNeed", JSON.stringify(Parameter));
	//必填
	if (data.mes == "yes") {
		store.set('WF_IdeaIsNeed', "yes");
	} else {
		store.set('WF_IdeaIsNeed', "no");
	}
}

/* 获取是否多人办理
 */
function F_GetManyPerson(appTID, strappDID, strversion) {
	var Parameter = new Object();
	Parameter.version = strversion;
	Parameter.appdid = strappDID;
	Parameter.apptid = appTID;
	var data = GetDataByUrl_Post("api/Approve/ApproveManyPerson", JSON.stringify(Parameter));
	//是多人办理
	if (data.isMaxPerson == "yes") {
		store.set('WF_ManyPerson', "yes");
		store.set('WF_ManyPersontype', data.type);
	} else {
		store.set('WF_ManyPerson', "no");
		store.set('WF_ManyPersontype', "");
	}
}

