define(['mobilekit', 'datetime'], function () {
	var AfterApproveSubmitStr=sessionStorage.getItem("AfterApproveSubmit");
	var scriptStr="<script type='text/javascript'>"+AfterApproveSubmitStr+"</script>";
	$('head').append(scriptStr);
    var isLockSave = false;//是否锁定提交
    //常量
    var Constant = {
        UserListExist: "UserListExist",
        UserIDList: "UserIDList",
        UserNameList: "UserNameList",
        UserPic: "UserPic",
        UserListIDS: "UserListIDS",
        DistributeUserPre: "WorkFlow_End_Distribute_",
        ReceiveUserPre: "WorkFlow_End_Receive_"
    }
    var appButtonId = "";
    //渲染用户html

    function RenderUserHtml(userIds, userNames, userPics) {
        var html = '';
        if (userIds && userNames) {
            var userIdArr = userIds.split(",");
            var userNameArr = userNames.split(",");
            //var userPicArr = userPics.split(",");
            for (var i = 0; i < userIdArr.length; i++) {
                html += '<div class="item-person">';
                html += '   <div class="delete">';
                html += '       <img src="../../styles/images/User.png" alt=""/>';
                html += '       <i class="fa fa-times-circle"></i>';
                html += '       <input type="hidden" id="' + userIdArr[i] + '" />';
                html += '   </div>';
                html += '   <p class="double-row">' + userNameArr[i] + '</p>';
                html += '</div>';
                
                if (userIdArr.length > 9 && i == 8) {
                	html += "<a  class=\"item-person more\">";
                	html += "    <div class=\"pic\">更多</div>";
                	html += "</a>";
                    break;
                }
            }
        }
        return html;
    }
    function bindMoreClick(inputId){
    	var eleMore;
    	if(inputId=='WorkFlow_End_Distribute_'){
    		eleMore=$('#distributeUser .more');  
    	}else if(inputId=='WorkFlow_End_Receive_'){
    		eleMore=$('#receiveUser .more');
    	}
    	eleMore.on('click', function() {
    		var taskCont1=escapeBr($('#txtCallText').val());
	        sessionStorage.setItem("txtCallText", taskCont1);
	        //图片和音频存储
    		store.set("ImageCache", $('.upload-pic').html());
    		store.set("BigImageCache", $('#bigImg').html());
    		store.set("VoiceCache", $('#divVoice').html());
	        sessionStorage.setItem("inputID", inputId);
	        sessionStorage.setItem(inputId+"UserIDListMore", sessionStorage.getItem(inputId+"UserIDList"));
	        sessionStorage.setItem(inputId+"UserNameListMore", sessionStorage.getItem(inputId+"UserNameList"));
	        sessionStorage.setItem("callRefer", "../../view/workFlow/end.html");
            sessionStorage.setItem(Constant.UserListIDS, GetUserInfo("receiveUser").ids);
            
            //var saas = store.get("saas");
            //window.location = "../common/setUser.html?title=选择人员&deptId="+saas.saasOrgId;
            location.href = "../../view/netCall/receivedPerson.html?title=接收人";
        });
    }
    
    //渲染分发人员

    function RenderDistributeUser() {
        var userIds = sessionStorage.getItem(Constant.DistributeUserPre + Constant.UserIDList);
        var userNames = sessionStorage.getItem(Constant.DistributeUserPre + Constant.UserNameList);
        var userPics = sessionStorage.getItem(Constant.DistributeUserPre + Constant.UserPic);
        var html = RenderUserHtml(userIds, userNames, userPics);
        $("#distributeUser .transactor-group").prepend(html);
        if($("#distributeUser .transactor-group .more").size()>0){
        	$('#distributeUser .add-transactor').remove();
        }
        bindMoreClick(Constant.DistributeUserPre);
    }
    //渲染接收人员

    function RenderReceiveUser() {
        var userIds = sessionStorage.getItem(Constant.ReceiveUserPre + Constant.UserIDList);
        var userNames = sessionStorage.getItem(Constant.ReceiveUserPre + Constant.UserNameList);
        var userPics = sessionStorage.getItem(Constant.ReceiveUserPre + Constant.UserPic);
        var html = RenderUserHtml(userIds, userNames, userPics);
        $("#receiveUser .transactor-group").prepend(html);
        if($("#receiveUser .transactor-group .more").size()>0){
        	$('#receiveUser .add-transactor').remove();
        }
        bindMoreClick(Constant.ReceiveUserPre);
    }
    //更新人员缓存

    function UpdateUserSessionStorage() {
        var distributeUser = GetUserInfo("distributeUser");
        var receiveUser = GetUserInfo("receiveUser");
        if(distributeUser.ids && distributeUser.names) {
            sessionStorage.setItem(Constant.DistributeUserPre + Constant.UserIDList, distributeUser.ids);
            sessionStorage.setItem(Constant.DistributeUserPre + Constant.UserNameList, distributeUser.names);
            sessionStorage.setItem(Constant.DistributeUserPre + Constant.UserPic, distributeUser.pics);
        }
        if(receiveUser.ids && receiveUser.names) {
            sessionStorage.setItem(Constant.ReceiveUserPre + Constant.UserIDList, receiveUser.ids);
            sessionStorage.setItem(Constant.ReceiveUserPre + Constant.UserNameList, receiveUser.names);
            sessionStorage.setItem(Constant.ReceiveUserPre + Constant.UserPic, receiveUser.pics);
        }
    }
    //清空人员缓存

    function ClearUserSessionStorage() {
        sessionStorage.removeItem(Constant.DistributeUserPre + Constant.UserIDList);
        sessionStorage.removeItem(Constant.DistributeUserPre + Constant.UserNameList);
        sessionStorage.removeItem(Constant.DistributeUserPre + Constant.UserPic);
        sessionStorage.removeItem(Constant.ReceiveUserPre + Constant.UserIDList);
        sessionStorage.removeItem(Constant.ReceiveUserPre + Constant.UserNameList);
        sessionStorage.removeItem(Constant.ReceiveUserPre + Constant.UserPic);
    }
    //获取用户信息

    function GetUserInfo(id) {
        var ids = "",
			names = "",
			pics = "";
        if(id=='distributeUser'){
        	ids=sessionStorage.getItem(Constant.DistributeUserPre + Constant.UserIDList);
        	names=sessionStorage.getItem(Constant.DistributeUserPre + Constant.UserNameList);
        }else if(id=='receiveUser'){
        	ids=sessionStorage.getItem(Constant.ReceiveUserPre + Constant.UserIDList);
        	names=sessionStorage.getItem(Constant.ReceiveUserPre + Constant.UserNameList);
        }
        //alert(ids);
        if(ids!=null && ids!=''){
        	var arrIds=ids.split(',');
	        for(var i=0;i<arrIds.length;i++){
	        	pics += "../../styles/images/User.png"+",";
	        }
	        //if (ids.length > 0) ids = ids.substr(0, ids.length - 1);
        }
        
        /*$("#" + id + " .item-person input:hidden").each(function () {
            ids += $(this).attr("id") + ",";
            names += $(this).closest("div").next("p").text() + ",";
            pics += $(this).prev("img").attr("src") + ",";
        });*/
        
        return {
            ids: ids,
            names: names,
            pics: pics
        };
    }

    function GetUserInfo2(id) {
        var ids = "",
				names = "",
				pics = "";
        $("#" + id + " .item-person input:hidden").each(function () {
            //王冰注释，因每个node节点的id只会存入当前对象的id 所以id中不会有多个id存在 则不需要 split
            //ids += $(this).attr("id").split(",")[1] + ",";
            //王冰改为：
            ids += $(this).attr("id") + ",";
        });
        if (ids.length > 0) ids = ids.substr(0, ids.length - 1);
        return {
            ids: ids
        };
    }
    //初始化事件

    function InitEvent() {
        //显示删除人员图标
      /*  $('.item-person').on('longTap', function () {
            $(this).find('.fa-times-circle').removeClass('hide');
        });*/
        //显示删除确认对话窗
        var index;
        $('.transactor-group .item-person .fa-times-circle').on('click', function () {
            $('.ui-actionsheet-voice').removeClass('hide');
            index=$(this).parent().parent();
        });
        /**
        //点击删除确认对话窗取消按钮
        $('#back').on('click', function () {
            $('.delete').find('.fa-times-circle').addClass('hide'); //隐藏删除人员图标
            $('.ui-actionsheet-wrap').addClass('hide'); //隐藏删除确认对话窗
        });
        //点击删除确认对话窗删除按钮
        $('#deleted').on('click', function () {
            $('.fa-times-circle:visible').closest('.item-person').remove(); //删除人员
            UpdateUserSessionStorage();
            $('.item-person').find('.fa-times-circle').addClass('hide'); //隐藏删除人员图标
            $('.ui-actionsheet-wrap').addClass('hide'); //隐藏删除确认对话窗
        });
        * **/
        //点击删除确认对话窗取消按钮
        $('#back1').on('click', function () {
            //$('.delete').find('.fa-times-circle').addClass('hide'); //隐藏删除人员图标
            $('.work-actionsheet-wrap').addClass('hide'); //隐藏删除确认对话窗
        });
         //点击删除确认对话窗删除按钮
        $('#deleted1').on('click', function () {
             index.remove();//删除人员
            // console.log($('.transactor-group .item-person').eq(index))
             UpdateUserSessionStorage();
             $('.ui-actionsheet-voice').addClass('hide'); //隐藏删除确认对话窗
         });
        //添加分发人员
        $('#distributeUser .add-transactor').on('click', function () {
        	sessionStorage.setItem("UserListExist", "1");
            sessionStorage.setItem("inputID", Constant.DistributeUserPre);
            sessionStorage.setItem(Constant.UserListIDS, GetUserInfo("distributeUser").ids);
            var textValue = $("#txtCallText").val();
            sessionStorage.setItem("txtCallText", textValue);
            var saas = store.get("saas");
           // window.location = "../common/setUser.html?title=选择人员&deptId="+saas.saasOrgId;
            commonSelectPerson(0);//调用选人页面
            return false;
        });
        //添加接收人员
        $('#receiveUser .add-transactor').on('click', function () {
        	sessionStorage.setItem("UserListExist", "1");
            sessionStorage.setItem("inputID", Constant.ReceiveUserPre);
            sessionStorage.setItem(Constant.UserListIDS, GetUserInfo("receiveUser").ids);
            var textValue = $("#txtCallText").val();
            sessionStorage.setItem("txtCallText", textValue);
            var saas = store.get("saas");
           // window.location = "../common/setUser.html?title=选择人员&deptId="+saas.saasOrgId;
            commonSelectPerson(0);//调用选人页面
            return false;
        });
        //头像加载错误则显示默认图片
        $(".item-person img").on("error", function () {
            $(this).attr("src", "../../styles/images/User.png");
        });
        //王冰添加 //参数 status：是否锁定
        function SaveBtnStyleManage(node, status) {
        	store.remove("handsignSrc");
            var $node = $(node);
            if (status != "" && typeof (status) == "boolean") {
                isLockSave = status;
            }
            if (isLockSave) {
                $node.html("提交中...");
                $node.css({
                    cursor: "default"
                });
                $node.prop("style").WebkitFilter = "brightness(130%)";
            }
            else {
                $node.html("提交");
                $node.css({
                    cursor: "pointer"
                });
                $node.prop("style").WebkitFilter = "";
            }
        }
        //完善--流程提交 王冰修改
        $("#btnCommit").on("click", function () {
            var self = this;
            if (isLockSave) {
                return;
            }
            //通用业务数据处理
            if (!ExE_Business()) {
                return;
            }
            SaveBtnStyleManage($(self), true);
            var tpstot = setTimeout(function () {
                var smsTransactFlag = $("#chkDisSMS").attr("checked");
                var copyFlag = $("#chkCopy").attr("checked") ? 1 : 0;
                var callCheckFlag = 0;
                if ($("#chkEndCall").prop('checked')) callCheckFlag = 1;
                var smsFlag = 0; //$("#chkEndSms").attr("checked") ? 1 : 0;
                if ($("#chkEndSms").prop('checked')) smsFlag = 1;

                var buttonId = "9";

                var appID = store.get("WF_AppId"); //流程Id  
                var appIdea = $("#txtCallText").val(); //store.get("AppIdea") == null ? "" : store.get("AppIdea"); //办理意见
                var appTID = store.get("WF_Tem"); //流程模板ID”,      
                var appTitle = store.get("WF_appTitle"); //流程标题”

                var version = store.get("WF_Ver"); //流程版本”, 
                var intNextStepId = store.get("NextStep") == null ? "" : store.get("NextStep"); //下一步步骤id
                var appOId = store.get("WF_appOId");
                var appOValue = store.get("WF_appOValue");
                var isNewFlag = store.get("WF_New"); // "0";

                var promptContent = $("#txtCallText").val(); //结束通知的内容

                //通知人
                var callUsers = GetUserInfo("receiveUser").ids;
                var callUser = {
                    stepUser: [],
                    mes: null,
                    success: 1
                };
                if (buttonId == "9" && null != callUsers && callUsers != '' && callUsers != 'null') {
                    var arrCallUserNames = callUsers.split(',');
                    callUser = {
                        stepUser: [{
                            acceptUserInfo: $.map(arrCallUserNames, function (name) {
                                return {
                                    appFieldName: name, appFieldType: null, appFieldValue: ""
                                };
                            })
                        }],
                        mes: null,
                        success: 1
                    };
                }

                //分发人
                var distributeUsers = GetUserInfo("distributeUser").ids;
                if (buttonId == "9" && null != distributeUsers && distributeUsers != '') {
                    var arrCallUser = distributeUsers.split(',');
                    distributeUsers = $.map(arrCallUser, function (name) {
                        return {
                            appFieldName: name,
                            appFieldType: null,
                            appFieldValue: "",
                            mes: null,
                            success: 1
                        };
                    })
                } else {
                    distributeUsers = null
                }
                
                if (appButtonId != "" && appButtonId != undefined){
                	buttonId = 99;
                }
                var paramsJson = {
                    button: {
                        appFlag: 0,
                        appID: appID,
                        appIdea: appIdea,
                        appTID: appTID,
                        appTitle: appTitle,
                        businessData: null,
                        buttonValue: "",
                        buttonId: buttonId,
                        callCheckFlag: callCheckFlag,
                        copyFlag: copyFlag,
                        callUsers: callUser,
                        distributeUsers: (distributeUsers == null ? null : distributeUsers),
                        isJump: "",
                        isNewFlag: isNewFlag,
                        isOrder: "",
                        maxCount: "",
                        nextStepList: {
                            wfNextStepList: [{            //下一步接收人结束        
                                acceptUserInfo: null,
                                callFlag: 1,
                                isMulti: null,
                                nextStepID: intNextStepId,
                                nextStepName: null,
                                smsFlag: smsFlag,
                                transactMode: null,
                                mes: null,
                                success: 1
                            }],
                            mes: null,
                            success: 1
                        },
                        promptContent: promptContent,
                        smsTransactFlag: smsTransactFlag,
                        version: version,
                        mes: null,
                        success: 1
                    },
                    appOId: appOId,
                    appOValue: appOValue
                };
				
				var ajUrl = "api/WorkFlow/WorkFlowDeal";
				var data = GetDataByUrl_Post(ajUrl, JSON.stringify(paramsJson));
				SaveBtnStyleManage($(self), false);
                if (data && data.success == "1") {
                    ClearUserSessionStorage();
                    
                    if (appType == "weixin") {
						//微信保存附件
						if (data.mes && data.mes.indexOf("|") >= 0) {
							uploadobj.wxuploadImgVoi(data.mes.split("|")[1], "", "workflow");
						} else {
							uploadobj.wxuploadImgVoi(appID, "", "workflow");
						}
					} else {
						//保存录音拍照等 oa+
						if (data.mes && data.mes.indexOf("|") >= 0) {
							SaveFileList(data.mes.split("|")[1]);
						} else {
							SaveFileList();
						}
					}
					if(appServer == "c6")
					{
						var ajUrl = "api/WorkFlow/SaveDocContent";
						var saveJsonStr = JSON.stringify(paramsJson);
						var data = GetDataByUrl_Post(ajUrl, saveJsonStr);
					}
					if (appType == "weixin") {
						if (sessionStorage.getItem("ismsg") == "1") {
						    WeixinJSBridge.call("closeWindow");
						}
						if(store.get("browser")=="1"){
							if(store.get("msgApp")=="1"){
                                goHome(-2);
                            }else{
                                goHome(-3);
                            }
						} else {
							window.location.href = "myWaitApproval.html";
						}
					} else {
						if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
								goHome("-3", "yes");
				    	} else {
				    		window.location.href = "myWaitApproval.html";
				    	}
					}
                   /* 
                    //发消息
                    var toContent = "您办理的流程已结束：" + store.get("WF_appTitle");
                    var toContentFF = "您查阅流程：" + store.get("WF_appTitle");
                    if (callCheckFlag == 1) {
                        SendMessage(GetUserInfo2("receiveUser").ids, toContent, data.mes);
                    }
                    SendMessage(GetUserInfo2("distributeUser").ids, toContentFF, data.mes);
                    if(afterComplete!='undefined' && typeof afterComplete=='function'){
						afterComplete('9', appID, appOId, store.get("WF_New"));
					}
                    if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
    		    		goHome();
    		    	} else {
    		    		window.location.href = "myWaitApproval.html";
    		    	}*/
					if(afterComplete!='undefined' && typeof afterComplete=='function'){
						afterComplete('6', appID, appOId, store.get("WF_New"));
					}
                } else {
                    if (data != undefined) toast(data.mes);
                }
                clearTimeout(tpstot);
            }, 1);
        });
    }
    
    //取消
	$("#cancel").on("click", function() {
		history.go(-1);
	});
    
    //页面加载完毕
    $(function () {
        $(window).ready(function () {
        	if (sessionStorage.getItem("UserListExist") == "1") {//选择人员控件后返回到此页面 
            	try {
            		var img = store.get("ImageCache");
            		if (img) $(".upload-pic").html(img);
            		var bigimg = store.get("BigImageCache");
            		if (bigimg) $('#bigImg').html(bigimg);
            		var voice = store.get("VoiceCache");
            		if (voice) $('#divVoice').html(voice);
            		var handsign=store.get("handsignSrc");
            		if (handsign) $('#curImg_handSign1').html('<img src="'+handsign+'" width="100%" height="auto" />');
            		$('#txtCallText').val(sessionStorage.getItem("txtCallText"));
            	} catch (e) { }  
            	RenderDistributeUser();
                RenderReceiveUser();
                sessionStorage.removeItem("UserListExist");
            }else{
            	store.remove("ImageCache");
                store.remove("BigImageCache");
                store.remove("VoiceCache");
                ClearUserSessionStorage();
            }
        	//固定写法，不做任何修改begin
            sessionStorage.removeItem("UserListExist");
            sessionStorage.removeItem("UserListIDS");
            InitEvent();
            appButtonId = getUrlParam("appButtonId");
            $('#phraseBar').on('click',function(){
                if($('#phrase').size()>0){
                    $('#phraseBg,#phrase').removeClass("hidden");
                }else{
                    Phrase.getPhrase("txtCallText");
                }
            })
        });
    });

    //向手机推送消息
    function SendMessage(toUserIds, toContent, curAppID) {
        var oreturn = "";
        var jsonData = new Object();
        //jsonData.sign = appSign;
        jsonData.strFromUserId = appUserId;
        jsonData.strToUserId = toUserIds;
        if (toContent == "") toContent = "您的流程已结束：" + store.get("WF_appTitle");
        jsonData.strContent = toContent;
        jsonData.strMsgType = "approve"; //信息类型(approve为流程，task为任务，calendar为日程)"
        if (store.get("WF_AppId") == "0" || store.get("WF_AppId") == "")
            if (curAppID.indexOf("|") >= 0)
                curAppID = curAppID.split("|")[1];
            else
                curAppID = store.get("WF_AppId");
        var sOther = curAppID + "," + store.get("WF_appOId") + "," + store.get("WF_Tem") + "," + store.get("WF_appOValue")
        jsonData.strOther = sOther; //业务ID（流程App_ID,AppT_ID,AppO_ID,AppO_Values）"
        //alert(JSON.stringify(jsonData))
        //新接口调用
        var url = "api/Msg/CreateMessInfo";
        var data = GetDataByUrl_Post(url, JSON.stringify(jsonData));
        if (data.success == "1") {
            oreturn = data.mes;
        } else {
            oreturn = "";
        }
        /*$.ajax({
			type: 'post',
			data: JSON.stringify(jsonData),
			url: hostUrl + "CreateMessInfo",
			async: false,
			dataType: "json",
			contentType: "application/json;charset=utf-8",
			success: function(data) {
				if (data.success == "1") {
					oreturn = data.mes;
				} else {
					oreturn = "";
				}
			}
		});*/
        return oreturn;
    }
});