define(['mobilekit', 'datetime'], function() {
	var AfterApproveSubmitStr=sessionStorage.getItem("AfterApproveSubmit");
	var scriptStr="<script type='text/javascript'>"+AfterApproveSubmitStr+"</script>";
	$('head').append(scriptStr);
	/**
	 * 人员拖拽排序
	 */
	function initSortable() {
		var list = document.getElementById("lists");
		return new Sortable(list)
	}

	//var sortable = initSortable();

	var moduleId = 'api/WorkFlow/';
	var act = getUrlParam("b");
	var isLockSave = false; //是否锁定提交
	var flagsubmit = 0;
	var flaginit = 0;
	var manypersontype = "0"; //多人办理方式 0单人接收，2多人接收单人办理，3多人接收顺序办理，4多人接收并行办理
	var act = '25';
	//常量
	var Constant = {
		UserListExist: "UserListExist",
		UserIDList: "UserIDList",
		UserNameList: "UserNameList",
		UserPic: "UserPic",
		DeptListExist: "DeptListExist",
		DeptIDList: "DeptIDList",
		DeptNameList: "DeptNameList",
		DeptPic: "DeptPic",
		UserListIDS: "UserListIDS",
		TransactorPre: "WorkFlow_NextStep_Transactor_",
		StepId: "WorkFlow_NextStep_StepId"
	}
	
	//渲染部门或用户html

	function RenderUserHtml(type, userIds, userNames, userPics) {
		var html = '';
		if (userIds && userNames && userPics) {
			var userIdArr=userIds.split(','),
				userNameArr=userNames.split(','),
				userPicArr=userPics.split(',');
			for (var i = 0; i < userIdArr.length; i++) {
				//console.log(userPicArr[i]);
				console.log(userNameArr[i]);
				html += '<div class="item-person" name="ww">';
				html += '   <div class="delete">';
				//html += '       <img src="' + userPicArr[i] + '" alt="" />';
				html += '<b class="spUserImg"><i class="fa fa-user"></i></b>';
				
				html += '       <i class="fa fa-times-circle hide"></i>';
				html += '       <input type="hidden" id="' + userIdArr[i] + '" class="' + type + '" />';
				html += '   </div>';
				html += '   <p class="double-row">' + userNameArr[i] + '</p>';
				html += '</div>';
			}
		}
		return html;
	}
	//渲染办理人

	function RenderTransactor(type) {
		var userIds, userNames, userPics;
		if (type == "user") {
			userIds = sessionStorage.getItem(Constant.TransactorPre + Constant.UserIDList);
			userNames = sessionStorage.getItem(Constant.TransactorPre + Constant.UserNameList);
			userPics = sessionStorage.getItem(Constant.TransactorPre + Constant.UserPic);
		} else {
			userIds = sessionStorage.getItem(Constant.TransactorPre + Constant.DeptIDList);
			userNames = sessionStorage.getItem(Constant.TransactorPre + Constant.DeptNameList);
			userPics = sessionStorage.getItem(Constant.TransactorPre + Constant.DeptPic);
		}
		var html = RenderUserHtml(type, userIds, userNames, userPics);

		$("#lists").prepend(html);
	}
	
	//拼接办理人json串
	function GetAcceptUserInfo() {
		var arr = [];
		if($('#hidReceiveUserCode').val()!=""){
			var strArr = $('#hidReceiveUserCode').val().split(",");
			for (var i = 0;i < strArr.length; i++){
				arr.push({
					appFieldName: strArr[i],
					appFieldType: null,
					appFieldValue: "",
					mes: null,
					success: 1
				});
			}
		}
		return arr;
	}

	//设置默认步骤
	function SetDefaultStep() {
		var stepType=store.get("stepType");
		if(stepType==null || stepType=='undefined'){
			$("#ulStep .clearfix .radio").click();
			var $input = $("#ulStep input[value='true']");
			var curCheck=$input.parent().parent().find('span').eq(0).text();
			$('#typeGoods').val(curCheck).attr('stepType',$input.attr('stepType'));
			store.set("stepType", $input.attr("stepType"));
		}else{
			
			if(stepType=='1'){
				$('#typeGoods').val('顺序').attr('stepType',stepType);
				$("#ulStep .clearfix").eq(1).find('.radio').click();
			}else if(stepType=='2'){
				$('#typeGoods').val('并行').attr('stepType',stepType);
				$("#ulStep .clearfix").eq(0).find('.radio').click();
			}
		}
		
	}
	
	//初始化事件
	function InitEvent() {
		//显示删除人员图标
		$('.item-person').on('longTap', function() {
			if ($(this).find('.double-row').html() != undefined) {
	            $(this).find('.fa-times-circle').removeClass('hide');
	            sessionStorage.setItem('WorkFlow_NextStep_Transactor_UserIDList', $(this).find('.user').attr('id'));
	            sessionStorage.setItem('WorkFlow_NextStep_Transactor_UserNameList', $(this).find('.double-row').html());
	        }
		});
		//显示删除确认对话窗
		$('.item-person .fa-times-circle').on('click', function() {
			//$('.ui-actionsheet-wrap').eq(0).removeClass('hide');
			$(this).parent().parent().remove();
			
		});
		//添加办理人
		$('.add-transactor').on('click', function() {
			store.set("stepType", $('#typeGoods').attr("stepType"));
			var taskCont=escapeBr($('.task-cont').val());
	        sessionStorage.setItem("callContent",taskCont);
	        //图片和音频存储
	        sessionStorage.setItem("divImg", $('.upload-pic').html());
	        sessionStorage.setItem("divBigImg", $('#bigImg').html());
	        sessionStorage.setItem("divVoice", $('#divVoice').html());
	        sessionStorage.setItem("ifSms", ($('input[type="checkbox"]').prop('checked') ? 1 : 0));
	        
	        //微信图片和音频存储
	        sessionStorage.setItem("wxImg", $('.wxImg').html());
	        sessionStorage.setItem("wxVoi", $('.wxVoi').html());
	        
	        //将选择人员输入框的ID值赋值给sessionStorage.inputID
	        sessionStorage.setItem("inputID", "WorkFlow_NextStep_Transactor_");
	        //人员选择的隐藏UserID赋值给sessionStorage.UserListIDS
	        sessionStorage.setItem("UserListIDS", $("#hidReceiveUserCode").val());
	        
			//window.location = '../common/setUser.html?title=选择人员';
	        var isMul = store.get("isMulti");
	        var nextJson=store.get("NextJson");
	        if(nextJson.wfNextStepList && nextJson.wfNextStepList.length>0){
	        	$.each(nextJson.wfNextStepList,function(index,part){
	        		if(part.acceptUserInfo.length>0){
	        			if (isMul == '0'){
	                    	window.location = 'singleSelectColleague.html';
	                    } else {
	                    	window.location = 'selectColleague.html';
	                    }
	        		}else{
	        			var saas = store.get("saas");
	                   // window.location = '../../view/common/setUser.html?title=选择人员&deptId='+saas.saasOrgId;
						commonSelectPerson(0);//调用选人页面
	        		}
	        	})
	        }
			return false;
		});
		//头像加载错误则显示默认图片
		$(".item-person img").on("error", function() {
			$(this).attr("src", "../../styles/images/User.png");
		});
		//下一步各选项增加单选按钮
		$(".radio").each(function() {
			var t = Checkbox({
				type: 'radio',
				obj: $(this),
				radioSelector: '.radio',
				checked: true,
				enable: true
			});
			$(this).closest('.radio').click(function() {
				t.setChecked(true);
				return false;
			})
		});
		//(下一步选项)点击确认按钮获取选中值
		$('#goodsTypeBtn').on('click', function() {
			var $input = $("#ulStep input[value='true']");
			var curCheck=$input.parent().parent().find('span').eq(0).text();
			$('#typeGoods').val(curCheck).attr('stepType',$input.attr('stepType'));
			store.set("stepType", $input.attr("stepType"));
			closeModal('myModal');
		});
		//点击取消按钮
		$("#cancel").on('click', function() {
			history.go(-1);
		});
	}

	$(function() {
		//页面加载完毕
		if (sessionStorage.getItem(Constant.UserListExist) == "1") {
			try {
        		var img = store.get("ImageCache");
        		if (img) $(".upload-pic").html(img);
        		var bigimg = store.get("BigImageCache");
        		if (bigimg) $('#bigImg').html(bigimg);
        		var voice = store.get("VoiceCache");
        		if (voice) $('#divVoice').html(voice);
        	} catch (e) { }  
			RenderTransactor("user");
			sessionStorage.removeItem(Constant.UserListExist);
			flaginit = 1;
			
			
			var taskCont2=unEscapeBr(sessionStorage.getItem("callContent"));
	        $('.task-cont').val(taskCont2);
	        //微信图片和音频存储
	        $('.wxImg').html(sessionStorage.getItem("wxImg"));
	        $('.wxVoi').html(sessionStorage.getItem("wxVoi"));
	        
	        //通过人员组件选择人员之后返回值赋值给人员输入框（隐藏）用户ID。  bzrUserIDList表示：输入框ID+"UserIDList"
	        $("#hidReceiveUserCode").val(sessionStorage.getItem("WorkFlow_NextStep_Transactor_UserIDList"));
	        //通过人员组件选择人员之后返回值赋值给人员输入框姓名.  bzrUserIDList表示：输入框ID+"UserNameList"
	        $("#hidReceiveUserName").val(sessionStorage.getItem("WorkFlow_NextStep_Transactor_UserNameList"));
	        var ifSms = sessionStorage.getItem("ifSms");
	        if ("1"==ifSms) {
	        	$('.switch').addClass("active").find('input[type="checkbox"]').prop("checked",1);
	        }

	        var strReceiveUserNames = sessionStorage.getItem( "WorkFlow_NextStep_Transactor_UserNameList");
	        var strReceiveUserIDs = sessionStorage.getItem("WorkFlow_NextStep_Transactor_UserIDList");
	        var str = "";
	        if (strReceiveUserNames != null && strReceiveUserNames != "") {
	        	if(strReceiveUserNames.indexOf(';')>-1){
	        		var receiveUserNames = strReceiveUserNames.split(";");
		            var receiveUserIDs = strReceiveUserIDs.split(";");
	        	}else{
	        		var receiveUserNames = strReceiveUserNames.split(",");
		            var receiveUserIDs = strReceiveUserIDs.split(",");
	        	}
	            var i = 0;
	            for (i = 0; i < receiveUserNames.length; i++) {
	                str += "<div class=\"item-person\">";
	                str += "    <div class=\"delete\">";
	                str += "        <img src=\"../../styles/images/User.png\" alt=\"\"/>";
	                str += "        <i class=\"fa fa-times-circle hide\"></i>";
	                str += "    </div>";
	                str += "    <p class=\"double-row\" userid=\"" + receiveUserIDs[i] + "\">" + receiveUserNames[i] + "</p>";
	                str += "</div>";

	                /*if (receiveUserNames.length <= 9) {
	                    if (i == receiveUserNames.length - 1) {
	                        str += "<a href=\"#\" class=\"item-person add-transactor\">";
	                        str += "   <div class=\"pic\">+</div>";
	                        str += "    <p>添加</p>";
	                        str += "</a>";
	                    }
	                }

	                if (receiveUserNames.length > 9 && i == 8) {
	                    str += "<a  class=\"item-person more\">";
	                    str += "    <div class=\"pic\">更多</div>";
	                    str += "</a>";
	                    break;
	                }*/
	            }
	        }

	        if (str != "") {
	        	$("#lists").html(str);
	        }
	        
		} else {
			store.remove("stepType");
			store.remove("ImageCache");
            store.remove("BigImageCache");
            store.remove("VoiceCache");
            //移除缓冲值  bzrUserIDList表示：输入框ID+"UserIDList"
            sessionStorage.removeItem("WorkFlow_NextStep_Transactor_UserIDList");
            sessionStorage.removeItem("WorkFlow_NextStep_Transactor_UserNameList");
            sessionStorage.setItem("WorkFlow_NextStep_Transactor_UserIDList", $("#hidReceiveUserCode").val());
            sessionStorage.setItem("WorkFlow_NextStep_Transactor_UserNameList", $("#hidReceiveUserName").val());
            sessionStorage.removeItem("callContent");
            sessionStorage.removeItem("wxImg");
            sessionStorage.removeItem("wxVoi");
            sessionStorage.removeItem("ifSms");
            $("#hidReceiveUserCode").val("");
            $("#hidReceiveUserName").val("");
		}
		if (sessionStorage.getItem(Constant.DeptListExist) == "1") {
			try {
        		var img = store.get("ImageCache");alert('img=='+img);
        		if (img) $(".upload-pic").html(img);
        		var bigimg = store.get("BigImageCache");
        		if (bigimg) $('#bigImg').html(bigimg);
        		var voice = store.get("VoiceCache");
        		if (voice) $('#divVoice').html(voice);
        	} catch (e) { }  
			RenderTransactor("dept");
			sessionStorage.removeItem(Constant.DeptListExist);
			flaginit = 1;
		} else {
			store.remove("ImageCache");
            store.remove("BigImageCache");
            store.remove("VoiceCache");
		}
		var strappID = store.get("WF_AppId"),
			strAppTId = store.get("WF_Tem"),
			strButton = act;
		var strVersion = store.get("WF_Ver"),
			strcondition = store.get("WF_Condition"),
			intNewFlag = store.get("WF_New");

		getStartAppTemInfo(strappID, strAppTId, strVersion, strButton, strcondition, intNewFlag);

		//默认发送消息-为开启状态
		/*$("#chkEndCall").attr("checked", "checked");
		$("#chkEndCall").prop("checked", true);
		$(".msg_tx").addClass("active");*/
		//end

		InitEvent();
		SetDefaultStep();
		//点击短语
		$('#phraseBar').on('click',function(){
			if($('#phrase').size()>0){
				$('#phraseBg,#phrase').removeClass("hidden");
			}else{
				Phrase.getPhrase("txtCallText");
			}
		})
		//InitmanyPerson();
		
	});
	
	//王冰添加 //参数 status：是否锁定
	function SaveBtnStyleManage(node, status) {
		var $node = $(node);
		if (status != "" && typeof(status) == "boolean") {
			isLockSave = status;
		}
		if (isLockSave) {
			$node.html("提交中...");
			$node.css({
				cursor: "default"
			});
			$node.prop("style").WebkitFilter = "brightness(130%)";
		} else {
			$node.html("提交");
			$node.css({
				cursor: "pointer"
			});
			$node.prop("style").WebkitFilter = "";
		}
	}
	//绑定提交事件 王冰添加
	var BindSaveAddGoodsFn = function() {
		$("#saveAddGoods").on("click", function() {
			var self = this;
			if (isLockSave) {
				return;
			}
			var promptContent = $("#txtCallText").val(); //结束通知的内容
			var isContent = $("#txtCallText").val();
			if($('.upload-pic').html().trim()!="" || $('#curImg_handSign1').html().trim()!="" || $('#divVoice').html().trim()!="" || $('.wxImg').html().trim()!="" || $('.wxVoi').html().trim()!=""){
				isContent = "pic";
			}
			//如果意见必填
			if (store.get("WF_IdeaIsNeed") == "yes" && isContent == "") {
				toast("请填写意见。");
				return;
			}
			//通用业务数据处理
			if (!ExE_Business()) {
				return;
			}
			//锁定按钮
			SaveBtnStyleManage($(self), true);
			var tpstot = setTimeout(function() {
				//获取多人办理方式
				//getManypersontype();

				var callCheckFlag = 0;
				if ($("#chkEndCall").prop('checked')) callCheckFlag = 1;
				var smsFlag = 0;
				if ($("#chkEndSms").prop('checked')) smsFlag = 1;
				var appID = store.get("WF_AppId"); //流程Id   
				var appIdea = $("#txtCallText").val(); //store.get("AppIdea") == null ? "" : store.get("AppIdea"); //办理意见
				var appTID = store.get("WF_Tem"); //流程模板ID”,      
				var appTitle = store.get("WF_appTitle"); //流程标题”
				var version = store.get("WF_Ver"); //流程版本”,     		
				var intNextStepId = store.get("NextStep") == null ? "" : store.get("NextStep"); //下一步步骤id
				var intNextStepKeyName = store.get("NextStepKeyName") == null ? "" : store.get("NextStepKeyName");
				var isFlowFork = store.get("isFork");
				var appOId = store.get("WF_appOId");
				var appOValue = store.get("WF_appOValue");
				var isNewFlag = store.get("WF_New"); // "0";
				var acceptUserInfo = GetAcceptUserInfo();
				var isOrder = $('#typeGoods').attr("steptype");

				if (acceptUserInfo.length == 0) {
					toast("请选择办理人员！");
					$("#saveAddGoods").html('提交');
					$("#saveAddGoods").css({
						cursor: "pointer"
					});
					$("#saveAddGoods").prop("style").WebkitFilter = "";
					return;
				}
				var returnInnerSign = "";
				if ($("#returnInnerSign").prop('checked')){
					returnInnerSign = "1";
				}
				var params = {
					appOId: appOId,
					appOValue: appOValue,
					returnInnerSign: returnInnerSign,
					button: {
						appFlag: "2",
						appID: appID,
						appIdea: appIdea,
						appTID: appTID,
						appTitle: appTitle,
						businessData: null,
						buttonId: act,
						buttonValue: "",
						callCheckFlag: callCheckFlag,
						callUsers: {
							stepUser: [],
							mes: null,
							success: 1
						},
						copyFlag: 0,
						distributeUsers: null,
						isJump: "",
						isNewFlag: isNewFlag,
						isOrder: isOrder,
						maxCount: "",
						mes: null,
						nextStepList: {
							mes: null,
							success: 1,
							wfNextStepList: [{
								acceptUserInfo: acceptUserInfo,
								callFlag: 1,
								isMulti: null,
								nextStepID: intNextStepId,
								nextStepName: intNextStepKeyName,
								smsFlag: smsFlag,
								transactMode: manypersontype, //0单人接收，2多人接收单人办理，3多人接收顺序办理，4多人接收并行办理
								mes: null,
								success: 1,
								flowFork: isFlowFork
							}]
						},
						promptContent: promptContent,
						smsTransactFlag: 0,
						success: 1,
						version: version
					}
				};
				
				//新接口调用
				var ajUrl = moduleId + "WorkFlowDeal";
				var saveJsonStr = JSON.stringify(params);
				var data = GetDataByUrl_Post(ajUrl, saveJsonStr);
				SaveBtnStyleManage($(self), false);
				if (data && data.success == "1") {
					sessionStorage.removeItem(Constant.StepId);
					if (appType == "weixin") {
						//微信保存附件
						if (data.mes && data.mes.indexOf("|") >= 0) {
							uploadobj.wxuploadImgVoi(data.mes.split("|")[1], "", "workflow");
						} else {
							uploadobj.wxuploadImgVoi(appID, "", "workflow");
						}
					} else {
						//保存录音拍照等 oa+
						if (data.mes && data.mes.indexOf("|") >= 0) {
							SaveFileList(data.mes.split("|")[1]);
						} else {
							SaveFileList();
						}
					}
					
					if(appServer == "c6")
					{
						var ajUrl = moduleId + "SaveDocContent";
						var saveJsonStr = JSON.stringify(params);
						var data = GetDataByUrl_Post(ajUrl, saveJsonStr);
					}
					
					if (appType == "weixin") {
						
						if(store.get("browser")=="1"){
							goHome(-2);
						} else {
							if (store.get("WF_New") == '1'){
				    			window.location.href = "myWaitApproval.html";
				    		} else {
				    			window.location.href = "index.html";
				    		}
						}
					} else{
						if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
							if(store.get("browser")=="1"){
								goHome(-2);
							} else {
								goHome("", "yes");
							}
				    	} else {
				    		if (store.get("WF_New") == '1'){
				    			window.location.href = "myWaitApproval.html";
				    		} else {
				    			window.location.href = "index.html";
				    		}
				    	}
					}
					if(afterComplete!='undefined' && typeof afterComplete=='function'){
						afterComplete('6', appID, appOId, store.get("WF_New"));
					}
				} else {
					if (data != undefined) toast(data.mes);
				}
				clearTimeout(tpstot);
			}, 1);
		});
	}();
	//取消
	$("#cancel").on("click", function() {
		sessionStorage.removeItem("NextBtnSubmitJSon");
	});

    //确定删除
    $(document).on('click', '#deleted', function() {
        $('.ui-actionsheet-wrap').addClass('hide');
        var userId = sessionStorage.getItem('WorkFlow_NextStep_Transactor_UserIDList');
        var userName = sessionStorage.getItem('WorkFlow_NextStep_Transactor_UserNameList');
        var obj = $('.item-person').find('input[id="' + userId + '"]');
        var tempUserIds = (',' + $('#hidReceiveUserCode').val() + ',').replace(',' + userId + ',', ',');
        var userIds = tempUserIds;

        if (userIds.substr(0, 1) == ",") {
            userIds = userIds.substr(1, userIds.length - 1);
        }
        if (userIds.substr(userIds.length - 1, 1) == ",") {
            userIds = userIds.substr(0, userIds.length - 1);
        }
        var tempUserNames = (',' + $('#hidReceiveUserName').val() + ',').replace(',' + userName + ',', '');
        var userNames = tempUserNames;
        if (userNames.substr(0, 1) == ",") {
            userNames = userNames.substr(1, userNames.length - 1);
        }
        if (userNames.substr(userNames.length - 1, 1) == ",") {
            userNames = userNames.substr(0, userNames.length - 1);
        }
        $('#hidReceiveUserCode').val(userIds);
        $('#hidReceiveUserName').val(userNames);
        obj.parent().parent().remove();
    });
    
    //取消删除
    $('#back').on('click', function() {
        $('.ui-actionsheet-wrap').addClass('hide');
        var userId = sessionStorage.getItem('WorkFlow_NextStep_Transactor_UserIDList');
        var userName = sessionStorage.getItem('WorkFlow_NextStep_Transactor_UserNameList');
        var obj = $('.item-person').find('input[id="' + userId + '"]');
        obj.parent().find("i").addClass('hide');
    });
    
  //流程转下一步信息
    function getStartAppTemInfo(strappID, strAppTId, strVersion, strButton, strcondition, intNewFlag) {
         //新接口调用
        //var oData = '{"sign":"' + appSign + '","appID":"' + strappID + '","appTID":"' + strAppTId + '","appVersion":"' + strVersion + '","ButtonType":"' + strButton + '","condition":"' + strcondition + '","isNewFlag":"' + intNewFlag + '"}';
        var oData = '{"appID":"' + strappID + '","appTID":"' + strAppTId + '","appVersion":"' + strVersion + '","ButtonType":"' + strButton + '","condition":"' + strcondition + '","isNewFlag":"' + intNewFlag + '"}';
        var url= "api/WorkFlow/GetWFStepInfo";
        var param=oData;
        var data=GetDataByUrl_Post(url,param);
        //alert(oData)
        json = data;

        var curStepId = "";
		var isMulti = "";
        //流程可操作按钮
        if (json.wfNextStepList && json.wfNextStepList.length > 0) {
            curStepId = json.wfNextStepList[0].nextStepID;
			isMulti = json.wfNextStepList[0].isMulti;
            $(".nextDep").val(json.wfNextStepList[0].nextStepName);
			store.set("isMulti", isMulti);
			if (json.wfNextStepList[0].haveReturnCheck) {
				$("#returnSignDiv").removeClass("hide");
				//$("#returnInnerSign").attr("checked", "checked");
				//$("#returnInnerSign").prop("checked", true);
			}
        }
        //缓存流程数据，弹出页面使用
        store.set("NextJson", json);
        store.set("NextStep", curStepId);
        store.set("NextXH", 0);
    }
    
});