﻿define(['mobilekit', 'datetime'], function() {
    //输入框聚焦时变色
    $('.form-group').on('focus', 'input', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'input', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    $('.form-group').on('focus', 'textarea', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'textarea', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    //显示\隐藏流程办理情况图
    $('.vacation-process-title').on('click', function () {
        $('.vacation-process-content').toggleClass('hide');
        var $thisChildI = $(this).find("i");
        $thisChildI.toggleClass("fa-caret-right");
        $thisChildI.toggleClass("fa-caret-down");
        document.documentElement.scrollTop = $(this).offset().top;
        document.body.scrollTop = $(this).offset().top;
    });
    //外出时间
    $('#ot-input').mobiscroll().datetime({
      /*  theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
        minDate: new Date(2015, 07, 01),
        maxDate: new Date(2030, 12, 31),
        stepMinute: 5
    });
    //返回日期
    $('#bk-input').mobiscroll().date({
     /*   theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
        minDate: new Date(2015, 07, 01),
        maxDate: new Date(2030, 12, 31)
    });
    //验证
    $('#tit-input').on('blur', function() {
        if ($(this).val()) {
            $('#tit').addClass('hide');
            $('#tit').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#tit').addClass('hide');
        $('#tit').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#ot-input').on('change', function() {
        if ($(this).val()) {
            $('#ot').addClass('hide');
            $('#ot').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#ot').addClass('hide');
        $('#ot').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#bk-input').on('change', function() {
        var ot = $('#ot-input').val();
        if (ot.length > 0) {
            var odate = formatDatetime(ot.split(' ')[0]); //外出日期
            //alert(odate);
            var tdate = formatDatetime($(this).val()); //返回日期
            //alert(tdate);
            if (tdate > odate) {
                $('#kt-input').val("1");
            } else {
                $('#kt-input').val("0");
            }
            if (tdate >= odate) {
                $('#bk').addClass('hide');
                $('#bk').removeClass('show');
                $(this).closest('.form-control').removeClass('error');
            } else {
                setTimeout(function() {
                    $('#bk').addClass('show');
                    $('#bk').removeClass('hide');
                    $('#bk-input').closest('.form-control').addClass('error');
                }, 200);
            }
        }
    }).on('focus', function() {
        $('#bk').addClass('hide');
        $('#bk').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });

    $('#op-input').on('blur', function() {
        if ($(this).val()) {
            $('#op').addClass('hide');
            $('#op').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#op').addClass('hide');
        $('#op').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#or-input').on('blur', function() {
        if ($(this).val()) {
            $('#or').addClass('hide');
            $('#or').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#or').addClass('hide');
        $('#or').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });

    InitWithDrawEvent();

    //取业务数据-外出    
    function InitBusinessData(strAppTitle, strAppOID, strAppOValue) {
        //var owData = '{"sign":"' + appSign + '","AttOID":"' + strAppOID + '"}';
        var owData = strAppOID;
        var url = "api/Form/GetAttOut";
        var param = owData;
        var data = GetDataByUrl_Post(url, JSON.stringify(param));
        if (data.success == 1) {
            $('#tit-input').val(strAppTitle); //标题流程
            $('#ot-input').val(data.attOBeginTime); //外出时间
            if (data.attOEndTime.length > 0) {
                $('#bk-input').val(formatDatetime(data.attOEndTime)); //返回日期
            } else {
                $('#bk-input').val("");
            }
            $('#kt-input').val(data.overDayFlag); //是否跨天
            $('#op-input').val(data.attODestination); //外出地点
            $('#or-input').val(data.attOReason); //外出原因

        } else {
            toast("获取业务数据失败！", "", 1500);
        }
        /*旧接口 $.ajax({
        type: 'post',
        data: owData,
        async: false,
        url: hostUrl + "GetAttOut",
        dataType: "json",
        contentType: "application/json;charset=utf-8",
        success: function(data) {			
        //var json = JSON.stringify(data);
        //alert(json);
        if (data.success == 1) {				
        $('#tit-input').val(strAppTitle); //标题流程		
        $('#ot-input').val(data.AttOBeginTime); //外出时间      
					
					$('#op-input').val(data.AttODestination); //外出地点
        $('#or-input').val(data.AttOReason); //外出原因								
					 
				} else {
        toast("获取业务数据失败！", "", 1500);					
        }
        },
        Error: function(err) {
        console.log(err);
        return false;
        }
        });*/

    }
    //外出业务数据保存
    function SaveBusinessData() {
        var blReturn = false;
        var owName = $('#tit-input').val(); //标题流程		
        var owTime = $('#ot-input').val(); //外出时间      
        var owBack = $('#bk-input').val(); //返回日期
        var owFlag = $('#kt-input').val(); //是否跨天
        var owPlace = $('#op-input').val(); //外出地点
        var owReason = $('#or-input').val(); //外出原因
        var owData = "";
        //2业务流程部分		
        var KeyID = store.get("WF_appOId");
        var intApproveFlag = store.get("WF_AppBtn");
        if (intApproveFlag == 9)
            intApproveFlag = 1;
        else
            intApproveFlag = 2;
        ////2业务流程部分
        //新接口调整
        //owData = '{"sign":"' + appSign + '","attOutInfo":{"KeyID":"'+KeyID+'","AttOBeginTime":"' + owTime + '","AttODestination":"' + owPlace + '","AttOReason":"' + owReason + '","ApproveFlag":"'+intApproveFlag+'"}}';
        owData = '{"KeyID":"' + KeyID + '","AttOBeginTime":"' + owTime + '","AttOEndTime":"' + owBack + '","OverDayFlag":"' + owFlag + '","AttODestination":"' + owPlace + '","AttOReason":"' + owReason + '","ApproveFlag":"' + intApproveFlag + '"}';


        //缓存方法名
        var arrayMethod = new Array();

        arrayMethod.push('api/Form/AttOutSave');
        store.set('EB_NAME', arrayMethod);
        //缓存方法参数
        var arrayParam = new Array();
        arrayParam.push(owData);
        store.set('EB_DATA', arrayParam);
        //缓存流程标题
        store.set('EB_TITLE', owName);
        //缓存业务主键
        store.set('EB_ID', "");
        //缓存流程类型 0系统流程 1表单流程
        store.set('EB_TYPE', 0);
        //alert(owData)
        /*
        $.ajax({
        type: 'post',
        data: owData,
        async: false,
        url: hostUrl + "AttOutSave",
        dataType: "json",
        contentType: "application/json;charset=utf-8",
        success: function(data) {				
        if (data.success == "1") {
        //3流程添加：缓存流程业务数据主键与标题					
        SaveBusinessSuccess(data.mes,"0",owName); 
        blReturn = true;
        //3流程添加   
        } else {
        toast("操作失败！", "", 1500);
        blReturn = false;
        }

			},
        Error: function(err) {
        console.log(err);
        blReturn = false;
        }
        });
        */
        return true;
    }

    function checkForm() {
        if (!$('#tit-input').val()) {
            $('#tit').addClass('show');
            $('#tit').removeClass('hide');
            $('#tit-input').closest('.form-control').addClass('error');
        }
        if (!$('#ot-input').val()) {
            $('#ot').addClass('show');
            $('#ot').removeClass('hide');
            $('#ot-input').closest('.form-control').addClass('error');
        }
        if (!$('#op-input').val()) {
            $('#op').addClass('show');
            $('#op').removeClass('hide');
            $('#op-input').closest('.form-control').addClass('error');
        }
        if (!$('#or-input').val()) {
            $('#or').addClass('show');
            $('#or').removeClass('hide');
            $('#or-input').closest('.form-control').addClass('error');
        }

        var odate = formatDatetime($('#ot-input').val().split(' ')[0]); //外出日期
        var tdate = formatDatetime($('#bk-input').val()); //返回日期
        if (odate > tdate) {
            $('#bk').addClass('show');
            $('#bk').removeClass('hide');
            $('#bk-input').closest('.form-control').addClass('error');
        }

        var flag = $('.fa-exclamation-circle').hasClass('show');

        if (flag) {
            return false;
        } else {
            return true;
        }
    }

    //时间函数，日期格式化,用来比较外出时间和返回日期
    function formatDatetime(datetime) {
        var date = datetime.replace(/-/g, "/"); //兼容Safari
        var dt = new Date(date);
        var year = dt.getFullYear();
        var month = fillzero(dt.getMonth() + 1);
        var date = fillzero(dt.getDate());
        return year + '-' + month + '-' + date
    }

    //一位数变成两位数，填充前导0，
    function fillzero(str) {
        str = String(str);
        if (str.length == 1) str = "0" + str;
        return str;
    }

    //页面加载完毕
    $(function() {
        //1业务流程部分
        var strAppTId = "ihrm_attendanceout";
        BusinessApprove(strAppTId, InitBusinessData);
        //1业务流程部分

        //4流程添加：初始化流程流转按钮事件    
        InitApproveButtonEvent(strAppTId, GetWFCondition, checkForm, SaveBusinessData);
        //4流程添加
    });

    function GetWFCondition() {
        return "";
    }


});