define(['mobilekit'], function() {
	//变量
	var pageNo = 1; //当前页
	var pageSize = 20; //每页显示的条数
	var scrollSize = 30; //距离底部多少PX开始加载数据
	var WWCloading = false;
	var WWCisEnd = false;

	function getData() {
		var jsonData = new Object();
		//jsonData.sign = appSign;
		jsonData.pageSize = pageSize;
		jsonData.pageNo = pageNo;
		WWCloading = true;
        //新接口调用
		//var dataJson = ajaxPost("GetMessList", JSON.stringify(jsonData));
        var dataJson = GetDataByUrl_Post('api/Msg/GetMessList',JSON.stringify(jsonData));
		if (dataJson != null && dataJson.success == 1) {
			//alert(dataJson.MessList.length)
			if (dataJson.messList && dataJson.messList.length > 0) {
				var str_li = "";
				$.each(dataJson.messList, function(index, part) {
					//alert(index)
					var businessid = part.other;
					var businesstype = part.messType.toLowerCase();
					var content = part.content;
					var time = part.subDate;
					var strColor = "blue-light";
					var strClass = "tree";
					switch (businesstype) {

						case "task":
							businesstype = "任务提醒";
							strColor = "blue";
							strClass = "book";
							break;
						case "calendar":
							businesstype = "日程提醒";
							strColor = "yellow";
							strClass = "bus";
							break;
						default:
							businesstype = "待办流程";
							strColor = "purple";
							strClass = "tree";
							break;
					}

					str_li += "<li class=\"remindAssistant-list-item\" type='" + businesstype + "' bid='" + businessid + "'>";
					str_li += "<a href=\"javascript:;\">";
					str_li += "<span class=\"remindAssistant-list-pic " + strColor + "\"><i class=\"fa fa-" + strClass + "\"></i></span>";
					str_li += "<div class=\"cont\">";
					str_li += "<p class=\"flow-title\">您有一条 " + businesstype + "<span class=\"pull-right\">" + time + "</span></p>";
					str_li += "<p class=\"flow-cont\">" + content + "</p>";
					str_li += "</div>";
					str_li += "</a>";
					str_li += "</li>";



				});
				//alert(str_li);
				if (pageNo == 1) {
					$(".remindAssistant-list").html(str_li);
				} else {
					$(".remindAssistant-list").append(str_li);
				}
				WWCloading = false;
				WWCisEnd = dataJson.messList.length < pageSize;
				if (WWCisEnd && pageNo > 1) {
					$("#listLoading").css("display", "block");
					$("#listLoading").text("没有更多数据");
				}
				pageNo++;
			} else {
				toast("暂时没有消息！", "", 1500);
			}
		} else {
			toast("获取数据失败！", "", 1500);
		}
	}

	//为列表绑定事件
	function itemEvent() {
		$(".remindAssistant-list-item").each(function() {
			$(this).unbind("click");
			$(this).bind("click", function() {
				//alert($(this).attr("type"))
				switch ($(this).attr("type")) {
					case "任务提醒":
						sessionStorage.taskId = $(this).attr("bid");
						window.location.href = "../Task/taskDetail.html";
						break;
					case "日程提醒":
						sessionStorage.calendarId = $(this).attr("bid");
						window.location.href = "../Calendar/riLiEditCalendar.html";
						break;
					case "待办流程":
						//获取的顺序调整为appid apptid appoid appovalue
						var appid = $(this).attr("bid").split(',')[0];
						var apptid = $(this).attr("bid").split(',')[1];
						var appoid = $(this).attr("bid").split(',')[2];
						var appovalue = $(this).attr("bid").split(',')[3];
						var apptitle = $(this).find('p').eq(1).html().split('：')[1];   
						if (appid == undefined) {
							toast("appid参数格式有误 ！", "", 1500);return;
						}
						if (appoid == undefined) {
							toast("appoid参数格式有误 ！", "", 1500);return;
						}
						if (apptid == undefined) {
							toast("apptid参数格式有误 ！", "", 1500);return; 
						}
						if (apptitle == undefined) {
							toast("apptitle参数格式有误 ！", "", 1500);return;
						}
						var strUrl = "";						
						var strPara = "?fr=do&appid=" + appid + "&appoid=" + encodeURIComponent(appoid) + "&appovalue=" + appovalue + "&apptid=" + apptid + "&apptitle=" + encodeURIComponent(apptitle)  ;
						switch (apptid.toLowerCase()) {
							case "ihrm_attendanceout":

								strUrl = "outWork.html";
								break;
							case "ihrm_attendanceleave":

								strUrl = "vacation.html";
								break;
							case "ihrm_attendanceevection":

								strUrl = "businessTrip.html";
								break;
							case "ioa_officesupply":

								strUrl = "receiveGoods.html";
								break;
							default:
								break;
						}
						if (strUrl == "") {
							toast("未能获取到流程类型 无法跳转 ！", "", 1500);
							return;
						}

						window.location.href = strUrl + strPara;

						break;

				}
			});
		});
	}

	//滚动加载
	function scrollEvent() {
		if (WWCloading == false) {
			var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
			var scrollTop = $(window).scrollTop();
			var scrollBottom = scrollHeight - scrollTop;

			//滚动加载
			if (scrollBottom <= scrollSize && !WWCloading && !WWCisEnd) {
				getData(); //加载

			} else if (WWCisEnd) {

			}
		}
	}


	// 初始化滚动监听
	$(window).scroll(function() {
		scrollEvent();
	});
	$(function() {
		//获取数据
		getData();



		//绑定事件
		itemEvent();
	});
})