define(['mobilekit'], function () {
    var AfterApproveSubmitStr = sessionStorage.getItem("AfterApproveSubmit");
    var scriptStr = "<script type='text/javascript'>" + AfterApproveSubmitStr + "</script>";
    $('head').append(scriptStr);
	//常量
	var Constant = {
			ButtonId: 5,
			StepId: "WorkFlow_NextStep_StepId"
		}
		//清除办理人

	function RemoveTransactor() {
			$(".transactor-group .item-person").has("div.delete").remove();
		}
		//拼接办理人json串

	function GetAcceptUserInfo() {
			var arr = [];
			$(".item-person input:hidden").each(function() {
				arr.push({
					appFieldName: $(this).attr("id"),
					appFieldType: null,
					appFieldValue: "",
					mes: null,
					success: 1
				});
			});
			return arr;
		}
		//获取用户id字符串

	function GetUserIds() {
		var userIds = "";
		$(".item-person input.user:hidden").each(function() {
			userIds += $(this).attr("id") + ";";
		});
		if (userIds.length > 0) userIds = userIds.substr(0, userIds.length - 1);
		return userIds;
	}

	function GetUserIds2() {
			var userIds = "";
			$(".item-person input.user:hidden").each(function() {
				userIds += $(this).attr("id").split(",")[1] + ",";
			});
			if (userIds.length > 0) userIds = userIds.substr(0, userIds.length - 1);
			return userIds;
		}
		//获取部门id字符串

	function GetDeptIds() {
			var userIds = "";
			$(".item-person input.dept:hidden").each(function() {
				userIds += $(this).attr("id") + ";";
			});
			if (userIds.length > 0) userIds = userIds.substr(0, userIds.length - 1);
			return userIds;
		}
		//缓存下一步id和序号

	function SetStep() {
			var $input = $("#ulStep input[value='true']");
			$("#typeGoods").val($input.attr("StepName"));
			store.set("NextStep", $input.attr("StepId"));
			store.set("NextXH", $input.closest("li").index());
			sessionStorage.setItem(Constant.StepId, store.get("NextStep"));
			getBackUser(store.get("NextXH"));
		}
		//设置默认步骤

	function SetDefaultStep() {
			var id = sessionStorage.getItem(Constant.StepId);
			if (id) {
				$("#ulStep .clearfix[StepId='" + id + "'] .radio").click();
			}
			SetStep();
		}
		//初始化事件

	function InitEvent() {
			//下一步各选项增加单选按钮
			$(".radio").each(function() {
				var t = Checkbox({
					type: 'radio',
					obj: $(this),
					radioSelector: '.radio',
					checked: true,
					enable: true
				});
				$(this).closest('.radio').click(function() {
					t.setChecked(true);
					return false;
				})
			});
			//(下一步选项)点击确认按钮获取选中值
			$('#goodsTypeBtn').on('click', function() {
				var oldStpeId = store.get("NextStep");
				//设置下一步id和序号
				SetStep();
				if (oldStpeId != store.get("NextStep")) {
					//清空选中的人并为重新选人做准备
					RemoveTransactor();
				}
				closeModal('myModal');
			});
			//点击取消按钮
			$("#cancel").on('click', function() {
				history.go(-1);
			});
		}
		//页面加载完毕
	$(function() {
		var strappID = store.get("WF_AppId"),
			strAppTId = store.get("WF_Tem"),
			strButton = Constant.ButtonId;
		var strVersion = store.get("WF_Ver"),
			strcondition = store.get("WF_Condition"),
			intNewFlag = store.get("WF_New");
		getStartAppTemInfo(strappID, strAppTId, strVersion, strButton, strcondition, intNewFlag);

		InitEvent();
		SetDefaultStep();
		$('#phraseBar').on('click',function(){
			if($('#phrase').size()>0){
				$('#phraseBg,#phrase').removeClass("hidden");
			}else{
				Phrase.getPhrase("txtCallText");
			}
		})
	});

	//流程提交
	$("#saveAddGoods").on("click", function() {
		store.remove("handsignSrc");
		//通用业务数据处理
		if (!ExE_Business()) {
			return false;
		}
		var smsTransactFlag = "0";
		var copyFlag = "0";
		var callCheckFlag = "0";
		if ($("#chkEndCall").prop('checked')) callCheckFlag = "1";
		var smsFlag = 0; //$("#chkEndSms").attr("checked") ? 1 : 0;
		if ($("#chkEndSms").prop('checked')) smsFlag = "1";
		var buttonValue = "";
		var buttonId = Constant.ButtonId;

		var appID = store.get("WF_AppId"); //流程Id   
		var appIdea = $("#txtCallText").val(); //store.get("AppIdea") == null ? "" : store.get("AppIdea"); //办理意见
		var appTID = store.get("WF_Tem"); //流程模板ID”,      
		var appTitle = store.get("WF_appTitle"); //流程标题”
		var version = store.get("WF_Ver"); //流程版本”,     		
		var intNextStepId = store.get("NextStep") == null ? "" : store.get("NextStep"); //下一步步骤id
		var appOId = store.get("WF_appOId");
		var appOValue = store.get("WF_appOValue");
		var isNewFlag = store.get("WF_New"); // "0";

		var isOrder = "";
		var maxCount = "";
		var isJump = "";
		var promptContent = $("#txtCallText").val(); //结束通知的内容

		var isMulti = "0";
		var transactMode = "0";
		var nextTip = $("#txtTip").val();
		//通知人
		var callUsers = "";
		var callUsers1 = "";
		if (buttonId == "9" && callUsers != '') {
			arrCallUser = callUsers.split(',');
			for (i = 0; i < arrCallUser.length; i++) {
				callUsers1 += '{"appFieldName": "' + arrCallUser[i] + '","appFieldType": null,"appFieldValue": ""},';
			}
			if (callUsers1.length > 0) callUsers1 = callUsers1.substring(0, callUsers1.length - 1);
			callUsers = '"callUsers": {"stepUser": [{"acceptUserInfo":[' + callUsers1 + ']}],"mes":null,"success": 1}';
		} else {
			callUsers = '"callUsers": {"stepUser": [],"mes":null,"success": 1}'
		}
		//通知人结束
		//分发人
		var distributeUsers = "";
		callUsers1 = "";
		if (buttonId == "9" && distributeUsers != '') {
			arrCallUser = distributeUsers.split(',');
			for (i = 0; i < arrCallUser.length; i++) {
				callUsers1 += '{"appFieldName": "' + arrCallUser[i] + '","appFieldType": null,"appFieldValue": "","mes": null,"success": 1},';
			}
			if (callUsers1.length > 0) callUsers1 = callUsers1.substring(0, callUsers1.length - 1);
			distributeUsers = '"distributeUsers": [' + callUsers1 + ']';
		} else {
			distributeUsers = '"distributeUsers":null';
		}
		//分发结束  
		//下一步接收人
		var acceptUserInfo = GetAcceptUserInfo();
		if (acceptUserInfo.length == 0) {
			toast("请选择办理人！");
			return false;
		}
		//下一步接收人结束
		//转下一步步骤列
		var nextStepList = '{"wfNextStepList":[{"acceptUserInfo":' + JSON.stringify(acceptUserInfo) + ',"callFlag":"1","isMulti":null,"nextStepID":"' + intNextStepId + '","nextStepName":null,"smsFlag":"0","transactMode":null,"mes":null,"success":1}],"mes": null,"success": 1}';
		//转下一步步骤列结束 
        //新接口调用
		//var strdata = '{"sign":"' + appSign + '","button":{"appFlag":"2","appID":"' + appID + '","appIdea":"' + appIdea + '"';
        var strdata = '{"button":{"appFlag":"2","appID":"' + appID + '","appIdea":"' + appIdea + '"';
		strdata += ',"appTID":"' + appTID + '","appTitle":"' + appTitle + '","businessData":null,"buttonValue":"' + buttonValue + '","buttonId":"' + buttonId + '"';
		strdata += ',"callCheckFlag":"' + callCheckFlag + '","copyFlag":"' + copyFlag + '",' + callUsers + ',' + distributeUsers;
		strdata += ',"isJump":"' + isJump + '","isNewFlag":"' + isNewFlag + '","isOrder":"' + isOrder + '","maxCount":"' + maxCount + '"';
		strdata += ',"nextStepList":' + nextStepList;
		strdata += ',"promptContent":"' + promptContent + '","smsTransactFlag": "' + smsTransactFlag + '","version":"' + version + '","mes": null,"success": 1, "nextTip": "'+nextTip+'"}';
		strdata += ',"appOId":"' + appOId + '","appOValue":"' + appOValue + '"}';
		//alert(strdata);
		//return ;
        //新接口调用
        var url="api/WorkFlow/WorkFlowDeal";
        var param=strdata;
        var data=GetDataByUrl_Post(url,param);
        var json = JSON.stringify(data);
        //alert(json);
        if (data.success == "1") {
            //window.location.href = "myDoneApproval.html";
            sessionStorage.removeItem(Constant.StepId);
            if (data.mes && data.mes.indexOf("|") >= 0) {
                SaveFileList(data.mes.split("|")[1]);
            } else {
                SaveFileList();
            }
			
			if(appServer == "c6")
			{
				var ajUrl = "api/WorkFlow/SaveDocContent";
				var data = GetDataByUrl_Post(ajUrl, param);
			}
			
            //发消息
            /*if (callCheckFlag == 1) {
                SendMessage(GetUserIds2(), "", data.mes);
            }*/
            if (appType == "weixin") {
                if (sessionStorage.getItem("ismsg") == "1") {
                    WeixinJSBridge.call("closeWindow");
                }
				if (store.get("msgApp")=="1"){
                    if(browser.versions.android){
                        goHome("", "yes");
                    }else{
                        goHome(-1);
                    }
                } else if (store.get("browser")=="1"){
                    goHome(-2);
                } else {
					window.location.href = "myWaitApproval.html";
				}
            } else {
            	if (store.get("newWebView")=="1") {//如果是1关闭当前WebView
                    if (store.get("msgApp")=="1"){
                        if(browser.versions.android){
                            goHome("", "yes");
                        }else{
                            goHome(-1);
                        }
                    } else if (store.get("browser")=="1"){
                        goHome(-2);
                    } else {
                        goHome("", "yes");
                    }
                } else {
	    		window.location.href = "myWaitApproval.html";
		    	}
            }
            if (afterComplete != 'undefined' && typeof afterComplete == 'function') {
                afterComplete('5', appID, appOId, store.get("WF_New"));
            }
        } else {
            toast(data.mes);
        }
        /*旧接口 $.ajax({
			type: 'post',
			data: strdata,
			url: hostUrl + "WorkFlowDeal",
			async: false,
			dataType: "json",
			contentType: "application/json;charset=utf-8",
			// headers: { "ApplicationContext": BaseHeader },
			success: function(data) {
				var json = JSON.stringify(data);
				//alert(json);
				if (data.success == "1") {
					//window.location.href = "myDoneApproval.html";
					sessionStorage.removeItem(Constant.StepId);
					if (data.mes && data.mes.indexOf("|") >= 0) {
						SaveFileList(data.mes.split("|")[1]);
					} else {
						SaveFileList();
					}
					//发消息                 
					if (callCheckFlag == 1) {
						SendMessage(GetUserIds2(), "", data.mes);
					}
					window.location.href = "index.html";
				} else {
					toast(data.mes);
				}
			}
		});*/

	});

	//流程转下一步信息
	function getStartAppTemInfo(strappID, strAppTId, strVersion, strButton, strcondition, intNewFlag) {
        //新接口调用
		//var oData = '{"sign":"' + appSign + '","appID":"' + strappID + '","appTID":"' + strAppTId + '","appVersion":"' + strVersion + '","ButtonType":"' + strButton + '","condition":"' + strcondition + '","isNewFlag":"' + intNewFlag + '"}';
        var oData = '{"appID":"' + strappID + '","appTID":"' + strAppTId + '","appVersion":"' + strVersion + '","ButtonType":"' + strButton + '","condition":"' + strcondition + '","isNewFlag":"' + intNewFlag + '"}';
		//alert(oData)
        var url= "api/WorkFlow/GetWFStepInfo";
        var param=oData;
        var data=GetDataByUrl_Post(url,param);
        json = data;
        var contStr = "";
        var curStepId = "";
        //流程可操作按钮
        if (json.wfNextStepList && json.wfNextStepList.length > 0) {
            $.each(json.wfNextStepList, function(index, part) {
                //步骤
                var strStepId = part.nextStepID; //步骤id
                var strStepNM = part.nextStepName; //步骤名称
                if (curStepId == "") curStepId = strStepId;
                contStr += '<li class="clearfix" StepId="' + strStepId + '">';
                contStr += '    <span class="pull-left type">' + strStepNM + '</span>';
                contStr += '    <span class="pull-right radio">';
                contStr += '        <span class="fa"></span>';
                contStr += '        <input type="hidden" StepId="' + strStepId + '" StepName="' + strStepNM + '" />';
                contStr += '    </span>';
                contStr += '</li>';
                //alert(contStr)
                //默认选中第一个执行人
                //getAppFirstUser(json,strStepId,index);
            });
        }
        //缓存流程数据，弹出页面使用
        store.set("NextJson", json);
        store.set("NextStep", curStepId);
        store.set("NextXH", 0);

        $("#ulStep").html(contStr);
		/*旧接口 $.ajax({
			type: 'post',
			data: oData,
			url: hostUrl + "GetWFStepInfo",
			async: false,
			dataType: "json",
			contentType: "application/json;charset=utf-8",
			// headers: { "ApplicationContext": BaseHeader },
			success: function(data) {
				//var json = JSON.stringify(data);
				//alert(json);
				//json = JSON.parse(json);
				json = data;
				var contStr = "";
				var curStepId = "";
				//流程可操作按钮
				if (json.wfNextStepList && json.wfNextStepList.length > 0) {
					$.each(json.wfNextStepList, function(index, part) {
						//步骤
						var strStepId = part.nextStepID; //步骤id
						var strStepNM = part.nextStepName; //步骤名称	                   
						if (curStepId == "") curStepId = strStepId;
						contStr += '<li class="clearfix" StepId="' + strStepId + '">';
						contStr += '    <span class="pull-left type">' + strStepNM + '</span>';
						contStr += '    <span class="pull-right radio">';
						contStr += '        <span class="fa"></span>';
						contStr += '        <input type="hidden" StepId="' + strStepId + '" StepName="' + strStepNM + '" />';
						contStr += '    </span>';
						contStr += '</li>';
						//alert(contStr)
						//默认选中第一个执行人
						//getAppFirstUser(json,strStepId,index);
					});
				}
				//缓存流程数据，弹出页面使用                
				store.set("NextJson", json);
				store.set("NextStep", curStepId);
				store.set("NextXH", 0);

				$("#ulStep").html(contStr);
			}
		});*/
	}

	//获得退回的办理人
	function getBackUser(intStepXH) {
		intStepXH = parseInt(intStepXH);
		data = store.get("NextJson", json);
		//var json = JSON.stringify(data);
		//alert(json);
		if (json.success == "1") {
			if (json.wfNextStepList && json.wfNextStepList.length > 0 && json.wfNextStepList.length >= intStepXH) {
				var contStr = "";
				$.each(json.wfNextStepList[intStepXH].acceptUserInfo, function(index, part) {
					//步骤
					var arr = part.appFieldName.split(",");
					var strUserId = part.appFieldName; //人员id
					var strUserNM = part.appFieldValue; //人员名称
					var type = arr[1] == "000000" ? "dept" : "user"; //用户还是部门
					var picUrl = type == "user" ? "../../styles/images/User.png" : "../../styles/images/dept.png"

					contStr += '<div  class="item-person">';
					contStr += '    <div class="delete">';
					contStr += '    <img src="../../styles/images/User.png" alt="" />';
					contStr += '        <i class="fa fa-times-circle hide"></i>';
					contStr += '        <input type="hidden" id="' + strUserId + '" class="' + type + '" />';
					contStr += '        </div>';
					contStr += '        <p class="double-row">' + strUserNM + '</p>';
					contStr += '    </div>';
					//alert(contStr)
				});

				setTimeout(function() {
					$("#divUsers").html(contStr);
				}, 0);
			}
		}
	}

	//向手机推送消息
	function SendMessage(toUserIds, toContent, curAppID) {
		var oreturn = "";
		var jsonData = new Object();
		//jsonData.sign = appSign;
		jsonData.strFromUserId = appUserId;
		jsonData.strToUserId = toUserIds;
		if (toContent == "") toContent = "您的流程已被退回：" + store.get("WF_appTitle");
		jsonData.strContent = toContent;
		jsonData.strMsgType = "approve"; //信息类型(approve为流程，task为任务，calendar为日程)"
		if (store.get("WF_AppId") == "0" || store.get("WF_AppId") == "")
			if (curAppID.indexOf("|") >= 0)
				curAppID = curAppID.split("|")[1];
			else
				curAppID = store.get("WF_AppId");
		var sOther = curAppID + "," + store.get("WF_appOId") + "," + store.get("WF_Tem") + "," + store.get("WF_appOValue")
		jsonData.strOther = sOther; //业务ID（流程App_ID,AppT_ID,AppO_ID,AppO_Values）"
		//alert(JSON.stringify(jsonData))

        //新接口调用
        var url= "api/Msg/CreateMessInfo";
        var data=GetDataByUrl_Post(url,JSON.stringify(jsonData));
        if (data.success == "1") {
            oreturn = data.mes;
        } else {
            oreturn = "";
        }

		/*旧接口 $.ajax({
			type: 'post',
			data: JSON.stringify(jsonData),
			url: hostUrl + "CreateMessInfo",
			async: false,
			dataType: "json",
			contentType: "application/json;charset=utf-8",
			success: function(data) {
				if (data.success == "1") {
					oreturn = data.mes;
				} else {
					oreturn = "";
				}
			}
		}); */
		return oreturn;
	}

});