define(['mobilekit'], function () {
    //输出待选人    
    var strjson, intStepId, xh,forkIndex;
    strjson = store.get("NextJson");
    intStepId = store.get("NextStep");
    xh = store.get("NextXH");
    forkIndex=sessionStorage.getItem("curForkInd");
    if(forkIndex==null){
    	forkIndex='';
    }
    //alert(JSON.stringify(strjson));
    getAppUserList(strjson, intStepId, xh);

    //返回
    $('header').on('click', function () {
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.removeItem("inputID");
        sessionStorage.removeItem("forkIndex");
        history.go(-1);
    });
    //搜索-输入完毕事件
    $('#searchKey').on('keyup', function() {
        var name = $('.ui-searchbar-input').children().val().trim();
        Search(name);
        if($(this).val().trim()==""){
            $('.ui-searchbar .fa-times-circle').hide();
        }else{
            $('.ui-searchbar .fa-times-circle').show();
        }
    });
    //搜索-点击输入框事件
    $('.ui-searchbar').on('click', function () {
        $(this).parent().addClass('focus');
        $('.ui-searchbar-input').children('input').focus();
    });
    //搜索-点击取消按钮事件
    $('.fa-icon-times').on('click', function (e) {
        e.stopPropagation();
        $('.ui-search-wrap').removeClass('focus');
        $('.ui-searchbar-input').children('input').val('');
        var name = $('.ui-searchbar-input').children('input').val().trim();
        Search(name);
    });
    //搜索-点击输入框右侧关闭(“X")图标事件
    $('.ui-searchbar .fa-times-circle').on('click', function () {
         $(this).prev().val('');
        var name = $('.ui-searchbar-input').children('input').val().trim();
        Search(name);
    });
    //搜索-目标颜色切换
    function Search(name) {
        if (name.length > 0) {
            $(".table-view .table-view-cell .name").each(function () {
                if ($(this).text().indexOf(name) >= 0) {
                    $(this).closest("li").show();
                }
                else {
                    $(this).closest("li").hide();
                }
            });
        } else {
            $(".table-view .table-view-cell").show();
        }
    }
    //部门、人员前增加单选按钮
    $(".radio").each(function () {
        var t = Checkbox({
            type: 'radio',
            obj: $(this),
            radioSelector: '.radio',
            checked: true,
            enable: true
        });
        
    });
    //单选按钮热区扩展
    $('.table-view-cell').on('click', function () {
    	var _radio=$(this).find('.radio');
    	var t = Checkbox({
            type: 'radio',
            obj: _radio,
            radioSelector: '.radio',
            checked: true,
            enable: true
        });
    	t.setChecked(true);
    });
    //选中指定单选按钮
	var userListIds=sessionStorage.getItem("UserListIDS"+forkIndex).replace(';','');
    if (sessionStorage.getItem("UserListIDS"+forkIndex)) {
        $(".radio input[id='" + userListIds + "']").closest(".radio").trigger("click");
    } else {
        //默认选中第一个单选按钮
        $('.radio:first').trigger('click');
    }
    function getHtml(curJson){
    	var contDStr = "";
        var contUstr = "";
    	$.each(curJson, function (index, part) {
            var strfieldValue = part.appFieldValue; 	//接收人姓名
            var strfieldName = part.appFieldName; 	//接收人部门，id串
            if (strfieldName.indexOf(',000000') > 0) {//部门
                contDStr += '<li class="table-view-cell">';
                contDStr += '    <div class="detail clearfix"> ';
                contDStr += '    <p class="radio checkbox"><span class="fa"></span>';
                contDStr += '    <input type="hidden" id="' + strfieldName + '" />';
                contDStr += '    </p>';
                contDStr += '	 <p class="userImg"><img src="../../styles/images/dept.png" alt=""/></p>';
                contDStr += ' 	 <p class="name">' + strfieldValue + '</p>';
                contDStr += '    </div>';
                contDStr += '</li>';
            }
            else {//人			
                contUstr += '<li class="table-view-cell">';
                contUstr += '    <div class="detail clearfix"> ';
                contUstr += '    <p class="radio checkbox"><span class="fa"></span>';
                contUstr += '    <input type="hidden" id="' + strfieldName + '" />';
                contUstr += '    </p>';
                contUstr += '	 <p class="userImg"><img src="../../styles/images/User.png" alt=""/></p>';
                contUstr += ' 	 <p class="name">' + strfieldValue + '</p>';
                contUstr += '    </div>';
                contUstr += '</li>';
            }
        });
    	$("#ulAppDeptList").html(contDStr);
        $("#ulAppUserList").html(contUstr);
    }
    //流程步骤对应的执行人  公共
    function getAppUserList(json, intStepId, xh) {
        if (json.wfNextStepList && json.wfNextStepList.length > 0 && json.wfNextStepList.length >= xh) {
            var subjson = json.wfNextStepList[xh];
            if(subjson.flowFork && subjson.workFlowForkNextList && subjson.workFlowForkNextList.length > 0){
            	getHtml(subjson.workFlowForkNextList[forkIndex].acceptUserInfo);
            }
            if (subjson.acceptUserInfo && subjson.acceptUserInfo.length > 0) {
            	getHtml(subjson.acceptUserInfo);
            }
            
        }
    }


    //点击确定按钮
    //获取选择的人或部门
    $('button').on('click', function () {
        var inputID = sessionStorage.getItem("inputID");
        var UserIDList = "";
        var UserNameList = "";
        var UserPic = "";
        var DeptIDList = "";
        var DeptNameList = "";
        var DeptPic = "";
        var $input = $(".select-colleague .radio input[value='true']");
        if ($input.length > 0) {
            var id = $input.attr("id");
            if (id.indexOf(',000000') > 0) {
                sessionStorage.setItem("DeptListExist", "1");
                sessionStorage.removeItem("UserListExist"); 
                DeptIDList = id;
                DeptNameList = $input.parent().siblings(".name").text();
                DeptPic = $input.parent().siblings(".userImg").find("img").attr("src");
                sessionStorage.setItem(inputID  + "DeptIDList", DeptIDList);
                sessionStorage.setItem(inputID  + "DeptNameList", DeptNameList);
                sessionStorage.setItem(inputID  + "DeptPic", DeptPic);
            } else {
                sessionStorage.setItem("UserListExist", "1");
                sessionStorage.removeItem("DeptListExist");
                UserIDList = id;
                UserNameList = $input.parent().siblings(".name").text();
                UserPic = $input.parent().siblings(".userImg").find("img").attr("src");
                sessionStorage.setItem(inputID + "UserIDList", UserIDList);
                sessionStorage.setItem(inputID + "UserNameList", UserNameList);
                sessionStorage.setItem(inputID + "UserPic", UserPic);
                sessionStorage.setItem("UserListIDS"+forkIndex,UserIDList);
            }
        }
        //alert(UserIDList)
        sessionStorage.removeItem("inputID"); 
        //sessionStorage.removeItem("curForkInd");
        window.history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
        //window.location = "nextStep.html?type=do";
    });

});