define(['mobilekit', 'datetime'], function() {
   
	var Constant = {
		AppTId: "ihrm_attendanceleave"
	};

	var Global = {
		ActiveApproveButtonId: "",
		IsAnnualLeaveContinue: false,
		IsAllowHour: false,
		IsHour: false,
	};

	//初始化休假类型列表
	function InitAttLeaveTypeList() {
		/*旧接口注释
        $.ajax({
            url: hostUrl + "GetAttLeaveType",
            type: "POST",
            data: JSON.stringify({ sign: appSign }), 
            dataType: "json",
            async: false,
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                if (data.success == "1") {
                    //console.log(data);
                    var html = '';
                    for (var i = 0; i < data.list.length; i++) {
                        html += '<li class="list" AttLTID="' + data.list[i].AttLTID + '">';
                        html += ' <div class="list-title">' + data.list[i].AttLTName + '</div>';
                        html += ' <div class="radio">';
                        html += '     <span class="fa"></span>';
                        html += '     <input type="hidden" AttLTID="' + data.list[i].AttLTID + '" AttLTName="' + data.list[i].AttLTName + '">';
                        html += ' </div>';
                        html += '</li>';
                    }
                    $(".poplayer-list .lists").html(html);
                } else {
                    toast(data.mes);
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                console.log(jqXHR);
            }
        });
        */
		/*新接口调用*/
		var data = GetDataByUrl_Post("api/Form/GetAttLeaveType", '');
		if (parseInt(data.success) == 1) {

			var html = '';
			for (var i = 0; i < data.list.length; i++) {
				html += '<li class="list" AttLTID="' + data.list[i].attLTID + '">';
				html += ' <div class="list-title">' + data.list[i].attLTName + '</div>';
				html += ' <div class="radio">';
				html += '     <span class="fa"></span>';
				html += '     <input type="hidden" AttLTID="' + data.list[i].attLTID + '" AttLTName="' + data.list[i].attLTName + '">';
				html += ' </div>';
				html += '</li>';
			}

			$(".poplayer-list .lists").html(html);
		} else {
			toast(data.mes);
		}
	}

	/*切换请假类型*/
	function ChangeAttLeaveType(typeName) {
		/* 旧接口注释
			$.ajax({
				url: hostUrl + "GetAttLeaveTypeDetail",
				type: "POST",
				data: JSON.stringify({
					sign: appSign,
					TypeName: typeName
				}),
				dataType: "json",
				async: false,
				contentType: "application/json;charset=utf-8",
				success: function(data) {
					if (data.success == "1") {
						//console.log(data);
						if (data.Prompt_Msg) {
							$(".notice").removeClass("hide").text(data.Prompt_Msg);
						} else {
							$(".notice").addClass("hide");
						}
						$(".notice").attr("IsWarn", data.IsWarn);
						if (data.MinDW == "D") {
							Global.IsAllowHour = false;
						} else {
							Global.IsAllowHour = true;
						}
						Global.IsHour = false;
						//$('.switch-time').click();
						RestoreSwitchTime(); //恢复按天休
					} else {
						toast(data.mes);
					}
				},
				error: function(jqXHR, textStatus, errorThrown) {
					console.log(jqXHR);
				}
			});
			*/
		/*
		 * 新接口调用
		 * */
		var data = GetDataByUrl_Post("api/Form/GetAttLeaveTypeDetail", JSON.stringify({
			TypeName: typeName
		}));
		if (data.success == 1) {
			//console.log(data);
			if (data.prompt_Msg) {
				$(".notice").removeClass("hide").text(data.prompt_Msg);
			} else {
				$(".notice").addClass("hide");
			}
			$(".notice").attr("IsWarn", data.isWarn);
			if (data.minDW == "D") {
				Global.IsAllowHour = false;
			} else {
				Global.IsAllowHour = true;
			}
			Global.IsHour = false;
			//$('.switch-time').click();
			RestoreSwitchTime(); //恢复按天休
		} else {
			toast(data.mes);
		}
	}

	/*选中休假类型
	 */
	function SelectAttLeaveType(AttLTID) {
		$(".poplayer-list .list[AttLTID='" + AttLTID + "'] .radio").click();
		$('.poplayer .active').click();
	}

	/*获取选中的休假类型id
	 */
	function GetSelectedAttLTID() {
		return $(".poplayer-list input[value='true']").attr("AttLTID");
	}

	/*初始化业务数据
	 */
	function InitBusinessData(strAppTitle, strAppOID, strAppOValue) {
		/* 旧接口注释
		$.ajax({
			url: hostUrl + "GetAttLeave",
			type: "POST",
			data: JSON.stringify({
				sign: appSign,
				AttLID: strAppOID
			}),
			dataType: "json",
			async: false,
			contentType: "application/json;charset=utf-8",
			success: function(data) {
				//console.log(data);
				if (data.success == 1) {
					$('#title').val(strAppTitle); //流程标题
					SelectAttLeaveType(data.AttLTID);
					$("#vacation-time").val(data.AttLBeginTime);
					$("#day").val(data.AttLLimitDays);
					$("#reason").val(data.AttLReason);
					if (data.AttLLimitType == "H") {
						$('#hour').text('小时');
						$('.days').text('天');
						Global.IsHour = true;
					}
				} else {
					toast("获取业务数据失败！", "", 1500);
				}
			},
			error: function(jqXHR, textStatus, errorThrown) {
				console.log(jqXHR);
			}
		});
		*/
		/*新接口调用*/

		//var data = GetDataByUrl_Post("api/Form/GetAttLeave", JSON.stringify({AttLID: strAppOID}));
		var data = GetDataByUrl_Post("api/Form/GetAttLeave", JSON.stringify(strAppOID));
		if (data.success == 1) {
			$('#title').val(strAppTitle); //流程标题
			SelectAttLeaveType(data.attLTID);
			$("#vacation-time").val(data.attLBeginTime);
			$("#day").val(data.attLLimitDays);
			$("#reason").val(data.attLReason);
			if (data.attLLimitType == "H") {
				$('#hour').text('小时');
				$('.days').text('天');
				Global.IsHour = true;
			}
		} else {
			toast("获取业务数据失败！", "", 1500);
		}
	}

	function IncludeJs(path) {
	    var a = document.createElement("script");
	    a.type = "text/javascript";
	    a.src = path;
	    var head = document.getElementsByTagName("head")[0];
	    head.appendChild(a);
	}
	IncludeJs("../../scripts/lib/base64/base64.min.js");
	function GotoDownLoad(fileID, fileextension) {
	    var varargs = $.base64.encode("{\"businessJson\":\"{\\\"buzType\\\":\\\"4\\\",\\\"buzMainDataID\\\":\\\"\\\", \\\"fileID\\\": \\\"" + fileID + "\\\", \\\"fileType\\\": \\\"\\\", \\\"isCacheInDevice\\\": \\\"NO\\\", \\\"fileextension\\\": \\\"" + fileextension + "\\\"}\",\"businessType\":1}", "utf-8");
        var vartag = $.base64.encode("3333");
        window.location.href = "jhoabrowser://downloadSingleFunction?args=" + varargs + "&tag=" + vartag;
    }
	function GetAnnexData(app_Id) {
	    var data = GetDataByUrl_Post("api/WorkFlow/GetVacationAnnexData", JSON.stringify({
	        App_ID: app_Id
	    }));
	    if (data == undefined || String(data.success) != 1) {
	        toast("获取附件数据失败！", "", 1500);
	    }
	    else {
	        if (data.files.length > 0) {
	            var lookFileNameLength = 15;
	            var nodeStrs = $.map(data.files, function (item) {
	                var fileStr = [], fileId = item.fileID, fileType = "", fileName = "", fileSubName = "", fileUrl = "", fileextension = "";
	                fileName = item.fileName;
	                fileSubName = fileName.length > lookFileNameLength ? fileName.substring(0, lookFileNameLength) + "..." : fileName;
	                fileType = fileName.substring(fileName.lastIndexOf('.') + 1, fileName.length).toUpperCase();
	                fileextension = fileName.substring(fileName.lastIndexOf('.'), fileName.length);
	                fileStr.push("<p fileId=\"" + fileId + "\" fileextension=\"" + fileextension + "\">");
	                fileStr.push("<span class=\"file-type\">" + fileType + "</span>");
	                fileStr.push("<span class=\"name\" title=\"" + fileName + "\">" + fileSubName + "</span>");
	                fileStr.push("<span url=\"\" class=\"hidden\"></span>");
	                fileStr.push("</p>");
	                return fileStr.join("");
	            });
	            var ndoeStr = nodeStrs.join("");
	            $("#annexs").html(ndoeStr);
	            $("#annexs").parent().css("display", "block");
	            //附件下载
	            $('.upload-file').find('p').unbind("click").bind("click", function () {
	                var fileID = $(this).attr("fileId");
	                var fileextension = $(this).attr("fileextension");	                
	                GotoDownLoad(fileID, fileextension);
	            });
	        }
	        else {
	            $("#annexs").parent().css("display", "none");
	        }
	    }
	}

	/*保存业务数据
	 */
	function SaveBusinessData() {
		var flag = false;
		var AttLTID = GetSelectedAttLTID();
		var AttLTName = $("#classify").val();
		//如果选择的是天，默认小时取8点30
		var strDate = $("#vacation-time").val();
		if ($("#hour").html() == "天" && $("#vacation-time").val().length == 10) {
			strDate = strDate + " 08:30";
		}

		var AttLBeginTime = strDate;
		var AttLLimitDays = $("#day").val();
		var AttLLimitType = Global.IsHour ? "H" : "D";
		var AttLReason = $("#reason").val();
		var KeyID = store.get("WF_appOId");

		var intApproveFlag = store.get("WF_AppBtn")
		if (intApproveFlag == 9) //结束
			intApproveFlag = 1;
		else
			intApproveFlag = 2;
		//alert(intApproveFlag)	
		var data = {
			AttLTID: AttLTID,
			AttLTName: AttLTName,
			AttLBeginTime: AttLBeginTime,
			AttLLimitDays: AttLLimitDays,
			AttLLimitType: AttLLimitType,
			AttLReason: AttLReason,
			ApproveFlag: intApproveFlag,
			KeyID: KeyID

		};
		//缓存方法名
		var arrayMethod = new Array();

		arrayMethod.push('api/Form/AttLeaveSave');
		store.set('EB_NAME', arrayMethod);
		//缓存方法参数
		var arrayParam = new Array();
		arrayParam.push(JSON.stringify(data));
		store.set('EB_DATA', arrayParam);
		//缓存流程标题
		store.set('EB_TITLE', $("#title").val());
		//缓存业务主键
		store.set('EB_ID', "");
		//缓存流程类型 0系统流程 1表单流程
		store.set('EB_TYPE', 0);
		/*
		$.ajax({
		    url: hostUrl + "AttLeaveSave",
		    type: "POST",
		    data: JSON.stringify(data),
		    dataType: "json",
		    async: false,
		    contentType: "application/json;charset=utf-8",
		    success: function (data) {
		        //console.log(data.success ); 
		        if (data.success == "1") { 
		        	//流程添加：缓存流程业务数据主键与标题
		        	SaveBusinessSuccess(data.mes,"",$("#title").val());    
		        	//流程添加
		            flag = true;
		        } else {
		            toast("操作失败！", "", 1500);                    
		        }
		    },
		    error: function (jqXHR, textStatus, errorThrown) {
		        console.log(jqXHR);
		    }
		});
		*/
		return true;
	}



	/*流程提交
	 */
	function checkForm() {
		Global.ActiveApproveButtonId = $(document).find(".tab-item.active").attr("id");
		if (!$('#title').val()) {
			$('#title-tips').addClass('show');
			$('#title-tips').removeClass('hide');
			$('#title').closest('.form-control').addClass('error');
		}
		if (!$('#classify').val()) {
			$('#classify-tips').addClass('show');
			$('#classify-tips').removeClass('hide');
			$('#classify').closest('.form-control').addClass('error');
		}
		if (!$('#vacation-time').val()) {
			$('#vacation-time-tips').addClass('show');
			$('#vacation-time-tips').removeClass('hide');
			$('#vacation-time').closest('.form-control').addClass('error');
		}
		if (!$('#reason').val()) {
			$('#reason-tips').addClass('show');
			$('#reason-tips').removeClass('hide');
			$('#reason').closest('.form-control').addClass('error');
		}
		if (!$('#day').val()) {
			$('#day-tips').addClass('show');
			$('#day-tips').removeClass('hide');
			$('#day').closest('.form-control').addClass('error');
		}
		var flag = !$('.fa-exclamation-circle').hasClass('show');
		if (flag) {
			var day = parseFloat($("#day").val());
			if ($("#hour").html() == "小时") {
				day = parseFloat($("#day").val()) / 8.0;
			}
			if ($(".notice").attr("IsWarn")) {
				if ($("#classify").val() == "年假" || $("#classify").val() == "加班倒休") {
					if (!Global.IsAnnualLeaveContinue) {
						if (day > parseFloat($(".notice").html().replace("可休额度：", "").replace("天", ""))) {
							//toast('可休额度不足！');
							var strAppOID = getUrlParam("appoid");
							if (strAppOID == null) { //只有新建提醒
								flag = false;
								$('.ui-actionsheet-wrap').removeClass('hide');
							}
						}
					}
				}
			}
		} else {
			toast('您填写的信息有误！');
			flag = false;
		}
		return flag;
	}

	//初始化休假类型事件
	function InitAttLeaveTypeEvent() {
		//弹出休假类型选择层
		$('#classify').on('click', function() {
			$('.poplayer-wrap').removeClass('hide');
		});
		//点击休假类型取消按钮，隐藏弹出层
		$('.poplayer .cancel').on('click', function() {
			$('.poplayer-wrap').addClass('hide');
		});
		//点击休假类型确定按钮，隐藏弹出层
		$('.poplayer .active').on('click', function() {
			var $input = $(".poplayer-list input[value='true']");
			if ($input.length > 0) $("#classify").val($input.attr("AttLTName"));
			$('.poplayer-wrap').addClass('hide');
//			//如果是C6获取加班类别使用ID
//          if(store.get('platfrom')=="c6")
//          {
//				ChangeAttLeaveType($input.attr("AttLTID"));
//			}
//          else
//          {
            	ChangeAttLeaveType($input.attr("AttLTID"));
//          }
		});
		//休假类型选项选中
		$(".radio").each(function() {
			var t = Checkbox({
				type: 'radio',
				obj: $(this),
				radioSelector: '.radio',
				checked: true,
				enable: true
			});
			$(this).closest('.radio').click(function() {
				t.setChecked(true);
				return false;
			});
		});
	}

	/*初始化数据校验事件*/
	function InitVerificationEvent() {
		//流程标题校验
		$('#title').on('blur', function() {
			if ($(this).val()) {
				$('#title-tips').addClass('hide');
				$('#title-tips').removeClass('show');
				$(this).closest('.form-control').removeClass('error');
			}
		}).on('focus', function() {
			$('#itle-tips').addClass('hide');
			$('#itle-tips').removeClass('show');
			$(this).closest('.form-control').removeClass('error');
		});
		//休假类型校验
		$('#classify').on('blur', function() {
			if ($(this).val()) {
				$('#classify-tips').addClass('hide');
				$('#classify-tips').removeClass('show');
				$(this).closest('.form-control').removeClass('error');
			}
		}).on('focus', function() {
			$('#classify-tips').addClass('hide');
			$('#classify-tips').removeClass('show');
			$(this).closest('.form-control').removeClass('error');
		});
		//休假时间校验
		$('#vacation-time').on('blur', function() {
			if ($(this).val()) {
				$('#vacation-time-tips').addClass('hide');
				$('#vacation-time-tips').removeClass('show');
				$(this).closest('.form-control').removeClass('error');
			}
		}).on('focus', function() {
			$('#vacation-time-tips').addClass('hide');
			$('#vacation-time-tips').removeClass('show');
			$(this).closest('.form-control').removeClass('error');
		});
		//休假原因校验
		$('#reason').on('blur', function() {
			if ($(this).val()) {
				$('#reason-tips').addClass('hide');
				$('#reason-tips').removeClass('show');
				$(this).closest('.form-control').removeClass('error');
			}
		}).on('focus', function() {
			$('#reason-tips').addClass('hide');
			$('#reason-tips').removeClass('show');
			$(this).closest('.form-control').removeClass('error');
		});
		//休假期限(天)校验
		$('#day').on('blur', function() {
			var value = $('#day').val();
			if (value) {
				$('#day-tips').addClass('hide');
				$('#day-tips').removeClass('show');
				$(this).closest('.form-control').removeClass('error');
			} else {
				if (!$('#day').val()) {
					$('#day-tips').removeClass('hide');
					$('#day-tips').addClass('show');
					$('#day-tips').text('您还没有填写休假期限');
					$(this).closest('.form-control').addClass('error');
				}
			}
		}).on('focus', function() {
			$('#day-tips').addClass('hide');
			$('#day-tips').removeClass('show');
			$(this).closest('.form-control').removeClass('error');
		});
	}

	function ChangeDate() {
		//初始化日历(休假日期选择）
		if ($("#hour").html() == "小时") {
			$('#vacation-time').mobiscroll().datetime({
			/*	theme: '',
				mode: 'scroller',
				display: 'modal',
				lang: 'zh',*/
				minDate: new Date(2015, 07, 01),
				maxDate: new Date(2030, 12, 31),
				stepMinute: 5
			});
		} else {
			$('#vacation-time').mobiscroll().date({
			/*	theme: '',
				mode: 'scroller',
				display: 'modal',
				lang: 'zh',*/
				minDate: new Date(2015, 07, 01),
				maxDate: new Date(2030, 12, 31),
				stepMinute: 5
			});
		}
	}

	//初始化其他事件
	function InitOtherEvent() {
		//初始化日期天数
		ChangeDate();
		//输入框焦点切换事件(输入框底部颜色改变)
		$('.form-group').on('focus', '.form-group .edit', function() {
			$(this).closest('.form-control').addClass('active');
		}).on('blur', '.form-group .edit', function() {
			$(this).closest('.form-control').removeClass('active');
		});
		//显示\隐藏流程办理情况图
		$('.vacation-process-title').on('click', function() {
			$('.vacation-process-content').toggleClass('hide');
			var $thisChildI = $(this).find("i");
			$thisChildI.toggleClass("fa-caret-right");
			$thisChildI.toggleClass("fa-caret-down");
			document.documentElement.scrollTop = $(this).offset().top;
			document.body.scrollTop = $(this).offset().top;
		});
		//点击年假确认对话窗取消按钮
		$('.ui-actionsheet-wrap .back').on('click', function() {
			$('.ui-actionsheet-wrap').addClass('hide');
			Global.IsAnnualLeaveContinue = false;
			Global.ActiveApproveButtonId = "";
		});
		//点击年假确认对话窗删除按钮
		$('.ui-actionsheet-wrap .list').on('click', function() {
			$('.ui-actionsheet-wrap').addClass('hide');
			Global.IsAnnualLeaveContinue = true;
			var id = Global.ActiveApproveButtonId;
			Global.ActiveApproveButtonId = "";
			$("#" + id).trigger("click");
		});
		//休假期限的切换事件
		$('.switch-time').on('click', function() {
			if (Global.IsHour) {
				$('#hour').text('天');
				$('.days').text('小时');
				Global.IsHour = false;
				ChangeDate()();
			} else {
				if (Global.IsAllowHour) {
					$('#hour').text('小时');
					$('.days').text('天');
					Global.IsHour = true;
					ChangeDate()();
				} else {
					toast('对不起，该类别不允许按小时休假。');
				}
			}
		});
	}

	/*切换休假类型时恢复为默认按天休*/
	function RestoreSwitchTime() {
		$('#hour').text('天');
		$('.days').text('小时');
		Global.IsHour = false;
	}

	function GetWFCondition() {
		var time = Global.IsHour ? parseFloat($("#day").val()) / 8 : $("#day").val();
		return "LType:" + $("#classify").val() + ";llimit:" + time;
	}

	//页面加载完毕
	$(function() {
		InitAttLeaveTypeList();
		InitAttLeaveTypeEvent();
		InitVerificationEvent();

		//region 业务流程部分
		var fr = getUrlParam("fr");
		var strAppTitle = decodeURIComponent(getUrlParam("apptitle"));
		var strAppOID = getUrlParam("appoid");
		var strAppId = getUrlParam("appid");
		var strIsCreate = "";
		if (strAppOID == null) { //新建
			$("#divProcessArea").addClass("hide");
			store.set("WF_New", 0);
			store.set("WF_AppId", "0");
			store.set("WF_appOId", "");
			store.set("WF_Tem",Constant.AppTId);
			strIsCreate = "0";
		} else { //审批
			$("#divProcessArea").removeClass("hide");
			strAppOID = decodeURIComponent(strAppOID);
			InitBusinessData(strAppTitle, strAppOID);
			GetAnnexData(strAppId);
			store.set("WF_New", 1);
			store.set("WF_AppId", strAppId);
			store.set("WF_appOId", strAppOID);
			store.set("WF_Tem",Constant.AppTId);
			strIsCreate = "1";
		}
		//待办则输出流程按钮
		$("#divCancel").addClass("hide");
		if (fr == "do") {
			if (strIsCreate == "0") {
				getStartAppTemInfo(Constant.AppTId);
				SelectAttLeaveType($(".poplayer-list .list").eq(1).attr("AttLTID"));
				$("#flowLink").attr("href", "flowChart.html?WF_Tem=" + Constant.AppTId + "&WF_AppId=null_null");
			} else
				getAppTemInfo(strAppId);
		} else if (fr == "vacation") {
			//显示撤回按钮
			//$("#divCancel").removeClass("hide"); 
			//显示流程办理过程
			LoadProcess2(strAppId);
		} else {
			//显示流程办理过程
			LoadProcess2(strAppId);
		}
		//endregion        

		//4流程添加：初始化流程流转按钮事件    
		InitApproveButtonEvent(Constant.AppTId, GetWFCondition, checkForm, SaveBusinessData);
		//4流程添加

		InitOtherEvent();
	});
});