;(function(){
	var apinamespace = 'jSignature';
	function attachHandlers(buttonRenderer, apinamespace, extensionName) {
		var $undoButton = buttonRenderer.call(this)
		;(function(jSignatureInstance, $undoButton, apinamespace) {
			jSignatureInstance.events.subscribe(
				apinamespace + '.change'
				, function(){
					if (jSignatureInstance.dataEngine.data.length) {
						$undoButton.show();												
					} else {
						$undoButton.hide();												
					}
				}
			)
		})( this, $undoButton, apinamespace )
		;(function(jSignatureInstance, $undoButton, apinamespace) {
			var eventName = apinamespace + '.undo'
			$undoButton.bind('click', function(){
				jSignatureInstance.events.publish(eventName)
			})
			jSignatureInstance.events.subscribe(
				eventName
				, function(){
					var data = jSignatureInstance.dataEngine.data
					if (data.length) {
						data.pop();
						jSignatureInstance.resetCanvas(data)
					}
				}
			)
		})( 
			this
			, $undoButton
			, this.events.topics.hasOwnProperty( apinamespace + '.undo' ) ? 
				extensionName :
				apinamespace
		)
	}
	function ExtensionInitializer(extensionName){console.log('ok');
		var apinamespace = 'jSignature';
		$('#signatureparent .buttonWrap .backBtn').remove();
		this.events.subscribe(
			apinamespace + '.attachingEventHandlers'		
			, function(){
				if (this.settings[extensionName]) {
					var oursettings = this.settings[extensionName];
					if (typeof oursettings !== 'function') {						
						oursettings = function(){

							var undoButtonSytle = 'display:none;';
							var $undoButton = $('<input type="button" value="返回上一比划" class="backBtn" style="'+undoButtonSytle+'"  />').appendTo($('#signatureparent .buttonWrap'));
							var buttonWidth = $undoButton.width()							
							if ( buttonWidth !== $undoButton.width() ) {
								$undoButton.width(buttonWidth)
							}
							return $undoButton;
						}
					}
					attachHandlers.call( 
						this
						, oursettings
						, apinamespace
						, extensionName
					)
				}
			}
		)
	}

	var ExtensionAttacher = function(){//返回上一划方法
		//ExtensionInitializer();
		$.fn[apinamespace](
			'addPlugin'
			,'instance' 
			,'UndoButton' 
			,ExtensionInitializer
		)
	}
	ExtensionAttacher();
})();