﻿define(['mobilekit', 'swiper','datetime'], function() {
	$('.ui-tab .nav li').on('click',function(){
		$(".ui-tab .nav .current").removeClass('current');
		$(this).addClass('current');
		$('.ui-tab .content>li').addClass('hide');
		$('.ui-tab .content>li').eq($(this).index()).removeClass('hide');
	});
    var mathUrlBefore = "api/"; //wangyl 添加：调用接口传参的公共值
    /**
     * 初始化日历
     */
    $('#iptDate').mobiscroll().date({
     /*   theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
		dateFormat: 'yy-mm',               //输入框中显示日期格式
        minDate: new Date(1900,1),
        maxDate: new Date(2030,12),
        stepMinute: 5,
        dateOrder:"yymm",
        onSelect:function(){
	    	var date = $(this).val();
	        var year,mon,day;
	        if(date){
	            year = date.split('-')[0];
	            mon = date.split('-')[1];
	            //day = date.split('-')[2];
	            if(mon.substr(0,1) == 0){
	                mon = mon.substr(1,1);
	            }
	         /*   if(day.substr(0,1) == 0){
	                day = day.substr(1,1);
	            }*/
	            $(this).val(year + '年' + mon + '月');
	            loadRank(year,mon);
	        }
			//getCalendarDetail();//获取当天考勤数据
		}
    });
    var now = new Date();
    var y = now.getFullYear();
    var m = now.getMonth()+1;
    $("#iptDate").val(y + '年' + m + '月');
    loadRank(y,m);
    //加载排行榜
    function loadRank(year,month){
    	$("#qfb").html('');
    	$("#cdb").html('');
    	$("#ztb").html('');
    	
    	var day = getLastDay(year,month);
    	if(month<10){month='0'+month};
    	if(day<10){day='0'+day};
    	
	    var beginDate = year+'-'+month+'-01';
	    var endDate = year+'-'+month+'-'+day;
	    var parameterUrl = mathUrlBefore + 'Attendance/QinFenRank';
	    var parameterData ='{"beginDate":"'+beginDate+'","endDate":"'+endDate+'","baseUrl":"'+baseurl+'"}';
	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
	    var html ='<p class="pTit"><span>'+month+'</span>月总工时Top10员工</p>'
	     +'<ul id="thelist0" class="u-approval-list table-view">';
	    for(var i=0;i<data.list.length;i++){
    	    var li = '<li>'
			+'<b>'+(i+1)+'</b>';
    		if(data.list[i][3]=='' || data.list[i][3]==undefined){
    			li+='<img src="../../styles/images/User.png" width="30px" />';
    		}else{
    			li+='<img src="'+data.list[i][3]+'" width="30px" />';
    		}
    		li+='<p class="pCont">'
			+'<span>'+data.list[i][1]+'</span><br/>'
			+data.list[i][0]
			+'<em>总工时:'+data.list[i][2]+'小时</em>'
			+'</p>'
			+'</li>';
    		html += li;
	    }
	    html += '</ul>';
	    $("#qfb").append(html);
	    
	    
	    var parameterUrl = mathUrlBefore + 'Attendance/ChiDaoRank';
	    var parameterData ='{"beginDate":"'+beginDate+'","endDate":"'+endDate+'","baseUrl":"'+baseurl+'"}';
	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
	    var html ='<p class="pTit"><span>'+month+'</span>月累计迟到时间Top10员工</p>'
	     +'<ul id="thelist0" class="u-approval-list table-view">';
	    for(var i=0;i<data.list.length;i++){
			var li = '<li>'
			+'<b>'+(i+1)+'</b>';
    		if(data.list[i][4]=='' || data.list[i][4]==undefined){
    			li+='<img src="../../styles/images/User.png" width="30px" />';
    		}else{
    			li+='<img src="'+data.list[i][4]+'" width="30px" />';
    		}
    		li+='<p class="pCont">'
			+'<span>'+data.list[i][1]+'</span><br/>'
			+data.list[i][0]
    		+'<em>迟到'+data.list[i][3]+'次累计'+data.list[i][2]+'小时</em>'
			+'</p>'
			+'</li>';
    		html += li;
	    }
	    html += '</ul>';
	    $("#cdb").append(html);
	    
	    var parameterUrl = mathUrlBefore + 'Attendance/ZaoTuiRank';
	    var parameterData ='{"beginDate":"'+beginDate+'","endDate":"'+endDate+'","baseUrl":"'+baseurl+'"}';
	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
	    var html ='<p class="pTit"><span>'+month+'</span>月累计早退时间Top10员工</p>'
	     +'<ul id="thelist0" class="u-approval-list table-view">';
	    for(var i=0;i<data.list.length;i++){
			var li = '<li>'
			+'<b>'+(i+1)+'</b>';
    		if(data.list[i][4]=='' || data.list[i][4]==undefined){
    			li+='<img src="../../styles/images/User.png" width="30px" />';
    		}else{
    			li+='<img src="'+data.list[i][4]+'" width="30px" />';
    		}
    		li+='<p class="pCont">'
			+'<span>'+data.list[i][1]+'</span><br/>'
			+data.list[i][0]
    		+'<em>早退'+data.list[i][3]+'次累计'+data.list[i][2]+'小时</em>'
			+'</p>'
			+'</li>';
    		html += li;
	    }
	    html += '</ul>';
	    $("#ztb").append(html);
    }
    function getLastDay(year,month) {         
        var new_year = year;    //取当前的年份          
        var new_month = month++;//取下一个月的第一天，方便计算（最后一天不固定）          
        if(month>12) {         
         new_month -=12;        //月份减          
         new_year++;            //年份增          
        }         
        var new_date = new Date(new_year,new_month,1);                //取当年当月中的第一天          
        return (new Date(new_date.getTime()-1000*60*60*24)).getDate();//获取当月最后一天日期          
   } 
});