﻿define(['mobilekit', 'swiper', 'base64'], function() {
//alert(store.get('cur_address'));
    var mathUrlBefore = "api/"; //wangyl 添加：调用接口传参的公共值

    var currentPositionLong = 116.302582; //当前经度 116.303272
    var currentPositionLat = 40.05487; //当前纬度 40.054368
    var dangQianAddress = "北京市海淀区盈创动力大厦"; //当前位置  "北京市海淀区盈创动力大厦"


    var selImgMaxNum = 3; //允许上传的图片最大数量
    var nowHasImgNum = 0; //已经上传的数量
    var delImgIndex; //删除的图片索引



    var map = new AMap.Map('allmap', {
        resizeEnable: true,
        view: new AMap.View2D({
            //center: new AMap.LngLat(116.303272, 40.054368),
            center: new AMap.LngLat(currentPositionLong, currentPositionLat),
            zoom: 16
        })
    });
    if (appType == "weixin") {
    	wx.getLocation({
        	type: 'wgs84',
            success: function(res) {
                var para = new Object();
                currentPositionLong = res.longitude;
    			currentPositionLat = res.latitude;
		        var lnglatXY=[res.longitude, res.latitude];
		        regeocoder(lnglatXY);
    			addMarker(map);
            },
            cancel: function(res) {
                alert('用户拒绝授权获取地理位置');
            }
       });
       function regeocoder(lnglatXY) {  //逆地理编码
	        var geocoder = new AMap.Geocoder({
	            radius: 1000,
	            extensions: "all"
	        });        
	        geocoder.getAddress(lnglatXY, function(status, result) {
	            if (status === 'complete' && result.info === 'OK') {
	                geocoder_CallBack(result);
	            }
	        });        
	    }
		function geocoder_CallBack(data) {
	        dangQianAddress = data.regeocode.formattedAddress; //返回地址描述
	        $("#spanAddress").text(dangQianAddress);
	    }
        $("#spanAddress").text(dangQianAddress);
        sessionStorage.setItem("curPositionLong", currentPositionLong); //附近同事页获取参数使用
        sessionStorage.setItem("curPositionLat", currentPositionLat); //附近同事页获取参数使用
    }else if(appType == "ding"){
    	dd.device.geolocation.get({
			targetAccuracy : 200,
			coordinate : 1,
			withReGeocode : true,
			onSuccess : function(result) {
				currentPositionLong = result.longitude;
				currentPositionLat = result.latitude;
				dangQianAddress = result.address;
				$("#spanAddress").text(dangQianAddress);
				addMarker(map);
				sessionStorage.setItem("curPositionLong", currentPositionLong); //附近同事页获取参数使用
				sessionStorage.setItem("curPositionLat", currentPositionLat); //附近同事页获取参数使用
			},
			onFail : function(err) {
				alert("钉钉获取地理位置失败，失败原因："+JSON.stringify(err));
			}
		});
    }
    else {
        /*
        *获取当前位置，调用客户端接口实现
        *timeoutTime表示：请求时间超时范围，单位毫秒（参数中请求超过10秒算超时），locationOutDate表示：地理位置过期时间，
        毫秒值（参数中，1分钟地理位置过期，即本次获取时间和最后一次获取时间小于五分钟，则可以用上一次获取的地理位置）
        */
        var diLiargsJiaMi = $.base64.encode("{\"businessJson\":\"{\\\"timeoutTime\\\":10000,\\\"locationOutDate\\\":60000}\",\"businessType\":1}", "utf-8");
        var diLitagJiaMi = $.base64.encode("123");
        window.location.href = "jhoabrowser://locationFuction?args=" + diLiargsJiaMi + "&tag=" + diLitagJiaMi;
        /*地理位置信息返回*/
        window.setLocationInfo = function(jsonStr, tagJson) {
            var json = JSON.stringify(jsonStr);
            json = JSON.parse(json);
            if (json.code == "10000") {
                var locationDTO = JSON.parse(json.businessJson); //地理位置对象
                currentPositionLong = locationDTO.longitude;
                currentPositionLat = locationDTO.latitude;
                dangQianAddress = locationDTO.addresses;
                addMarker(map);

                $("#spanAddress").text(dangQianAddress);
                sessionStorage.setItem("curPositionLong", currentPositionLong); //附近同事页获取参数使用
                sessionStorage.setItem("curPositionLat", currentPositionLat); //附近同事页获取参数使用
            }
            else {
                var errorMes = json.message;
                toast(errorMes, "", 1500);
                return false;
            }
        }
    }

    function addMarker(map) {
        map.clearMap();
        new AMap.Marker({
            map: map,
            icon: 'https://webapi.amap.com/images/1.png',
            // position: new AMap.LngLat(116.303272, 40.054368),
            position: new AMap.LngLat(currentPositionLong, currentPositionLat),
            offset: new AMap.Pixel(-12, -36)
        });
        map.panTo([currentPositionLong, currentPositionLat]);
    }

    /*
    function ceShiTuPian(jsonStr)
    {
    //var json = JSON.stringify(jsonStr);
    // alert(jsonStr);
    var json = JSON.parse(jsonStr);
    if(json.code=="10000")//成功
    {
    var busImgDTO = json.businessJson;//图片信息对象
    if(busImgDTO && busImgDTO.length>0) {
    var xiaoImgContent="";//小图片容器
    var daImgContent="";//大图片容器
    $('#xiaoDivImgContent').find('.createImg').each(function (index) {
    xiaoImgContent=xiaoImgContent+"<div class='createImg'>"+ $(this).parent().find('.createImg').eq(index).html()+"</div>";
    });
    $('#xiaoDivImgContent').find('.createImg').each(function (index) {
    $(this).remove();
    });
    daImgContent= $('#daDivImgContent').html();

                nowHasImgNum =nowHasImgNum+ busImgDTO.length;//已经上传的数量
    $.each(busImgDTO, function (index, part) {
    xiaoImgContent=xiaoImgContent+"<div class='createImg'><img src='"+part.webUrl+"' alt=''/></div>";
    daImgContent=daImgContent+"<div class='swiper-slide'> <img src='"+part.webUrl+"' alt=''/> </div>";
    });
    }
    //拍照图片事件元素的是否显示
    if(nowHasImgNum<selImgMaxNum)
    {
    $('#divImgUpLoad').removeClass("hide");
    }
    else
    {
    $('#divImgUpLoad').addClass("hide");
    }
    $('#xiaoDivImgContent').prepend(xiaoImgContent);
    $('#daDivImgContent').html(daImgContent);

            mySwiper.update();//改变大图片中的图片
    }
    else//失败
    {
    var errorMes=json.message;
    toast(errorMes,"",1500);
    return false;
    }
    }
    */

    /*图片信息返回*/
    /*
    window.setLocalImgInfo = function(jsonStr, tagJson) {
    var json = JSON.stringify(jsonStr);
    //alert(json);
    json = JSON.parse(json);
    if(json.code=="10000")//成功
    {
    var busImgDTO = JSON.parse(json.businessJson);//图片信息对象
    if(busImgDTO && busImgDTO.length>0) {
    var xiaoImgContent="";//小图片容器
    var daImgContent="";//大图片容器
    $('#xiaoDivImgContent').find('.createImg').each(function (index) {
    xiaoImgContent=xiaoImgContent+"<div class='createImg'>"+ $(this).parent().find('.createImg').eq(index).html()+"</div>";
    });
    $('#xiaoDivImgContent').find('.createImg').each(function (index) {
    $(this).remove();
    });
    daImgContent= $('#daDivImgContent').html();

                nowHasImgNum =nowHasImgNum+ busImgDTO.length;//已经上传的数量
    $.each(busImgDTO, function (index, part) {
    xiaoImgContent=xiaoImgContent+"<div class='createImg'><img src='"+part.webUrl+"' alt=''/></div>";
    daImgContent=daImgContent+"<div class='swiper-slide'> <img src='"+part.webUrl+"' alt=''/> </div>";
    });
    }
    //拍照图片事件元素的是否显示
    if(nowHasImgNum<selImgMaxNum)
    {
    $('#divImgUpLoad').removeClass("hide");
    }
    else
    {
    $('#divImgUpLoad').addClass("hide");
    }
    $('#xiaoDivImgContent').prepend(xiaoImgContent);
    $('#daDivImgContent').html(daImgContent);

            mySwiper.update();//改变大图片中的图片
    }
    else//失败
    {
    var errorMes=json.message;
    toast(errorMes,"",1500);
    return false;
    }
    }
    */

    //获取时间
    var date = new Date();
    $('.date').text(date.getFullYear() + '.' + (date.getMonth() + 1) + '.' + date.getDate());
    $('.day').text('星期' + '日一二三四五六'[date.getDay()] + ':');
    $('.time').text(date.getHours() + ':' + double(date.getMinutes()));
    function double(obj) {
        if (obj < 10) {
            return '0' + obj;
        } else {
            return '' + obj;
        }
    }
    //var ceshiimgIndex=0;////////////还原删除
    //上传图片
    $('.upload-img').on('click', function() {
        nowHasImgNum = uploadobj.imgcount();
        var keImgNum = selImgMaxNum - nowHasImgNum; //还可以上传的图片数量
        if (keImgNum <= 0) {
            toast("图片已到最大张数", "", 1500);
            return false;
        }
        uploadobj.uploadimg(keImgNum, 2, "1");
        //加密方式
        //var ImgArgsJiaMi=$.base64.encode( "{\"businessJson\":\"{\\\"maxSelectNum\\\":"+keImgNum+",\\\"isSuppoerDelete\\\":false}\",\"businessType\":0}","utf-8" );
        //var ImgTagJiaMi=$.base64.encode("123");
        //window.location.href="jhoabrowser://selectImgFuction?args=" +ImgArgsJiaMi+"&tag="+ImgTagJiaMi;

        /*ceshiimgIndex+=1;///////////////
        var ceshijson='{"businessJson": [{"localUrl": "/storage/sdcard0/DCIM/Camera/2015817114113.jpg",' +
        '"webUrl": "https: //devfileserver.iuoooo.com/ceshi'+ceshiimgIndex+'.jpg"}],"code": 10000, "businessType": 2}';////////////
        ceShiTuPian(ceshijson);//////////*/
    });
    loadToDayAttendance();
    function loadToDayAttendance(){
	    var parameterUrl = mathUrlBefore + 'Attendance/ToDayOwnSiteNoteList';
	    var parameterData = '{}';
	    var data = GetDataByUrl_Post(parameterUrl, parameterData);
	    var json = JSON.stringify(data);
	    json = JSON.parse(json);
	    var contStr = "";
	    if(json.ownNoteInfos && json.ownNoteInfos.length>0) {
	        $.each(json.ownNoteInfos, function (index, part) {
	            contStr += '<li class="list-contex-list">';
	            contStr += ' <div class="listTime">';
	            contStr += ' <p class="curTime">'+part.notedate+" "+part.weekday+'</p>';
	            contStr += '  <div class="footer">';
	            contStr += '  <span>'+part.taskTypeName+'</span>';
	            contStr += '  <span>'+part.noteTime+'</span>';
	            contStr += '  </div>';
	            contStr += ' </div>';
	            contStr += '<div class="position">';
	            contStr += '<i class="fa fa-map-marker"></i>';
	            contStr += '<a style="cursor: hand">'+part.noteAddress+'</a>';
	            contStr += '<img src="../../styles/images/map.png" />';
	            contStr += '</div>';
	            
	            contStr += '<div class="pics">';
	            contStr += '<div class="pic">';
	            if(part.strFiles && part.strFiles.length>0) {
	                $.each(part.strFiles,function(indexF,file){
	                    if(file.strFileType=="image") {//图片类型
	                        contStr += '<img src="' + file.strFileValue+ '" width="55" height="55" />';
	                    }
	                });
	            }
	            contStr += '</div>';
	            contStr += '</div>';
	            contStr += '<div class="context"></div> ';
	            contStr += '<input type="hidden" value="'+part.longitude+','+part.latitude+'" />';
	            contStr += '<input type="hidden" value="'+part.noteId+'" />';
	            contStr += '</li>';
	        });
	    }
	    $("#ulAttendanceList").append(contStr);
    }
    $('#ulAttendanceList .pic').on('click','img',function(){ //点击放大
        var index = $(this).parent().index();
        var daImgContent="";//大图片的html
        $(this).parent().parent().find('img').each(function(index){
            daImgContent=daImgContent+"<div class='swiper-slide'> <img src='"+$(this).attr('src')+"' alt=''/> </div>";
        });
        $('#bigImg').html(daImgContent);

        $('.swiper-slide img').load(function (){
            mySwiper.update();
            $('.photo-big').removeClass('hide');
            mySwiper.slideTo(index);
            });
    });
    //大图片滑动
    var mySwiper = new Swiper('.swiper-container',{
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
    
    /*点击签到*/
    $('.sign-btn .btn').on('click', function() {
        var attendanceType = 1000; //考勤类型
        var remark = $("#textRemark").val(); //备注
		remark=remark.replace(/[\r\n]/gi,'<br />');
        if (remark.trim().length > 140) {
            toast("备注最多允许输入140个字符！", "", 1500);
            return false;
        }
        var nowtime = $('.time').text(); //时间
        var nowAddress = $("#spanAddress").text(); //当前地址
        var longAndLat = "[" + currentPositionLong + "," + currentPositionLat + "]"; //当前经纬度

        //图片地址获取处理
        /*
        var picPath="";
        $('#xiaoDivImgContent').find('.createImg').each(function () {
        if (picPath == "") {
        picPath = '{"strFileType":"image","strFileValue":"' + $(this).find('img').attr('src') + '"}';
        }
        else
        {
        picPath =picPath+','+ '{"strFileType":"image","strFileValue":"' + $(this).find('img').attr('src') + '"}';
        }
        });
        if(picPath!="")
        {
        picPath="["+picPath+"]";
        }
        else
        {
        picPath="[]";
        }
        */

        var vinfo = '{"sysCurTime":"' + nowtime + '","mark":"' + remark + '","siteAddress":"' + nowAddress + '","siteGPS":' + longAndLat + ',' +
            '"siteNoteId":"","files":' + uploadobj.getfiles() + ', "taskTypeId":"' + attendanceType + '"}';
        // alert( '{"sign":"'+appSign+'","writeSiteNoteInfo":'+vinfo+'}');

        var parameterUrl = mathUrlBefore + 'Attendance/WriteSiteNote';
        var parameterData = vinfo;
        // alert(parameterUrl);
        // alert(parameterData);
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        if (json.success == "1") {
            var idmes = json.mes; //签到ID
            var isQianDao = json.issign; //是否已签订，1已签到 0 未签到
            if (isQianDao == "1") {
                toast("您已签到", "", 1500);
            }
            else {
                if (appType == "weixin") {
                    //微信保存附件
                    uploadobj.wxuploadImgVoi(json.noteid, "attendanceRecord.html", "attendance");

                }
                else {
                    toast("签到成功", "", 1500);
                    location.href = "attendanceRecord.html";
                }

            }
        }
        else {
            var errmes = json.mes;
            if (appType == "weixin") {
                alert(errmes); return false;
            }
            toast(errmes, "", 1500);
            return false;
        }

        /*$.ajax({ type: 'post',
        data: '{"sign":"'+appSign+'","writeSiteNoteInfo":'+vinfo+'}',
        async: false,
        url: hostUrl + "WriteSiteNote",
        dataType: "json",
        contentType: "application/json;charset=utf-8",
        success: function(data) {
        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        if(json.success=="1")
        {
        var idmes=json.mes;//签到ID
        var isQianDao=json.issign;//是否已签订，1已签到 0 未签到
        if(isQianDao=="1")
        {
        toast("您已签到","",1500);
        }
        else
        {
        toast("签到成功","",1500);
        location.href ="attendanceRecord.html";
        }
        }
        else
        {
        var errmes=json.mes;
        toast(errmes,"",1500);
        return false;
        }

            },
        Error: function(err) {
        console.log(err);
        }

        });*/
    });
    
    WbindOnclick();
    function WbindOnclick(){
        //处理点击地址名称事件：定位到地图具体位子
        $("#ulAttendanceList").children("li").each(function () {
            var jinweidu=$(this).find("input").eq(0).val();
            $(this).find("img").eq(0).unbind("click");
            $(this).find("img").eq(0).bind("click", function () {
             sessionStorage.lngAndlat=jinweidu;
             location.href ="position.html?title=我的足迹";
             });
        });
    }
    
    


    /*
    $('#back').on('click',function(){
    $('.ui-actionsheet-wrap').addClass('hide');
    });
    */
});