define(['mobilekit', 'datetime', 'area'], function() {
    var mathUrlBefore="api/";//wangyl 添加：调用接口传参的公共值

    $('header').on('click', function() {
        history.go(-1);
    });

    //所属机会试数据格式：
    /*
    var str = [
    {
    "name": "机会1",
    "id": 'aa',
    "childlist": [
    {
    "name": "普通客户",
    "id": 'bb',
    },
    {
    "name": "VIP客户",
    "id": 'cc',
    }
    ]
    },
    {
    "name": "机会2",
    "id": 'dd',
    "childlist": [
    {
    "name": "普通客户",
    "id": 'bb',
    },
    {
    "name": "VIP客户",
    "id": 'cc',
    }
    ]
    }
    ];
    //处理方式测试数据：
    var fs = [
    {
    "name": "方式1",
    "id": 'ee',
    },
    {
    "name": "方式2",
    "id": 'ff',
    }
    ];
    */
    var strjh = "";
    var strmethod = "";
    init();

    $('#st-input, #et-input').mobiscroll().datetime({
     /*   theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
        minDate: new Date(2014, 3, 10),
        maxDate: new Date(2030, 3, 10),
        stepMinute: 5
    });
    /**
    *  输入内容时，输入框底部便蓝色
    */
    $('.addContactArrangement-wrap').on('focus', '.form-group input', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', '.form-group input', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    $('#jh_input').on('change', function() {
        if ($(this).val()) {
            $('#jh').addClass('hide');
            $('#jh').removeClass('show');
            $('#jhh').addClass('hide');
            $('#jhh').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    });
    $('#et-input').on('change', function() {
        if ($(this).val()) {
            $('#et').addClass('hide');
            $('#et').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    });
    $('#st-input').on('change', function() {
        if ($(this).val()) {
            $('#st').addClass('hide');
            $('#st').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    });
    $('#cp-input').on('change', function() {
        if ($(this).val()) {
            $('#cp').addClass('hide');
            $('#cp').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    });
    $('#jd-input').on('blur', function() {
        if ($(this).val()) {
            $('#jd').addClass('hide');
            $('#jd').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    })
    $('#cc-input').on('blur', function() {
        if ($(this).val()) {
            $('#cc').addClass('hide');
            $('#cc').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
        if (checksum($(this).val()) <= 8000) {
            $('#ccc').addClass('hide');
            $('#ccc').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    })
    $('#method-input').on('change', function() {
        if ($(this).val()) {
            $('#method').addClass('hide');
            $('#method').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    })
    function check() {
        if (!$('#jh_input_dummy').val()) {
            $('#jh').addClass('show');
            $('#jh').removeClass('hide');
            $('#jhh').addClass('hide');
            $('#jhh').removeClass('show');
            $('#jh_input').closest('.form-control').addClass('error');
        } else {
            $('#jh').addClass('hide');
            $('#jh').removeClass('show');
            $('#jh_input').closest('.form-control').removeClass('error');
        }
        if (!$('#st-input').val()) {
            $('#st').addClass('show');
            $('#st').removeClass('hide');
            $('#st-input').closest('.form-control').addClass('error');
        }
        if (!$('#et-input').val()) {
            $('#et').addClass('show');
            $('#et').removeClass('hide');
            $('#et-input').closest('.form-control').addClass('error');
        }
        if (!$('#jd-input').val()) {
            $('#jd').addClass('show');
            $('#jd').removeClass('hide');
            $('#jd-input').closest('.form-control').addClass('error');
        }
        if (!$('#cp-input').val()) {
            $('#cp').addClass('show');
            $('#cp').removeClass('hide');
            $('#cp-input').closest('.form-control').addClass('error');
        } else {
            $('#cp').addClass('hide');
            $('#cp').removeClass('show');
            $('#cp-input').closest('.form-control').removeClass('error');
        }
        if (!$('#method-input_dummy').val()) {
            $('#method').addClass('show');
            $('#method').removeClass('hide');
            $('#method-input').closest('.form-control').addClass('error');
        } else {
            $('#method').addClass('hide');
            $('#method').removeClass('show');
            $('#method_input').closest('.form-control').removeClass('error');
        }
        if (!$('#cc-input').val()) {
            $('#cc').addClass('show');
            $('#cc').removeClass('hide');
            $('#cc-input').closest('.form-control').addClass('error');
        }

        if (checksum($('#cc-input').val()) > 8000) {
            $('#ccc').addClass('show');
            $('#ccc').removeClass('hide');
            $('#cc-input').closest('.form-control').addClass('error');
        }

        var flag = $('.fa-exclamation-circle').hasClass('show');
        if (flag) {
            return false;
        } else {
            return true;
        }
    }

    /**
    * 点击创建按钮，判断填写内容是否符合条件
    */
    $('.addContactArrangement-btn .btn').on('click', function() {
        if (check()) {
            Save();
        } else {
            toast("您填写的信息有误", "", 1500);
        }
    });

    /**
    *保存联系记录
    */
    function Save() {

        var strCustomerId = sessionStorage.HTQLinkManCustomerID; //客户ID
        var strChance = getTreelistId('jh_input'); //所属机会ID
        var strStartTime = $('#st-input').val(); //开始时间
        var strEndTime = $('#et-input').val(); //结束时间
        var strDispose = getTreelistId('method-input'); //处理方式
        var strLinkManId = $('#cp-hidinput').val(); //联系人ID
        var strContent = $('#cc-input').val(); //联系安排

        var ArrangeInfo = '{"ArrangeId":"","CustomerId":"' + strCustomerId + '","ChanceId":"' + strChance + '","StartTime":"' + strStartTime + '","EndTime":"' + strEndTime + '","DisposeId":"' + strDispose + '","LinkManId":"' + strLinkManId + '","Content":"' + strContent + '"}';
        var parameterUrl = mathUrlBefore + 'Crm/CreateArrange';
        var parameterData =ArrangeInfo;
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        if (data.success == 1) {
            history.go(-1);
            // window.location.href = "contactPersonDetail.html";
        }
        else {
            toast(data.mes, "", 1500);
            return false;
        }

        /*$.ajax({
            type: 'post', data: '{"sign":"' + appSign + '","ArrangeInfo":' + ArrangeInfo + '}',
            url: hostUrl + "CreateArrange",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                if (data.success == 1) {
                    history.go(-1);
                    // window.location.href = "contactPersonDetail.html";
                }
                else {
                    toast(data.mes, "", 1500);
                    return false;
                }
            },
            Error: function(err) {
                console.log(err);
            }
        });*/
    }



    /*
    初始化所属机会、阶段、处理方式、需求分类
    */
    function init() {

        //联系人
        var strLinkManId = sessionStorage.HTQLinkManId;
        var strLinkManName = "";
        var parameterUrl = mathUrlBefore + 'Crm/GetLinkManInfo';
        var parameterData =strLinkManId;
        var data = GetDataByUrl_Post(parameterUrl, JSON.stringify(parameterData));
        if (data.success == 1) {
            strLinkManName = data.linkManInfo[0].linkManName;
        }
        else {
            toast(data.mes, "", 1500);
            return false;
        }

       /* $.ajax({ type: 'post', data: '{"sign":"' + appSign + '","LinkManId":"' + strLinkManId + '"}',
            url: hostUrl + "GetLinkManInfo",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                if (data.success == 1) {
                    strLinkManName = data.LinkManInfo[0].LinkManName;
                }
                else {
                    toast(data.mes, "", 1500);
                    return false;
                }
            },
            Error: function(err) {
                console.log(err);
            }
        });*/
        $('#cp-hidinput').val(strLinkManId);
        $('#cp-input').val(strLinkManName);


        var strCustomerId = sessionStorage.HTQLinkManCustomerID;
        //所属机会
        parameterUrl = mathUrlBefore + 'Crm/GetChance';
        parameterData =strCustomerId;
        data = GetDataByUrl_Post(parameterUrl, JSON.stringify(parameterData));
        var json = JSON.stringify(data);
        json = json.replace("chanceList", "List");
        json = json.replace(/chanceId/gm, "id");
        json = json.replace(/chance/gm, "name");
        json = JSON.parse(json);
        if (json.success == 1) {
            strjh = json.List;
            if (json.List.length <= 0) {
                $('#jhh').addClass('show');
                $('#jhh').removeClass('hide');
                $('#jh_input').closest('.form-control').addClass('error');
            }
            else {
                initTreelistDate(strjh, $('#jh_input'), '请选择所属机会');
            }
        }
        else {
            $('#jhh').addClass('show');
            $('#jhh').removeClass('hide');
            $('#jh_input').closest('.form-control').addClass('error');
        }

        /*$.ajax({
            type: 'post', data: '{"sign":"' + appSign + '","CustomerId":"' + strCustomerId + '"}',
            url: hostUrl + "GetChance",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                var json = JSON.stringify(data);
                json = json.replace("ChanceList", "List");
                json = json.replace(/ChanceId/gm, "id");
                json = json.replace(/Chance/gm, "name");
                json = JSON.parse(json);
                if (json.success == 1) {
                    strjh = json.List;
                    if (json.List.length <= 0) {
                        $('#jhh').addClass('show');
                        $('#jhh').removeClass('hide');
                        $('#jh_input').closest('.form-control').addClass('error');
                    }
                    else {
                        initTreelistDate(strjh, $('#jh_input'), '请选择所属机会');
                    }
                }
                else {
                    $('#jhh').addClass('show');
                    $('#jhh').removeClass('hide');
                    $('#jh_input').closest('.form-control').addClass('error');
                }
            },
            Error: function(err) {
                console.log(err);
            }
        })*/

        //处理方式
        parameterUrl = mathUrlBefore + 'Crm/GetDispose';
        parameterData ='';
        data = GetDataByUrl_Post(parameterUrl, parameterData);
        json = JSON.stringify(data);
        json = json.replace("disposeList", "List");
        json = json.replace(/disposeId/gm, "id");
        json = json.replace(/dispose/gm, "name");
        json = JSON.parse(json);
        if (json.success == 1) {
            strmethod = json.List;
            initTreelistDate(strmethod, $('#method-input'), '请选择处理方式');
        }
        else {
        }

        /*$.ajax({
            type: 'post', data: '{"sign":"' + appSign + '"}',
            url: hostUrl + "GetDispose",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                var json = JSON.stringify(data);
                json = json.replace("DisposeList", "List");
                json = json.replace(/DisposeId/gm, "id");
                json = json.replace(/Dispose/gm, "name");
                json = JSON.parse(json);
                if (json.success == 1) {
                    strmethod = json.List;
                    initTreelistDate(strmethod, $('#method-input'), '请选择处理方式');
                }
                else {
                }
            },
            Error: function(err) {
                console.log(err);
            }
        })*/

    }

    /**
    *统计包含汉字的字符个数
    */
    function checksum(chars) {
        var sum = 0;
        for (var i = 0; i < chars.length; i++) {
            var c = chars.charCodeAt(i);
            if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
                sum++;
            }
            else {
                sum += 2;
            }
        }
        return sum;
    }

});