define(['mobilekit','area'],function() {
    var mathUrlBefore="api/";//wangyl 添加：调用接口传参的公共值

    $('header').on('click',function(){
        history.go(-1);
    });

    var strIndustry="";
    var strDemandType="";
/*
    //所属行业测试数据格式：
    var json = [
        {
            "name": "私企"
        },
        {
            "name": "国企"
        }
    ];
    //客户分类业测试数据格式：
    var str = [
        {
            "name": "张三公司",
            "childlist": [
                {
                    "name": "普通客户",
                },
                {
                    "name": "VIP客户",
                }
            ]
        },
        {
            "name": "李四公司",
            "childlist": [
                {
                    "name": "普通客户",
                },
                {
                    "name": "VIP客户",
                }
            ]
        }
    ];
*/
    init();

    /**
     *  输入内容时，输入框底部便蓝色
     */
    $('.addCustomer-wrap').on('focus','.form-group input',function(){
        $(this).closest('.form-control').addClass('active');
    }).on('blur','.form-group input',function(){
        $(this).closest('.form-control').removeClass('active');
    });

    $('.addCustomer-wrap').on('focus','.form-group textarea',function(){
        $(this).closest('.form-control').addClass('active');
    }).on('blur','.form-group textarea',function(){
        $(this).closest('.form-control').removeClass('active');
    });


    //取消默认的判断
    $('.form-group input[type="text"],.form-group textarea[type="text"],.form-group input[type="tel"]').on('blur',function(){
        $(this).closest('.form-control').find('.reminder').hide();
    });
    /**
    $('.form-group input[type="tel"]').on('blur',function(){
        var value = $(this).val();
        if(value){
            if(!checkMobile(value)){
                $(this).closest('.form-control').addClass('error');
                $(this).closest('.form-control').find('.reminder').text('您的电话号码有误');
                $(this).closest('.form-control').find('.reminder').show();
            }
        }
    });
    * /
    /**
     *  匹配传真格式
     */
    $('#customer-fax-input').on('blur',function(){
        var value = $(this).val();
        if(value){
            var partten = /^(\d{3,4}-)?\d{7,8}$/;
            var flag = partten.test(value);
            if(!flag){
                $(this).closest('.form-control').addClass('error');
                $(this).closest('.form-control').find('.reminder').text('您的传真号码有误');
                $(this).closest('.form-control').find('.reminder').show();
            }
        }
    });
    /**
     * 检查填写的内容是否符合要求
     */
    function check(){
		var customName = $('#customer-name-input').val();
		var strCustomerId=sessionStorage.HTQCustomerId;//客户ID
        if(!customName){
            $('#customer-name-input').closest('.form-control').addClass('error');
            $('#customer-name-input').closest('.form-control').find('.reminder').text('请填写名称');
            $('#customer-name-input').closest('.form-control').find('.reminder').show();
            return false;
        }else{
        	var parameterUrl = mathUrlBefore + 'Crm/CheckCustomName';
	        var parameterData ='{"CustomerId":"'+strCustomerId+'","CustomerName":"'+customName+'"}';
	        var data = GetDataByUrl_Post(parameterUrl, parameterData);
	        if (data.success == 1&&data.isonly == 0) {
	            $('#customer-name-input').closest('.form-control').addClass('error');
	            $('#customer-name-input').closest('.form-control').find('.reminder').text('该客户名称已存在，请勿重复添加');
	            $('#customer-name-input').closest('.form-control').find('.reminder').show();
	            return false;
	        }
        }
        if($('#customer-name-input').size()>0 && checksum($('#customer-name-input').val())>200){
            $('#customer-name-input').closest('.form-control').addClass('error');
            $('#customer-name-input').closest('.form-control').find('.reminder').text('最多100汉字');
            $('#customer-name-input').closest('.form-control').find('.reminder').show();
            return false;
        }
        if($('#customer-introduction-input').size()>0 && checksum($('#customer-introduction-input').val())>50){
            $('#customer-introduction-input').closest('.form-control').addClass('error');
            $('#customer-introduction-input').closest('.form-control').find('.reminder').text('最多25汉字');
            $('#customer-introduction-input').closest('.form-control').find('.reminder').show();
            return false;
        }

        if($('#customer-address-input').size()>0 && checksum($('#customer-address-input').val())>500){
            $('#customer-address-input').closest('.form-control').addClass('error');
            $('#customer-address-input').closest('.form-control').find('.reminder').text('最多250汉字');
            $('#customer-address-input').closest('.form-control').find('.reminder').show();
            return false;
        }

        if($('#customer-website-input').size()>0 && checksum($('#customer-website-input').val())>500){
            $('#customer-website-input').closest('.form-control').addClass('error');
            $('#customer-website-input').closest('.form-control').find('.reminder').text('最多250汉字');
            $('#customer-website-input').closest('.form-control').find('.reminder').show();
            return false;
        }
        if($('#customer-remark-input').size()>0 && checksum($('#customer-remark-input').val())>8000){
            $('#customer-remark-input').closest('.form-control').addClass('error');
            $('#customer-remark-input').closest('.form-control').find('.reminder').text('最多4000汉字');
            $('#customer-remark-input').closest('.form-control').find('.reminder').show();
            return false;
        }
        return true;
    }
    /**
     * 点击创建按钮，判断填写内容是否符合条件
     */
    $('.addCustomer-btn .btn').on('click', function(){
        var flag = check();
        if(flag){
            //允许修改
            Save();
        }else{
            toast("您填写的信息有误", "", 1500);
        }
    });

    /*
     初始化所属行业、客户分类
     */
    function init() {

        //分类
        /*
        $.ajax({
            type: 'post', data: '{"sign":"' + appSign + '"}',
            url: hostUrl + "GetDemandType",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                var json = JSON.stringify(data);
                //json=json.replace("IndustryId","id");
                //json=json.replace("Industry","name");
                json = JSON.parse(json);
                if (json.success == 1) {
                    strDemandType = json.DemandTypeList;
                     //创建客户分类数据
                     // initTreelistDate(strDemandType,$('#classify_treelist'));
                }
                else {
                }
            },
            Error: function (err) {
                console.log(err);
            }
        })
        */
        //客户级别
        var parameterUrl = mathUrlBefore + 'Crm/GetCustomLevel';
        var parameterData ='' ;
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        //alert(json);
        json=json.replace("customLevelList","List");
        json=json.replace(/customLevelId/gm,"id");
        json=json.replace(/customLevel/gm,"name");
        json = JSON.parse(json);
        if (json.success == 1) {
            var selcuslevel = $('#customLevel_treelist');
	        selcuslevel.empty();
	        var option = $("<option>").text("请选择").val("");
	        selcuslevel.append(option);
	        if (json.List && json.List.length > 0) {
	            $.each(json.List, function (index, part) {
	                option = $("<option>").text(part.name).val(part.id);
	                selcuslevel.append(option);
	            });
	        }
        }
        else {
        }
        $('#customLevel_treelist').parent().find('.select-show').html("请选择");
		
		//客户来源
        var parameterUrl = mathUrlBefore + 'Crm/GetCustomSource';
        var parameterData ='' ;
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        //alert(json);
        json=json.replace("customSourceList","List");
        json=json.replace(/customSourceId/gm,"id");
        json=json.replace(/customSource/gm,"name");
        json = JSON.parse(json);
        if (json.success == 1) {
            var selcuslevel = $('#source_treelist');
	        selcuslevel.empty();
	        var option = $("<option>").text("请选择").val("");
	        selcuslevel.append(option);
	        if (json.List && json.List.length > 0) {
	            $.each(json.List, function (index, part) {
	                option = $("<option>").text(part.name).val(part.id);
	                selcuslevel.append(option);
	            });
	        }
        }
        else {
        }
		$('#source_treelist').parent().find('.select-show').html("请选择");
		
        //行业
        var parameterUrl = mathUrlBefore + 'Crm/GetIndustry';
        var parameterData ='' ;
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        //alert(json);
        json=json.replace("industryList","List");
        json=json.replace(/industryId/gm,"id");
        json=json.replace(/industry/gm,"name");
        json = JSON.parse(json);
        if (json.success == 1) {
            var selcuslevel = $('#industry_treelist');
	        selcuslevel.empty();
	        var option = $("<option>").text("请选择").val("");
	        selcuslevel.append(option);
	        if (json.List && json.List.length > 0) {
	            $.each(json.List, function (index, part) {
	                option = $("<option>").text(part.name).val(part.id);
	                selcuslevel.append(option);
	            });
	        }
        }
        else {
        }
		$('#industry_treelist').parent().find('.select-show').html("请选择");
		
		
		
		
	
	    

       /* $.ajax({
            type: 'post', data: '{"sign":"' + appSign + '"}',
            url: hostUrl + "GetIndustry",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                var json = JSON.stringify(data);
                json=json.replace("IndustryList","List");
                json=json.replace(/IndustryId/gm,"id");
                json=json.replace(/Industry/gm,"name");
                json = JSON.parse(json);
                if (json.success == 1) {
                    strIndustry = json.List;
                    //创建所属行业数据
                    initTreelistDate(strIndustry,$('#industry_treelist'));
                }
                else {
                }
            },
            Error: function (err) {
                console.log(err);
            }
        });*/





        var strcustomerId=sessionStorage.HTQCustomerId;
        var strCustomerName="";
        var strCustomerName="";
        var strCustomLevel="";
        var strCustomLevelId="";
        var strCustomSource="";
        var strCustomSourceId="";
        var strIndustry="";
        var strIndustryId="";
        var strResponseUser="";
        var strResponseUserId="";
        var strShareUser="";
        var strShareUserId="";
        var strTel="";
        var strAddress="";
        var strNote="";

        parameterUrl = mathUrlBefore + 'Crm/GetCustomerInfo';
        parameterData =strcustomerId;
        data = GetDataByUrl_Post(parameterUrl, JSON.stringify(parameterData));
        if (data.success == 1){
            strCustomerName=data.customerInfo[0].customerName;
            strCustomLevel=data.customerInfo[0].level;
            strCustomLevelId=data.customerInfo[0].levelId;
            strCustomSource=data.customerInfo[0].source;
            strCustomSourceId=data.customerInfo[0].sourceId;
            strIndustryId=data.customerInfo[0].industryId;
            strIndustry=data.customerInfo[0].industry;
            strResponseUser=data.customerInfo[0].managerName;
            strResponseUserId=data.customerInfo[0].managerId;
            strShareUser=data.customerInfo[0].shareUserNames;
            strShareUserId=data.customerInfo[0].shareUserIds;
            strTel=data.customerInfo[0].tel;
            strAddress=data.customerInfo[0].address;
            strNote=data.customerInfo[0].note;

        }
        else
        {
            toast(data.mes, "", 1500);
            return false;
        }

        /*$.ajax({ type: 'post',data: '{"sign":"'+appSign+'","customerId":"'+strcustomerId+'"}',
            url: hostUrl+"GetCustomerInfo",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                if (data.success == 1){
                    strCustomerName=data.CustomerInfo[0].CustomerName;
                    strCustomerCode=data.CustomerInfo[0].CustomerCode;
                    //strRelation=data.CustomerInfo.Relation;
                    strTel=data.CustomerInfo[0].Tel;
                    strFox=data.CustomerInfo[0].Fox;
                    strIndustryId=data.CustomerInfo[0].IndustryId;
                    strIndustry=data.CustomerInfo[0].Industry;
                    //strArea=data.CustomerInfo.Area;
                    strAddress=data.CustomerInfo[0].Address;
                    strNet=data.CustomerInfo[0].Net;
                    strNote=data.CustomerInfo[0].Note;

                }
                else
                {
                    toast(data.mes, "", 1500);
                    return false;
                }
            },
            Error: function(err) {
                console.log(err);
            }
        });*/
        $("#customer-name-input").val(strCustomerName);
        $("#customLevel_treelist").val(strCustomLevelId);
        $('#customLevel_treelist').parent().find('.select-show').html($("#customLevel_treelist").find("option:selected").text());
        $("#source_treelist").val(strCustomSourceId);
        $('#source_treelist').parent().find('.select-show').html($("#source_treelist").find("option:selected").text());
        $("#industry_treelist").val(strIndustryId);
        $('#industry_treelist').parent().find('.select-show').html($("#industry_treelist").find("option:selected").text());
        
        $("#responseUser").val(strResponseUser);
        $("#responseUser_hide").val(strResponseUserId);
        $("#shareUser").val(strShareUser);
        $("#shareUser_hide").val(strShareUserId);
        $("#customer-tel-input").val(strTel);
        $("#customer-address-input").val(strAddress);
        $("#customer-remark-input").val(strNote);
        if (sessionStorage.getItem("UserListExist") == "1") {
            if((sessionStorage.getItem("responseUserUserIDList")!="")&&(sessionStorage.getItem("responseUserUserIDList")!=null)){
	
			  //通过人员组件选择人员之后返回值赋值给人员输入框（隐藏）用户ID。  bzrUserIDList表示：输入框ID+"UserIDList"
			$("#responseUser_hide").val(sessionStorage.getItem("responseUserUserIDList"));
			//通过人员组件选择人员之后返回值赋值给人员输入框姓名.  bzrUserIDList表示：输入框ID+"UserNameList"
			$("#responseUser").val(sessionStorage.getItem("responseUserUserNameList"));
			}
	        if((sessionStorage.getItem("shareUserUserIDListMore")!="")&&(sessionStorage.getItem("shareUserUserIDListMore")!=null)){
	        	 $("#shareUser_hide").val(sessionStorage.getItem("shareUserUserIDListMore"));
	 	        //通过人员组件选择人员之后返回值赋值给人员输入框姓名.  bzrUserIDList表示：输入框ID+"UserNameList"
	 	        $("#shareUser").val(sessionStorage.getItem("shareUserUserNameListMore"));
	        }

            if(sessionStorage.getItem("customName")!=null){
                $('#customer-name-input').val(sessionStorage.getItem("customName"));
                sessionStorage.removeItem("customName");
            }
            if(sessionStorage.getItem("customLevel")!=null){
                $('#customLevel_treelist').val(sessionStorage.getItem("customLevel"));
                $('#customLevel_treelist').parent().find('.select-show').html($("#customLevel_treelist").find("option:selected").text());
                sessionStorage.removeItem("customLevel");
            }
            if(sessionStorage.getItem("customSource")!=null){
                $('#source_treelist').val(sessionStorage.getItem("customSource"));
                $('#source_treelist').parent().find('.select-show').html($("#source_treelist").find("option:selected").text());
                sessionStorage.removeItem("customSource");
            }
            if(sessionStorage.getItem("customIndustry")!=null){
                $('#industry_treelist').val(sessionStorage.getItem("customIndustry"));
                $('#industry_treelist').parent().find('.select-show').html($("#industry_treelist").find("option:selected").text());
                sessionStorage.removeItem("customIndustry");
            }
            if(sessionStorage.getItem("responseUser")!=null){
                $('#responseUser').val(sessionStorage.getItem("responseUser"));
                sessionStorage.removeItem("responseUser");
            }
            if(sessionStorage.getItem("responseUserId")!=null){
                $('#responseUser_hide').val(sessionStorage.getItem("responseUserId"));
                sessionStorage.removeItem("responseUserId");
            }
            if(sessionStorage.getItem("customTel")!=null){
                $('#customer-tel-input').val(sessionStorage.getItem("customTel"));
                sessionStorage.removeItem("customTel");
            }
            if(sessionStorage.getItem("customAddress")!=null){
                $('#customer-address-input').val(sessionStorage.getItem("customAddress"));
                sessionStorage.removeItem("customAddress");
            }
            if(sessionStorage.getItem("customRemark")!=null){
                $('#customer-remark-input').val(sessionStorage.getItem("customRemark"));
                sessionStorage.removeItem("customRemark");
            }
	       
	    }else {
	        //移除缓冲值  bzrUserIDList表示：输入框ID+"UserIDList"
            if((sessionStorage.getItem("responseUserUserIDList")!="")&&(sessionStorage.getItem("responseUserUserIDList")!=null)){
            	 sessionStorage.removeItem("responseUserUserIDList");
     	        sessionStorage.removeItem("responseUserUserNameList");
	    	}
            if((sessionStorage.getItem("shareUserUserIDListMore")!="")&&(sessionStorage.getItem("shareUserUserIDListMore")!=null)){
            	sessionStorage.removeItem("shareUserUserIDListMore");
    	        sessionStorage.removeItem("shareUserUserNameListMore");
            } 
	        
	    }
      //固定写法，不做任何修改begin
	    sessionStorage.removeItem("UserListExist");
	    sessionStorage.removeItem("UserListIDS");
		//固定写法，不做任何修改end
    }

	select($('.select-content'), '.select-show');
    function select(select, selectShow) {
        select.on('change', function () {
            $(this).parent().find(selectShow).html(this.options[this.selectedIndex].text);
        })
    }
    /*
     编辑客户保存
     */
    function Save() {
        var strCustomerId=sessionStorage.HTQCustomerId;//客户ID
        var strCustomerName=$('#customer-name-input').val();//客户名称
        var strLevel=$('#customLevel_treelist').val();//客户级别
        var strSource=$('#source_treelist').val();//客户来源
        var strIndustry=$('#industry_treelist').val();//所属行业
        var responseUserId=$("#responseUser_hide").val();
        var shareUserIds=$("#shareUser_hide").val();
        var strTel=$('#customer-tel-input').val();//电话


        if(strLevel==''){
	        $('#customLevel_treelist').closest('.form-control').addClass('error');
	        $('#customLevel_treelist').closest('.form-control').find('.reminder').text('请选择客户级别');
	        $('#customLevel_treelist').closest('.form-control').find('.reminder').show();
	        return false;
	    }
	    if(strSource==''){
	        $('#source_treelist').closest('.form-control').addClass('error');
	        $('#source_treelist').closest('.form-control').find('.reminder').text('请选择客户来源');
	        $('#source_treelist').closest('.form-control').find('.reminder').show();
	        return false;
	    }
        if(strIndustry==''){
	        $('#industry_treelist').closest('.form-control').addClass('error');
	        $('#industry_treelist').closest('.form-control').find('.reminder').text('请选择所属行业');
	        $('#industry_treelist').closest('.form-control').find('.reminder').show();
	        return false;
	    }
	    if(strIndustry==''){
	        $('#industry_treelist').closest('.form-control').addClass('error');
	        $('#industry_treelist').closest('.form-control').find('.reminder').text('请选择所属行业');
	        $('#industry_treelist').closest('.form-control').find('.reminder').show();
	        return false;
	    }
	    if(responseUserId==''){
	        $('#responseUser_hide').closest('.form-control').addClass('error');
	        $('#responseUser_hide').closest('.form-control').find('.reminder').text('请选择责任人');
	        $('#responseUser_hide').closest('.form-control').find('.reminder').show();
	        return false;
	    }

        var strAddress=$('#customer-address-input').val();//地址
        
        var strNote=$('#customer-remark-input').val();//备注
        var reg=new RegExp("\n","g");

        strNote=strNote.replace(reg, "\\r\\n");

        var CustomerInfo = '{"CustomerId":"'+strCustomerId+'","CustomerName":"'+strCustomerName+'","LevelId":"'+strLevel+'","SourceId":"'+strSource+'","IndustryId":"'+strIndustry+'","ResonseUser":"'+responseUserId+'","Tel":"'+strTel+'","Address":"'+strAddress+'","Note":"'+strNote+'","shareUserIds":"'+shareUserIds+'"}';

        var parameterUrl = mathUrlBefore + 'Crm/CreateCustomerInfo';
        var parameterData =CustomerInfo;
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        if (data.success == 1) {
        	 sessionStorage.setItem("backFlag", 0);
            history.go(-1);
            //location.href = "addContactPersonDetail.html";
        }
        else {
            toast(data.mes, "", 1500);
            return false;
        }

        /*$.ajax({
            type: 'post', data: '{"sign":"' + appSign + '","CustomerInfo":' + CustomerInfo + '}',
            url: hostUrl + "CreateCustomerInfo",
            async: false,
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                if (data.success == 1) {
                    history.go(-1);
                    //location.href = "addContactPersonDetail.html";
                }
                else {
                    toast(data.mes, "", 1500);
                    return false;
                }
            },
            Error: function (err) {
                console.log(err);
            }
        });*/
    }

    /*
     统计包含汉字的字符个数
     */
    function checksum(chars)
    {
        var sum = 0;
        for (var i=0; i<chars.length; i++)
        {
            var c = chars.charCodeAt(i);
            if ((c >= 0x0001 && c <= 0x007e) || (0xff60<=c && c<=0xff9f))
            {
                sum++;
            }
            else
            {
                sum+=2;
            }
        }
        return sum;
    }
	
	$('#responseUser').on('click', function(){
        sessionStorage.setItem("customName", $("#customer-name-input").val());
        sessionStorage.setItem("customLevel", $("#customLevel_treelist").val());
        sessionStorage.setItem("customSource", $("#source_treelist").val());
        sessionStorage.setItem("customIndustry", $("#industry_treelist").val());
        sessionStorage.setItem("customTel", $("#customer-tel-input").val());
        sessionStorage.setItem("customAddress", $("#customer-address-input").val());
        sessionStorage.setItem("customRemark", $("#customer-remark-input").val());
		

        //将选择人员输入框的ID值赋值给sessionStorage.inputID
        sessionStorage.setItem("inputID", "responseUser");
        var saas = store.get("saas");
        //location.href = "../common/singleSetUser.html?title=选择人员&deptId="+saas.saasOrgId;
        commonSelectPerson(1);//调用选人页面
    });
	$('#shareUser').on('click', function(){
        sessionStorage.setItem("customName", $("#customer-name-input").val());
        sessionStorage.setItem("customLevel", $("#customLevel_treelist").val());
        sessionStorage.setItem("customSource", $("#source_treelist").val());
        sessionStorage.setItem("customIndustry", $("#industry_treelist").val());
        sessionStorage.setItem("customTel", $("#customer-tel-input").val());
        sessionStorage.setItem("customAddress", $("#customer-address-input").val());
        sessionStorage.setItem("customRemark", $("#customer-remark-input").val());
		

        //将选择人员输入框的ID值赋值给sessionStorage.inputID
        sessionStorage.setItem("inputID", "shareUser");
        var saas = store.get("saas");
       // location.href = "../common/setUser.html?title=选择人员&deptId="+saas.saasOrgId;
        commonSelectPerson(0);//调用选人页面
    });
    $('#searchCus').on('click', function(){
        sessionStorage.setItem("customName", $("#customer-name-input").val());
        sessionStorage.setItem("customLevel", $("#customLevel_treelist").val());
        sessionStorage.setItem("customSource", $("#source_treelist").val());
        sessionStorage.setItem("customIndustry", $("#industry_treelist").val());
        sessionStorage.setItem("responseUser", $("#responseUser").val());
        sessionStorage.setItem("responseUserId", $("#responseUser_hide").val());
        sessionStorage.setItem("shareUser", $("#shareUser").val());
        sessionStorage.setItem("shareUserId", $("#shareUser_hide").val());
        sessionStorage.setItem("customTel", $("#customer-tel-input").val());
        sessionStorage.setItem("customAddress", $("#customer-address-input").val());
        sessionStorage.setItem("customRemark", $("#customer-remark-input").val());
		
		var customName = $('#customer-name-input').val();
        window.location.href = 'searchCustomer.html?title=查询客户&fromModule=addCustomer&customerName='+customName;
    });

});