var iscustomer='';
var crmType="salesChance";

define(['mobilekit'], function () {
	var customerFlag = getUrlParam('customerFlag');
    var customerName = getUrlParam('customerName');

    var inface = "api/Crm/",
        url1 = inface + "GetSalesChanceList";
    var iscustomer=getUrlParam("iscustomer");
    if(iscustomer=='true'){//说明是从客户详情转入
    	custID = sessionStorage.getItem("HTQCustomerId"); //客户ID
	}else{
		custID='';
	}
    var roleID=0,//@roleID 销售机会ID
    	state=0,//@state 0加载更多 1刷新
    	count=10,//@count 获取的数据条数
    	searchStr="",//@searchStr 搜索的值
    	LastTime="";//如果是获取更多，则是最后一条的寻呼创建时间；如果获取更新，这是第一条寻呼创建时间；
		strTimeMin ="", //获取更多, 最后一条数据的ID
		strTimeMax ="", //获取更新，第一条数据的ID
		setload=0;//默认下拉加载
    var jsondata = {
            "RoleID": roleID,
            "State": state,
            "Count": count,
            "CustID": custID,
            "SearchStr": searchStr,
            "setload": setload,
            "LastTime":LastTime
        }


	/*
	    获取销售机会详情信息
	    @roleID 销售机会ID
	*/
	function getSalesChanceInfo(roleID) {
	    var url2 = inface + "GetSalesChanceInfo";
	    var data = GetDataByUrl_Post(url2, roleID);
	    var json = JSON.parse(JSON.stringify(data));
	    return json;
	}
	/*
	    创建工具菜单
	    @opt 填充对象
	    @roleID 销售机会ID
	*/
	$('#sales').on('click','.infoTool',function(){
		var roleID=$(this).attr('id');
        window.location.href = "addSalesChance.html?roleID=" + roleID;
	})
	/*
    获取销售机会列表信息
    @roleID 销售机会ID
    @state 0加载更多 1刷新
    @count 获取的数据条数
    @custID 客户ID
    @searchStr 搜索的值
*/
	/*
	    创建销售机会列表
	    @json 销售机会列表数据
	*/
	function createSalesChanceList() {
		if(setload==1){//上拉
        	LastTime=strTimeMin;
        }else{//下拉
            if(setload==0){
            	LastTime=strTimeMin;
            }else{
            	LastTime=strTimeMax;
            }
        }
		var searchStr = $('.ui-searchbar-input').children().val();
		jsondata.SearchStr=searchStr;
		jsondata.LastTime=LastTime;
		jsondata.setload=setload;
		var brushParm=Brush.getParams();
        for(var t in jsondata){
        	brushParm[t]=jsondata[t];
        }
		//显示出搜索条件
		var endSearch="";
		var endVlaue="";
		for(var i= 0;i<brushParm.crmTypeArr.length;i++){
			endSearch+=','+brushParm.crmTypeArr[i].paramValues[0].name;
		}
		brushParm.SearchStr==""?endSearch=endSearch.substr(1):endSearch=brushParm.SearchStr+','+endSearch.substr(1);
	    if(brushParm.SearchStr!="" && brushParm.crmTypeArr.length==0){
            endVlaue=endSearch.split(',').join(' | ').replace('|',"")
        }else{
             endVlaue=endSearch.split(',').join(' | ')
        }
        $('#endInput').val(endVlaue);
		var data = GetDataByUrl_Post(url1, JSON.stringify(brushParm));
	    var json = JSON.parse(JSON.stringify(data));
		var contStr='';
	    if (json.success == 1 && json.list.length > 0) {
	        $.each(json.list, function (index, part) {
	            var json = getSalesChanceInfo(part.roleID);
	            if (json.success == 1) {
	                contStr += '<li class="table-view-cell">';
	                contStr += '<p class="form-group pTit"><b class="customTitle">'+part.roleTitle+'</b><a href="javascript:;" class="infoTool" id="'+part.roleID+'"><i class="fa fa-edit"></i></a></p>';
	                contStr += '<p class="form-group"><span class="title">客户名称：</span><span class="content">' + json.customer + '</span></p>';
	                contStr += '<p class="form-group"><span class="title">预计销售金额：</span><span class="content">' + parseFloat(json.estimatedAmount).toFixed(2) + '</span></p>';
	                contStr += '<p class="form-group"><span class="title">预计销售时间：</span><span class="content">' + json.estimatedTime + '</span></p>';
	                contStr += '<p class="form-group"><span class="title">机会状态：</span><span class="content">'+json.salesLevel+'</span></p>';
	                contStr += '</li>';
	            }
	        })
	        if (json.list.length > 0) {
		        if(setload==1){//上拉
		        	strTimeMin=json.list[json.list.length - 1].commCreateTime;
		        }else{//下拉
		            if(setload==0){
		            	strTimeMin=json.list[json.list.length - 1].commCreateTime;
		            	strTimeMax=json.list[0].commCreateTime;
		            }else{
		            	strTimeMax=json.list[0].commCreateTime;
		            }
		        }
		    }
	    }else{
			if($("#sales").html()==""){
				contStr += '<div class="ui-notice">';
				contStr += '<i class="fa fa-folder-open-o"></i>';
				contStr += '<p>没有内容啦~</p>';
				contStr += '</div>';
				if(!$('.list-donetip').hasClass('hide')){
					$('.list-donetip').addClass('hide');
					$('.list-loading').addClass('hide');
				}
			}
		}
		if (setload == -1) {
			if(contStr!=""){
			    $('.ui-notice').addClass('hide');
			}
			_sales.prepend(contStr);
		} else {
			_sales.append(contStr);
		};
	    if(json.list!=null && json.list!=undefined){
			return json.list.length;
		}
	};

    $(function () {
    	var addHref = $(".add-btn").attr("href");
		if(iscustomer=='true'){//说明是从客户详情转入
			if(customerFlag=='1'){
				$(".add-btn").attr("href",addHref+"?title=销售机会&customerFlag="+customerFlag+"&customerName="+customerName+"&iscustomer=true");
			}else{
				$(".add-btn").attr("href",addHref+"?title=销售机会&iscustomer=true");
			}
		}else{
			if(customerFlag=='1'){
				$(".add-btn").attr("href",addHref+"?title=销售机会&customerFlag="+customerFlag+"&customerName="+customerName);
			}
		}
		 getCrmTypeJson();
		//获取刷选区条件数据
		 function getCrmTypeJson(){
			 var crmTypeJson1=JSON.stringify(GetDataByUrl_Post('api/Crm/GetParams',"{type:0}"));
			 sessionStorage.setItem("crmJson"+crmType,crmTypeJson1);
		 }
		function initLoadData(){
			_sales = $("#sales"), //销售机会
	        _listloading = $("#listloading"),
	        _salesList = $("#salesList");
			// scrollObj=$(document);
			scrollObj=$('.content');
		    init.create(createSalesChanceList);
		    return _sales;
		}
	    Brush.init(crmType,'',initLoadData);
    	 //返回顶端,并隐藏返回顶端按钮
        $('.top-btn').on('click',function(){
             OA.goTop();
        })
         /**
         * 滚动隐藏搜索条
         */
        //暂时去掉OA.hideBar(1, $('.content'));
    })

});