﻿define(['mobilekit', 'iscroll'], function () {
    var inface = "api/Crm/",
        count = 10, 
        LastTime=0,//每次获取的产品条数   
        strTimeMin = 0, //获取更多, 最后一条产品的ID
        strTimeMax = 0, //获取更新，第一条产品的ID
        custID = sessionStorage.getItem("HTQCustomerId"), //客户ID
        inputID = sessionStorage.getItem("inputID"), //模块

        _sales = $("#sales"), //产品
        _listloading = $("#listloading"),
        _salesList = $("#salesList"),
        _salesScroll = $("#salesScroll"), //产品滚动区域
        mySalesList, //产品滑动区域
        _pullDown, _pullUp,  //产品滑动提示
        setload = 0,    //数据加载方式
        loadingStep = 0,  //加载状态0默认，1显示加载状态，2执行加载数据，只有当为0时才能再次加载，这是防止过快拉动刷新
        searchStr = '', //搜索字符

        init = {
            /*
                创建页面
            */
            create: function () {
                init.bindEvent();
                setTimeout(function () { 
//                	String pageSize=jsonObject.getString("pageSize");
//            		String endContID=jsonObject.getString("endContID");
//            		String endTime=jsonObject.getString("endTime");
                    //init.createSalesChanceList(init.getSalesChanceList(0, 0, count, custID, searchStr));
                	init.createSalesChanceList(init.getSalesChanceList(count, LastTime,searchStr,setload));
                    init.setSize();
                    init.setMessageWrapper();
                    _listloading.hide();
                }, 1000)
                
            },
            /*
                事件
            */
            bindEvent: function () {
                //2016-11-29修改搜索  jsh
                $('.fa-icon-times').on('click', function (e) {
                    e.stopPropagation();
                    $('.ui-search-wrap').removeClass('focus');
                    $('.ui-searchbar-input>input').val('');
                    searchStr = "";
                    init.searchSetChanceList();
                });
                $('.ui-searchbar').on('input', function () {  //alert($('.ui-searchbar-input').children().val());
                    searchStr = $(this).find('input').val();
                    init.searchSetChanceList();
                });

                $('.ui-searchbar').on('tap', function () {
                    $(this).parent().addClass('focus');
                    $(this).children('.ui-searchbar-input').children().focus();
                });
                $('.ui-searchbar-cancel').on('tap', function () {
                    init.searchSetChanceList();
                });
                $('.ui-searchbar .fa-times-circle').on('click', function (e) {
                    e.stopPropagation();
                    $(this).prev().val('');
                });
                $(".checkAll").on("tap", function () {
                    var _checkbox = _sales.find(".list .title .fa-square-o");
                    if (_checkbox.length > 0) {
                        _checkbox.each(function () {
                            $(this).removeClass("fa-square-o").addClass("fa-check-square-o")
                        })
                        $(this).removeClass("fa-square-o").addClass("fa-check-square-o")
                    } else {
                        _sales.find(".list .title .fa-check-square-o")
                            .removeClass("fa-check-square-o").addClass("fa-square-o")
                        $(this).removeClass("fa-check-square-o").addClass("fa-square-o")
                    }
                })

                $("nav a.cancel").on("tap", function () {
                    history.go(-1);
                })
                $("nav a.active").on("tap", function () {
                    init.saveProduct();
                })
                $("nav a.active").on("click", function () {
                    init.saveProduct();
                })

                sessionStorage.setItem("ProductListExist", "1");
            },
            /*
                搜索重置list
            */
            searchSetChanceList: function () {
                _sales.html("");
                _pullUp.text("上拉加载");
                _pullUp.removeClass("isover");
                _pullUp.hide();
                strTimeMin = 0,
                strTimeMax = 0,
                setload = 0,
                loadingStep = 0,
                $(".checkAll").removeClass("fa-check-square-o").addClass("fa-square-o")
                init.createSalesChanceList(init.getSalesChanceList(count, LastTime, searchStr,setload))
                init.setSize();
                init.setMessageWrapper();
                init.searchWordRed(searchStr);
            },
            /*
                搜索文字变红
                @val 搜索的文字
            */
            searchWordRed: function (val) {
                var _span = _sales.find(".list .title span")
                if (_span.length > 0 && val!="") {
                    _span.each(function () {
                        var v = $(this).text();
                        $(this).html(v.replace(val, "<span style='color:red'>" + val + "</span>"));
                    })
                }
            },
            /*
                 获取产品列表信息
                 @roleID 产品ID
                 @state 0加载更多 1刷新
                 @count 获取的数据条数
                 @custID 客户ID
                 @searchStr 搜索关键字
            *///(10, '', '',searchStr)
            getSalesChanceList: function (pageSize, LastTime,SearchStr,setload) {
                var url = inface + "GetProductList",
                    jsondata = {
                		pageSize: pageSize,
                		endTime: LastTime,
                		SearchStr: SearchStr,
                		setload:setload
                    }
                var data = GetDataByUrl_Post(url, JSON.stringify(jsondata));
                var json = JSON.parse(JSON.stringify(data));
                console.log(json);
                if (json.list.length > 0) {
                	/*roleTimeMin = roleIDMin == 0 ? json.list[json.list.length - 1].productID : roleIDMin;
                	roleTimeMin = json.list[json.list.length - 1].productID < roleIDMin ? json.list[json.list.length - 1].productID : roleIDMin;
                    roleIDMax = json.list[0].productID > roleIDMax ? json.list[0].productID : roleIDMax;*/
                	
                }
                
                return json;
            },
            /*
                获取产品详情信息
                @roleID 产品ID
            */
            getSalesChanceInfo: function (roleID) {

                var url = inface + "GetProductInfo";
                var data = GetDataByUrl_Post(url, roleID);
                var json = JSON.parse(JSON.stringify(data));

                return json;
            },
            /*
                创建产品列表
                @json 产品列表数据
            */
            createSalesChanceList: function (json) {
                if (json.success == 1 && json.list.length > 0) {
                    $.each(json.list, function (index, part) {
                        var _list = $("<div>", { "class": "list" }),
                            _title = $("<div>", { "class": "title" }),
                            _divcheck = $("<div>", { "class": "divcheck" }),
                            _iCheckbox = $("<i>", { "class": "fa fa-square-o checkbox" }).attr("productID", part.productID),
                            _divTitle = $("<div>", { "class": "ti" }),
                            _con = $("<div>", { "class": "con" }),
                            _span = $("<span>", { "class": "tit" }).text(part.productName),
                            _i = $("<i>", { "class": "fa fa-angle-down right" });
                        _iCheckbox.appendTo(_divcheck);
                        _divcheck.appendTo(_title)
                        _i.appendTo(_divTitle);
                        _span.appendTo(_divTitle);
                        _divTitle.appendTo(_title)
                        _title.appendTo(_list);
                        _con.appendTo(_list);
                        if (setload == -1) {
                        	_list.html('');
                        	_list.appendTo(_sales); 
                        } else { _list.appendTo(_sales); };
                        init.searchWordRed(searchStr);
                        _iCheckbox.on("tap", function () {
                            var cls = _iCheckbox.attr("class");
                            if (cls.indexOf("fa-square-o") > -1) {
                                _iCheckbox.removeClass("fa-square-o").addClass("fa-check-square-o");
                            } else {
                                _iCheckbox.removeClass("fa-check-square-o").addClass("fa-square-o");
                            }
                        });
                        _divTitle.on("tap", function () {
                            if (_con.css("display") == "none") {
                                _i.removeClass("fa-angle-down")
                                if (!_con.hasClass("already")) {
                                    _con.addClass("already");
                                    _i.addClass("fa-spinner fa-spin");
                                    setTimeout(function () {
                                        var json = init.getSalesChanceInfo(part.productID);
                                        _con.show();
                                        init.createChanceForm(_con, json);
                                        _i.removeClass("fa-spinner fa-spin").addClass("fa-angle-up");
                                        setTimeout(function () { mySalesList.refresh(); }, 100);
                                    }, 200);
                                } else {
                                    _i.addClass("fa-angle-up");
                                    _con.show();
                                    setTimeout(function () { mySalesList.refresh(); }, 100);
                                }
                            } else {
                                _i.removeClass("fa-angle-up").addClass("fa-angle-down");
                                _con.hide();
                                setTimeout(function () { mySalesList.refresh(); }, 100);
                            }
                            
                        });
                        if(setload==1){//上拉
                        	strTimeMin=json.list[json.list.length - 1].createTime;
                        }else{//下拉
                        	
                            if(setload==0){
                            	strTimeMin=json.list[json.list.length - 1].createTime;
                            	strTimeMax=json.list[0].createTime;
                            }else{
                            	strTimeMax=json.list[0].createTime;
                            }
                            if(setload==1){//上拉
                            	LastTime=strTimeMin;
                            }else{//下拉
                                if(setload==0){
                                	LastTime=strTimeMin;
                                }else{
                                	LastTime=strTimeMax;
                                }
                            }
                            
                        }
                    })
                }
                
            },
            /*
                获取选中产品ID集合
            */
            getCheckBox: function () {
                var _checkbox = _sales.find(".list .title .checkbox"),
                    g = [],
                    j = 0;
                if (_checkbox.length > 0) {
                    _checkbox.each(function () {
                        var cls = $(this).attr("class"),
                            k = {};
                        if (cls.indexOf("fa-check-square-o") > -1) {
                            k.id = $(this).attr("productid");
                            k.name = $(this).parent().next().text();
                            g[j] = k;
                            j++;
                        }
                    })
                }

                return g
            },
            /*
                提交保存
            */
            saveProduct: function () {
                var k = init.getCheckBox();
                if (k.length > 0) {
                    sessionStorage.setItem(inputID + "ProductList", JSON.stringify(k));
                    sessionStorage.setItem(inputID + "ProductListIDs", init.combinedValue(k, "id"));
                    sessionStorage.setItem(inputID + "ProductListNames", init.combinedValue(k, "name"));
                    sessionStorage.removeItem("inputID");
                    window.location.href = 'addSalesChance.html';
                } else {
                    toast("请选择产品！", "", 1500);
                }
            },
            /*
                创建产品详情
                @opt 填充对象
                @roleID 产品ID
            */
            createChanceInfo: function (opt, roleID) {
                if (!opt.hasClass("already")) {
                    opt.addClass("already");
                    
                    var json = init.getSalesChanceInfo(roleID);
                    init.createChanceForm(opt, json);
                }
            },
            /*
                创建产品详情表单
                @opt 填充对象
                @json 产品详情数据
            */
            createChanceForm: function (opt, json) {
                if (json.success == 1) {
                    var _ul = $("<ul>", { "class": "table-view" });
                    init.createFormElement(_ul, "产品类别：", json.productType)
                    init.createFormElement(_ul, "产品品牌：", json.productBrand)
                    init.createFormElement(_ul, "库存数量：", json.productNumber)
                    init.createFormElement(_ul, "产品型号：", json.productModel)
                    init.createFormElement(_ul, "产品规格：", json.productStandard)
                    init.createFormElement(_ul, "产品价格：", json.productPrice)
                    init.createFormElement(_ul, "计量单位：", json.meteringUnit)

                    _ul.appendTo(opt);

                    init.setValue(opt);
                }
            },
            /*
                创建销售机会详情表单中的单个元素
                @opt 填充对象
                @name 名称
                @value 值
            */
            createFormElement: function (opt, name, value) {
                var _li = $("<li>", { "class": "table-view-call form-contorl" }),
                    _div = $("<div>", { "class": "form-group" }),
                    _spanName = $("<span>", { "class": "name" }).text(name),
                    _spanValue = $("<span>", { "class": "value" }).text(value);
                _li.append(_div.append(_spanName).append(_spanValue)).appendTo(opt);
            },
            /*
                设置值格式
                @opt 元素
            */
            setValue: function (opt) {
                opt.find("ul li span.value").each(function () {
                    if ($(this).parent().height() > 24) {
                        $(this).addClass("val");
                    }
                })
            },
            /*
                合并值
                @json 列表数据
                @name 属性
            */
            combinedValue: function (json,name) {
                var str = "";
                if (json.length > 0) {
                    for (var i = 0; i < json.length; i++) {
                        var g = ",";
                        if (i == 0) g = "";
                        str += g + json[i][name];
                    }
                }

                return str;
            },
            /*
                设置相关元素大小
            */
            setSize: function () {
                var top = $(".ui-search-wrap").height();
                var tool = $("div.tool").height();
                _salesList.height($(window).height() - top - $("nav").height()- tool).css("top", top+tool);
            },
            /*
                设置滑动区域
            */
            setMessageWrapper: function () {

                _pullDown = $("#pullDown");
                _pullUp = $("#pullUp");

                if (typeof (mySalesList) != "undefined") {
                    mySalesList.destroy();
                    mySalesList = null;
                }

                mySalesList = new IScroll(_salesList[0], {
                    //scrollbars: true,
                    //mouseWheel: true,
                    //interactiveScrollbars: true,
                    //shrinkScrollbars: 'scale',
                    //fadeScrollbars: true,
                    //probeType: true,
                    //scrollX: true,
                    scrollY: true,
                    probeType: 2,
                    scrollbars: true,//有滚动条  
                    mouseWheel: true,//允许滑轮滚动  
                    fadeScrollbars: true,//滚动时显示滚动条，默认影藏，并且是淡出淡入效果  
                    bounce: true,//边界反弹  
                    interactiveScrollbars: true,//滚动条可以拖动  
                    shrinkScrollbars: 'scale',// 当滚动边界之外的滚动条是由少量的收缩。'clip' or 'scale'.  
                    momentum: true,// 允许有惯性滑动 
                    //snap: true,
                    //snapSpeed: 400,
                    //keyBindings: true
                });
                mySalesList.on("scrollEnd", function () {
                    if (loadingStep == 1) {
                        if (_pullUp.attr('class').match('pullOn|loading-up')) {
                            _pullUp.removeClass('pullOn').addClass('loading-up');
                            _pullUp.text('加载中...');
                            loadingStep = 2;
                            init.pullUp();
                        } else if (_pullDown.attr('class').match('pullOn|loading-down')) {
                            _pullDown.removeClass('pullOn').addClass('loading-down');
                            _pullDown.text('加载中...');
                            loadingStep = 2;
                            init.pullDown();
                        }
                    }
                })
                mySalesList.on("scroll", function () {
                    if (loadingStep == 0 && !_pullDown.attr("class").match("pullOn|loading-down") && !_pullUp.attr("class").match('pullOn|loading-up')) {
                        if (this.y > 30) {
                            //下拉刷新效果  
                            _pullDown.attr("class", "pullDown")
                            _pullDown.show();
                            this.refresh();
                            _pullDown.addClass("pullOn");
                            _pullDown.text("松手开始刷新");
                            loadingStep = 1;
                        } else if (this.y < (this.maxScrollY - 30) && _sales.height() > _salesList.height() && !_pullUp.attr("class").match("isover")) {
                            //上拉加载效果  
                            _pullUp.attr("class", "pullUp")
                            _pullUp.show();
                            this.refresh();
                            _pullUp.addClass("pullOn");
                            _pullUp.html("松手开始加载");
                            loadingStep = 1;
                        }
                    }
                });
            },
            /*
            * 上拉加载更多
            */
            pullUp: function () {
                setTimeout(function () {
                    setload = 1;
                    //function (pageSize, endContID, endTime,SearchStr)
                    //debugger
                    var json = init.getSalesChanceList(count, LastTime, searchStr,setload);
                    init.createSalesChanceList(json);
                    if (json.list.length == 0) {
                        _pullUp.text("没有更多数据了！");
                        _pullUp.addClass("isover")
                        setTimeout(function () {
                            init.pullUpReset();
                        }, 600);
                    } else {
                        init.pullUpReset();
                    }
                    loadingStep = 0;
                }, 800);
            },
            /*
            * 下拉刷新
            */
            pullDown: function () {
                setTimeout(function () {
                    setload = -1;//debugger
                    var json = init.getSalesChanceList(count, LastTime,searchStr,setload);
                    init.createSalesChanceList(json);
                    if (json.list.length == 0) {
                        _pullDown.text("没有最新的数据了！");
                        setTimeout(function () {
                            init.pullDownReset();
                        }, 600);
                    } else {
                        init.pullDownReset();
                    }
                    loadingStep = 0;
                }, 800);
            },
            /*
            * 下拉刷新重置
            */
            pullDownReset: function () {
                _pullDown.removeClass("loading-down");
                _pullDown.text("下拉刷新");
                _pullDown.attr("class", "pullDown").hide();
                mySalesList.refresh();
            },
            /*
            * 上拉加载重置
            */
            pullUpReset: function () {
                _pullUp.removeClass("loading-up");
                if (!_pullUp.attr("class").match("isover")) {
                    _pullUp.text("上拉加载");
                    _pullUp.hide();
                }
                mySalesList.refresh();
            }
        }

    $(function () { init.create();})
    
});