﻿define(['mobilekit','iscroll'],function(){
    var moduleId='api/DiarySet/';
    var oldDeptIds="";//记录没有修改前的模板适用部门
    
    var clickEventType=((document.ontouchstart!==null)?'click':'tap');
    bindClick();
    
    //选择适用部门回显
    var isExist=sessionStorage.getItem("UserListExist");
    if(isExist=="1"){
    	var deptIds=sessionStorage.getItem("DeptIDList");
        var deptNames=sessionStorage.getItem("DeptNameList");
        if(deptIds!="" && deptIds!=null ){
        	$('#txtDeptId').val(deptIds);
            $('#txtDeptName').val(deptNames);
        }
       
    }
    function strlen(str) {
	    var len = 0;
	    for (var i = 0; i < str.length; i++) {
	        var c = str.charCodeAt(i);
	        //单字节加1 
	        if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
	            len++;
	        }
	        else {
	            len += 2;
	        }
	    }
	    return len;
	}
    function checkForm(){//表单验证
    	var flag=true;
    	$('.must1').each(function() {
			if ($(this).parent().parent().find('input').length > 0) {
                inputvalue = $(this).parent().parent().find('input').val();
            }else if($(this).parent().parent().find('textarea').length > 0){
            	inputvalue = $(this).parent().parent().find('textarea').val();
            }
            inputvalue=inputvalue.replace(/^\s|\s$/g,'');
            var _error=$(this).parent().parent().parent().find('.fa-exclamation-circle');
            if (inputvalue == "") {
            	_error.removeClass('hide');
          	  	flag=false;
            }else{
            	if($(this).parent().parent().find('input').attr('class')=='sortNum'){
            		var parttrn = /^[0-9]*$/;
        	        if(inputvalue == ""){
        	        	_error.addClass('hide');
        	        }else{
        	            if(parttrn.test(inputvalue)){
        	            	_error.addClass('hide');
        	            }else{
        	            	_error.html("排序号只能为数字！");
        	            	_error.removeClass('hide');
        	            	flag=false;
        	            }
        	        }
            	}
            	
            }
        });
  		var chartLen=strlen($('#rmk').val());
    	var tempName=strlen($('#tempName').val());
    	if(chartLen>200){
    		$('#rmk').parent().parent().find('.fa-exclamation-circle').removeClass('hide');
    		flag=false;
    	}
    	if(tempName>50){
    		$('#tempName').parent().parent().find('.fa-exclamation-circle').removeClass('hide').text('输入内容不能超过25个字！');
    		flag=false;
    	}
    	return flag;
    }

    //保存
    $('#btnSubmit').on('click', function() {
    	var isCheck=checkForm();
    	console.log(isCheck);
    	if(!isCheck){
    		return;
    	}else{
	    	var url= moduleId+"elementNameIsExist";
	    	var elementTypeName=$('#tempName').val();		//模板名称
	        var param={elementTypeName:elementTypeName,elementTypeId:""};
	        var data=GetDataByUrl_Post(url,JSON.stringify(param));
	        var json=data;
	        if(json.success=="1"){
	        	if(json.flag=="1"){
	        		toast("日记模板已经存在！","",1500);
	                return false;
	        	}else{
	        		//检测该部门是否设置过模版
	        		var url= moduleId+"deptIsExist";
	        		var deptIds=$('#txtDeptId').val();				//适用部门ID
	        		var param={deptIds:deptIds,oldDeptIds:oldDeptIds};
	                var data=GetDataByUrl_Post(url,JSON.stringify(param));
	                if(data.success=="1"){
	                	if(data.flag=="1"){
	                		toast("该部门已经设置过日记模板！","",1500);
	                	}else{
	                		save();
	                	}
	                }
	        	}
	        }
    	}
    });
    
    
    //保存
    function save(){
    	var url= moduleId+"saveDataInfo";
    	var elementTypeId=getUrlParam("elementTypeID");
    	var elementTypeName=$('#tempName').val();		//模板名称
    	var deptIds=$('#txtDeptId').val();				//适用部门ID
    	var deptNames=$('#txtDeptName').val();			//适用部门
    	var rmk=$('#rmk').val();						//备注
    	
    	var elementId='';								//模板元素ID
    	var elementName='';								//模板元素名称
    	var sortNum='';									//模板元素排序号
    	var isRequired='';								//是否必填
    	
    	$('.u-new-detail_w').each(function(){
    		elementId+=$(this).find('.elementId').val()+",";
    		elementName+=$(this).find('.elementName').val()+",";
    		sortNum+=$(this).find('.sortNum').val()+",";
    		var detailMid=$(this).find('.detail_mid');
    		detailMid.each(function(){
    			var _radioInput=$(this).find('input');
    			_radioInput.each(function(){
    				var curInd=$(this).parent().parent().index();
    				if($(this).attr('value')=='true'){
    					if(curInd==1){
    						isRequired+="1"+",";
    					}else{
    						isRequired+="0"+",";
    					}
    				}
    			})
    		})
    	})
    	
        var param={elementTypeId:elementTypeId,elementTypeName:elementTypeName,deptIds:deptIds,deptNames:deptNames,elementId:elementId,elementName:elementName,sortNum:sortNum,isRequired:isRequired,oldDeptIds:oldDeptIds,rmk:rmk};
    
        var data=GetDataByUrl_Post(url,JSON.stringify(param));
        var json =data;
        if(json.success=='1'){
        	location.href="../Diary/diarySet.html?title=日志模板管理";
        }
    }
    
    //取消
    $('#cancel').on('click', function() {
    	//location.href="../Diary/diarySet.html?title=日志模板管理&newpage=1&newWebView=1";
    	window.history.go(-1);
    	
    });
    
    //使用部门选择
    $("#txtDeptName").on('click',function(){ 
    	var saas = store.get("saas");
    	sessionStorage.setItem("inputID","");
    	//location.href ="../common/setUserDept.html?title=选择部门&deptId="+saas.saasOrgId;
    	location.href='../../view/common/setDept.html';
    	/*sessionStorage.setItem("inputID",inputID);
    	sessionStorage.setItem("DeptListIDS",$(this).next().val());
    	location.href='../../view/common/setDept.html';*/
    });
    
  //拼接列表结构
	function appendHtml(data){
		var json = data['info'];
		var contStr = "";
		
		if(data.success==1){
			$('#tempId').val(json['elementTypeId']);
			$('#tempName').val(json['elementTypeName']);
			$('#txtDeptId').val(json['deptIds']);
			$('#txtDeptName').val(json['deptNames']);
			
			oldDeptIds=json['deptIds'];
			
			var elementIds=json['elementId'].split(',');//模板元素ID
			var elementNames=json['elementName'].split(',');//模板元素名称
			var elementOrders=json['elementOrder'].split(',');//模板元素排序号
			var isRequired=json['isRequired'].split(',');//是否必填
			$.each(elementIds,function(index,part){
				contStr+='<div class="u-new-detail u-new-detail_w">'
		        	+'	<div class="detail_left">'
		        	+'		<ul class="table-view">'
		        	+'			<li class="table-view-cell hide">'
		        	+'				<div class="form-group">'    
		        	+'					<span class="name"><i class="must must1">*</i>模版元素ID：</span>'
		        	+'					<input class="elementId" placeholder="请输入模版元素ID" type="text" value="'+elementIds[index]+'">'  
		        	+'				</div>'
		        	+'				<p class="fa fa-exclamation-circle hide">您还没有输入模版元素ID</p>'
		        	+'			</li>'
		        	+'			<li class="table-view-cell">'
		        	+'				<div class="form-group">'    
		        	+'					<span class="name"><i class="must must1">*</i>元素名称：</span>'
		        	+'					<input class="elementName" placeholder="请输入元素名称" type="text" value="'+elementNames[index]+'">'  
		        	+'				</div>'
		        	+'				<p class="fa fa-exclamation-circle hide">您还没有输入元素名称</p>'
		        	+'			</li>'
		        	+'			<li class="table-view-cell">'
		        	+'				<div class="form-group">'    
		        	+'					<span class="name"><i class="must must1">*</i>排序号：</span>'
		        	+'					<input class="sortNum" placeholder="请输入排序号" type="text" value="'+elementOrders[index]+'">'   
		        	+'				</div>'
		        	+'				<p class="fa fa-exclamation-circle hide">您还没有输入排序号</p>'
		        	+'			</li>'                       
		        	+'		</ul>'
		        	+'	</div>'		        	
		        	+'	<div class="detail_mid">'
		        	+'		<span class="name"><i class="must">*</i>是否必填：</span>';
				if(isRequired[index]=="1"){
					contStr+='		<div class="radioWrap">'	
		        	+'			<p class="radio"><span class="fa fa-circle-o"></span><input type="hidden" name="radio'+index+'" checked="" value="true"></p>'
		        	+'			<h4>是</h4>'
		        	+'		</div>'	
		        	+'		<div class="radioWrap">'
		        	+'			<p class="radio"><span class="fa fa-circle-o"></span><input type="hidden" name="radio'+index+'" checked="" value="false"></p>'
		        	+'			<h4>否</h4>';
				}else{
					contStr+='		<div class="radioWrap">'	
			        	+'			<p class="radio"><span class="fa fa-circle-o"></span><input type="hidden" name="radio'+index+'" checked="" value="false"></p>'
			        	+'			<h4>是</h4>'
			        	+'		</div>'	
			        	+'		<div class="radioWrap">'
			        	+'			<p class="radio"><span class="fa fa-circle-o"></span><input type="hidden" name="radio'+index+'" checked="" value="true"></p>'
			        	+'			<h4>否</h4>';
				}
		        contStr+='		</div>'
		        	+'	</div>'
		        	+'	<div class="detail_right">';
				if(index==0){
					contStr+='<a href="javascript:;" class="add-tempBtn">+</a>';
				}else{
					contStr+='<a href="javascript:;" class="remove-tempBtn">-</a>';
				}
				contStr	+='	</div>'
		        	+'</div>';
			});
			
			$("#form1").append(contStr);	
			bindClick();	
		}else{
			alert("读取数据失败！");
		}
	}
	
    function bindClick(){
          $('.detail_mid').each(function(){
        	  var oRadio=$(this).find('.radio');
        	  oRadio.each(function(){
	       		  var t;
	              if ($(this).find('input').val() == "true") {
	                  t = Checkbox({
	                      type: 'radio',
	                      obj: $(this),
	                      checked: true,
	                      enable: true
	                  });
	              }
	              else {
	                  t = Checkbox({
	                      type: 'radio',
	                      obj: $(this),
	                      enable: true
	                  });
	              }
	              $(this).parent().click(function(){
        			  var _radio=$(this).parent().find('.radio');
        			  _radio.each(function() {
	      	                var tt = Checkbox({
	      	                    type: 'radio',
	      	                    obj: $(this),
	      	                    checked: false,
	      	                    enable: true
	      	                });
	      	            })
	      	            t.setChecked(true);
	      	            return false;
        		  })
          })
      })	
    }
    
    $('.add-tempBtn').each(function(){
    	$(this).unbind(clickEventType);
        $(this).bind(clickEventType, function() {
        	var curIndex=$(this).index();
        	var conStr='';
        	conStr+='<div class="u-new-detail u-new-detail_w">'
		        	+'	<div class="detail_left">'
		        	+'		<ul class="table-view">'
		        	+'			<li class="table-view-cell">'
		        	+'				<div class="form-group">'    
		        	+'					<span class="name"><i class="must must1">*</i>元素名称：</span>'
		        	+'					<input class="elementName" placeholder="请输入元素名称" type="text">'  
		        	+'				</div>'
		        	+'				<p class="fa fa-exclamation-circle hide">您还没有输入元素名称</p>'
		        	+'			</li>'
		        	+'			<li class="table-view-cell">'
		        	+'				<div class="form-group">'    
		        	+'					<span class="name"><i class="must must1">*</i>排序号：</span>'
		        	+'					<input class="sortNum" placeholder="请输入排序号" type="text">'   
		        	+'				</div>'
		        	+'				<p class="fa fa-exclamation-circle hide">您还没有输入排序号</p>'
		        	+'			</li>'                       
		        	+'		</ul>'
		        	+'	</div>'
		        	+'	<div class="detail_mid">'
		        	+'		<span class="name"><i class="must">*</i>是否必填：</span>'
		        	+'		<div class="radioWrap">'		
		        	+'			<p class="radio"><span class="fa fa-circle-o"></span><input type="hidden" name="radio'+curIndex+'" checked="" value="true"></p>'
		        	+'			<h4>是</h4>'
		        	+'		</div>'	
		        	+'		<div class="radioWrap">'
		        	+'			<p class="radio"><span class="fa fa-circle-o"></span><input type="hidden" name="radio'+curIndex+'" checked="" value="false"></p>'
		        	+'			<h4>否</h4>'
		        	+'		</div>'
		        	+'	</div>'
		        	+'	<div class="detail_right">'
		        	+'		<a href="javascript:;" class="remove-tempBtn">-</a>'
		        	+'	</div>'
		        	+'</div>';
        	$('#form1').append(conStr);
        	bindRemove();
        });
    })
    function bindRemove(){
    	$('.remove-tempBtn').each(function(){
        	$(this).unbind(clickEventType);
            $(this).bind(clickEventType, function() {
            	$(this).parent().parent().remove();
            })
            
    	})
    	bindClick();
    }
});