define(['mobilekit'], function() {
	var clientID = "m1"; //clientID
	var client_secret = "s1";
	var pageUrl = getPageUrl(); //当前页面url
	if(pageUrl.indexOf("dingIndex.html")==-1&&appType=='ding'){
		//var _config = getDdConfig();
		var timestamp = getTimestamp(); //时间戳
		var nonceStr = getRandomStr(); //随机字符串
		var strsignature = getSignature(); //签名
		dd.config({
			agentId : '126041828',
			corpId : 'dinge620e212322257bb35c2f4657eb6378f',
			timeStamp : timestamp,
			nonceStr : nonceStr,
			signature : strsignature,
			type: '0',
			jsApiList : ['device.geolocation.get','biz.util.uploadImage','biz.util.uploadImageFromCamera',
					'device.audio.startRecord','device.audio.stopRecord','device.audio.onRecordEnd',
					'device.audio.download','device.audio.play','device.audio.pause','device.audio.resume',
					'device.audio.stop','device.audio.onPlayEnd']
		});
		dd.error(function(error){
		   alert('dd error: ' + JSON.stringify(error));
		});
		
		//钉钉图片录音附件接口
		uploadobj = {
			//选择图片
			uploadimg: function(keImgNum, businessType, tag) {
				//再次上传图片清空原有的图片数组
				images.localId = [];
				images.serverId = [];
				dd.biz.util.uploadImage({
					multiple: true, //是否多选，默认false
					max: 3, //最多可选个数
					onSuccess : function(result) {
						var imghtml = "";
						var data = filetoservice("clone", result, 'ding_image', "");
						if (data.status=="500"&&data.attList.length>0) {
							$.each(data.attList, function (index, part) {
								imghtml = imghtml + "<div><i class='wx-close-img'></i><img style='width:55px;height:55px;' src='" 
												+ part.status + "' alt='"+part.fileName+"' realPath='"+part.localUrl+"' fileId='"+part.attachmentId+"' /></div>";
								
							});
						}
						$('.wxImg').append(imghtml);
					},
					onFail : function(err) {
						alert("上传图片失败---"+err);
					}
				})
			},
			//图片数量
			imgcount: function() {
				var curImg = $('.wxImg img').length;
				return curImg;
			},
			//录音数量
			voicount: function() {
				var curVoi = $('.wxVoi a').length;
				return curVoi;
			},
            //获取附件
            getfiles: function() {
                var imageInfo = "";
                var voiceInfo = "";
                var saveFile = "new";
                $('.upload-pic img').each(function (index) {
                    var url = $(this).attr("src");
                    var fileName = $(this).attr("alt");
                    var fileId = $(this).attr("fileId");
                    var uploadType = $(this).attr("uploadType");
                    if(uploadType==undefined || uploadType==null){
                    	uploadType="";
                    }
                   
                    imageInfo += '{"strfileId":"'+fileId+'","strFileType":"image","strFileValue":"' + url + '","strFileName":"'+fileName+'","uploadType":"'+uploadType+'","saveFile":"'+saveFile+'"}';
                    imageInfo += ",";
                });
                $('#divVoice p span[class="hidden"]').each(function (index) {
                    var url = $(this).attr("url");
                    var fileName = $(this).parent().find(".name").html();
                    var fileType = $(this).attr("fileType");
                    var fileId = $(this).attr("fileId");
                    var uploadType = $(this).attr("uploadType");
                    if(uploadType==undefined || uploadType==null){
                    	uploadType="";
                    }
                   
                    voiceInfo += '{"strfileId":"'+fileId+'","strFileType":"'+fileType+'","strFileValue":"' + url + "|||" + fileName + '","strFileName":"'+fileName+'","uploadType":"'+uploadType+'","saveFile":"'+saveFile+'"}';
                    voiceInfo += ",";
                });
                 $('.wxImg img').each(function (index) {
                    var url = $(this).attr("realPath");
                    var fileName = $(this).attr("alt");
                    var fileId = $(this).attr("fileId");
                    imageInfo += '{"strfileId":"'+fileId+'","strFileType":"image","strFileValue":"","strFileName":"'+fileName + '","appType":"'+insert_type+'","saveFile":"'+saveFile+'"}';
                    imageInfo += ",";
                });
                $('.wxVoi a').each(function (index) {
                    var url = $(this).attr("realPath");
                    var fileName = $(this).attr("alt");
                    var fileId = $(this).attr("fileId");
                    
                    voiceInfo += '{"strfileId":"'+fileId+'","strFileType":"voice","strFileValue":"","strFileName":"'+fileName + '","appType":"'+insert_type+'","saveFile":"'+saveFile+'"}';
                    voiceInfo += ",";
                });
                var strFiles = "";
                if (imageInfo != null && imageInfo != "") {
                	if(imageInfo.substr(imageInfo.length-1,imageInfo.length)==","){
                		imageInfo = imageInfo.substr(0,imageInfo.length-1);
                	}
                    strFiles += imageInfo+ ',';
                }
                if (voiceInfo != null && voiceInfo != "") {
                	if(voiceInfo.substr(voiceInfo.length-1,voiceInfo.length)==","){
                		voiceInfo = voiceInfo.substr(0,voiceInfo.length-1);
                	}
                    strFiles += voiceInfo+ ',';
                }
                var files = '[]';
                if (strFiles != "") {
                    files = '[' + strFiles.substr(0, strFiles.length - 1) + ']';
                }
                return files;
            },
             //获取流程模块附件
            getapprovefiles: function (id) {
                var arr = [];
                var appId = (typeof id == "undefined") ? store.get("WF_AppId") : id;
                $(".wxImg img").each(function () {
                	var url = $(this).attr("realPath");
                    var fileName = $(this).attr("alt");
                    var fileId = $(this).attr("fileId");
                    arr.push({
                    	saveFile:"new",
                    	strfileId:fileId,
                        strFileType: "image",
                        strFileName: fileName,
                        strFileValue: url,
                        strModelId: appId,
                        strModelType: "ApproveFile",
                        appType: insert_type
                    });
                });
                $('.wxVoi a').each(function () {
                	var url = $(this).attr("realPath");
                    var fileName = $(this).attr("alt");
                    var fileId = $(this).attr("fileId");
                    arr.push({
                    	saveFile:"new",
                    	strfileId:fileId,
                        strFileType: "voice",
                        strFileName: fileName,
                        strFileValue: url,
                        strModelId: appId,
                        strModelType: "ApproveFile",
                        appType: insert_type
                    });
                });
                return arr;
            },
            //缓存数据
            dingcache: function() {
                store.set('wx_image_html', $('.wxImg').html());
                store.set('wx_voice_html', $('.wxVoi').html());
            },
            //开始录音
            uploadvoi: function(maxLength, minLength, businessType, tag) {
                dd.device.audio.startRecord({
					onSuccess : function () {
					},
					onFail : function (err) {
						alert("开始录音失败-------"+err);
					}
				});
                $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
                $('.ui-actionsheet-wrap').eq(0).find('.title').text('点击确定完成录音');
                $('.ui-actionsheet-wrap').eq(0).find('#deleted').text('确定');
            },
            //放弃录音
            stopvoi: function() {
                dd.device.audio.stopRecord({
				    onSuccess : function(res){},
				    onFail : function (err) {}
				});
            },
            //完成录音
            commitvoi: function() {
				dd.device.audio.stopRecord({
				    onSuccess : function(res){
						var mediaId = res.mediaId;
						var voiceStr = '';
						var data = filetoservice('clone', mediaId, 'ding_voice', "");
						if (data.status=="500") {
							 voiceStr += '<div><a href=\"###\"  name=\"' + mediaId + '\" realPath=\"' + data.localUrl + '\" alt=\"' + data.fileName + '\" fileId=\"' + data.attachmentId + '\"><img src="../../styles/images/audio.png"><span class="hide">MP3</span><span class="wxVoi-name">' + data.fileName + '</span></a><span class="icon-close1"></span></div>'
						}
						$('.wxVoi').append(voiceStr);
				    },
				    onFail : function (err) {
						var resMsg = JSON.stringify(err);
						alert("录音失败--"+resMsg);
				    }
				});
            }
		}
	}
	
	function redic(){
		var param = window.location.href.split('#')[1];
		var argsParams = param.split('&toUser=')[0].replace('JsonOtherParams=','');
		var toUserId = param.split('&toUser=')[1];
		if(argsParams==null||toUserId==null)
		{
			$("title").html("缺少重要标识。");
			alert("缺少重要标识。");
			return;
		}
	
		argsParams = decodeURIComponent(argsParams);
	
		var jsonOtherParams = eval("("+argsParams+")");
 
		var strUrl = "",
		titleStr = "",
        apptitle="",
		strPara = "";
 
	 
	    try {
	         apptitle = window.atob(jsonOtherParams.apptitle);

	        apptitle = decodeURIComponent(apptitle);
	    } catch (e) {
	        apptitle = jsonOtherParams.apptitle;
	    }
	 
		
		switch(String(jsonOtherParams.businesstype).toLowerCase())
		{
			case "undo".toLowerCase() :
					titleStr = "待办事项";
					strPara = "?fr=do&appid=" + jsonOtherParams.appid + "&appoid=" + encodeURIComponent(jsonOtherParams.appoid) + "&appovalue=" + jsonOtherParams.appovalues + "&apptid=" + jsonOtherParams.apptid + "&apptitle=" +apptitle+"&userId="+toUserId+"&type=ding&newpage=1&newWebView=1&hideShare=1&flowFlag=1";
					strUrl = "form.html";
				break;
			default:
				titleStr = "未阅协同";
				strUrl = baseurl + "OAPlus/view/netCall/detailNetCall.html?title="+titleStr+"&userId="+toUserId+"&type=ding";
				sessionStorage.setItem("callId", jsonOtherParams.callId);
					sessionStorage.setItem("listType", "1");
					sessionStorage.setItem("callRefer", "noReadNetCall.html?hideShare=1");
				break;
		}
		window.location.href=strUrl + strPara;
	}
	dd.ready(function() {
		if(pageUrl.indexOf("dingIndex.html")>-1){
			dd.runtime.permission.requestAuthCode({
				corpId: "dinge620e212322257bb35c2f4657eb6378f",
				onSuccess: function(result) {
					var para = new Object();
					para.code = result.code;
					var msg = '';
					if(window.location.href.indexOf('#')>-1&&window.location.href.split('#')[1].indexOf("JsonOtherParams")>-1){
						msg = 'msg'
						para.msg = 'msg';
					}
					$.ajax({
						url: baseurl+"JHSoft.WCF/DingTalk/GetUser",
						type: "Post",
						async: false,
						data: JSON.stringify(para),
						dataType: "json",
						contentType: "application/json",
						success: function(data){
							if (data != undefined&&data.success=='1') {
								var paras = data.params;
								var strjson = "grant_type=password&username=" + data.userName + "&password="+data.password+"&client_id=" + clientID+"&client_secret="+client_secret;
								var url = baseurl + "oauth/token";
								$.ajax({
									url: url,
									type: "Post",
									async: false,
									data:strjson,
									contentType: "application/x-www-form-urlencoded; charset=utf-8",
									success: function (tk) {
										store.remove('ar');
										store.set('ar', tk);
										store.set('appType', 'ding');
										if('msg'==msg){
											redic();
										}else{
											location.href = baseurl + "OAPlus/view/login/login.html?type=ding&appServer=jc6";
										}			
									},
									error: function (ex) {
										alert("错误信息---"+ex.responseText);
										return;
									}
								});
							}else{
								alert(data.mes);
							}
						},
						error: function(ex){
							alert("获取用户信息失败");
						}
					});
				},
				onFail : function(err) {
					alert("获取钉钉免登code失败---"+err);
				}
			});
		}
	});
	
	//生成时间戳
	function getTimestamp() {
		var timestamp = new Date().getTime();
		return timestamp;
	}

	//生成随机字符串
	function getRandomStr() {
		var len = 16;
		var cha = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz123456789';
		var ret = "";
		for (var i = 0; i < len; i++) {
			ret += cha.charAt(Math.floor(Math.random() * cha.length));
		}
		return ret;
	}

	//获取当前页面url
	function getPageUrl() {
		return window.location.href.split('#')[0];
	}
	
	//生成签名
	function getSignature() {
		var para = new Object();
		para.noncestr = nonceStr;
		para.timestamp = timestamp;
		para.url = pageUrl;
		
		var signature = "";
		$.ajax({
			url: baseurl+"JHSoft.WCF/DingTalk/GetSignature",
			type: "Post",
			async: false,
			data: JSON.stringify(para),
			dataType: "json",
			timeout:10000,
			contentType: "application/json",
			success: function(data){
				if (data != undefined) {
					signature = data.signature;
				}
			},
			error: function(ex){
				alert("获取signature失败")
			}
		})
		return signature;
	}

	function filetoservice(modeid, imgUrls, filetype, old_) {
    	var attachmentId = "";
        var fileSetKey= "ForCall";
        var para = new Object();
        para.filetype = filetype;
        para.modeid = modeid;
        para.imgUrls = imgUrls;
        para.oldfiles = old_;
        para.attachmentId = attachmentId;
        para.fileSetKey = fileSetKey;
		var result = "";
		var url = "";
		if(filetype=='ding_image'){
			url = baseurl+"JHSoft.WCF/DingTalk/UploadImg"
		}else if(filetype=='ding_voice'){
			url = baseurl+"JHSoft.WCF/DingTalk/UploadVoice"
		}
		$.ajax({
			url: url,
			type: "Post",
			async: false,
			data: JSON.stringify(para),
			dataType: "json",
			timeout:100000000000000000,
			contentType: "application/json",
			success: function(data){
				if (data != undefined) {
					result = data;
				}
			},
			error: function(ex){
				alert("获取dingToken失败")
			}
		})
        return result;
    }
	//图片预览
	$('.wxImg').on('click', 'img', function() {
        var imgurl = $(this).attr("src");
        biz.util.previewImage({
			urls: [imgurl],
            current: imgurl,
			onSuccess : function(result) {
				alert("sss"+result);
			},
			onFail : function(err) {
				alert("err=="+err);
			}
        });
    })
     //删除图片
    $('.wxImg').on('click', '.wx-close-img', function() {
        if (confirm("确定要删除数据吗")) {
            $(this).parent().remove();
        } else {

        }
    });
	
	//语音播放
    $('.wxVoi').on('tap', 'a', function() {
        var mediaId = $(this).attr('name');
        dd.device.audio.download({
            mediaId : mediaId,
			onSuccess : function(res) {
				dd.device.audio.play({
					localAudioId : res.localAudioId,
					onSuccess : function () {
					},
					onFail : function (err) {
						alert("播放音频失败----"+JSON.stringify(err));
					}
				});
			},
			onFail : function (err) {
				alert("下载音频失败----"+JSON.stringify(err));
			}
        });

        $('#wxVoiplay').removeClass('hide');

    });
	
	//停止播放
    $(document).on('click', '#voistop', function() {
        if (appType == "ding") {
            dd.device.audio.stopRecord({
			    onSuccess : function(res){},
			    onFail : function (err) {}
			});
            $('#wxVoiplay').addClass('hide'); return false;
        }
    });

    //语音删除
    $('.wxVoi').on('click', '.icon-close1', function() {
        if (confirm("确定要删除数据吗")) {
            $(this).parent().remove();
            $(this).remove();
        } else {

        }
    });
})