﻿
define(['mobilekit','datetime'],function(){
    //上传图片
    $('.upload .imgFunc').click(function(){
        $('.upload .upload-img').click();
    });
    /**
     * 初始化日历
     */
    $('#start_datetime,#end_datetime').mobiscroll().datetime({
      /*  theme: 'android',     // Specify theme like: theme: 'ios' or omit setting to use default
        mode: 'scroller',       // Specify scroller mode like: mode: 'mixed' or omit setting to use default
        display: 'modal', // Specify display mode like: display: 'bottom' or omit setting to use default
        lang: 'zh',       // Specify language like: lang: 'pl' or omit setting to use default*/
        dateFormat: 'yy-mm-dd',               //输入框中显示日期格式
        minDate: new Date(2014,3,10,9,22),  // More info about minDate: https://docs.mobiscroll.com/2-16-1/datetime#!opt-minDate
        maxDate: new Date(2018,3,10,9,22),   // More info about maxDate: https://docs.mobiscroll.com/2-16-1/datetime#!opt-maxDate
        stepMinute: 5  // More info about stepMinute: https://docs.mobiscroll.com/2-16-1/datetime#!opt-stepMinute
    });
    var d = new Date();
    function change(num){
    	if(num<10){
    		num ='0'+num;
    	}
    	return num;
    }
    var currDate = d.getFullYear() + '-' +	change((d.getMonth() + 1)) + '-' +change(d.getDate())  + ' ' + change(d.getHours()) + ':' + change(d.getMinutes())
    if (sessionStorage.getItem("taskStartTime") != null) {
        $('#start_datetime').val(sessionStorage.getItem("taskStartTime"));
        sessionStorage.removeItem("taskStartTime");
    }
    else {
        $('#start_datetime').val(currDate);
    }
    if (sessionStorage.getItem("taskEndTime") != null) {
        $('#end_datetime').val(sessionStorage.getItem("taskEndTime"));
        sessionStorage.removeItem("taskEndTime");
    }
    else {
        $('#end_datetime').val(currDate);
    }
    $('header').on('click',function(){
        history.go(-1);
    });
    $('#btnSubmit').on('click',function(){


        var taskName=$('#txtTaskName').val();//任务名称
        var taskcont=$('#txtTaskContent').val();//任务内容
        var startdatetime=$('#start_datetime').val();//开始时间
        var enddatetime=$('#end_datetime').val();//结束时间
        var taskSender=$('#spanTaskSender').html();//布置人
        var taskExecs=$('#spanTaskExecs').html();//执行人
        var hidTaskSenderId=$('#hidTaskSenderId').val();//布置人Id
        var hidTaskExecsId=$('#hidTaskExecsId').val();//执行人Id
        var hidTaskOthersId=$('#hidTaskOthersId').val();//配合人Id
        var hidTaskViewersId=$('#hidTaskViewersId').val();//查看人Id

        if(taskName.trim()=='')
        {
            toast("任务名称不能为空！","",1500);
            return false;
        }
        if(taskName.trim().length>20)
        {
            toast("任务名称长度不能超过20！","",1500);
            return false;
        }
        if(taskcont.trim().length>500)
        {
            toast("任务内容长度不能超过500!","",1500);
            return false;
        }
        if(startdatetime.trim()=="")
        {
            toast("开始时间不能为空！","",1500);
            return false;
        }
        else if(enddatetime.trim()=="")
        {
            toast("结束时间不能为空！","",1500);
            return false;
        }
       else if (Date.parse(startdatetime.replace(/-/g, "/")) > Date.parse(enddatetime.replace(/-/g, "/")))
        {
            toast("任务结束时间不能早于任务开始时间！","",1500);
            return false;
        }

        if(taskSender.trim()=="")
        {
            toast("布置人不能为空!","",1500);
            return false;
        }
        if(taskExecs.trim()=="")
        {
            toast("执行人不能为空！","",1500);
            return false;
        }

        $.ajax({ type: 'post',data: '{"TaskInfo":"{\"TaskName\":\"'+taskName+'\",\"TaskContent\":\"'+taskcont+'\",\"taskSendPersonId\":\"'+hidTaskSenderId+'\",\"TaskExecutorId\":\"'+hidTaskExecsId+'\",\"TaskCooperateId\":\"'+hidTaskOthersId+'\",\"TaskViewersId\":\"'+hidTaskViewersId+'\",\"TaskSendTime\":\"\",\"TaskStartTime\":\"'+startdatetime+'\",\"TaskEndTime\":\"'+enddatetime+'\"}","sign":"'+appSign+'"}',
            async: false,
            url: hostUrl + "CreateTask",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                var json = JSON.stringify(data);
                //alert(json);
                json = JSON.parse(json);

                if(json.success=="1")
                {
                    //如果选择了加入日程 ,创建对应的日程
                    if($('input[type="checkbox"]').prop('checked'))
                    {
                        $.ajax({ type: 'post',data: '{"CalendarInfo":"{\"CalendarTitle\":\"'+taskName+'\",\"CalendarContent\":\"'+taskcont+'\",\"taskId\":\"'+taskId+'\",\"CalendarUserID\":\"'+hidTaskSenderId+'\",\"CalendarUserName\":\"'+taskExecs+'\",\"CalendarEndTime\":\"'+startdatetime+'\",\"CalendarEndTime\":\"'+enddatetime+'\",\"CalendarType\":\"\",\"IfSecrecy\":\"\",\"CalendarBeforeTime\":\"\"\"PeriodCalendarWarning\":\"\"}","sign":"'+appSign+'"}',
                            async: false,
                            url: hostUrl + "CreateTask",
                            dataType: "json",
                            contentType: "application/json;charset=utf-8",
                            success: function(data) {
                                var json = JSON.stringify(data);
                                //alert(json);
                                json = JSON.parse(json);

                                if(json.success=="1")
                                {
                                    //location.href ="myTask.html";
                                }
                                else
                                {
                                    toast("操作失败！","",1500);
                                    return false;
                                }

                            },
                            Error: function(err) {
                                console.log(err);
                            }
                        });
                    }


                    location.href ="myTask.html";
                }
                else
                {
                    toast("操作失败！","",1500);
                    return false;
                }

            },
            Error: function(err) {
                console.log(err);
            }
        });


    })
});