
define(['mobilekit','swiper'],function(){
    var moduleId='api/Task/';
    $('.upload .imgFunc').click(function(){
        $('.upload .upload-img').click();
    });
    $('header').on('click',function(){
        history.go(-1);
    });

    $('#btntaskInstruction').click(function(){
        var comContent = escapeBr($('.task-cont').val());
        var d = new Date();
        function change(num){
        	if(num<10){
        		num ='0'+num;
        	}
        	return num;
        }
        var taskApprovingTime = d.getFullYear() + '-' +	change((d.getMonth() + 1)) + '-' +change(d.getDate())  + ' ' + change(d.getHours()) + ':' + change(d.getMinutes())+ ':' + change(d.getSeconds())
        if(comContent.trim()=="")
        {
            toast("内容不允许为空！","",1500);
            return false;
        }
        if(comContent.trim().length>500)
        {
            toast("内容不允许超出500！","",1500);
            return false;
        }
        var url= moduleId+"CreateTaskApproving";
        var param='{"TaskId":"'+localStorage.taskId+'","TaskApprovingContent":"'+comContent+'","TaskApprovingTime":"'+taskApprovingTime+'"}';
        var data=GetDataByUrl_Post(url,param);

        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        if(json.success=="1")
        {
            location.href ="taskDetail.html?title=任务详情";
        }
        else
        {
            toast("操作失败！","",1500);
            return false;
        }

    });

    GetTaskDetialInfo();

    //获取任务详情信息
    function GetTaskDetialInfo()
    {
        var taskId=localStorage.taskId;

        var url= moduleId+"GetTask";
        var param=taskId;
        var data=GetDataByUrl_Post(url,JSON.stringify(param));

        var json = JSON.stringify(data);
        //alert(json);
        json = JSON.parse(json);
        if(json.success=="1")
        {
            var contStr = "";
            if(json.taskInfo!=undefined) {
                var part=json.taskInfo;
                if(part.taskSendPersonId!=appUserId)  //如果当前用户不是任务布置人则不可以编辑任务,不可以对任务进行批示
                {
                    $('#linkTaskInstruction').hide();
                }
                if(part.taskExecutorId!=appUserId)//如果当前用户不是任务执行人，不显示任务汇报、确认完成
                {
                    $('#linkTaskReport').hide();
                    //$('#linkEnsureTask').hide();
                }
                if(part.taskSendPersonId!=appUserId && part.taskExecutorId!=appUserId)//如果当前用户不是任务执行人和布置人，不显示任务分解
                {
                    $('#linkTaskDecomposition').hide();
                }

            }

        }
        else
        {
            toast("操作失败！","",1500);
            return false;
        }
        /*$.ajax({ type: 'post',data: '{"strTaskId":"'+taskId+'","sign":"'+appSign+'"}',
            async: false,
            url: hostUrl + "GetTask",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {


            },
            Error: function(err) {
                console.log(err);
            }
        });*/
    }
    //图片放大
    $('.upload-pic').on('click','div',function(){
        var index = $(this).index();
        $('.photo-big').removeClass('hide');
        mySwiper.update();
        mySwiper.slideTo(index);
    }).on('longTap',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
    });
    //取消删除
    $('.cancel').on('click',function(){
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').addClass('hide');
    });
    $('.deleteImg').on('click',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
    });
    //删除图片
    $('#deleted').on('click',function(){
        $('.ui-actionsheet-wrap').addClass('hide');
    });
    var mySwiper = new Swiper('.swiper-container',{
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
    //播放音乐
    $('.playMP3').on('click',function(){
        $('.audio').removeClass('hide');
        $('.u-my-diary').addClass('fix-bottom');
        audio.play();
    });
    $('.audio .btn').on('click',function(){
        $(this).parent().addClass('hide');
        $('.u-my-diary').removeClass('fix-bottom');
        audio.pause();
    });
    var audio = document.getElementById("audio");
    $('.file-type').on('click',function(){
        if(audio.paused){
            audio.play();
            return false;
        }else {
            audio.pause();
        }
    });
    //删除 rar mp3
    $('.upload-file').on('click','.icon-close',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
        $('.ui-actionsheet-wrap').find('.title').text('确定要删除'+$(this).parent().find('.name').text()+'吗?');
    }).on('longTap',function(){
        $('.ui-actionsheet-wrap').removeClass('hide');
        $('.ui-actionsheet-wrap').find('.title').text('确定要删除'+$(this).find('.name').text()+'吗?');
    });
    $('#back').on('click',function(){
        $('.ui-actionsheet-wrap').addClass('hide');
    });
});