
define(['swiper', 'base64'], function() {


   


    //图片放大及删除
    $('.upload-pic').on('click', 'img', function() {
        var index = $(this).parent().index();
        $('.photo-big').removeClass('hide');
        mySwiper.update();
        mySwiper.slideTo(index);
        sessionStorage.setItem("img", index);
    })
    $('.upload-pic').on('click', '.icon-close-img', function() {
       var index = $(this).parent().index();
        sessionStorage.setItem("img", index);
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
    });


    $(document).on('click', '.cancel', function() {
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
    });
    $(document).on('click', '.deleteImg', function() {
        //大图删除当前图片
        $('.photo-big').addClass('hide');
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除吗？');
        $('#bigImg .swiper-slide').each(function(index) {

            if ($(this).attr("class") == "swiper-slide swiper-slide-active") {
                sessionStorage.setItem("img", index);
            }
        });

    });

    var mySwiper = new Swiper('.swiper-container', {
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
    //播放音乐
    $(document).on('tap', '.playMP3', function(e) {
        e.stopPropagation();
        $('.audio').removeClass('hide');
        var $ul = $(this).find('span[class="hidden"]').attr('url');

        var mname = $(this).find('span[class="hidden"]').prev().html();

        if ($ul) {
            if ($ul.lastIndexOf(".mp3") < 0) {
                $ul = $ul + '.mp3';
            }
            $('#audio').attr('src', $ul);
            $('#MusicName').html(mname);
        }
        $('.u-my-diary').addClass('fix-bottom');
        audio.play();
    });
    $(document).on('click', '.audio .btn', function() {
        $(this).parent().addClass('hide');

        $('.u-my-diary').removeClass('fix-bottom');
        audio.pause();
    });
    var audio = document.getElementById("audio");
    $(document).on('tap', '.file-type', function() {
        if (audio.paused) {
            audio.play();
            return false;
        } else {
            audio.pause();
        }
    });
    //删除 rar mp3
    /*$(document).on('tap', '.icon-close', function() {
        /* $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除'+$(this).parent().find('.name').text()+' 吗?');
        }).on('longTap',function(){
        $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
        $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除'+$(this).find('.name').text()+' 吗?');;
        $('.icon-close').each(function(index) {
            $(this).unbind('click');
            $(this).bind('click', function() {
                sessionStorage.setItem('voice', index);
                $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
                $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除' + $(this).parent().find('.name').text() + ' 吗?');
            }).on('longTap', function() {
                sessionStorage.setItem('voice', index);
                $('.ui-actionsheet-wrap').eq(0).removeClass('hide');
                $('.ui-actionsheet-wrap').eq(0).find('.title').text('确定要删除' + $(this).find('.name').text() + ' 吗?');
            });
        });
    })*/
    $('#back').on('click', function () {
        if (appType == "weixin"||appType == "ding") { uploadobj.stopvoi(); }
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
    });




    //长按后的删除
    $(document).on('click', '#deleted', function() {
        //alert('删除当前图片11111');
        //清除语音元素

        if (appType == "weixin"||appType=="ding") {
            if($('.ui-actionsheet-wrap').eq(0).find('#deleted').text() == "确定"){
                uploadobj.commitvoi(); $('.ui-actionsheet-wrap').eq(0).addClass('hide'); return false; 
            }          
        }

        if (sessionStorage.getItem('voice') != null) {
            var item = -1;
            $('.icon-close').each(function(index) {
                item = sessionStorage.getItem('voice');

                if (item == index) {
                    $(this).parent().remove();
                    $(this).remove();
                    sessionStorage.removeItem('voice');
                }
                if ($('#divVoice').html() == "") {
                    $('#divVoice').hide();
                }
            });
        }
        else {
            var item = -1;
            $('.upload-pic img').each(function(index) {
                item = sessionStorage.getItem('img');

                if (item == index) {
                    //alert(item);
                    $(this).parent().remove();
                    $(this).remove();
                    $('#bigImg .swiper-slide img').eq(index).parent().remove();
                    sessionStorage.removeItem('img');
                }
                if ($('.upload-pic').html() == "") {
                    $('.upload-pic').hide();
                }
            });
        }
        //图片缓存
        store.set("ImageCache", $('.upload-pic').html());
        store.set("BigImageCache", $('#bigImg').html());
        //语音缓存
        store.set("VoiceCache", $('#divVoice').html());
        $('.ui-actionsheet-wrap').eq(0).addClass('hide');
    });
});



/*
/**
* 音频上传
* maxLength 最大时长毫秒
* minLength 最小时长毫秒
* businessType 业务类型
* tag  目前代表每个模块的名称
* **/
/*
function upVol(maxLength,minLength,businessType,tag)
{
var args="{\"businessJson\":\"{\\\"maxLength\\\":"+maxLength+",\\\"minLength\\\":"+minLength+"}\",\"businessType\":"+businessType+"}";
window.location.href = "jhoabrowser://audioFunction?args="+ $.base64.encode(args)+"&tag="+$.base64.encode(tag);
}
*/
/**
* 音频回调函数
* @returns {string}
*/
/*
function volCallback(jsonStr)
{
var voiceStr="";
var json = JSON.stringify(jsonStr);
json = JSON.parse(json);
var reg=new RegExp('"',"g");

if(json.code=10000)
{

var businessJson= JSON.parse(json.businessJson);

if (businessJson.fileInfo)
{
var part=businessJson.fileInfo;
var fileName=part.fileName.replace("ITOLD_","");
if(fileName.lastIndexOf(".mp3")<0)
{
fileName=fileName+".mp3";
}

voiceStr += '<div class="upload-file rar clearfix" ><p class="playMP3"><span class="file-type">MP3</span><span class="name">'+fileName+'</span><span url="'+part.fileNetUrl+'" class="hidden"></span></p>';
voiceStr += '<i class="icon-close"></i></div>';
voiceStr=voiceStr.replace(reg,'\\\"')
}
}
else
{
toast(json.message,"",1500);
}

if(voiceStr!="")
{
//voiceStr='{"voiceStr":"'+voiceStr+'","tag":"{'+tag.replace(reg,'\\\"')+'}"}';
voiceStr='{"voiceStr":"'+voiceStr+'"}';
}

return voiceStr;
}

//上传图片
function upImage(keImgNum,businessType,tag)
{
var calendImgArgsJiaMi=$.base64.encode( "{\"businessJson\":\"{\\\"maxSelectNum\\\":"+keImgNum+",\\\"isSuppoerDelete\\\":false}\",\"businessType\":"+businessType+"}","utf-8" );
var calendImgTagJiaMi=$.base64.encode(tag);
window.location.href="jhoabrowser://selectImgFuction?args=" +calendImgArgsJiaMi+"&tag="+calendImgTagJiaMi;
}

// 图片信息返回
function imageCallback(jsonStr)
{
var xiaoImgContent="";//小图片容器
var daImgContent="";//大图片容器
var reg=new RegExp('"',"g");
var json = JSON.stringify(jsonStr);

json = JSON.parse(json);
if(json.code=="10000")//成功
{
var busImgDTO = JSON.parse(json.businessJson);//图片信息对象
if(busImgDTO && busImgDTO.length>0) {
$.each(busImgDTO, function (index, part) {
xiaoImgContent=xiaoImgContent+'<div><img src="'+part.webUrl+'" alt=""/></div>';
daImgContent=daImgContent+'<div class="swiper-slide"> <img src="'+part.webUrl+'" alt=""/> </div>';
xiaoImgContent= xiaoImgContent.replace(reg,'\\\"');
daImgContent= daImgContent.replace(reg,'\\\"');
});
}
}
else//失败
{
if(json.message!='获取图片失败'&&json.message!='取消')
{
toast(json.message,"",1500);
}
return "";
}

if(xiaoImgContent!="")
{
return '{"xiaoImgContent":"'+xiaoImgContent+'","daImgContent":"'+daImgContent+'"}';
}
else
{
return "";
}
}
*/