
define(['mobilekit'], function() {
    //init();
    start();
    function start() {

        if (sessionStorage.getItem("pubsetdeptlist") == null) { //alert('a');
            init();
            var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetdeptlist", pubDeptLists);
        }
        else {    //alert(sessionStorage.removeItem("pubsetdeptlist"));
            $("#main-level").html(sessionStorage.getItem("pubsetdeptlist"));
        }
    }

    //复选
    $(".check").each(function() {
        if (sessionStorage.getItem("DeptListIDS") != null && sessionStorage.getItem("DeptListIDS") != "") {
            var DeptsID = "," + sessionStorage.getItem("DeptListIDS") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载联系人
    */
    function init() {
        var parameterUrl = 'api/UserSelect/GetAddressBook';
        var parameterData = '';
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
        json = JSON.parse(json);
        var contStr = "";
        console.log(json.allAddressBook);
        if (json.allAddressBook && json.allAddressBook.length > 0) {
        	var contStr ="";
            $.each(json.allAddressBook, function(index, part) {
//            	contStr += "<h2 target='"+part.id+"' flag='closed'>"+part.name+"<span style='color:green;'>("+part.count+")</span></h2>"+ "<ul id='"+part.id+"' class='left' >";
            	contStr += '<div class="detail">';
                contStr += '    <p class="check">';
                contStr += '    <span class="fa fa-square-o"></span>';
                contStr += '    <input type="hidden" checked value="false"/>';
                contStr += '    <span class="hide">'+part.id+'</span>';
                contStr += '    </p>' + part.name+'<span style="color:green;">('+part.count+')</span>';
                contStr += '    <i class="fa fa-caret-down pull-right main-fa"></i>';
                contStr += '</div>';
                $.each(part.items, function(no, item) {
                	contStr += '<div class="second-level" id="'+item.id+'-'+part.id+'" title="'+item.email+'">';
                    contStr += '    <div class="department two-level">';
                    contStr += '        <div class="detail">';
                    contStr += '            <p class="check">';
                    contStr += '            <span class="fa fa-square-o"></span>';
                    contStr += '            <input type="hidden" checked value="false"/>';
                    contStr += '            <span class="hide">'+item.id+'</span>';
                    contStr += '            <span class="hide">'+item.email+'</span>';
                    contStr += '            </p>' + item.name;
                    contStr += '            <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '        </div>';
                    contStr += '       <div class="third-level" id="' + part.id + '"></div>';
                    contStr += '    </div>';
                    contStr += '</div>';
                    $("#main-level").append(contStr);
                });
            });
            $("#main-level").html(contStr);
        }
    }
    /*
    保存事件
    */
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID");
        var IDList = "";
        var NameList = "";
        $(".check").each(function() {
            if ($(this).find("input").val() == "true") {
                if (IDList == "") {
                    IDList += $(this).find("span").eq(1).text();
                    NameList += $(this).find("span").eq(2).text();
                }
                else {
                    IDList += "," + $(this).find("span").eq(1).text();
                    NameList += "," + $(this).find("span").eq(2).text();
                }
            }
        });
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.setItem(inputID + "IDList", IDList);
        sessionStorage.setItem(inputID + "NameList", NameList);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });
});