define(['mobilekit'], function() {
    start();
    function start() {

        if (sessionStorage.getItem("pubsetprojectlist") == null) {
            init();
            var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetprojectlist", pubDeptLists);
        }
        else {
            $("#main-level").html(sessionStorage.getItem("pubsetprojectlist"));
        }
    }

    //复选
    $(".check").each(function() {
        if (sessionStorage.getItem("ProjectListIDS") != null && sessionStorage.getItem("ProjectListIDS") != "") {
            var DeptsID = "," + sessionStorage.getItem("ProjectListIDS") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载费用科目
    */
    function init() {
    	var userId=getUrlParam("userId");
    	var deptId=getUrlParam("deptId");
    	var commOrgIdentyStr=getUrlParam("commOrgIdentyStr");
    	var childCommOrgIdentyStr=getUrlParam("childCommOrgIdentyStr");
    	var flag=getUrlParam("flag");
        var parameterUrl = 'api/UserSelect/GetProjectList';
        var parameterData ='{"deptId":"'+deptId+'","userId":"'+userId+'","commOrgIdentyStr":"'+commOrgIdentyStr+'","childCommOrgIdentyStr":"'+childCommOrgIdentyStr+'","flag":"'+flag+'"}';
        var data = GetDataByUrl_Post(parameterUrl,parameterData);
        var json = JSON.stringify(data);

        json = JSON.parse(json);
        var contStr = '<div class="detail">'
        					+'<table style="border:2px solid #e5e5e5;text-align:center;" class="detail">'
        						+'<thead>'
        							+'<tr>'
        								+'<th width="3%"><p class="radio"><span class="fa fa-circle-o"></span><span class="hide fa-circle-o"></span><input type="hidden" checked="" name="radio1" value="false"><span class="hide fa-circle-o"></span></p></th>'
        								+'<th width="10%">序号</th>'
        								+'<th class="hide">项目ID</th>'
        								+'<th width="10%">项目编号</th>'
        								+'<th width="10%">项目名称</th>'
        							+'</tr>'
        						+'</thead>'
        						+'<tbody id="content"></tbody>';
        if (json.allProjectList && json.allProjectList.length > 0) {
            $.each(json.allProjectList, function(index, part) {
                    contStr += '<tr>';
                    contStr += '    <td><p class="radio"><span class="fa fa-circle-o"></span><span class="hide fa-circle-o"></span><input type="hidden" checked="" name="radio1" value="false"><span class="hide fa-circle-o"></span></p></td>';
                    contStr += '    <td>'+(index+1)+'</td>';
                    contStr += '    <td class="hide">'+part.projectId+'</td>';
                    contStr += '    <td>'+part.projectNo+'</td>';
                    contStr += '    <td>'+part.projectName+'</td>';
                    $("#content").append(contStr);
            });
        }
        contStr+='</table></div>';
        $("#main-level").html(contStr);
       
    }
    /*
    保存事件
    */
    var obj = $(this);
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID"); 
        var DeptIDList = "";
        var DeptNameList = "";
        $(".radio").each(function() {
            if ($(this).find("input").val() == "true") {
                if (DeptIDList == "") {
                    DeptIDList += $(this).parent().parent().find("td").eq(2).text();
                    DeptNameList += $(this).parent().parent().find("td").eq(4).text();
                }else {
                    DeptIDList += "," + $(this).parent().parent().find("td").eq(2).text();
                    DeptNameList += "," + $(this).parent().parent().find("td").eq(4).text();
                }
            }
        });
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.setItem(inputID + "ProjectListIDS", DeptIDList);
        sessionStorage.setItem(inputID + "ProjectNameList", DeptNameList);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });
    
  //单选事件
    $(".radio").each(function() {
        var t;
        if ($(this).find('input').val() == "true") {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            });
            $(this).addClass("active");
        }
        else {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            });
            $(this).removeClass("active");
        }
        $(this).closest('.radio').click(function() {
            
            $('.detail').find('.radio').each(function() {
                var tt = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    checked: false,
                    enable: true
                });
                $(this).removeClass("active");
            })
            t.setChecked(true);
            $(this).addClass("active");
            return false;
        })
    })
});