define(['mobilekit'], function() {
    start();
    function start() {

        if (sessionStorage.getItem("pubsetsubjectlist") == null) {
            init();
            var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetsubjectlist", pubDeptLists);
        }
        else {
            $("#main-level").html(sessionStorage.getItem("pubsetsubjectlist"));
        }
    }

     //复选
    $(".radio").each(function() {
        if (sessionStorage.getItem("DeptListIDS") != null && sessionStorage.getItem("DeptListIDS") != "") {
            var DeptsID = "," + sessionStorage.getItem("DeptListIDS") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        var t;
        if ($(this).find('input').val() == "true") {
            t=$.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            }))
            $(this).addClass("active");
        }
        else {
            t=$.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            }))
            $(this).removeClass("active");
        }
        $(this).closest('.radio').click(function() {
            $('.radio').each(function() {
                var tt = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    checked: false,
                    enable: true
                });
                $(this).removeClass("active");
            })
            t.setChecked(true);
            $(this).addClass("active");
            return false;
        })
    })

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载费用科目
    */
    function init() {
        var parameterUrl = 'api/UserSelect/GetSubjectList';
        var parameterData ='';
        var data = GetDataByUrl_Post(parameterUrl,parameterData);
        var json = JSON.stringify(data);

        json = JSON.parse(json);
        
        var contStr = "";
        if (json.allSubjectList && json.allSubjectList.length > 0) {
            $.each(json.allSubjectList, function(index, part) {
            	var contStr="";
                if (part.sortLevel == "1") {
                    contStr = '<div class="detail">';
                    contStr += '    <p class="radio">';
                    contStr += '    <span class="fa fa-square-o"></span>';
                    contStr += '    <input type="hidden" checked value="false"/>';
                    contStr += '    <span class="hide">'+part.subjectId+'</span>';
                    contStr += '    <span class="hide">'+part.subjectFatherId+'</span>';
                    contStr += '    <span class="hide">'+part.subjectName+'</span>';
                    contStr += '    <span class="hide">'+part.subjectNames+'</span>';
                    contStr += '    </p>' + part.subjectName;
                    contStr += '    <i class="fa fa-caret-down pull-right main-fa"></i>';
                    contStr += '</div>';
                    $("#main-level").html(contStr);
                }else if(part.sortLevel == "2"){
                    contStr = '<div class="second-level" id="' + part.subjectId + '">';
                    contStr += '    <div class="department two-level">';
                    contStr += '        <div class="detail">';
                    contStr += '            <p class="radio">';
                    contStr += '            <span class="fa fa-square-o"></span>';
                    contStr += '            <input type="hidden" checked value="false"/>';
                    contStr += '            <span class="hide">'+part.subjectId+'</span>';
                    contStr += '    		<span class="hide">'+part.subjectFatherId+'</span>';
                    contStr += '            <span class="hide">'+part.subjectName+'</span>';
                    contStr += '    		<span class="hide">'+part.subjectNames+'</span>';
                    contStr += '            </p>' + part.subjectName;
                    contStr += '            <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '        </div>';
                    contStr += '       <div class="third-level" id="' + part.subjectId + '"></div>';
                    contStr += '    </div>';
                    contStr += '</div>';
                    $("#main-level").append(contStr);
                }else{
                    if(part.sortLevel == "3") {
                        levelClass='department three-level';
                    }
                    if(part.sortLevel == "4"){
                        levelClass='department four-level';
                    }
                    if(part.sortLevel == "5"){
                        levelClass='department five-level';
                    }
                    if(part.sortLevel == "6"){
                        levelClass='epartment six-level';
                    }
                    if(part.sortLevel == "7"){
                        levelClass='department seven-level';
                    }
                    if(part.sortLevel == "8"){
                        levelClass='department eight-level';
                    }
                    contStr = ' <div class="'+levelClass+'" id="' +  part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '             <p class="radio">';
                    contStr += '             	<span class="fa fa-square-o"></span>';
                    contStr += '             	<input type="hidden" checked value="false"/>';
                    contStr += '             	<span class="hide">'+part.subjectId+'</span>';
                    contStr += '    		 	<span class="hide">'+part.subjectFatherId+'</span>';
                    contStr += '             	<span class="hide">'+part.subjectName+'</span>';
                    contStr += '    		 	<span class="hide">'+part.subjectNames+'</span>';
                    contStr += '             </p>' +part.subjectName;
                    contStr += '             <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    if($("#" + part.subjectFatherId).length==0){
                        $("#main-level").append(contStr);
                    }else{
                        $("#" + part.subjectFatherId).append(contStr);
                    }
                }
            });
        }
    }
    /*
    保存事件
    */
    var obj = $(this);
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID"); 
        var DeptIDList = "";
        var DeptNameList = "";
        var AllName="";
        var subjectPid="";
        var nameTier="";
        $(".radio").each(function() {
            if ($(this).find("input").val() == "true") {
            	DeptIDList = $(this).find("span").eq(1).text();
//            	DeptNameList = $(this).find("span").eq(2).text();
                AllName=$(this).find("span").eq(3).text();
                subjectPid=$(this).find("span").eq(2).text();
                nameTier=$(this).find("span").eq(4).text();
            }
        });
        sessionStorage.setItem("UserListExist", "1");
	    sessionStorage.setItem(inputID + "SubjectIDList", DeptIDList);
	    sessionStorage.setItem(inputID + "SubjectNameList", DeptNameList);
        sessionStorage.setItem(inputID + "SubjectAllName", AllName);
        sessionStorage.setItem(inputID + "SubjectPid",subjectPid);
        sessionStorage.setItem(inputID + "NameTier",nameTier);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });
});