
define(['mobilekit'], function() {
    //init();
    start();
    function start() { 

        if (sessionStorage.getItem("pubsetdeptlist") == null) { //alert('a');
            init();
            var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetdeptlist", pubDeptLists);
        }
        else {    //alert(sessionStorage.removeItem("pubsetdeptlist"));
            //$("#main-level").html(sessionStorage.getItem("pubsetdeptlist"));
        	init();
        	var pubDeptLists = "";
            pubDeptLists = $("#main-level").html();
            sessionStorage.setItem("pubsetdeptlist", pubDeptLists);
        }
    }

    //复选
    $(".radio").each(function() {
        if (sessionStorage.getItem("DeptListIDS") != null && sessionStorage.getItem("DeptListIDS") != "") {
            var DeptsID = "," + sessionStorage.getItem("DeptListIDS") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        var t;
        if ($(this).find('input').val() == "true") {
            t=$.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            }))
            $(this).addClass("active");
        }
        else {
            t=$.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            }))
            $(this).removeClass("active");
        }
        $(this).closest('.radio').click(function() {
            $('.radio').each(function() {
                var tt = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    checked: false,
                    enable: true
                });
                $(this).removeClass("active");
            })
            t.setChecked(true);
            $(this).addClass("active");
            return false;
        })
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
    加载部门
    */
    function init() {
        var parameterUrl = 'api/UserSelect/GetExpenseDeptList';
        var parameterData = '';
        var data = GetDataByUrl_Post(parameterUrl, parameterData);
        var json = JSON.stringify(data);
  
        json = JSON.parse(json);
        var contStr = "";
        if (json.allUsersList && json.allUsersList.length > 0) {
            $.each(json.allUsersList, function(index, part) {
            	  var levelClass='';
            	var sortLevel='';
                if(appServer=='c6'){
                    sortLevel =part.sortLevel;
                }else{
                    sortLevel = part.sortLevel;    
                }
                if (sortLevel == "1") {
                    contStr += '<div class="detail">';
                    contStr += '    <p class="radio">';
                    contStr += '    <span class="fa fa-square-o"></span>';
                    contStr += '    <input type="hidden" checked value="false"/>';
                    contStr += '    <span class="hide">'+part.deptId+'</span>';
                    contStr += '    <span class="hide">'+part.deptName+'</span>';
                    contStr += '    </p>' + part.deptName;
                    contStr += '    <i class="fa fa-caret-down pull-right main-fa"></i>';
                    contStr += '</div>';
                    $("#main-level").html(contStr);
                }else  if (sortLevel == "2") {
		            contStr = '<div class="second-level">';
		            contStr += '    <div class="department two-level" id="' + part.deptId + '">';
		            contStr += '        <div class="detail">';
		            contStr += '            <p class="radio">';
		            contStr += '            <span class="fa fa-square-o"></span>';
		            contStr += '            <input type="hidden" checked value="false"/>';
		            contStr += '            <span class="hide">'+part.deptId+'</span>';
		            contStr += '            <span class="hide">'+part.deptName+'</span>';
		            contStr += '            </p>' + part.deptName;
		            contStr += '            <i class="fa fa-caret-down pull-right"></i>';
		            contStr += '        </div>';
		            contStr += '       <div class="third-level" id="' + part.deptId + '"></div>';
		            contStr += '    </div>';
		            contStr += '</div>';
		            $("#main-level").append(contStr);
		        }else {
		        	if(sortLevel == "3") {
		        		levelClass='department three-level';
		        	}
	            	if(sortLevel == "4"){
	            		levelClass='department four-level';
	            	}
		            if(sortLevel == "5"){
		            	levelClass='department five-level';
		            }
		            if(sortLevel == "6"){
		                levelClass='epartment six-level';
		            }
		            if(sortLevel == "7"){
		            	levelClass='department seven-level';
		            }    
		            if(sortLevel == "8"){
		            	levelClass='department eight-level';
		            }
		            contStr = ' <div class="'+levelClass+'" id="' + part.deptId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '             <p class="radio">';
                    contStr += '             <span class="fa fa-square-o"></span>';
                    contStr += '             <input type="hidden" checked value="false"/>';
                    contStr += '             <span class="hide">'+part.deptId+'</span>';
                    contStr += '             <span class="hide">'+part.deptName+'</span>';
                    contStr += '             </p>' + part.deptName;
                    contStr += '             <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    if($("#" + part.deptFatherId).length==0){
                    	$("#main-level").append(contStr);
                    }else{
                    	$("#" + part.deptFatherId).append(contStr);
                    }
                }
                
            });
        }

        $('.detail').each(function(){
            if($(this).next().size()<1 || $(this).next().html()==''){
                $(this).find('.pull-right').remove();
            }
        })
    }
    /*
    保存事件
    */
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID");
        var DeptIDList = "";
        var DeptNameList = "";
        $(".radio").each(function() {
            if ($(this).find("input").val() == "true") {
                if (DeptIDList == "") {
                    DeptIDList = $(this).find("span").eq(1).text();
                    DeptNameList = $(this).find("span").eq(2).text();
                }
                else {
                    DeptIDList = "," + $(this).find("span").eq(1).text();
                    DeptNameList = "," + $(this).find("span").eq(2).text();
                }
            }
        });
        if(DeptIDList=="root"){
        	toast("不能选择根机构！","",1500);
        }else{
        	sessionStorage.setItem("UserListExist", "1");
            sessionStorage.setItem(inputID + "DeptIDList", DeptIDList);
            sessionStorage.setItem(inputID + "DeptNameList", DeptNameList);
            sessionStorage.removeItem("inputID");
            history.go(-1);
            if(appType=="weixin"){
                location.replace(document.referrer);
            }
        }
    });
});