
define(['mobilekit'], function() {

    start();
    function start() {

        if (sessionStorage.getItem("pubsettravellist") == null) {
            init();
            var pubsettravellist = "";
            pubsettravellist = $("#main-level").html();
            sessionStorage.setItem("pubsettravellist", pubsettravellist);
        }
        else {
            $("#main-level").html(sessionStorage.getItem("pubsettravellist"));
        }
    }

    //复选
    $(".check").each(function() {
        if (sessionStorage.getItem("allTravelSubjectList") != null && sessionStorage.getItem("allTravelSubjectList") != "") {
            var DeptsID = "," + sessionStorage.getItem("allTravelSubjectList") + ",";
            var strDeptsID = $(this).find('span').eq(1).text();
            if (DeptsID.indexOf(',' + strDeptsID + ',') >= 0) {
                $(this).find('input').val('true');
            }
        }
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });

    //下拉
    $('#main-level').children('.detail').on('click', function() {
        //console.log(111)
        dropDown($(this).find('.main-fa'), $('.second-level'));
        return false;
    });
    $('.second-level .two-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).next());
        return false;
    });
    $('.three-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.four-level'));
        return false;
    });
    $('.four-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.five-level'));
        return false;
    });
    $('.five-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.six-level'));
        return false;
    });
    $('.six-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.seven-level'));
        return false;
    });
    $('.seven-level').children('.detail').on('click', function() {
        dropDown($(this).find('i'), $(this).parent().find('.eight-level'));
        return false;
    });
    function dropDown(_this, obj) {
        if (obj.is(':hidden')) {
            obj.show();
            _this.removeClass('fa-caret-right').addClass('fa-caret-down');
        } else {
            obj.hide();
            _this.removeClass('fa-caret-down').addClass('fa-caret-right')
        }
    }

    /*
     加载差旅费款项
     */
    function init() {
        var parameterUrl = 'api/UserSelect/GetTravelSubjectList';
        var deptId=sessionStorage.getItem("deptId");
        var parameterData ={deptId:deptId};
        var data = GetDataByUrl_Post(parameterUrl,JSON.stringify(parameterData));
        var json = JSON.stringify(data);
        json = JSON.parse(json);

        if (json.allTravelSubjectList && json.allTravelSubjectList.length > 0) {
            $.each(json.allTravelSubjectList, function(index, part) {
                var contStr="";
                if (part.sortLevel == "1") {
                    contStr = '<div class="detail">';
                    contStr += '    <p class="radio">';
                    contStr += '    <span class="fa fa-square-o"></span>';
                    contStr += '    <input type="hidden" checked value="false"/>';
                    contStr += '    <span class="hide">'+part.subjectId+'</span>';
                    contStr += '    <span class="hide">'+part.subjectFatherId+'</span>';
                    contStr += '    <span class="hide">'+part.subjectName+'</span>';
                    contStr += '    </p>' + part.subjectName;
                    contStr += '    <i class="fa fa-caret-down pull-right main-fa"></i>';
                    contStr += '</div>';
                    $("#main-level").html(contStr);
                }else if(part.sortLevel == "2"){
                    contStr = '<div class="second-level" id="' + part.subjectId + '">';
                    contStr += '    <div class="department two-level">';
                    contStr += '        <div class="detail">';
                    contStr += '            <p class="radio">';
                    contStr += '            <span class="fa fa-square-o"></span>';
                    contStr += '            <input type="hidden" checked value="false"/>';
                    contStr += '            <span class="hide">'+part.subjectId+'</span>';
                    contStr += '    		<span class="hide">'+part.subjectFatherId+'</span>';
                    contStr += '            <span class="hide">'+part.subjectName+'</span>';
                    contStr += '            </p>' + part.subjectName;
                    contStr += '            <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '        </div>';
                    contStr += '       <div class="third-level" id="' + part.subjectId + '"></div>';
                    contStr += '    </div>';
                    contStr += '</div>';
                    $("#main-level").append(contStr);
                }else{
                    if(part.sortLevel == "3") {
                        levelClass='department three-level';
                    }
                    if(part.sortLevel == "4"){
                        levelClass='department four-level';
                    }
                    if(part.sortLevel == "5"){
                        levelClass='department five-level';
                    }
                    if(part.sortLevel == "6"){
                        levelClass='epartment six-level';
                    }
                    if(part.sortLevel == "7"){
                        levelClass='department seven-level';
                    }
                    if(part.sortLevel == "8"){
                        levelClass='department eight-level';
                    }
                    contStr = ' <div class="'+levelClass+'" id="' +  part.subjectId + '">';
                    contStr += '     <div class="detail">';
                    contStr += '             <p class="radio">';
                    contStr += '             <span class="fa fa-square-o"></span>';
                    contStr += '             <input type="hidden" checked value="false"/>';
                    contStr += '             <span class="hide">'+part.subjectId+'</span>';
                    contStr += '    		<span class="hide">'+part.subjectFatherId+'</span>';
                    contStr += '             <span class="hide">'+part.subjectName+'</span>';
                    contStr += '             </p>' +part.subjectName;
                    contStr += '             <i class="fa fa-caret-down pull-right"></i>';
                    contStr += '     </div>';
                    contStr += '</div>';
                    if($("#" + part.subjectFatherId).length==0){
                        $("#main-level").append(contStr);
                    }else{
                        $("#" + part.subjectFatherId).append(contStr);
                    }
                }
            });
        }

    }
    /*
     保存事件
     */
    $('button').on('click', function() {
        var inputID = sessionStorage.getItem("inputID");
        var DeptIDList = "";
        var DeptNameList = "";
        var DeptPid="";
        $(".radio").each(function() {
            if ($(this).find("input").val() == "true") {
                DeptIDList = $(this).find("span").eq(1).text();
                DeptPid=$(this).find("span").eq(2).text();
                DeptNameList = $(this).find("span").eq(3).text();
            }
        });
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.setItem(inputID + "TravelSubjectIDList", DeptIDList);
        sessionStorage.setItem(inputID + "TravelSubjectNameList", DeptNameList);
        sessionStorage.setItem(inputID+"DeptPid",DeptPid);
        sessionStorage.removeItem("inputID");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });

    //单选事件
    $(".radio").each(function() {
        var t;
        if ($(this).find('input').val() == "true") {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            });
            $(this).addClass("active");


        }
        else {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            });
            $(this).removeClass("active");
        }
        $(this).closest('.radio').click(function() {

            $('.detail').find('.radio').each(function() {
                var tt = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    checked: false,
                    enable: true
                });
                $(this).removeClass("active");
                $(this).find('span').eq(2).html();
            })
            t.setChecked(true);
            $(this).addClass("active");
            $(this).find('span').eq(2).html($(this).parent().parent().find('td:last-child').text());
            return false;
        })
    });


});