/*
 * 门户首页模块
 * 加载当前用户可查看的门户、栏目以及信息列表
 */
var typeCode="4";
var fr = "";
var temp=0;  //记录当前条数
var startNum = 0; //记录分页开始条数
var tempPageNumber = 0;
var documentHeight=0;
var sign = 10;
define(['mobilekit','base64','iscroll'], function () {

    var inface = "api/DoorIndex/",
        count = 10,       //每次获取的信息条数   
        messageIDMin = 0, //获取更多, 最后一条的信息ID
        messageIDMax = 0, //获取更新，第一条信息ID
        moduleWidth = 0,  //栏目的宽度
        moduleHeight = 0,  //栏目的高度
        doorIndexJson = sessionStorage.getItem("doorIndexJson"),   //门户栏目数据
        doorIndexJsonClone=doorIndexJson,
        dprotalID = "", //记录当前门户ID
        wdwidth = $(window).width(), //当前窗口宽度
        refresh = 1, //刷新页面

        _portal = $("div.add-btn"), //门户切换按钮
        _doorList = $("#doorList"), //门户信息列表
        _module = $("#module"),   //栏目元素
        _message = $("#message"), //信息列表元素
        _listloading = $("#listloading"),
        _moduleList = $("#moduleList"),
        _moduleScroll = $("#moduleScroll"), //栏目滚动区域
        _messageList = $("#messageList"),
        _messageScroll = $("#messageScroll"), //信息滚动区域

        myModuleList, myMessageList, //栏目和信息滑动区域
        _pullDown, _pullUp, _pullLeft, _pullRigth, //信息滑动提示
        setload = 0,    //数据加载方式

        nowChannelId = sessionStorage.getItem("nowChannelId"),    //当前栏目id
        nowModuleID = sessionStorage.getItem("nowModuleID"),    //当前模块ID
        NoduleID=sessionStorage.getItem("nowModuleID"),
        loadingStep = 0;  //加载状态0默认，1显示加载状态，2执行加载数据，只有当为0时才能再次加载，这是防止过快拉动刷新  
    init = {
        /*
         * 创建模块
         */
        create: function () {
            var json = null;
            if (doorIndexJson != null) {
                json = JSON.parse(doorIndexJson);
            } else {
                json = init.getDoorIndexList();
            }
            init.createDoorList(json);
        },
        /*
         * 获取门户栏目列表信息
         */
        getDoorIndexList: function () {
            var url = inface + "GetDoorIndexList";
            var data = GetDataByUrl_Post(url, "");
            var json = JSON.parse(JSON.stringify(data));
            //var json = { "dprotalID": "1003", "protalInfo": [{ "protalID": "1003", "protalName": "公司门户", "moduleInfo": [{ "moduleID": "1005", "moduleName": "公司新闻" }] }, { "protalID": "1004", "protalName": "金和APP自助工厂", "moduleInfo": [{ "moduleID": "1002", "moduleName": "测试模块1" }, { "moduleID": "1004", "moduleName": "测试模块2" }, { "moduleID": "1005", "moduleName": "公司新闻" }, { "moduleID": "1007", "moduleName": "内部通知" }, { "moduleID": "1008", "moduleName": "玩玩图片轮播" }, { "moduleID": "1010", "moduleName": "行业新闻" }, { "moduleID": "1012", "moduleName": "内部信息" }, { "moduleID": "1013", "moduleName": "产品展示" }, { "moduleID": "1014", "moduleName": "ceshi" }] }], "success": 1, "mes": "获取门户信息成功！" }
            sessionStorage.setItem("doorIndexJson", JSON.stringify(json));

            return json;
        },
        /*
         * 创建门户列表
         * @json 门户数据
         */
        createDoorList: function (json) {

            dprotalID = json.dprotalID;
            _doorList.empty();
            var html = '';
            if (json.protalInfo && json.protalInfo.length > 0){
                $.each(json.protalInfo, function(index, part) {
                    html += '<li class="list" protalID="' + part.protalID + '">';
                    html += ' <div class="list-title">' + part.protalName + '</div>';
                    html += ' <div class="radio">';
                    html += '     <span class="fa"></span>';
                    html += '     <input type="hidden" protalID="' + part.protalID + '" protalName="' + part.protalName + '">';
                    html += ' </div>';
                    html += '</li>';

                    if (part.protalID == dprotalID) {
                        $('#protal').val(part.protalName);
                        init.createModuleList(part.moduleInfo);
                    }
                })
                _doorList.html(html);
                init.doorWrap(json);
            }

        },
        /*
         * 门户弹出层相关事件
         */
        doorWrap: function (json) {
            //弹出切换门户选择层
            _portal.on('click', function () {
                $('.poplayer-wrap').removeClass('hide');
            });
            //点击切换门户取消按钮，隐藏弹出层
            $('.poplayer .cancel').off("tap").on('tap', function () {
                $('.poplayer-wrap').addClass('hide');
            });
            //点击切换门户确定按钮，隐藏弹出层
            $('.poplayer .active').off("click").on('click', function () {
                var $input = $(".poplayer-list input[value='true']");
                if ($input.length > 0) {
                    $("#protal").val($input.attr("protalName"));
                    $('.poplayer-wrap').addClass('hide');
                    json.dprotalID = $input.attr("protalID");
                    sessionStorage.setItem("doorIndexJson", JSON.stringify(json));
                    init.changeDoor(json);
                } else {
                    toast('请选择门户！');
                }
            });
            $(".radio").each(function () {
                var dp = $(this).children("input").attr("protalID") == dprotalID ? true : false;
                var t = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    radioSelector: '.radio',
                    checked: dp,
                    enable: true
                });
                $(this).closest('.radio').off("click").on("click", function () {
                    t.setChecked(true);
                    return false;
                });
            });
        },
        /*
         * 门户改变事件
         * @json 门户数据
         */
        changeDoor: function (json) {
            init.changeDoorReset(json.dprotalID);

            init.createDoorList(json);
        },
        /*
         * 创建栏目列表
         * @json 栏目数据
         */
        createModuleList: function (json) {
            _module.empty();
//            _moduleList.width(wdwidth - _portal.width());
            _moduleScroll.width(10000);

            if (json && json.length > 0)
            {
                $.each(json, function (index, part) {
                    //栏目标题
                    var _li = $("<li>");
                    _li.attr("moduleID", part.moduleID).attr("channelId", part.channelId).text(part.moduleName).appendTo(_module);
                    moduleWidth = moduleWidth + _li.width();
                    //alert(_moduleScroll.width() + "," + _li.width())
                    if (index == 0) {
                        moduleHeight = _li.height();
                    }
                    //栏目对应的信息列表框

                })
                _moduleScroll[0].style.width = (moduleWidth + 1) + "px";
                setTimeout(function () {
                    init.setModuleWrapper();
                    setTimeout(function () {
                        myModuleList.scrollTo(0, 0);
                        init.bindModule();
                    }, 50);
                },50)
            }else{
                $('#message').html('');
            }
        },
        /*
         * 栏目绑定事件
         */
        bindModule: function () {
            var _li = _module.children("li"),
                _nowli = _li.eq(0);
            _li.each(function (index) {
            	var cid = $(this).attr("channelId");
                var mid = $(this).attr("moduleID");
                $(this).on("tap", function () {
                    $(this).addClass("current").siblings().removeClass("current");
                    if (refresh == 1) { _listloading.addClass("margintop"); refresh = 0 }
                    else { _listloading.removeClass("margintop") }
                    _listloading.show();
                    nowChannelId = cid;
                    nowModuleID = mid;
                    sessionStorage.setItem("nowChannelId", cid);
                    sessionStorage.setItem("nowModuleID", mid);
                    sessionStorage.setItem("nowDprotalID", dprotalID);
                    init.clickModuleReset(mid,cid);
                    if (typeof (myModuleList) != "undefined") {
                        var lf = $(this).position().left,
                            wd = $(this)[0].offsetWidth;
                        setTimeout(function () {
                            if (lf > wdwidth - wd - 35) {
                                myModuleList.scrollBy(-(lf - (wdwidth - wd - 35)), 0, 1000);
                            }
                            if (lf < 0) {
                                myModuleList.scrollBy(-lf, 0, 1000);
                            }
                        }, 400)
                    }
                    setTimeout(function () {
                        init.clickModule($(this), mid,cid);
                    }, 600);
                })
                if (dprotalID == sessionStorage.getItem("nowDprotalID") && mid == nowModuleID && nowModuleID != null) {
                    _nowli = $(this);
                }
            })
            _nowli.trigger("tap");
        },
        /*
         * 栏目点击事件
         * @opt 栏目元素
         * @moduleID 栏目ID
         */
        clickModule: function (opt, moduleID,channelId) {
            var json = init.getMessageList(0, 0, count, moduleID,channelId);
            if (json.messageInfo.length == 0) {
                _listloading.text("没有数据！");
                setTimeout(function () {
                    _listloading.text("加载中...");
                    _listloading.hide();
                }, 800);
            } else {
                _listloading.hide();
                messageIDMin = json.messageInfo.length > 0 ? json.messageInfo[json.messageInfo.length - 1].messageID : messageIDMin;
                messageIDMax = json.messageInfo.length > 0 ? json.messageInfo[0].messageID : messageIDMax; //获取更新，第一条信息ID
                //messageIDMax
                init.createMessageList(json,tempPageNumber);
                init.setSize();
                init.setMessageWrapper();
            }
        },
        /*
         * 获取栏目包含的信息列表
         * @state 0加载更多 1刷新
         * @count 获取的数据条数
         * @moduleID 数据源ID
         * @channelId 栏目id
         */
        getMessageList: function (messageID, state, count, moduleID,channelId) {
            var url = inface + "GetMessageList",
                jsondata = {
                    MessageID: messageID,
                    State: state,
                    Count: count,
                    ModuleID: moduleID,
                    ChannelId:channelId
                }
            var data = GetDataByUrl_Post(url, JSON.stringify(jsondata));
            var json = JSON.parse(JSON.stringify(data));

            //var json = { "messageInfo": [{ "messageID": "1146", "messageTitle": "信息发布只有测试部看得到", "sendTime": "2016-02-03 15:00:00", "flag": "1", "messageType": "测试类" }, { "messageID": "1145", "messageTitle": "测试新闻发布1111", "sendTime": "2016-02-02 13:27:00", "flag": "1", "messageType": "测试类" }, { "messageID": "1144", "messageTitle": "发布测试信息", "sendTime": "2016-01-28 17:49:04", "flag": "1", "messageType": "测试类" }, { "messageID": "1140", "messageTitle": "附件", "sendTime": "2016-01-27 10:03:42", "flag": "1", "messageType": "测试类" }, { "messageID": "1138", "messageTitle": "Word", "sendTime": "2016-01-27 10:00:17", "flag": "1", "messageType": "测试类" }, { "messageID": "1137", "messageTitle": "excel", "sendTime": "2016-01-27 09:58:14", "flag": "0", "messageType": "测试类" }, { "messageID": "1132", "messageTitle": "原标题：习近平在阿拉伯国家联盟总部的演讲（全文）", "sendTime": "2016-01-22 16:57:23", "flag": "0", "messageType": "测试类" }, { "messageID": "1122", "messageTitle": "要看图", "sendTime": "2016-01-21 14:50:10", "flag": "1", "messageType": "测试类" }, { "messageID": "1106", "messageTitle": "我是标题", "sendTime": "2016-01-20 10:32:00", "flag": "0", "messageType": "测试类" }, { "messageID": "1105", "messageTitle": "流程流程流程流程", "sendTime": "2016-01-20 09:59:00", "flag": "0", "messageType": "测试类" }], "success": 1, "mes": "获取信息列表成功！" }

            return json;
        },
        /*
         * 创建信息列表
         * @json 信息数据
         */
        createMessageList: function (json,pageNum){
            if (json.success == 1 && json.messageInfo.length > 0) {
                var businessIdArray = "";
                startNum = pageNum*count;
                var conStr='';
                $.each(json.messageInfo, function (index, part) {
                    var tempNum = pageNum*count+index;
                    conStr='<li class="item">'
                        +'	<a href="messageDetail.html?newpage=1&newWebView=1&hideShare=1&title=新闻详情&messageid='+part.messageID+'" messageID="'+part.messageID+'" tempNum="'+tempNum+'" messageTitle="'+part.messageTitle+'">'
                        +'		<dl>'
//                        +'			<dt>'
//                        +'				<span class="item-waitRead-pic green">'
//                        +'					<i class="fa fa-rss-square" style=""></i>'
//                        +'				</span>'
//                        +'			</dt>'
                        +'			<dd>'
                        +'				<div class="cont">'
                        +'					<p class="type" title="'+part.messageTitle+'">'+part.messageTitle+'</p>'
                        +'					<p class="state"><font>'+getNewDate(part.sendTime)+'</font></p>'
                        +'				</div>'
                        +'			</dd>'
                        +'		</dl>'
                        +'		<i class="sign"></i>'
                        +'	</a>';
                    //-----------------------------回复 start------------------------------
                    //记录业务ID
                    businessIdArray=businessIdArray+part.messageID+",";
                    //初始化回复、赞和关注按钮
                    var innerHtml = initTemp(part.messageID,tempNum,part.messageTitle,part.sendTime.split(" ")[0],"");
                    conStr+=innerHtml+'</li>';
                    if (setload == -1) {
                        _message.append(conStr);
                    } else {
                        _message.append(conStr);
                    };

                    bindClickEvent();
                })
                _message.width(wdwidth)
                //-----------------------------回复 start------------------------------
                //初始化回复、赞和关注的数目和图片
                getListReplyZanFocus(businessIdArray,startNum);
                //-----------------------------回复 end--------------------------------
            }
        },
        /*
         * 点击栏目重置信息
         * @moduleID 数据源ID
         */
        clickModuleReset: function (moduleID) {
            _message.empty();
            setload = 0;
            messageIDMin = 0;
            messageIDMax = 0;
            if (typeof (_pullUp) != "undefined") {
                _pullUp.removeClass("isover")
                init.pullUpReset();
            }
        },
        /*
         * 切换门户重置信息
         * @protalID 门户ID
         */
        changeDoorReset: function (protalID) {
            moduleWidth = 0;
            _moduleScroll.width(10000);
        },
        /*
         * 设置栏目滑动区域
         */
        setModuleWrapper: function () {
            if (typeof (myModuleList) != "undefined") {
                myModuleList.destroy();
                myModuleList = null;
            }
            myModuleList = new IScroll(_moduleList[0], {
                eventPassthrough: true,
                scrollX: true,
                scrollY: false,
                preventDefault: false
            });
        },
        /*
         * 设置信息列表滑动区域
         */
        setMessageWrapper: function () {

            _pullDown = $("#pullDown");
            _pullUp = $("#pullUp");
            _pullLeft = $("#pullLeft");
            _pullRigth = $("#pullRight");

            if (typeof (myMessageList) != "undefined") {
                myMessageList.destroy();
                myMessageList = null;
            }

            myMessageList = new IScroll(_messageList[0], {
                //scrollbars: true,
                //mouseWheel: true,
                //interactiveScrollbars: true,
                //shrinkScrollbars: 'scale',
                //fadeScrollbars: true,
                //probeType: true,
                //scrollX: true,
               scrollY: true,
                probeType: 2,
                scrollbars: true,//有滚动条
                mouseWheel: true,//允许滑轮滚动
                fadeScrollbars: true,//滚动时显示滚动条，默认影藏，并且是淡出淡入效果
                bounce: true,//边界反弹
                interactiveScrollbars: true,//滚动条可以拖动
                shrinkScrollbars: 'scale',// 当滚动边界之外的滚动条是由少量的收缩。'clip' or 'scale'.
                momentum: true,// 允许有惯性滑动
                click:true,
                preventDefault: true
                //snap: true,
                //snapSpeed: 400,
                //keyBindings: true
            });
            myMessageList.on("scrollEnd", function () {
                if (loadingStep == 1) {
                    if (_pullUp.attr('class').match('pullOn|loading-up')) {
                        _pullUp.removeClass('pullOn').addClass('loading-up');
                        _pullUp.text('加载中...');
                        loadingStep = 2;
                        init.pullUp();
                    }
                    else if (_pullDown.attr('class').match('pullOn|loading-down')) {
                        _pullDown.removeClass('pullOn').addClass('loading-down');
                        _pullDown.text('加载中...');
                        loadingStep = 2;
                        init.pullDown();
                    }
                }
            })
            myMessageList.on("scroll", function () {
                if (loadingStep == 0 && !_pullDown.attr("class").match("pullOn|loading-down") && !_pullUp.attr("class").match('pullOn|loading-up'))
                {
                    if (this.y > 30) {
                        //下拉刷新效果
                        _pullDown.attr("class", "pullDown")
                        _pullDown.show();
                        this.refresh();
                        _pullDown.addClass("pullOn");
                        _pullDown.text("松手开始刷新");
                        loadingStep = 1;
                    } else if (this.y < (this.maxScrollY - 30)&&_message.height()>_messageList.height()&&!_pullUp.attr("class").match("isover")) {
                        //上拉加载效果
                        _pullUp.attr("class", "pullUp")
                        _pullUp.show();
                        this.refresh();
                        _pullUp.addClass("pullOn");
                        _pullUp.html("松手开始加载");
                        loadingStep = 1;
                    }
                }
                //2016-11-17 控制返回顶端按钮显示隐藏
                if(documentHeight==0){
                    if($('#message').height()>$('#messageList').height()){
                        documentHeight=$('#message').height()-$('#messageList').height();
                    }else{
                        documentHeight=$('#messageList').height()>$('#message').height();
                    }
                }
                if((-this.y)>documentHeight){//内容超出一屏多则显示“回到顶部”按钮
                    $('.add-btn').eq(0).removeClass('add-btn-hide');
                    $('.top-btn').removeClass('top-btn-hide');
                }else{
                    $('.add-btn').eq(0).addClass('add-btn-hide');
                    $('.top-btn').addClass('top-btn-hide');
                }
                var scrtop =-this.y;
                if (scrtop > sign) {
                    sign = scrtop;
                    $('#menuBtn').eq(0).addClass('add-btn-hide').addClass('add-btn-remove');
                }
                if (scrtop < sign) {
                    sign = scrtop;
                    $('#menuBtn').removeClass('add-btn-remove');
                }
            });
        },     
        /*
         * 设置相关元素大小
         */
        setSize: function () {
            var top = $("nav").height() + moduleHeight;
            _messageList.height($(window).height() - top).css("top", top);
            //_messageScroll.width($(window).width() + 1);
        },
        /*
         * 上拉加载更多
         */
        pullUp: function () {
            setTimeout(function () {
                setload = 1;
                //alert('messageIDMin2='+messageIDMin);
                //alert('nowModuleID2='+nowModuleID);
                var json = init.getMessageList(messageIDMin, 0, count, nowModuleID,nowChannelId);
                if (json.success == 1 && json.messageInfo.length > 0) {
                    tempPageNumber++;
                }
                init.createMessageList(json,tempPageNumber);
                messageIDMin = json.messageInfo.length > 0 ? json.messageInfo[json.messageInfo.length - 1].messageID : messageIDMin; //获取更多, 最后一条的信息ID

                if (json.messageInfo.length < count) {
                    _pullUp.text("没有更多数据了！");
                    _pullUp.addClass("isover")
                    setTimeout(function () {
                        init.pullUpReset();
                    }, 600);
                } else {
                    init.pullUpReset();
                }
                loadingStep = 0;
            }, 800);
        },
        /*
         * 下拉刷新
         */
        pullDown: function () {
            setTimeout(function () {
                setload = -1;
                $('#message').empty();
                var json = init.getMessageList(0, 1, count, nowModuleID,nowChannelId);
                init.createMessageList(json,tempPageNumber);
                messageIDMax = json.messageInfo.length > 0 ? json.messageInfo[0].messageID : messageIDMax; //获取更新，第一条信息ID
                messageIDMin = json.messageInfo.length > 0 ? json.messageInfo[json.messageInfo.length - 1].messageID : messageIDMin; //获取更多, 最后一条的信息ID
                if (json.messageInfo.length == 0) {
                    _pullDown.text("没有最新的数据了！");
                    setTimeout(function () {
                        init.pullDownReset();
                    }, 600);
                } else {
                    _pullUp.text("").css('display','none').removeClass("isover");
                    init.pullDownReset();
                }
                loadingStep = 0;
            }, 800);
        },
        /*
         * 下拉刷新重置
         */
        pullDownReset: function () {
            _pullDown.removeClass("loading-down");
            _pullDown.text("下拉刷新");
            _pullDown.attr("class", "pullDown").hide();
            myMessageList.refresh();
        },
        /*
         * 上拉加载重置
         */
        pullUpReset: function () {
            _pullUp.removeClass("loading-up");
            if (!_pullUp.attr("class").match("isover")) {
                _pullUp.text("上拉加载");
                _pullUp.hide();
            }
            myMessageList.refresh();
        }
    }
    function bindClickEvent(){
        $('#message .item').each(function(){
            var _a1=$(this).find('a').eq(0);
            var _a2=$(this).find('a').eq(1);
            var messageID=_a1.attr('messageID');
            var tempNum=_a1.attr('tempNum');
            var messageTitle=_a1.attr('messageTitle');
            //_a1.attr("href","" + messageID);
           /* _a1.on("tap", function () {
                window.location.href = 
            })*/
            _a2.find('.reply').on("tap", function (e) {
                reply(messageID,tempNum);
            })
            _a2.find('.zan').on("tap", function (e) {
                zan(messageID,tempNum);
            })
            _a2.find('.focus').on("tap", function (e) {
                focusInfo(messageID,tempNum,messageTitle);
            })
        })

    }
    /**
     * 单一栏目用
     */
    function searchMessageList () {
    	var channelId = getUrlParam("channelId");//栏目id
        var moduleID = getUrlParam("moduleID");//数据源id
        var messageID=0, state=0, count=10;
        nowChannelId = channelId;
        nowModuleID = moduleID;
        var url = inface + "GetMessageList",
            jsondata = {
                MessageID: messageID,
                State: state,
                Count: count,
                ModuleID: moduleID,
                ChannelId:channelId
            }
        var data = GetDataByUrl_Post(url, JSON.stringify(jsondata));
        var json = JSON.parse(JSON.stringify(data));
        if (json.messageInfo.length == 0) {
            _listloading.text("没有数据！");
            setTimeout(function () {
                _listloading.text("加载中...");
                _listloading.hide();
            }, 800);
        } else {
            _listloading.hide();
            messageIDMin = json.messageInfo.length > 0 ? json.messageInfo[json.messageInfo.length - 1].messageID : messageIDMin;
            messageIDMax = json.messageInfo.length > 0 ? json.messageInfo[0].messageID : messageIDMax; //获取更新，第一条信息ID
            console.log("messageIDMin="+messageIDMin+"messageIDMax="+messageIDMax);
            if (json.success == 1 && json.messageInfo.length > 0) {
                var businessIdArray = "";
                startNum = tempPageNumber*count;
                var conStr='';
                $.each(json.messageInfo, function (index, part) {
                    var tempNum = tempPageNumber*count+index;
                    conStr='<li class="item">'
                        +'	<a href="javascript:;" messageID="'+part.messageID+'" tempNum="'+tempNum+'" messageTitle="'+part.messageTitle+'">'
                        +'		<dl>'
                        +'			<dt>'
                        +'				<span class="item-waitRead-pic green">'
                        +'					<i class="fa fa-puzzle-piece" style=""></i>'
                        +'				</span>'
                        +'			</dt>'
                        +'			<dd>'
                        +'				<div class="cont">'
                        +'					<p class="type" title="'+part.messageTitle+'">'+part.messageTitle+'</p>'
                        +'					<p class="state"><font class="pull-right">'+part.sendTime.split(" ")[0]+'</font></p>'
                        +'				</div>'
                        +'			</dd>'
                        +'		</dl>'
                        +'		<i class="sign"></i>'
                        +'	</a>';
                    //-----------------------------回复 start------------------------------
                    //记录业务ID
                    businessIdArray=businessIdArray+part.messageID+",";
                    //初始化回复、赞和关注按钮
                    var innerHtml = initTemp(part.messageID,tempNum,part.messageTitle,part.sendTime.split(" ")[0],"");
                    conStr+=innerHtml+'</li>';
                    if (setload == -1) {
                        _message.append(conStr);
                    } else {
                        _message.append(conStr);
                    };

                    bindClickEvent();
                })
                //_message.width(wdwidth)
                //-----------------------------回复 start------------------------------
                //初始化回复、赞和关注的数目和图片
                getListReplyZanFocus(businessIdArray,startNum);
                //-----------------------------回复 end--------------------------------   
            }
            init.setSize();
            init.setMessageWrapper();
        }
    }
    //初始化加载页面数据
    $(function () {
        var singleColumn = getUrlParam("singleColumn");
        if(IsSpace(singleColumn)){//企业门户
            init.create();
        }else{//单一栏目
            searchMessageList();
        }
        document.addEventListener('touchmove', function (event) {
            event.preventDefault();
        }, false)
    })
    
    /*
	* 返回顶端,并隐藏返回顶端按钮 2016-11-17
	*/
    $('.top-btn').on('click',function(){
    	$('#messageScroll').attr('style','transform: translate(0px, 0px)');
    	$('.add-btn').eq(0).addClass('add-btn-hide');
        $('.top-btn').addClass('top-btn-hide');
    });
});
