define(['mobilekit', 'swiper', 'cookie'], function() {
	//构建图标链接到报表的iframe
	var reportIframe = {
		init: function() {
			reportIframe.createIframe();
		},
		createIframe: function() {
			if ($('#reportIframe').length == 0) {
				var _div = $("<div>", {
					id: "reportIframe"
				}).css({
					"position": "absolute",
					"display": "none",
					"z-index": 1000,
					"width": "100%",
					"height": "100%",
					"backgroundColor": "white"
				});
				var _divclose = $("<div>", {
					id: "reportClose"
				}).css({
					"position": "absolute",
					"z-index": 1001,
					"margin": "15px",
					"padding": "8px",
					"backgroundColor": "#999",
					"color": "white",
					"right": "0",
					"border-radius": "8px",
					"opacity": "0.5",
					"filter": "alpha(opacity=50)"
				})
				var _iframe = $("<iframe>", {
						"frameborder": "no",
						"marginheight": "0",
						"marginwidth": "0",
						"visibility": "hidden",
						"height": "100%",
						"width": "100%",
						"border": "0",
					})
					//			_divclose.text("关闭").click(function(){
					//				reportIframe.closeReportIframe();
					//			})
					//			_divclose.appendTo(_div);
				_iframe.appendTo(_div);
				_div.prependTo($('body'));
			}
		},
		setIframeUrl: function(url) {
			var _reportIframe = $('#reportIframe');
			_reportIframe.children('iframe').attr("src", url);
			_reportIframe.css("top", $('body').scrollTop());
			$('body').css("overflow", "hidden");
			_reportIframe.show();
		},
		closeReportIframe: function() {
			var _reportIframe = $('#reportIframe');
			$('body').css("overflow", "inherit");
			_reportIframe.hide();
		}
	}
	
	
	var iconClick = function(src) {
		reportIframe.createIframe();
		reportIframe.setIframeUrl(src);
	}

	var src = decodeURIComponent(getUrlParam("src"));
	var UserID = decodeURIComponent(getUrlParam("UserID"));

	iconClick(src+"&UserID="+UserID);
});