﻿var checkReply="",checkZan="",checkFocus="",checkForum="",checkFlag="";
/**
 * 初始化模块中的回复、赞、关注位置信息
 * businessId 业务ID; i当前顺序为第几个; title 标题;
 */
function initTemp(businessId,i,title,content,dateRight){
	var innerHtml = "";
	var appServer = store.get("appServer");
	if(appServer=='jc6'){
		checkReply = sessionStorage.getItem("checkReply"+typeCode);
		checkZan = sessionStorage.getItem("checkZan"+typeCode);
		checkFocus = sessionStorage.getItem("checkFocus"+typeCode);
		checkForum = sessionStorage.getItem("checkForum"+typeCode);
		checkFlag = sessionStorage.getItem("checkFlag"+typeCode);
		if(checkFlag==null||checkFlag==""){
			var data = '{"typeCode":"' + typeCode +'"}';
		    var result = GetDataByUrl_Post("api/Work/getWorkConfigList",data);
			var workConfigList = result.list;
			var innerHtml = "";
			if(workConfigList.length>0){
				checkReply = workConfigList[0].reply;
				checkZan = workConfigList[0].zan;
				checkFocus = workConfigList[0].focus;
				checkForum = workConfigList[0].forum;
				checkFlag = "1";
				sessionStorage.setItem("checkReply"+typeCode, checkReply);
				sessionStorage.setItem("checkZan"+typeCode, checkZan);
				sessionStorage.setItem("checkFocus"+typeCode, checkFocus);
				sessionStorage.setItem("checkForum"+typeCode, checkForum);
				sessionStorage.setItem("checkFlag"+typeCode, checkFlag);
			}else{
				checkFlag = "0";
				sessionStorage.setItem("checkFlag"+typeCode, checkFlag);
			}
		}
		if(checkFlag=="1"&&(checkReply=="1"||checkZan=="1"||checkFocus=="1"||checkForum=="1")){
			innerHtml = innerHtml + '<div><div class="sonContent"><div class="footContent" businessId="'+businessId+'" i="'+i+'" title="'+title+'" content="'+content+'" dateRight="'+dateRight+'">'
			var replyHtml = '<div class="reply"><span><i class="fa fa-comment-o" aria-hidden="true"></i><span><span id="reply'+i+'"></span></div>'
			var zanHtml = '<div  class="zan"><span id="zanPic'+i+'"></span><span id="zan'+i+'"></span></div>'
			var focusHtml = '<div class="focus"><span id="focusPic'+i+'"></span><span id="focus'+i+'"></span></div>'
			var forumHtml = '<div class="forum"><span><i class="fa fa-comments-o" aria-hidden="true"></i></span><span>讨论组</span></div>'
			if(checkReply=="1"){
				innerHtml+=replyHtml;
			}
			if(checkZan=="1"){
				innerHtml+=zanHtml;
			}
			if(checkFocus=="1"){
				innerHtml+=focusHtml;
			}
			if(checkForum=="1"){
				innerHtml+=forumHtml;
			}
			innerHtml+='</div></div></div>';
		}
	}
	return innerHtml;
}
function bindReplyClick(){
	var clickEventType='';
	if(typeCode=='9'){
		clickEventType='click';
	}else{
		clickEventType=((document.ontouchstart!==null)?'click':'tap');
	}
	$('.footContent').each(function(){
		var businessId=$(this).attr('businessId');
		var i=$(this).attr('i');
		var title=$(this).attr('title');
		var content=$(this).attr('content');
		var dateRight=$(this).attr('dateRight');
		var oReply=$(this).find('.reply');
		var oZan=$(this).find('.zan');
		var oFocus=$(this).find('.focus');
		var oForum=$(this).find('.forum');
		oReply.unbind(clickEventType);
		oReply.bind(clickEventType, function() {
			reply(businessId,i,title,content,dateRight);
        });
		oZan.unbind(clickEventType);
		oZan.bind(clickEventType, function() {
			zan(businessId,i);
        });
		oFocus.unbind(clickEventType);
		oFocus.bind(clickEventType, function() {
			focusInfo(businessId,i,title);
        });
		oForum.unbind(clickEventType);
		oForum.bind(clickEventType, function() {
			forumInfo(businessId,title,content,dateRight);
        });
	})
}
/**
 * 根据业务id，获取回复、赞和关注的数量和图片
 */
function getListReplyZanFocus(businessIdArray,tempNum){
	if(appServer=='jc6'){
		if(checkReply=="1"||checkZan=="1"||checkFocus=="1"){
			if(businessIdArray!=null&&businessIdArray!=""){
				if(businessIdArray.indexOf(",")>-1){
					businessIdArray=businessIdArray.substring(0,businessIdArray.lastIndexOf(","));
				}
		    	var data = '{"businessId":"' + businessIdArray + '","typeCode":"' + typeCode + '","checkReply":"' + checkReply + '","checkZan":"' + checkZan + '","checkFocus":"' + checkFocus + '"}';
		        var result = GetDataByUrl_Post("api/Work/getList",data);
		    	var workList = result.list;
		    	var innerHtml = "";
		    	for(var i=0;i<workList.length;i++){
		    		var temp = tempNum+i;
		    		var replyNum = workList[i].replyNum;
		    		var zanNum = workList[i].zanNum;
		    		var focusNum = workList[i].focusNum;
		    		var confirmZan = workList[i].confirmZan;
		    		var confirmFocus = workList[i].confirmFocus;
		    		if(replyNum<=0){
		    			replyNum="回复";
		    		}
		    		if(zanNum<=0){
		    			zanNum="赞";
		    		}
		    		if(focusNum<=0){
		    			focusNum="关注";
		    		}
		    		
		    		if(confirmZan=="1"){
		    			confirmZan='<i class="fa fa-thumbs-up" aria-hidden="true"></i>';
		    		}else{
		    			confirmZan='<i class="fa fa-thumbs-o-up" aria-hidden="true"></i>';
		    		}
		    		
		    		if(confirmFocus=="1"){
		    			confirmFocus='<i class="fa fa-heart" aria-hidden="true"></i>';
		    		}else{
		    			confirmFocus='<i class="fa fa-heart-o" aria-hidden="true"></i>';
		    		}
		    		$("#reply"+temp).html(replyNum);
		    		$("#zanPic"+temp).html(confirmZan);
		    		$("#zan"+temp).html(zanNum);
		    		$("#focusPic"+temp).html(confirmFocus);
		    		$("#focus"+temp).html(focusNum);
		    	}
		    }
		}
		bindReplyClick();
	}
}
/**
 * 回复
 */
function reply(businessId,i,title,content,dateRight){
	var replyNum = $("#reply"+i).html();
	if(replyNum=="回复"){ //首次回复，直接转到回复界面
		location.href = "../work/reply.html?businessId="+businessId+"&typeCode="+typeCode;
	}else{  //已经有回复了，就转到回复列表页面
		var url = "../work/workInfo.html?businessId="+businessId+"&typeCode="+typeCode+"&fr="+fr+"&checkZan="+checkZan+"&title="+title+"&content="+content+"&dateRight="+dateRight;
		location.href = encodeURI(url);
	}
}
/**
 * 点赞
 */
function zan(businessId,i){
	var confirmZan = "";
	var zanNum = $("#zan"+i).html();
	var zanNumNew = "";
	if(zanNum=="赞"){
		zanNum="0";
	}
	var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode + '"}';
    var result = GetDataByUrl_Post("api/Work/checkZan",data);
    var json = JSON.stringify(result);
    json = JSON.parse(json);
    if(json.success=="1"){
    	zanNumNew = Number(zanNum)-1;
    	if(zanNumNew<=0){
    		zanNumNew = "赞";
    	}
    	confirmZan='<i class="fa fa-thumbs-o-up" aria-hidden="true"></i>';
    }else{
    	zanNumNew = Number(zanNum)+1;
    	confirmZan='<i class="fa fa-thumbs-up" aria-hidden="true"></i>';
    }
    $("#zanPic"+i).html(confirmZan);
    $("#zan"+i).html(zanNumNew);
}
/**
 * 关注
 */
function focusInfo(businessId,i,title){
	var confirmFocus = "";
	var focusNum = $("#focus"+i).html();
	var focusNumNew = "";
	if(focusNum=="关注"){
		focusNum="0";
	}
	var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode + '","title":"' + title + '"}';
    var result = GetDataByUrl_Post("api/Work/checkFocus",data);
    var json = JSON.stringify(result);
    json = JSON.parse(json);
    if(json.success=="1"){
    	focusNumNew = Number(focusNum)-1;
    	if(focusNumNew<=0){
    		focusNumNew = "关注";
    	}
    	confirmFocus='<i class="fa fa-heart-o" aria-hidden="true"></i>';
    }else{
    	focusNumNew = Number(focusNum)+1;
    	confirmFocus='<i class="fa fa-heart" aria-hidden="true"></i>';
    }
    $("#focusPic"+i).html(confirmFocus);
    $("#focus"+i).html(focusNumNew);
}
/**
 * 讨论组
 */
function forumInfo(businessId,title,content,dateRight){
	var diaryUrl = "";
	if(typeCode=="2"){
		diaryUrl = baseurl+"OAPlus/view/work/workDetail.html?hideShare=1&businessId="+businessId+"&typeCode="+typeCode+"&sign="+appSign+"&title=&content=&dateRight=";
	}else{
		diaryUrl = baseurl+"OAPlus/view/work/workDetail.html?hideShare=1&businessId="+businessId+"&typeCode="+typeCode+"&sign="+appSign+"&title="+title+"&content="+content+"&dateRight="+dateRight;
	}
	var picurl = baseurl+"OAPlus/styles/images/User.png";
	transDiary(diaryUrl,picurl,content,title);
}

/**
 * 调用讨论组的页面
 * @param diaryUrl
 * @param picurl
 * @param diaryContent
 * @param diaryTitle
 */
function transDiary(diaryUrl,picurl,diaryContent,diaryTitle) {
//	var diaryUrl = encodeURI(encodeURI(diaryUrl));
	var args = "{\"businessJson\":\"{\\\"diaryUrl\\\":" + "\\\""+diaryUrl + "\\\"" + ",\\\"diaryPicUrl\\\": " + "\\\"" + picurl + "\\\"" +", \\\"diaryContent\\\": " + "\\\"" + diaryContent + "\\\"" +", \\\"diaryTitle\\\": " + "\\\""+ diaryTitle + "\\\"" +"}\",\"businessType\":3}";
//	console.log(args);
	var encodeArgs = $.base64.encode(args,'utf-8');
	var tagEncode = $.base64.encode("1812");
	console.log("jhoabrowser://transDiary?args="+encodeArgs+"&tag="+tagEncode);
	window.location.href="jhoabrowser://transDiary?args="+encodeArgs+"&tag="+tagEncode;
}
