var typeCode = "";
var fr = "";
var checkZan = "";
var businessId = "";
var showTab = "";
var PageSize = 20; // 一页显示多少条数据
var CurrentPage = 1; // 当前页
define([ 'mobilekit', 'swiper' ],function() {
			businessId = GetQueryString("businessId");
			typeCode = GetQueryString("typeCode");
			fr = GetQueryString("fr");
			checkZan = GetQueryString("checkZan");
			title = GetQueryString("title");
			content = GetQueryString("content");
			dateRight = GetQueryString("dateRight");
			if (checkZan == "1") {
				var innerHtmlList = '<div  class="zan"  onclick="zanTab();"><span>赞&nbsp;(<span id="zanNum"></span> )</span></div>';
				$("#zanList").html(innerHtmlList);
				var innerHtml = '<div  class="zan" onclick="zan();"><span id="zanPic"></span><span>赞</span></div>';
				$("#zanId").html(innerHtml);
			}
			// 1.初始化业务内容
			initBusinessContent(title, content, dateRight);
			// 2.初始化回复和赞的数量
			initNum();
			// 3.初始化最下方的赞
			initZan();
			// 4.初始化回复内容
			replyTab();
			
			// 获取参数的方法
			function GetQueryString(name) {
				var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
				var r = decodeURI(window.location.search).substr(1).match(reg);
				if (r != null)
					return unescape(r[2]);
				return null;
			}

			/**
			 * 初始化业务数据
			 */
			function initBusinessContent(title, content, dateRight) {
				$("#objTitle").html(title);
				$("#orderType").html(content);
				$("#objDate").html(dateRight);
			}
			/**
			 * 初始化最下方的赞
			 */
			function initZan() {
				var zanPic = "";
				var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode + '"}';
				var result = GetDataByUrl_Post("api/Work/checkShowZan", data);
				var json = JSON.stringify(result);
				json = JSON.parse(json);
				if (json.success == "1") {
					zanPic = '<i class="fa fa-thumbs-up" aria-hidden="true"></i>';
				} else {
					zanPic = '<i class="fa fa-thumbs-o-up" aria-hidden="true"></i>';
				}
				$("#zanPic").html(zanPic);
			}

			/**
			 * 初始化回复和赞的数量
			 */
			function initNum() {
				var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode
						+ '","checkReply":"' + "1" + '","checkZan":"' + "1"
						+ '","checkFocus":"' + "0" + '"}';
				var result = GetDataByUrl_Post("api/Work/getList", data);
				var workList = result.list;
				var innerHtml = "";
				for ( var i = 0; i < workList.length; i++) {
					var replyNum = workList[i].replyNum;
					var zanNum = workList[i].zanNum;
					$("#replyNum").html(replyNum);
					$("#zanNum").html(zanNum);
				}
			}
});
/**
 * 回复页面
 */
function replyTab() {
	// 获取服务器当前时间
	var curDate = getNowFormatDate();
	var innerHtml = "";
	var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode+ '"}';
	var result = GetDataByUrl_Post("api/Work/getListReply", data);
	var replyList = result.list
	for ( var i = 0; i < replyList.length; i++) {
		var id = replyList[i].id;
		var parentId = replyList[i].parentId;
		var replyTo = replyList[i].replyTo;
		var content = replyList[i].content;
		var createDate = JsDateDiff1(replyList[i].createDate, curDate);
		var createIp = replyList[i].createIp;
		var replyUserName = replyList[i].replyUserName;
		var loginUserId = replyList[i].loginUserId;
		var replyUserId = replyList[i].replyUserId;

		innerHtml += '<div class="sonContent"><span class="item-wait-approval-pic green"><i class="fa fa-puzzle-piece"></i></span>'
				+ '<span class="cont"><p class="state" style="padding-top:28px;"><span>'
				+ replyUserName + '</span>' + '<span class="test fr">';
		if (loginUserId == replyUserId) {
			innerHtml += '<i class="fa fa-trash-o" aria-hidden="true" onclick="deleteReply(\''+ id + '\');"></i>';
		}

		// 初始化列表中的赞
		var zan = "";
		var data = '{"businessId":"' + id + '","typeCode":"' + typeCode + '"}';
		var result = GetDataByUrl_Post("api/Work/checkShowZan", data);
		var json = JSON.stringify(result);
		json = JSON.parse(json);
		if (checkZan == "1") {
			if (json.success == "1") {
				zan = '<i class="fa fa-thumbs-up" aria-hidden="true"></i>';
			} else {
				zan = '<i class="fa fa-thumbs-o-up" aria-hidden="true"></i>';
			}

			innerHtml += '<span id="zan' + i + '" onclick="zanSon(' + i + ',\''
					+ id + '\');">' + zan + '</span>'
		}

		innerHtml += '<i class="fa fa-comment-o" aria-hidden="true" onclick="replySon(\''
				+ id + '\');"></i></p>'
		if (replyTo != null && replyTo != "") {
			var contentHtml = '<p class="type">回复<span style="color:#0099FF">@'
					+ replyTo + '</span>：' + content + '</p>';
			innerHtml += contentHtml;
		} else {
			innerHtml += '<p class="type">' + content + '</p>'
		}

		innerHtml += '<p class="state line" style="margin-left:60px;">'
				+ createDate + '， 来自' + createIp + '</p></span></div>';
	}
	$("#listContent").html(innerHtml);

	showTab = "replyTab";
}

/**
 * 赞页面
 */
function zanTab() {
	var innerHtml = "";
	var zanUserList = "";
	var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode
			+ '"}';
	var result = GetDataByUrl_Post("api/Work/getListZan", data);
	var zanList = result.list
	if (zanList.length > 0) {
		for ( var i = 0; i < zanList.length; i++) {
			var userName = zanList[i].userName;
			zanUserList += userName;
			zanUserList += "&nbsp;&nbsp;&nbsp;&nbsp;";
		}
		innerHtml += '<p style="text-align:center;padding-top:50px;">这些同事觉得很赞</p><p class="approval-con">'
				+ zanUserList + '</p>';
	} else {
		innerHtml += '<p style="text-align:center;padding-top:60px;font-size: 25px;"><i class="fa fa-thumbs-o-up" aria-hidden="true"></i></p>'
				+ '<p style="text-align:center;padding-top:5px;">还没有人赞过</p><p style="text-align:center;padding-top:1px;padding-bottom:24px;">觉得好就赞一下吧！</p>';
	}

	$("#listContent").html(innerHtml);
	showTab = "zanTab";
}

/**
 * 删除回复
 */
function deleteReply(id) {
	var data = '{"id":"' + id + '"}';
	var result = GetDataByUrl_Post("api/Work/deleteReply", data);
	var json = JSON.stringify(result);
	json = JSON.parse(json);
	if (json.success == "1") {
		// 回复内容改变后需要重新查询
		replyTab();
		// 回复数量改变
		var replyNum = $("#replyNum").html();
		replyNum = Number(replyNum) - 1;
		$("#replyNum").html(replyNum);
	} else {
		toast("删除失败！", "", 1500);
	}
}

/**
 * 子回复的赞
 */
function zanSon(i, id) {
	var zan = "";
	var data = '{"businessId":"' + id + '","typeCode":"' + typeCode + '"}';
	var result = GetDataByUrl_Post("api/Work/checkZan", data);
	var json = JSON.stringify(result);
	json = JSON.parse(json);
	if (json.success == "1") {
		zan = '<i class="fa fa-thumbs-o-up" aria-hidden="true"></i>';
	} else {
		zan = '<i class="fa fa-thumbs-up" aria-hidden="true"></i>';
	}
	$("#zan" + i).html(zan);
}

/**
 * 子回复的再次回复
 */
function replySon(id) {
	location.href = "../work/reply.html?id=" + id + "&typeCode=" + typeCode;
}

/**
 * 下方按钮回复
 */
function reply() {
	location.href = "../work/reply.html?businessId=" + businessId
			+ "&typeCode=" + typeCode;
}

/**
 * 下方按钮点赞
 */
function zan() {
	var zanPic = "";
	var zanNum = $("#zanNum").html();
	var zanNumNew = "";
	var data = '{"businessId":"' + businessId + '","typeCode":"' + typeCode
			+ '"}';
	var result = GetDataByUrl_Post("api/Work/checkZan", data);
	var json = JSON.stringify(result);
	json = JSON.parse(json);
	if (json.success == "1") {
		zanNumNew = Number(zanNum) - 1;
		if (zanNumNew <= 0) {
			zanNumNew = "0";
		}
		zanPic = '<i class="fa fa-thumbs-o-up" aria-hidden="true"></i>';
	} else {
		zanNumNew = Number(zanNum) + 1;
		zanPic = '<i class="fa fa-thumbs-up" aria-hidden="true"></i>';
	}
	$("#zanNum").html(zanNumNew);
	$("#zanPic").html(zanPic);
	if (showTab == "zanTab") {
		zanTab();
	}
}

// 时间函数，返回两个时间的差 ，格式“昨天 08:14”
function JsDateDiff1(publishTime1, baseTime1) {
	// 解决safari浏览器问题
	publishTime1 = publishTime1.replace(/-/g, "/");
	baseTime1 = baseTime1.replace(/-/g, "/");
	var publishTime = new Date(publishTime1);
	var d_year, d_month, d_days;
	d_days = parseInt(publishTime.getDate(), 10);
	d_month = parseInt(publishTime.getMonth(), 10);
	d_year = parseInt(publishTime.getYear(), 10);

	var baseTime = new Date(baseTime1);
	var b_year, b_month, b_days;
	b_days = parseInt(baseTime.getDate(), 10);
	b_month = parseInt(baseTime.getMonth(), 10);
	b_year = parseInt(baseTime.getYear(), 10);

	var ddif, ydif, mdif;
	ddif = b_days - d_days;
	mdif = b_month - d_month;
	ydif = b_year - d_year;

	if (ddif == 0 && ydif == 0 && mdif == 0) {
		return "今天" + " " + Fillzero(publishTime.getHours()) + ":"
				+ Fillzero(publishTime.getMinutes());
	} else if (ddif == 1 && ydif == 0 && mdif == 0) {
		return "昨天" + " " + Fillzero(publishTime.getHours()) + ":"
				+ Fillzero(publishTime.getMinutes());
	} else if (ddif == 2 && ydif == 0 && mdif == 0) {
		return "前天" + " " + Fillzero(publishTime.getHours()) + ":"
				+ Fillzero(publishTime.getMinutes());
	} else {
		var s = publishTime;
		return Fillzero(publishTime.getMonth() + 1) + "."
				+ Fillzero(publishTime.getDate()) + " "
				+ Fillzero(publishTime.getHours()) + ":"
				+ Fillzero(publishTime.getMinutes());
	}
}
function Fillzero(str) {
	str = String(str);
	if (str.length == 1)
		str = "0" + str;
	return str;
}
