define(['mobilekit'], function() {
    var xmlId = "";
    init();
    //输入框聚焦时变色
    $('.form-group').on('focus', 'input', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'input', function() {
        $(this).closest('.form-control').removeClass('active');
    });

    $('.form-group').on('focus', 'textarea', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'textarea', function() {
        $(this).closest('.form-control').removeClass('active');
    });

    /////////////////////////////////////////表单从表业务处理B//////////////////////////////////
    //下拉
    select($('.select-content'), '.select-show');
    function select(select, selectShow) {
        select.on('change', function() {
            $(this).parent().find(selectShow).html(this.options[this.selectedIndex].text);
        })
    }
    //获取系统内置默认值
    function getDefaultValue(value) {
        var ResultValue = "";
        if (value == "{UserName}") {
            ResultValue = appUserName;
        }
        if (value == "{DeptName}") {
            ResultValue = appDeptName;
        }
        if (value == "{DateTime}") {
            ResultValue = getServiceCurDate();
        }
        return ResultValue;
    }
    //下拉解析
    function comboboxlist(strsql) {
        var contStr = "";
        if (strsql != "") {
            //新接口改造
            var url= "api/Model/ExecSqlReList";
            var data=GetDataByUrl_Post(url,JSON.stringify(strsql)) ;
            var json = JSON.stringify(data);
            json = JSON.parse(json);
            if (json.listModel && json.listModel.length > 0) {
                $.each(json.listModel, function(index, part) {
                    contStr += '    <option value="' + part.list[0].colvalue + '">' + part.list[1].colvalue + '</option>';
                });
            }
            //旧接口
            /*$.ajax({
                type: 'post', data: '{"sign":"' + appSign + '","sql":"' + strsql + '"}',
                url: hostUrl + "ExecSqlReList",
                async: false,
                dataType: "json",
                contentType: "application/json;charset=utf-8",
                success: function(data) {
                    var json = JSON.stringify(data);
                    json = JSON.parse(json);
                    if (json.listModel && json.listModel.length > 0) {
                        $.each(json.listModel, function(index, part) {
                            contStr += '    <option value="' + part.list[0].colvalue + '">' + part.list[1].colvalue + '</option>';
                        });
                    }

                },
                Error: function(err) {
                    console.log(err);
                }
            }); */
        }
        return contStr;
    }
    //单选解析
    function radiolist(strsql, name) {
        var contStr = "";
        if (strsql != "") {
            //新接口改造
            var url= "api/Model/ExecSqlReList";
            var data=GetDataByUrl_Post(url,JSON.stringify(strsql)) ;
            var json = JSON.stringify(data);
            json = JSON.parse(json);
            if (json.listModel && json.listModel.length > 0) {
                $.each(json.listModel, function(index, part) {
                    contStr += '          <p class="radio">';
                    contStr += '              <span class="fa fa-circle-o"></span>';
                    contStr += '              <span class="hide">' + part.list[0].colvalue + '</span>';
                    contStr += '              <text>' + part.list[1].colvalue + '</text>';
                    contStr += '            <input type="hidden" checked name="' + name + '"/>';
                    contStr += '          </p>';
                });
            }
            //旧接口
           /*$.ajax({
                type: 'post', data: '{"sign":"' + appSign + '","sql":"' + strsql + '"}',
                url: hostUrl + "ExecSqlReList",
                async: false,
                dataType: "json",
                contentType: "application/json;charset=utf-8",
                success: function(data) {
                    var json = JSON.stringify(data);
                    json = JSON.parse(json);
                    if (json.listModel && json.listModel.length > 0) {
                        $.each(json.listModel, function(index, part) {
                            contStr += '          <p class="radio">';
                            contStr += '              <span class="fa fa-circle-o"></span>';
                            contStr += '              <span class="hide">' + part.list[0].colvalue + '</span>';
                            contStr += '              <text>' + part.list[1].colvalue + '</text>';
                            contStr += '            <input type="hidden" checked name="' + name + '"/>';
                            contStr += '          </p>';
                        });
                    }
                },
                Error: function(err) {
                    console.log(err);
                }
            });*/
        }
        return contStr;
    }

    function init() {
        $('.table-view').html('');
        xmlId = getUrlParam("xmlId");
        $.ajax({
            url: '../../../Jhsoft.Web.module/ModuleSetting/Setting/' + xmlId + '.xml',
            async: false,
            cache: false,
            dataType: 'xml',
            success: function(data) {
                var strkeyname = $(data).find("Tables").find("SubTables").find("SubTable").find("KeyID").text();
                var contStr = "";
                //从表显示
                if ($(data).find("Tables").find("SubTables").find("SubTable").find("CtrlList").find("Ctrl").length > 0) {
                    $(data).find("Tables").find("SubTables").find("SubTable").find("CtrlList").find("Ctrl").each(function(index, ele) {
                        var isshow = "";
                        if ($(ele).attr("datafield") == strkeyname) {
                            isshow = "hide";
                        }
                        if ($(ele).attr("isshow") != null) {
                            if ($(ele).attr("isshow") == "0") {
                                isshow = "hide";
                            }
                        }
                        if ($(ele).attr("ctrltype") == "combobox") {
                            contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                            contStr += '<div class="form-group">';
                            contStr += '<span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                            contStr += '    <div class="select-chose" >';
                            contStr += '    <span class="select-show">请选择</span>';
                            contStr += '    <select  id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" class="select-content">';
                            contStr += '    <option value="">请选择</option>';
                            // if($(ele).attr("selnodes"))
                            if ($(ele).attr("selnodes") != null) {
                                var arrselnodes = $(ele).attr("selnodes").split(";");
                                for (var i = 0; i < arrselnodes.length; i++) {
                                    var arrselnodesvalue = arrselnodes[i].split(":");
                                    contStr += '    <option value="' + arrselnodesvalue[0] + '">' + arrselnodesvalue[1] + '</option>';
                                }
                            }
                            if ($(ele).attr("datasource") != null) {
                                contStr += comboboxlist($(ele).attr("datasource"));
                            }
                            contStr += '    </select>';
                            contStr += '    </div>';
                            contStr += '</div>';
                            contStr += '</li>';

                        }
                        if ($(ele).attr("ctrltype") == "checkbox") {
                            contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                            contStr += '<div class="detail">';
                            contStr += '<p class="check">';
                            contStr += '<span class="fa fa fa-square-o"></span>';
                            contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="hidden" checked />';
                            contStr += '</p>' + $(ele).attr("ctrltitle") + '';
                            contStr += '<i class="fa fa-caret-right pull-right"></i>';
                            contStr += '</div>';
                            contStr += '</li>';
                        }
                        if ($(ele).attr("ctrltype") == "radio") {

                            contStr += '<li class="table-view-cell ' + isshow + '">';
                            contStr += '  <div class="form-group">';
                            contStr += '      <span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                            contStr += '      <div class="form-control" id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '">';
                            if ($(ele).attr("selnodes") != null) {
                                var arrselnodes = $(ele).attr("selnodes").split(";");
                                for (var i = 0; i < arrselnodes.length; i++) {
                                    var arrselnodesvalue = arrselnodes[i].split(":");
                                    contStr += '          <p class="radio">';
                                    contStr += '              <span class="fa fa-circle-o"></span>';
                                    contStr += '              <span class="hide">' + arrselnodesvalue[0] + '</span>';
                                    contStr += '              <text>' + arrselnodesvalue[1] + '</text>';
                                    contStr += '            <input type="hidden" checked name="' + $(ele).attr("datafield") + '"/>';
                                    contStr += '          </p>';

                                }
                            }
                            if ($(ele).attr("datasource") != null) {
                                contStr += radiolist($(ele).attr("datasource"), $(ele).attr("datafield"));
                            }
                            contStr += '          </div>';
                            contStr += '  </div>';
                            contStr += '</li>';
                        }
                        if ($(ele).attr("ctrltype") == "text") {
                            if ($(ele).attr("datatype") == "datetime") {
                                contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                                contStr += '<div class="form-group">';
                                contStr += '<span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                                if ($(ele).attr("defaultvalue") != null) {
                                    var defaultvalue = getDefaultValue($(ele).attr("defaultvalue"));
                                    contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="text" value="' + defaultvalue + '"/>';
                                }
                                else {
                                    contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="text" placeholder="请选择时间"/>';
                                }
                                contStr += '</div>';
                                contStr += '</li>';
                            }
                            else if ($(ele).attr("datatype") == "float") {
                                contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                                contStr += '<div class="form-group">';
                                contStr += '<span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                                contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="number" placeholder="请输入内容"/>';
                                contStr += '<span class="hide">' + $(ele).attr("datatype") + '</span>';
                                contStr += '</div>';
                                contStr += '</li>';
                            }
                            else if ($(ele).attr("datatype") == "int") {
                                contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                                contStr += '<div class="form-group">';
                                contStr += '<span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                                contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="number" placeholder="请输入内容"/>';
                                contStr += '<span class="hide">' + $(ele).attr("datatype") + '</span>';
                                contStr += '</div>';
                                contStr += '</li>';
                            }
                            else {
                                contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                                contStr += '<div class="form-group">';
                                contStr += '<span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                                if ($(ele).attr("defaultvalue") != null) {
                                    var defaultvalue = getDefaultValue($(ele).attr("defaultvalue"));
                                    contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="text" value="' + defaultvalue + '"/>';
                                }
                                else {
                                    contStr += '<input id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" type="text" placeholder="请输入内容"/>';
                                }
                                contStr += '</div>';
                                contStr += '</div>';
                                contStr += '</li>';
                            }

                        }
                        if ($(ele).attr("ctrltype") == "textarea") {
                            contStr += '<li class="table-view-cell form-control ' + isshow + '">';
                            contStr += '<div class="form-group">';
                            contStr += '<span class="name">' + $(ele).attr("ctrltitle") + '<i class="must"></i>：</span>';
                            contStr += '<textarea id="' + $(ele).attr("datafield") + '" name="' + $(ele).attr("ctrltype") + '" placeholder="请输入内容" ></textarea>';
                            contStr += '</div>';
                            contStr += '</li>';
                        }

                    });
                }
                $('.table-view').append(contStr);

            }
        });
        InitBusinessData();
    }
    //获取从表编辑数据
    function InitBusinessData() {

        var obj = store.get('SubTableeditValue');
        store.remove('SubTableeditValue');
        // alert(obj["name"]);
        if (obj != null && obj != "undefined") {
            $.ajax({
                url: '../../../Jhsoft.Web.module/ModuleSetting/Setting/' + xmlId + '.xml',
                async: false,
                cache: false,
                dataType: 'xml',
                success: function(data) {
                    var strkeyname = $(data).find("Tables").find("SubTables").find("SubTable").find("KeyID").text();
                    if ($(data).find("Tables").find("SubTables").find("SubTable").find("CtrlList").find("Ctrl").length > 0) {
                        $(data).find("Tables").find("SubTables").find("SubTable").find("CtrlList").find("Ctrl").each(function(index, ele) {
                            var strId = $(ele).attr("datafield");
                            if (strId != strkeyname) {
                                if ($('#' + strId).attr("name") == "combobox") {
                                    $('#' + strId).val(obj[strId]);
                                    $('#' + strId).parent().find('.select-show').html($('#' + strIde).find("option:selected").text());
                                }
                                else if ($('#' + strId).attr("name") == "checkbox") {
                                    if (obj[strId] == "是") {
                                        $('#' + strId).val("true");
                                    }
                                    else {
                                        $('#' + strId).val("false");
                                    }
                                }
                                else if ($('#' + strId).attr("name") == "radio") {
                                    $('#' + strId).find('input[name="' + strId + '"]').each(function() {
                                        if ($(this).parent().find('span').eq(1).text() == obj[strId]) {
                                            $(this).val("true");
                                        }
                                        else {
                                            $(this).val("false");
                                        }
                                    })
                                }
                                else {
                                    $('#' + strId).val(obj[strId]);
                                }
                            }
                        });
                    }
                }
            });
        }
    }
    /////////////////////////////////////////表单业务处理E//////////////////////////////////

    function checkForm() {
        var flag = $('.fa-exclamation-circle').hasClass('show');
        if (flag) {
            return false;
        } else {
            return true;
        }
    }

    //保存
    $('#saveAddGoods').on('click', function() {

        var owData = '';
        var Method = "";
        var strSql = "";
        $(this).addClass('btn-primary').siblings().removeClass('btn-primary');
        if (checkForm()) {
            $.ajax({
                url: '../../../Jhsoft.Web.module/ModuleSetting/Setting/' + xmlId + '.xml',
                async: false,
                cache: false,
                dataType: 'xml',
                success: function(data) {
                    //从表处理
                    var SubTable = new Object();
                    if ($(data).find("Tables").find("SubTables").find("SubTable").find("CtrlList").find("Ctrl").length > 0) {
                        $(data).find("Tables").find("SubTables").find("SubTable").find("CtrlList").find("Ctrl").each(function(index, ele) {
                            var strId = $(ele).attr("datafield");
                            var strValue = "";
                            if ($('#' + strId).attr("name") == "checkbox") {
                                if ($('#' + strr).val() == "true") {
                                    strValue = "是";
                                }
                                else {
                                    strValue = "";
                                }
                            }
                            else if ($('#' + strId).attr("name") == "radio") {
                                var radiovalue = "";
                                $('#' + strId).find('input[name="' + strr + '"]').each(function() {
                                    if ($(this).val() == "true") {
                                        radiovalue = $(this).parent().find('span').eq(1).text();
                                    }
                                })
                                strValue = radiovalue;
                            }
                            else if ($('#' + strId).attr("name") == "textarea") {
                                var reg = new RegExp("\n", "g");
                                var strtextarea = $('#' + strId).val();
                                strtextarea = strtextarea.replace(reg, "\\r\\n");
                                strValue = strtextarea;
                            }
                            else {
                                strValue = $('#' + strId).val();
                            }
                            SubTable[strId] = strValue;
                        })
                    }
                    store.set('SubTableValue', SubTable);
                    sessionStorage.setItem("SubTableExist", "1");
                    // var objvalue=store.get('SubTableValue');
                    //store.remove('SubTableValue');
                    history.go(-1);
                }
            });
        } else {
            toast('您填写的信息有误！')
        }

    });

    //取消按钮
    $('#cancel').on('click', function() {
        $(this).addClass('btn-primary').siblings().removeClass('btn-primary');
        sessionStorage.setItem("SubTableExist", "1");
        sessionStorage.removeItem("trindex");
        history.go(-1);
    });

    //复选
    $(".check").each(function() {
        if ($(this).find('input').val() == "true") {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: true,
                enable: true
            }))
        }
        else {
            $.extend(this, Checkbox({
                type: 'checkbox',
                obj: $(this),
                checked: false,
                enable: true
            }))
        }
    }).click(function() {
        this.setChecked(!this.getChecked());
        return false;
    });
    //单选
    $(".radio").each(function() {
        var t;
        if ($(this).find('input').val() == "true") {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: true,
                enable: true
            });
        }
        else {
            t = Checkbox({
                type: 'radio',
                obj: $(this),
                checked: false,
                enable: true
            });
        }
        $(this).closest('.radio').click(function() {
            var DivId = $(this).find('input').attr('name');
            $("#" + DivId).find('.radio').each(function() {
                var tt = Checkbox({
                    type: 'radio',
                    obj: $(this),
                    checked: false,
                    enable: true
                });
            })
            t.setChecked(true);
            return false;
        })
    })

    $("input[type='number']").on("blur", function() {
        var DataType = $(this).next().text();
        var reg;
        var inputVal = $(this).val();
        if (DataType == "int") {
            reg = /^(0|[1-9][0-9]*)$/;
        }
        else {

            reg = /^\d+(\.\d+)?$/;
        }
        if (!reg.test(inputVal + "")) {
            inputVal = "";
        }
        $(this).val(inputVal);
    })

})
