define(['mobilekit', 'datetime'], function() {
    var moduleId='api/workFlow/';
    //输入框聚焦时变色
    $('.form-group').on('focus', 'input', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'input', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    $('.form-group').on('focus', 'textarea', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'textarea', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    //获取时间
    $('#ot-input').mobiscroll().datetime({ 
      /*  theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
        minDate: new Date(2015, 07, 01),
        maxDate: new Date(2030, 12, 31),
        stepMinute: 5
    });
    //验证
    $('#tit-input').on('blur', function() {
        if ($(this).val()) {
            $('#tit').addClass('hide');
            $('#tit').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#tit').addClass('hide');
        $('#tit').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#ot-input').on('change', function() {
        if ($(this).val()) {
            $('#ot').addClass('hide');
            $('#ot').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#ot').addClass('hide');
        $('#ot').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#bq-input').on('blur', function() {
        if ($(this).val()) {
            $('#bq').addClass('hide');
            $('#bq').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#bq').addClass('hide');
        $('#bq').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#op-input').on('blur', function() {
        if ($(this).val()) {
            $('#op').addClass('hide');
            $('#op').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#op').addClass('hide');
        $('#op').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#or-input').on('blur', function() {
        if ($(this).val()) {
            $('#or').addClass('hide');
            $('#or').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus', function() {
        $('#or').addClass('hide');
        $('#or').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });


    function checkForm() {
        if (!$('#tit-input').val()) {
            $('#tit').addClass('show');
            $('#tit').removeClass('hide');
            $('#tit-input').closest('.form-control').addClass('error');
        }
        if (!$('#ot-input').val()) {
            $('#ot').addClass('show');
            $('#ot').removeClass('hide');
            $('#ot-input').closest('.form-control').addClass('error');
        }
        if (!$('#bq-input').val()) {
            $('#bq').addClass('show');
            $('#bq').removeClass('hide');
            $('#bq-input').closest('.form-control').addClass('error');
        }
        if (!$('#op-input').val()) {
            $('#op').addClass('show');
            $('#op').removeClass('hide');
            $('#op-input').closest('.form-control').addClass('error');
        }
        if (!$('#or-input').val()) {
            $('#or').addClass('show');
            $('#or').removeClass('hide');
            $('#or-input').closest('.form-control').addClass('error');
        }
        var flag = $('.fa-exclamation-circle').hasClass('show');
        if (flag) {
            return false;
        } else {
            return true;
        }
    }

    //显示\隐藏流程办理情况图
    $('.vacation-process-title').on('click', function () {
        $('.vacation-process-content').toggleClass('hide');
        var $thisChildI = $(this).find("i");
        $thisChildI.toggleClass("fa-caret-right");
        $thisChildI.toggleClass("fa-caret-down");
        document.documentElement.scrollTop = $(this).offset().top;
        document.body.scrollTop = $(this).offset().top;
    });
    
    //取业务数据-出差    
    function getBusinessData(strAppTitle,strAppOID,strAppOValue) {
        var jsonOBJ = {
            AttEID: strAppOID, //出差业务ID
            sign: appSign //sign
        }

        strjsonOBJ = JSON.stringify(jsonOBJ);

        //新接口调用
        var url= "api/Form/GetAttEvection";
        var param=strAppOID;
        var data=GetDataByUrl_Post(url,JSON.stringify(param));
        if (data.success == 1) {
            //alert(strAppTitle)
            $('#tit-input').val(strAppTitle); //标题流程
            $('#ot-input').val(data.attEBeginTime); //出差时间
            $('#bq-input').val(data.attELimit + "天"); //出差期限
            $('#op-input').val(data.attEArea); //出差地点
            $('#tx-input').val(data.attEPerson); //同行人员
            $('#gj-input').val(data.attETransport); //交通工具
            $('#fy-input').val(data.attEFee); //费用
            $('#or-input').val(data.attEReason); //出差事由
        } else {
            toast("获取业务数据失败！", "", 1500);
        }

       /* 旧接口 $.ajax({
            type: 'post',
            data: strjsonOBJ,
            async: false,
            url: hostUrl + "GetAttEvection",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                //var jsson = JSON.stringify(data);
                //alert(jsson);

                if (data.success == 1) {
                    //alert(strAppTitle)
                    $('#tit-input').val(strAppTitle); //标题流程
                    $('#ot-input').val(data.AttEBeginTime); //出差时间
                    $('#bq-input').val(data.AttELimit + "天"); //出差期限
                    $('#op-input').val(data.AttEArea); //出差地点
                    $('#tx-input').val(data.AttEPerson); //同行人员
                    $('#gj-input').val(data.AttETransport); //交通工具
                    $('#fy-input').val(data.AttEFee); //费用
                    $('#or-input').val(data.AttEReason); //出差事由
                } else {
                    toast("获取业务数据失败！", "", 1500);
                }

            },
            Error: function(err) {
                console.log(err);
                return false;
            }
        });*/

    }
    //业务数据保存-出差

    function SaveBusinessData() {
    	var blReturn = false;
    	var reg = new RegExp("/","g")
        var lcbt = $('#tit-input').val(); //标题流程		
        var ccsj = $('#ot-input').val().split(' ')[0].replace(reg,'-'); //出差时间      
        var ccqx = $('#bq-input').val().replace("天", " "); //出差期限
        var ccdd = $('#op-input').val(); //出差地点								
        var txry = $('#tx-input').val(); //同行人员	
        var jggj = $('#gj-input').val(); //交通工具
        var ccfy = $('#fy-input').val(); //费用
        var ccsy = $('#or-input').val(); //出差事由
        //alert(ccsj);
        var KeyID = store.get("WF_appOId");
		var intApproveFlag = store.get("WF_AppBtn");
		if(intApproveFlag==9) 
			intApproveFlag = 1;
		else
			intApproveFlag = 2;

        var jsonEvectionInfo = new Object();
        jsonEvectionInfo.ApproveFlag = intApproveFlag;
        jsonEvectionInfo.AttEArea = ccdd;
        jsonEvectionInfo.AttEBeginTime = ccsj;
        jsonEvectionInfo.AttEFee = ccfy;
        jsonEvectionInfo.AttELimit = ccqx;
        jsonEvectionInfo.AttEPerson = txry;
        jsonEvectionInfo.AttEReason = ccsy;
        jsonEvectionInfo.AttETransport = jggj;
        jsonEvectionInfo.KeyID = KeyID;
        var jsonOBJ = new Object();
        jsonOBJ.sign = appSign;
        jsonOBJ.attEvectionInfo = jsonEvectionInfo;

        //新接口传参方式调整
       // var strJsonObj = JSON.stringify(jsonOBJ);
        var strJsonObj = JSON.stringify(jsonEvectionInfo);
        //缓存方法名
		var arrayMethod = new Array();
        //新接口传参方式调整
        //arrayMethod.push('AttEvectionSave');
        arrayMethod.push('api/Form/AttEvectionSave');
		store.set('EB_NAME', arrayMethod);
		//缓存方法参数
		var arrayParam = new Array();
		arrayParam.push(strJsonObj);
		store.set('EB_DATA', arrayParam);
		//缓存流程标题
		store.set('EB_TITLE', lcbt);
		//缓存业务主键
		store.set('EB_ID', "");
		//缓存流程类型 0系统流程 1表单流程
		store.set('EB_TYPE', 0);
        /*
        //alert(strJsonObj);
        $.ajax({
            type: 'post',
            data: strJsonObj,
            async: false,
            url: hostUrl + "AttEvectionSave",
            dataType: "json",
            contentType: "application/json;charset=utf-8",
            success: function(data) {
                if (data.success == "1") {                	
                	//流程添加：缓存流程业务数据主键与标题
                	SaveBusinessSuccess(data.mes,"",lcbt);    
                	//流程添加
                    //接下来跳转到转下一步等页面处理
                    blReturn = true;
                } else {
                    toast("操作失败！", "", 1500);                    
                }
            },
            Error: function(err) {
                console.log(err);                
            }
        });
        */
        return true;
    }
    
    function GetWFCondition()
	{
		return "eLimit:" + $('#bq-input').val().replace("天", "");
	}
	
    //业务流程部分
    var strAppTId = "IHRM_AttendanceEvection";
    BusinessApprove(strAppTId, getBusinessData);
    
    //流程添加：初始化流程流转按钮事件    
    InitApproveButtonEvent(strAppTId,GetWFCondition,checkForm,SaveBusinessData) ;
    //流程添加
	
    
});