define(['mobilekit'], function() {
	var advance = 30; //距离底部30px时开始加载
	var WWCloading = false;
	var WWCisEnd = false;
	var WWCpage = 1; // 
	var LastDataTime = "";
	var CancelIndex = -1; //待撤回的流程在列表中的下标

	/**
	 * 搜索框事件
	 */

	$('.ui-searchbar').on('click', function() {
		$(this).parent().addClass('focus');
		$(this).children('.ui-searchbar-input').children().focus();
	});
	$('.ui-searchbar-cancel').on('click', function() {
		$(this).parent().removeClass('focus');
		$(this).prev().children('.ui-searchbar-input').children().val('');
	});
	$('.ui-searchbar .fa-times').on('click', function() { 
		$(this).prev().children().val('');
	});
	$(document).on('click', '.myVacation-list-btn', function() {
		$('.cancel-vacation-wrap').removeClass('hide');
		CancelIndex = $(this).closest("li").index();
	});
	$('#searchKey').on('keyup keydown input', function(e) {
		if (e.keyCode == 13) {
			WWCpage = 1;
			LastDataTime = "";
			getData(WWCpage, LastDataTime);
		}
	});
	/*
	 * 点击取消撤销按钮
	 */
	$(document).on('click', '.cancel-vacation-wrap .cancel', function() {
		$('.cancel-vacation-wrap').addClass('hide');
		CancelIndex = -1;
	});
	/*
	 * 点击确认撤销按钮
	 */
	$(document).on('click', '.cancel-vacation-wrap .submit', function() {
		var $li = $(".myVacation-list").eq(CancelIndex);
		var appId = $li.attr("AppId"); //流程Id
		var appOId = $li.attr("AppOId"); //流程业务Id
		var appdID = -1;
		var data = {
			appId: appId,
			appOId: appOId,
			appdID: appdID
		};
		/* 旧接口注释
		$.ajax({
		    url: hostUrl + "appGoBack",
		    type: "POST",
		    data: JSON.stringify(data),
		    dataType: "json",
		    async: false,
		    contentType: "application/json;charset=utf-8",
		    success: function(data) {
		        if (data.success == "1") {
		            $li.remove();
		            $('.cancel-vacation-wrap').addClass('hide');
		            CancelIndex = -1;
		        } else {
		            toast(data.mes);
		        }
		    },
		    error: function(jqXHR, textStatus, errorThrown) {
		        console.log(jqXHR);
		    }
		});
		*/
		/*新接口调用*/
		var postdata = GetDataByUrl_Post("api/WorkFlow/appGoBack", JSON.stringify(data));
		if (postdata.success == "1") {
			$li.remove();
			$('.cancel-vacation-wrap').addClass('hide');
			CancelIndex = -1;
		} else {
			toast(postdata.mes);
		}
	});
	/*
	 * 点击申请的列表跳转到休假审批页面
	 */
	$(document).on('click', '.myVacation-list', function() {
		//window.location.href = "";//"vacation.html";

	})

	//初始化数据列表
	getData(1, LastDataTime);

	// 初始化滚动监听
	$(window).scroll(function() {
		scrollEvent();
	});

	/*
	获取数据列表
	*/
	function getData(pageno, ltime) {
		//获取服务器当前时间    	
		var curDate = getCurDate();
		//获取服务器当前时间 end

		var initPage = pageno;
		WWCloading = true;
		var strkey = $('#searchKey').val();
		var intcount = "20"; //每次读取的数量
		var strlastTime = ltime; //记录最后一项的时间，为空取最新的count参数设置的条数
		var intflag = "1";
		/*	1表示获取时间比lastTime小的数据(向上滑动),
										0表示获取时间比lastTime大的数据(向下滑动)
								 	*/
		var datap = '{"key":"' + strkey + '","lastTime":"' + strlastTime + '","flag":"' + intflag + '","count":"' + intcount + '"}';
		var data = 	GetDataByUrl_Post("api/WorkFlow/GetSearchMyStartWFList", datap);

				var json = data;
				var contStr = "";
				var hasContent = true;
				if (json.wfList && json.wfList.length > 0) {
					$.each(json.wfList, function(index, part) {
						var pho = part.headPhoto;
						if (appServer == 'jc6'){
							var ss = part.approveBeginTime;
						} else {
							var ss = jsDateDiff1(part.approveBeginTime, curDate);
						}
						var appid = part.app_ID;

						var curAppUName = "";
						var curAppState = "";
						//获取当前流程办理人及办理状态 begin
						/*$.ajax({
							type: 'post',
							data: '{"sign":"' + appSign + '","appId":"' + appid + '"}',
							url: hostUrl + "GetApproveStateByAppID",
							async: false,
							dataType: "json",
							contentType: "application/json;charset=utf-8",
							// headers: { "ApplicationContext": BaseHeader },
							success: function(data) {
								//var json = JSON.stringify(data);							 
								curAppUName = data.nextSeptInfo;
								curAppState = data.state;
								if (curAppState == "0")
									curAppState = '已结束'
								else
									curAppState = '等待<span>' + curAppUName + '</span>审批';
							}
						});*/
						var subappId = appid;
						var subdata = GetDataByUrl_Post("api/WorkFlow/GetApproveStateByAppID",JSON.stringify(subappId));
						//var json = JSON.stringify(data);							 
								curAppUName = subdata.nextSeptInfo;
								curAppState = subdata.state;
								if (curAppState == "0")
									curAppState = '已结束'
								else
									curAppState = '等待<span>' + curAppUName + '</span>审批';
						//获取当前流程办理人及办理状态 end

						var strTem = part.appTID;
						var strAppOID = part.appOID;
						var strAppOValue = part.appOValue;
						var strAppTId = part.appTID;
						var strAppTitle = part.approveName;
						LastDataTime = part.approveBeginTime;
						var fun = "";
						var strUrl = "",
							strColor = "",
							strClass = "";
						var strPara = "?fr=vacation&appid=" + appid + "&appoid=" + encodeURIComponent(strAppOID) + "&appovalue=" + strAppOValue + "&apptid=" + strAppTId + "&apptitle=" + encodeURIComponent(strAppTitle);
//						switch (strTem.toLowerCase()) {
//							case "ihrm_attendanceout":
//								strClass = "fa-bus";
//								strColor = "blue";
//								strUrl = "outWork.html";
//								break;
//							case "ihrm_attendanceleave":
//								strClass = "fa-tree";
//								strColor = "purple";
//								strUrl = "vacation.html";
//								break;
//							case "ihrm_attendanceevection":
//								strClass = "fa-plane";
//								strColor = "yellow";
//								strUrl = "businessTrip.html";
//								break;
//							case "ioa_officesupply":
//								strClass = "fa-book";
//								strColor = "blue-light";
//								strUrl = "addGoods.html";
//								break;
//						    case "ioa_send":
//						        strClass = "fa-book";
//						        strColor = "blue-light";
//						        strUrl = "sendDoc.html";
//						        break;
							default:
								//if (strAppOID == "0" && strAppOValue.length > 8) {
									strClass = "fa-puzzle-piece";
									strColor = "green";
									strUrl = "form.html";
								//} else {
									//fun = "javascript:alert('暂不支持此流程办理。')";
								//}
								break;
						}
						//strUrl = strUrl + encodeURI(strPara);
						strUrl = strUrl + strPara;
						contStr += '    <li class="myVacation-list" AppId="' + appid + '" AppOId="' + strAppOID + '" >';
						contStr += '        <span class="myVacation-list-pic ' + strColor + '"><i class="fa ' + strClass + '"></i></span>';
						contStr += '        <a class="myVacation-list-content" href="' + strUrl + '" onclick="' + fun + '">';
						contStr += '            <div class="peple">';
						contStr += '        	    <span>' + part.approveName + '</span>';
						contStr += '            </div>';
						contStr += '            <div class="wait">';
						contStr += '    	        <p class="approval-people">' + curAppState + '</p>';
						contStr += '        	    <p class="time">' + ss + '</p>';
						contStr += '            </div>';
						contStr += '        </a>';

						//下一步办理还未暂存前可以撤回
						if (part.appIsWithdraw == "1")
							contStr += '    <a class=" btn myVacation-list-btn">撤销</a>';

						contStr += '        <div class="myVacation-list-angle trans"></div>';
						contStr += '    </li>';

						//WWCpage=part.taskId;
					});
					WWCpage++;
				} else {
					hasContent = false;
					contStr += '<div class="ui-notice">';
					contStr += '<i class="fa fa-folder-open-o"></i>';
					contStr += '<p>抱歉，没有找到符合条件的申请</p>';
					contStr += '</div>';
					$("#listLoading").hide();
				}
				//alert(contStr)
				if (initPage == 1) {
					$("#divMyList").html(contStr);
				} else {
					if (hasContent) $("#divMyList").append(contStr);
				}

				WbindOnclick();

				WWCloading = false;
				WWCisEnd = json.wfList.length < intcount;
				if (WWCisEnd) $("#listLoading").text("没有更多数据");
				//console.log(contStr);
/*
		$.ajax({
			type: 'post',
			data: '{"key":"' + strkey + '","lastTime":"' + strlastTime + '","flag":"' + intflag + '","sign":"' + appSign + '","count":"' + intcount + '"}',
			url: hostUrl + "GetSearchMyStartWFList",
			async: false,
			dataType: "json",
			contentType: "application/json;charset=utf-8",
			// headers: { "ApplicationContext": BaseHeader },
			success: function(data) {
				//var json = JSON.stringify(data);   
				//alert(json)
				//json = JSON.parse(json);
				json = data;
				var contStr = "";
				var hasContent = true;
				if (json.wfList && json.wfList.length > 0) {
					$.each(json.wfList, function(index, part) {
						var pho = part.headPhoto;
						var ss = jsDateDiff1(part.ApproveBeginTime, curDate);
						var appid = part.App_ID;

						var curAppUName = "";
						var curAppState = "";
						//获取当前流程办理人及办理状态 begin
						$.ajax({
							type: 'post',
							data: '{"sign":"' + appSign + '","appId":"' + appid + '"}',
							url: hostUrl + "GetApproveStateByAppID",
							async: false,
							dataType: "json",
							contentType: "application/json;charset=utf-8",
							// headers: { "ApplicationContext": BaseHeader },
							success: function(data) {
								//var json = JSON.stringify(data);							 
								curAppUName = data.nextSeptInfo;
								curAppState = data.state;
								if (curAppState == "0")
									curAppState = '已结束'
								else
									curAppState = '等待<span>' + curAppUName + '</span>审批';
							}
						});
						//获取当前流程办理人及办理状态 end

						var strTem = part.appTID;
						var strAppOID = part.appOID;
						var strAppOValue = part.appOValue;
						var strAppTId = part.appTID;
						var strAppTitle = part.ApproveName;
						LastDataTime = part.ApproveBeginTime;
						var fun = "";
						var strUrl = "",
							strColor = "",
							strClass = "";
						var strPara = "?fr=vacation&appid=" + appid + "&appoid=" + encodeURIComponent(strAppOID) + "&appovalue=" + strAppOValue + "&apptid=" + strAppTId + "&apptitle=" + encodeURIComponent(strAppTitle);
						switch (strTem.toLowerCase()) {
							case "ihrm_attendanceout":
								strClass = "fa-bus";
								strColor = "blue";
								strUrl = "outWork.html";
								break;
							case "ihrm_attendanceleave":
								strClass = "fa-tree";
								strColor = "purple";
								strUrl = "vacation.html";
								break;
							case "ihrm_attendanceevection":
								strClass = "fa-plane";
								strColor = "yellow";
								strUrl = "businessTrip.html";
								break;
							case "ioa_officesupply":
								strClass = "fa-book";
								strColor = "blue-light";
								strUrl = "addGoods.html";
								break;
							default:
								if (strAppOID == "0" && strAppOValue.length > 8) {
									strClass = "fa-puzzle-piece";
									strColor = "green";
									strUrl = "form.html";
								} else {
									fun = "javascript:alert('暂不支持此流程办理。')";
								}
								break;
						}
						//strUrl = strUrl + encodeURI(strPara);
						strUrl = strUrl + strPara;
						contStr += '    <li class="myVacation-list" AppId="' + appid + '" AppOId="' + strAppOID + '" >';
						contStr += '        <span class="myVacation-list-pic ' + strColor + '"><i class="fa ' + strClass + '"></i></span>';
						contStr += '        <a class="myVacation-list-content" href="' + strUrl + '" onclick="' + fun + '">';
						contStr += '            <div class="peple">';
						contStr += '        	    <span>' + part.ApproveName + '</span>';
						contStr += '            </div>';
						contStr += '            <div class="wait">';
						contStr += '    	        <p class="approval-people">' + curAppState + '</p>';
						contStr += '        	    <p class="time">' + ss + '</p>';
						contStr += '            </div>';
						contStr += '        </a>';

						//下一步办理还未暂存前可以撤回
						if (part.appIsWithdraw == "1")
							contStr += '    <a class=" btn myVacation-list-btn">撤销</a>';

						contStr += '        <div class="myVacation-list-angle trans"></div>';
						contStr += '    </li>';

						//WWCpage=part.taskId;
					});
					WWCpage++;
				} else {
					hasContent = false;
					contStr += '<div class="ui-notice">';
					contStr += '<i class="fa fa-folder-open-o"></i>';
					contStr += '<p>抱歉，没有找到符合条件的申请</p>';
					contStr += '</div>';
					$("#listLoading").hide();
				}
				//alert(contStr)
				if (initPage == 1) {
					$("#divMyList").html(contStr);
				} else {
					if (hasContent) $("#divMyList").append(contStr);
				}

				WbindOnclick();

				WWCloading = false;
				WWCisEnd = json.wfList.length < intcount;
				if (WWCisEnd) $("#listLoading").text("没有更多数据");
				//console.log(contStr);
			},
			Error: function(err) {
				alert(err);
				WWCisEnd = true;
				console.log(err);
			}
		});
		*/
	}

	//列表名称绑定事件
	function WbindOnclick() {
			$("#ul_approval_list.item-wait-approval").each(function() {
				$(this).unbind("click");
				$(this).bind("click", function() {
					sessionStorage.taskId = $(this).find("#taskId").html();
					sessionStorage.parentTaskId = $(this).find("#parentTaskId").html();
					sessionStorage.parentTaskName = $(this).find("#parentTaskName").html();
					location.href = "taskDetail.html";
				});
			});
		}
		//滚动加载

	function scrollEvent() {
		if (WWCloading == false) {
			var scrollHeight = $(document).height() > $(window).height() ? $(document).height() - $(window).height() : 0;
			var scrollTop = $(window).scrollTop();
			var scrollBottom = scrollHeight - scrollTop;

			//滚动加载
			if (scrollBottom <= advance && !WWCloading && !WWCisEnd) {
				//alert(WWCpage+":"+LastDataTime)
				getData(WWCpage, LastDataTime); //加载

			} else if (WWCisEnd) {

			}
		}
	}

	//获取服务器当前时间函数 
	function getCurDate() {
	
		return getServiceCurDate();
	}

	//时间函数，返回两个时间的差 ，格式“昨天 08:14”
	function jsDateDiff1(publishTime1, baseTime1) {
			//解决safari浏览器问题
			publishTime1 = publishTime1.replace(/-/g, "/");
			baseTime1 = baseTime1.replace(/-/g, "/");
			var publishTime = new Date(publishTime1);
			var d_year, d_month, d_days;
			d_days = parseInt(publishTime.getDate(), 10);
			d_month = parseInt(publishTime.getMonth(), 10);
			d_year = parseInt(publishTime.getYear(), 10);

			var baseTime = new Date(baseTime1);
			var b_year, b_month, b_days;
			b_days = parseInt(baseTime.getDate(), 10);
			b_month = parseInt(baseTime.getMonth(), 10);
			b_year = parseInt(baseTime.getYear(), 10);

			var ddif, ydif, mdif;
			ddif = b_days - d_days;
			mdif = b_month - d_month;
			ydif = b_year - d_year;

			if (ddif == 0 && ydif == 0 && mdif == 0) {
				return "今天" + " " + fillzero(publishTime.getHours()) + ":" + fillzero(publishTime.getMinutes());
			} else if (ddif == 1 && ydif == 0 && mdif == 0) {
				return "昨天" + " " + fillzero(publishTime.getHours()) + ":" + fillzero(publishTime.getMinutes());
			} else if (ddif == 2 && ydif == 0 && mdif == 0) {
				return "前天" + " " + fillzero(publishTime.getHours()) + ":" + fillzero(publishTime.getMinutes());
			} else {
				var s = publishTime;
				return fillzero(publishTime.getMonth() + 1) + "." + fillzero(publishTime.getDate()) + " " + fillzero(publishTime.getHours()) + ":" + fillzero(publishTime.getMinutes());
			}
		}
		//时间函数，返回两个时间的差，格式“2小时前”

	function jsDateDiff2(publishTime, baseTime) {
			var d_minutes, d_hours, d_days;
			var baseTime = parseInt(new Date().getTime() / 1000);
			var d;
			d = timeNow - publishTime;
			d_days = parseInt(d / 86400);
			d_hours = parseInt(d / 3600);
			d_minutes = parseInt(d / 60);
			if (d_days > 0 && d_days < 4) {
				return d_days + "天前";
			} else if (d_days <= 0 && d_hours > 0) {
				return d_hours + "小时前";
			} else if (d_hours <= 0 && d_minutes > 0) {
				return d_minutes + "分钟前";
			} else {
				var s = new Date(publishTime * 1000);
				// s.getFullYear()+"年";
				return (s.getMonth() + 1) + "月" + s.getDate() + "日";
			}
		}
		//一位数变成两位数，填充前导0，

	function fillzero(str) {
		str = String(str);
		if (str.length == 1) str = "0" + str;
		return str;
	}
});