define(['mobilekit'], function () {
    //输出待选人    
    var strjson, intStepId, xh;
    strjson = store.get("NextJson");
    intStepId = store.get("NextStep");
    xh = store.get("NextXH");
    var forkIndex=sessionStorage.getItem("curForkInd");
    if(forkIndex==null){
    	forkIndex='';
    }
    getAppUserList(strjson, intStepId, xh);

    //返回
    $('header').on('click', function () {
        sessionStorage.setItem("UserListExist", "1");
        sessionStorage.removeItem("inputID");
        sessionStorage.removeItem("forkIndex");
        history.go(-1);
    });
    //搜索-输入完毕事件
    $('.ui-searchbar').on('keyup', function() {
        var name = $('.ui-searchbar-input').children().val().trim();
        Search(name);
    });
    //搜索-点击输入框事件
    $('.ui-searchbar').on('click', function () {
        $(this).parent().addClass('focus');
        $('.ui-searchbar-input').children('input').focus();
    });
    //搜索-点击取消按钮事件
    $('.fa-icon-times').on('click', function (e) {
        e.stopPropagation();
        $('.ui-search-wrap').removeClass('focus');
        $('.ui-searchbar-input').children('input').val('');
        var name = $('.ui-searchbar-input').children('input').val().trim();
        Search(name);
    });
    //搜索-点击输入框右侧关闭(“X")图标事件
    $('.ui-searchbar .fa-times-circle').on('click', function () {
        $(this).prev().children().val('');
        var name = $('.ui-searchbar-input').children('input').val().trim();
        Search(name);
    });
    //搜索-目标颜色切换
    function Search(name) {
        if (name.length > 0) {
            $(".table-view .table-view-cell .name").each(function () {
                if ($(this).text().indexOf(name) >= 0) {
                    $(this).closest("li").show();
                }
                else {
                    $(this).closest("li").hide();
                }
            });
        } else {
            $(".table-view .table-view-cell").show();
        }
    }
    //部门、人员前增加复选框
    $(".check").each(function () {
        $.extend(this,Checkbox({
            type:'checkbox',
            obj:$(this),
            checked:false,
            enable:true
        }))
    })
    //复选框热区扩展
    $('.table-view-cell').on('click',function(){
    	var _check=$(this).find('.check').get(0);
    	_check.setChecked(!_check.getChecked());
    });
    //选中指定复选框
    if (sessionStorage.getItem("UserListIDS"+forkIndex)) {
        var arr = sessionStorage.getItem("UserListIDS"+forkIndex).split(";");
        for (var i = 0; i < arr.length; i++) {
            $(".check input[id='" + arr[i] + "']").closest(".check").trigger("click");
        }
    }
    function getHtml(curJson){
    	var contDStr = "";
        var contUstr = "";
        $.each(curJson, function (index, part) {
            var strfieldValue = part.appFieldValue; 	//接收人姓名
            var strfieldName = part.appFieldName; 	//接收人部门，id串
            if (strfieldName.indexOf(',000000') > 0) {//部门
                contDStr += '<li class="table-view-cell">';
                contDStr += '    <div class="detail clearfix"> ';
                contDStr += '    <p class="check checkbox"><span class="fa fa-square-o"></span>';
                contDStr += '    <input type="hidden" id="' + strfieldName + '" />';
                contDStr += '    </p>';
                contDStr += '	 <p class="userImg"><img src="../../styles/images/dept.png" alt=""/></p>';
                contDStr += ' 	 <p class="name">' + strfieldValue + '</p>';
                contDStr += '    </div>';
                contDStr += '</li>';
            }
            else {//人			
                contUstr += '<li class="table-view-cell">';
                contUstr += '    <div class="detail clearfix"> ';
                contUstr += '    <p class="check checkbox"><span class="fa fa-square-o"></span>';
                contUstr += '    <input type="hidden" id="' + strfieldName + '" />';
                contUstr += '    </p>';
                contUstr += '	 <p class="userImg"><img src="../../styles/images/User.png" alt=""/></p>';
                contUstr += ' 	 <p class="name">' + strfieldValue + '</p>';
                contUstr += '    </div>';
                contUstr += '</li>';
            }
        });
        $("#ulAppDeptList").html(contDStr);
        $("#ulAppUserList").html(contUstr);
    }
    //流程步骤对应的执行人  公共
    function getAppUserList(json, intStepId, xh) {
        if (json.wfNextStepList && json.wfNextStepList.length > 0 && json.wfNextStepList.length >= xh) {
            var subjson = json.wfNextStepList[xh];
            if(subjson.flowFork && subjson.workFlowForkNextList && subjson.workFlowForkNextList.length > 0){
            	getHtml(subjson.workFlowForkNextList[forkIndex].acceptUserInfo);
            }
            if (subjson.acceptUserInfo && subjson.acceptUserInfo.length > 0) {
            	getHtml(subjson.acceptUserInfo);
            }
        }
    }


    //点击确定按钮
    //获取选择的人或部门
    $('button').on('click', function () {
        var inputID = sessionStorage.getItem("inputID");
        var UserIDList = "";
        var UserNameList = "";
        var UserPic = "";
        var DeptIDList = "";
        var DeptNameList = "";
        var DeptPic = "";
        $(".select-colleague .check input[value='true']").each(function () {
            var id = $(this).attr("id");
            if (id.indexOf(',000000') > 0) {
                DeptIDList += id + ";";
                DeptNameList += $(this).parent().siblings(".name").text() + ";";
                DeptPic += $(this).parent().siblings(".userImg").find("img").attr("src") + ";";
            } else {
                UserIDList += id + ";";
                UserNameList += $(this).parent().siblings(".name").text() + ";";
                UserPic += $(this).parent().siblings(".userImg").find("img").attr("src") + ";";
            }
        });
        if (DeptIDList.length > 0) {
            sessionStorage.setItem("DeptListExist", "1");
            sessionStorage.setItem(inputID + "DeptIDList", DeptIDList.substr(0, DeptIDList.length - 1));
            sessionStorage.setItem(inputID + "DeptNameList", DeptNameList.substr(0, DeptNameList.length - 1));
            sessionStorage.setItem(inputID + "DeptPic", DeptPic.substr(0, DeptPic.length - 1));
        }
        if (UserIDList.length > 0) {
            sessionStorage.setItem("UserListExist", "1");
            sessionStorage.setItem(inputID + "UserIDList", UserIDList.substr(0, UserIDList.length - 1));
            sessionStorage.setItem(inputID + "UserNameList", UserNameList.substr(0, UserNameList.length - 1));
            sessionStorage.setItem(inputID + "UserPic", UserPic.substr(0, UserPic.length - 1));
            sessionStorage.setItem("UserListIDS"+forkIndex,UserIDList.substr(0, UserIDList.length - 1));
        }
        //alert(UserIDList)
        sessionStorage.removeItem("inputID");
        //sessionStorage.removeItem("curForkInd");
        history.go(-1);
        if(appType=="weixin"){
            location.replace(document.referrer);
        }
    });

});