﻿define(['mobilekit', 'datetime', 'base64' ], function () {
    //输入框聚焦时变色
    $('.form-group').on('focus', 'input', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'input', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    $('.form-group').on('focus', 'textarea', function() {
        $(this).closest('.form-control').addClass('active');
    }).on('blur', 'textarea', function() {
        $(this).closest('.form-control').removeClass('active');
    });
    //显示\隐藏流程办理情况图
    $('.vacation-process-title').on('click', function() {
        $('.vacation-process-content').toggleClass('hide');
    });

    InitWithDrawEvent();

    //Javascript集成永中方式
    var C6OfficeSign = {

        Open: function (docUrl, fileType, userName, isReadOnly, isReviseMode, reviseModel, businessType, tag, uploadUrl, apkUrl) {
            var arg = "{\"businessJson\":\"{";
            arg += "\\\"fileUrl\\\":\\\"" + docUrl + "\\\"";
            arg += ",\\\"uploadUrl\\\":\\\"" + uploadUrl + "\\\"";
            arg += ",\\\"apkUrl\\\":\\\"" + apkUrl + "\\\"";
            arg += ",\\\"userName\\\":\\\"" + userName + "\\\"";
            arg += ",\\\"state\\\":\\\"jhcplus\\\"";
            arg += ",\\\"fileType\\\":" + fileType;
            arg += ",\\\"isReadOnly\\\":" + isReadOnly;
            arg += ",\\\"isReviseMode\\\":" + isReviseMode;
            arg += "}\",\"businessType\":" + businessType + "}";
            console.log(arg)
            //window.location.href = "jhoabrowser://C6OfficeSign?args={\"businessJson\": \"{\\\"fileUrl\\\":\\\"http://27.17.16.19/C5bbfw/api/Document/DownLoadDocument?fileName=send_2015122213480550.doc\\\",\\\"isReadOnly\\\":0,\\\"isReviseMode\\\":0}\",\"businessType\": 1}&tag=1030";
            window.location.href = "jhoabrowser://C6OfficeSign?args=" + $.base64.encode(arg) + "&tag=" + $.base64.encode(tag);
        },
        CloseAndUpload: function (operationID, recvFileUrl, businessType, tag) {
            var arg = "{\"businessJson\":\"{";
            arg += "\\\"operationID\\\":" + operationID;
            arg += ",\\\"recvFileUrl\\\":\\\"" + recvFileUrl + "\\\"";
            arg += "}\",\"businessType\":" + businessType + "}";
            var tag = $.base64.encode(tag);
            //window.location.href = "jhoabrowser://selectImgFuction?args=" + arg + "&tag=" + tag;
        }
    }

    //取业务数据-公文
    function InitBusinessData(strAppTitle, strAppOID, strAppOValue) {

        var key = store.get("WF_appOId");       
        var owData = strAppOID;
        var url = "api/Document/GetDocument";
        var param = owData;
        var data = GetDataByUrl_Post(url, JSON.stringify(param));
        var uploadUrl = baseurl + "api/Document/UploadDocument"; //公文正文上传地址
        var uploadPaper = baseurl + "api/Document/UploadPaper"; //公文稿纸上传地址
        var apkUrl = baseurl + "api/Document/GetYoZoUrl"; //永中apk下载地址
        if (data.success == 1) {
            $('#tit-input').val(strAppTitle); //流程标题
            $('#textTitle').text(data.sendTitle + '.doc'); //正文附件名称 
            $('#postingType').val(data.typeName); //发文类型
            $('#secretLevel').val(data.secretName);  //秘密等级
            $('#degree').val(data.exigenceName);  //紧急程度
            $('#postingTitle').val(data.sendTitle); //发文标题
            $('#sendingUnit').val(data.sendZsdw);  //主送单位
            $('#copyUnit').val(data.sendCsdw);  //抄送单位
            $('#postingZH').val(data.sendZH);  //发文字号
            data.fileUrl = data.fileUrl + "&fileName=" + data.fileName + "&type=1"; //永中Office打开正文地址
            data.fileModelUrl = data.fileModelUrl + "&fileName=" + data.modelName + "&type=1"; //永中Office打开稿纸地址
            $('#textTitle').attr("href", data.fileUrl); //正文附件对应链接
            var isReadOnly = 0;  //0编辑，1只读
            var btntext = "查看"; //按钮文字
            var uname = store.get("appUNM");
            if (data.archivesId == "0" && getUrlParam("fr") == "do") { //判断公文是否归档，0未归档
                btntext = "批示";
                $("#instruction").tap(function () {
                    C6OfficeSign.Open(data.fileUrl, 1, uname, isReadOnly, 0, 0, 1, param, uploadUrl, apkUrl)
                }).text(btntext);
            } else {
                isReadOnly = 1;
                $("#instruction").tap(function () {
                    C6OfficeSign.Open(data.fileUrl, 1, uname, isReadOnly, 0, 0, 1, param, uploadUrl, apkUrl)
                }).text(btntext);
            }
            //公文中的稿纸
            var _paper = $("#paper");
            if (data.templetId != "0")
            {
                var _div = $("<div>", { "class": "form-group textTitle" }),
                    _span = $("<span>", { "class": "name" }),
                    _apaper = $("<a>"),
                    _abtn = $("<a>", { "class": "btn btn-primary pull-right" }),
                    modelName = data.modelName,
                    modelPath = data.fileModelUrl;
                _span.text("稿纸：");
                _apaper.attr("href",modelPath).text(modelName);
                _div.append(_span).append(_apaper).append(_abtn);
                _paper.append(_div);
                _abtn.tap(function () {
                    C6OfficeSign.Open(modelPath, 1, uname, isReadOnly, 0, 0, 1, param, uploadPaper, apkUrl)
                }).text(btntext);   
            }
            //公文中的附件
            var slaves = data.fileList;
            var _slaves = $("#slaves");
            $.each(slaves, function (index, item) {
                var _div = $("<div>", { "class": "form-group textTitle" }),
                    _span = $("<span>", { "class": "name" }),
                    _aslave = $("<a>"),
                    _abtn = $("<a>", { "class": "btn btn-primary pull-right" }),
                    fileName = item.fileName,
                    filePath = item.filePath;
                if (index == 0) _span.text("附件：");
                _aslave.attr("href", filePath).text(fileName);
                _div.append(_span).append(_aslave).append(_abtn);
                _slaves.append(_div);
                var filehz = fileName.split(".")[1];
                var filelx = "doc,docx,txt";
                if (filelx.indexOf(filehz) > -1) {
                    _abtn.text("查看");                    
                    _abtn.tap(function (e) {
                        C6OfficeSign.Open(item.filePath + "&fileName=" + item.fileName, 1, uname, 1, 0, 0, 1, param, "", apkUrl);
                    });
                } else {
                    _abtn.text("下载");
                    _abtn.attr("href", filePath);
                }
            })
        } else {
            toast("获取业务数据失败！", "", 1500);
        }

    }

    

    //公文业务数据保存
    function SaveBusinessData() {
        var blReturn = false;
        var owName = $('#tit-input').val(); //标题流程	

        //$('#textTitle').text(data.sendTitle + '.doc'); //正文附件名称
        //$('#textTitle').attr("href", data.fileUrl); //正文附件对应链接
        //$('#postingType').val(data.typeName); //发文类型
        //$('#secretLevel').val(data.secretName);  //秘密等级
        //$('#degree').val(data.exigenceName);  //紧急程度
        //$('#postingTitle').val(data.sendTitle); //发文标题
        //$('#sendingUnit').val(data.sendZsdw);  //主送单位
        //$('#copyUnit').val(data.sendCsdw);  //抄送单位
        
        var owData = "";
        //2业务流程部分		
        var KeyID = store.get("WF_appOId");
        var intApproveFlag = store.get("WF_AppBtn");
        if (intApproveFlag == 9)
            intApproveFlag = 1;
        else
            intApproveFlag = 2;
        ////2业务流程部分
        //新接口调整
        //owData = '{"sign":"' + appSign + '","attOutInfo":{"KeyID":"'+KeyID+'","AttOBeginTime":"' + owTime + '","AttODestination":"' + owPlace + '","AttOReason":"' + owReason + '","ApproveFlag":"'+intApproveFlag+'"}}';
        owData = '{"KeyID":"' + KeyID + '","ApproveFlag":"' + intApproveFlag + '"}';


        //缓存方法名
        var arrayMethod = new Array();

        arrayMethod.push('api/Document/SaveDocument');
        store.set('EB_NAME', arrayMethod);
        //缓存方法参数
        var arrayParam = new Array();
        arrayParam.push(owData);
        store.set('EB_DATA', arrayParam);
        //缓存流程标题
        store.set('EB_TITLE', owName);
        //缓存业务主键
        store.set('EB_ID', "");
        //缓存流程类型 0系统流程 1表单流程
        store.set('EB_TYPE', 0);
        //alert(owData)
        /*
        $.ajax({
        type: 'post',
        data: owData,
        async: false,
        url: hostUrl + "AttOutSave",
        dataType: "json",
        contentType: "application/json;charset=utf-8",
        success: function(data) {				
        if (data.success == "1") {
        //3流程添加：缓存流程业务数据主键与标题					
        SaveBusinessSuccess(data.mes,"0",owName); 
        blReturn = true;
        //3流程添加   
        } else {
        toast("操作失败！", "", 1500);
        blReturn = false;
        }

			},
        Error: function(err) {
        console.log(err);
        blReturn = false;
        }
        });
        */
        return true;
    }

    function checkForm() {
     
        return true;
    }

    //页面加载完毕
    $(function() {
        //1业务流程部分
        var strAppTId = "ioa_send";
        BusinessApprove(strAppTId, InitBusinessData);
        //1业务流程部分

        //4流程添加：初始化流程流转按钮事件    
        InitApproveButtonEvent(strAppTId, GetWFCondition, checkForm, SaveBusinessData);
        //4流程添加
    });

    function GetWFCondition() {
        return "";
    }


});