/****************** added by huanghui@2012-7-17 流程设计器显示用svg格式，兼容各浏览器   begin *****************/
/****
 * 全局变量CTX = ${ctx}
 * **/
/*以下 xiemei 2015-2-8*/
//alert(2);
function strlen(str) {
    var len = 0;
    for (var i = 0; i < str.length; i++) {
        var c = str.charCodeAt(i);
        //单字节加1 
        if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
            len++;
        }
        else {
            len += 2;
        }
    }
    return len;
}
/**
 * description : 得到字符串的字节长度;
 * @version 0.2;
 * @return 返回字符串的字节长度(eg:"一二12"的字节长度是6);
 */
String.prototype.getLength=function(){
 var text=this.replace(/[^\x00-\xff]/g,"**");
 return text.length;
}

/**
 * description : 按字节长度截取字符串.
 * @param len 需要截取的长度,字符串长度不足返回本身;
 * @return 返回截取后的字符串;
 * @requires getLength;
 */
String.prototype.getShortForm=function(len){
 var tempStr=this;
 if(this.getLength()>len){
  var i=0;
  for(var z=0;z<len;z++){
   if(tempStr.charCodeAt(z)>255){
    i=i+2;
   }else{
    i=i+1;
   }
   if(i>=len){
    tempStr=tempStr.slice(0,(z + 1));
    break;
   }
  }
  return tempStr;
 }else{
  return this+"";
 }
}
/*以上 xiemei 2015-2-8*/

var tmp = window.location.pathname;
tmp = tmp.substr(1,tmp.length);//去掉第一个‘/’
tmp = tmp.substr(0,tmp.indexOf('\/'));
if(CTX==null ||CTX=='' ||CTX=='undefined'){
	var CTX = "/"+tmp;
}
//判断浏览器
function btv(){
    var btv = {};
    var ua = navigator.userAgent.toLowerCase();
    var temp = null;
    (temp = ua.match(/msie ([\d.]+)/))? btv.ie = temp[1]:
    (temp = ua.match(/firefox\/([\d.]+)/))?btv.ff = temp[1]:
    (temp = ua.match(/chrome\/([\d.]+)/))?btv.chrome = temp[1]:
    (temp = ua.match(/version\/([\d.]+).*safari/))?btv.safari  = temp[1]:
    (temp = ua.match(/opera\/([\d.]+)/))?btv.opera  = temp[1]:-1;
    return btv;
};
/**
 * @param target 事件触发对象 默认为document
 * @param type   事件
 * @param func   事件处理函数
 */
function attachEvent(target,type, func) {
    if (target.addEventListener)
        target.addEventListener(type, func, false);
    else if (target.attachEvent)
        target.attachEvent("on" + type, func);
    else target["on" + type] = func;
};

//解析xml文件的方法
function redrawSVG(nodeName, processDefinitionId, processInstanceId,str, lookNodeName, doneNodeName){  //added by huanghui@2012-7-13
	str=str.replace('<?xml version="1.0" encoding="UTF-8"?>','');
	var xmlRoot = $(str);  
    if(xmlRoot.length>0){
	   var Flow =  xmlRoot.find('FlowConfig');
		var fSvg=Flow.find('baseproperties');
		var svgWidth=fSvg.attr('svgwidth');
		var svgHeight=fSvg.attr('svgheight');
		var svgViewbox=fSvg.attr('svgviewbox');
	   var Steps =  xmlRoot.find('Steps');
       var Actions = xmlRoot.find('Actions');
       
       //解析FlowConfig下面的VMLProperties。
       var flowPor = Flow.find('VMLProperties');
	   var StepColor = flowPor.attr("stepStrokeColor");
	   var StepTextColor = flowPor.attr("stepTextColor");
	   var ActionColor = flowPor.attr("actionStrokeColor");
	   var sStepColor = flowPor.attr("sStepStrokeColor");
	   var sStepTextColor = flowPor.attr("sStepTextColor");	
	   var StepShadowColor = flowPor.attr("stepShadowColor");
	   var IsStepShadow = flowPor.attr("isStepShadow");
	   var StepColor1 = flowPor.attr("stepColor1");
	   var StepColor2 = flowPor.attr("stepColor2");
	   var IsStep3D = flowPor.attr("isStep3D");
	   var Step3DDepth = flowPor.attr("step3DDepth");
       var StepChild = Steps.find('Step');
       
       //先加入配置
       var vmlHTML = '';
       //viewBox这个是为了满足原来的vml图形
       var width = $($(StepChild[0]).find("VMLProperties")[0]).attr("width");

       //var viewBox = "0 0 1200 750";
		var viewBox = svgViewbox;//xiemei  动态获取xml内svg的宽、高、viewBox，保证其内容完全显示
       if(width=='200'){viewBox="0 0 1800 1800"};
       var svgDefs = '<svg viewBox="'+viewBox+'" id="svg"  style="width:'+svgWidth+';height:'+svgHeight+';'
           	 +'" xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ev="http://www.w3.org/2001/xml-events" >'
       			  +'<defs>'
		          +'	<linearGradient id="rectBody" x1="0%" y1="0%" x2="0%" y2="100%">'
		          +'      <stop offset="0%" style="stop-color:#ffffff; stop-opacity:1"/>'
		          +'      <stop offset="100%" style="stop-color:#c3e4f7; stop-opacity:1"/>'
		          +'   </linearGradient>'
		          +'	<linearGradient id="rectBodyRed" x1="0%" y1="0%" x2="0%" y2="100%">'
		          +'      <stop offset="0%" style="stop-color:#ffffff; stop-opacity:1"/>'
		          +'      <stop offset="90%" style="stop-color:#ff4747; stop-opacity:1"/>'
		          +'   </linearGradient>'
		          +'   <marker id="idArrow" viewBox="0 0 20 20" refX="20" refY="10" markerUnits="strokeWidth" markerWidth="6" markerHeight="10" orient="auto">'
		          +'       <path d="M 0 0 L 20 10 L 0 20 z" fill="#a6d0e7" stroke="#a6d0e7"/>'
		          +'   </marker>'
		          +'   <line id="direction" title="直线" x1="0" y1="0" x2="0" y2="0" style="stroke:#a6d0e7; stroke-width:3;" marker-end="url(#idArrow)"/>'
		          +'</defs>';
	  vmlHTML +=svgDefs;	
	   
	   //下面再解析 steps和actions   huanghui@2012-7-13 星期五那天写到这里来了
	   //draw steps 得到图形
	   
	   StepChild.each(function(){
		   var nIndex,nId,nText,nType,nTextColor,nStrokeColor,nShadowColor,nIsShadow,nWidth,nHeight,
		   		nX,nY,nStrokeWeight,nTextWeight,nColor1,nColor2,nIs3D,n3DDepth;
		   var Step = $(this);
		   var stepBase = Step.find("BaseProperties");
		   var stepVml = Step.find("VMLProperties");
		   nId = stepBase.attr("id");
		   nText = stepBase.attr("text");
		   nType = stepBase.attr("stepType");
		   nIndex = stepVml.attr("zIndex");
		   if(nIndex=='') nIndex = '0';
		   if(nType=='BeginStep' || nType=='EndStep'){
			   nTextColor = sStepTextColor;
		       nStrokeColor = sStepColor;	
		   }else{
			   nTextColor = StepTextColor;
			   nStrokeColor = StepColor;		       	   
		   }
		   nShadowColor = StepShadowColor;
		   nIsShadow = IsStepShadow;
		   nWidth = stepVml.attr("width");
		   nHeight = stepVml.attr("height");
		   nX = stepVml.attr("x");
		   nY = stepVml.attr("y");
		   nStrokeWeight = stepVml.attr("strokeWeight");
		   nTextWeight = stepVml.attr("textWeight");
		   if(nStrokeWeight==''){nStrokeWeight='1';}
		   nColor1 = StepColor1;
		   nColor2 = StepColor2;
		   nIs3D = IsStep3D;
		   n3DDepth = Step3DDepth;
		   var stepHTML=getSVGStepHTML(nType,nIndex,nId,nText,nTextColor,nStrokeColor,nShadowColor,nIsShadow,nWidth,nHeight,nX,nY,nStrokeWeight,nTextWeight,nColor1,nColor2,nIs3D,n3DDepth, nodeName, lookNodeName, doneNodeName);
		   vmlHTML += stepHTML;
		});          
	   
	   
	   //draw actions 得到连线
	   var ActionChild = Actions.find('Action');
	   var removeFlag = false;
	   ActionChild.each(function(){
		   var lIndex,lId,lText,lType,lIsFocused,lFromStep,lToStep,lStrokeColor,lStrokeWeight,lStartArrow,lEndArrow;
		   var Action = $(this);
		   var actionBase = Action.find('BaseProperties');
		   var actionVml = Action.find('VMLProperties');
		   lId = actionBase.attr("id");
		   lText = actionBase.attr("text");
		   lType = actionBase.attr("actionType");
		   lFromStep = actionBase.attr("from");
		   lToStep = actionBase.attr("to");	
		   var fromStepWidth=100,
	       	   toStepWidth=100;
		   var lenffFrom=strlen(lFromStep);
		   if(lenffFrom>6){
			   fromStepWidth=(lenffFrom-6)*10+100;
		   }
		   var lenffTo=strlen(lToStep);
		   if(lenffTo>6){
			   toStepWidth=(lenffTo-6)*10+100;
		   }
		   lIndex = actionVml.attr("zIndex");
		   if(lIndex=='') lIndex = '10';
		   lStartArrow = actionVml.attr("startArrow");
		   lEndArrow = actionVml.attr("endArrow");	
		   lStrokeWeight = actionVml.attr("strokeWeight");
		   if(lStrokeWeight==''){lStrokeWeight='4';}
		   lStrokeColor = ActionColor;
		   var drawType = actionBase.attr("drawtype");
		   var lFromToStep=getSVGProperties(Steps,lFromStep);
		   var lStepToStep = getSVGProperties(Steps,lToStep);
		   if(lFromStep=='开始'){
			   lFromToStep.attr('width','60');
		   }else if(lToStep=='结束'){
			   lStepToStep.attr('width','60');
		   }else{
			   lFromToStep.attr('width',fromStepWidth);
			   lStepToStep.attr('width',toStepWidth); 
		   }
		   lFromToStep.attr('height','60');
		   lStepToStep.attr('height','60');
		   var result = getSVGActionHTML(lType,lIndex,lId,lText,lFromStep,lToStep,lFromToStep,
		   					lStepToStep,lStrokeColor,lStrokeWeight,lStartArrow,lEndArrow, drawType);
		   
		   if(result!='') {
			  vmlHTML +=result;
			    
		   }else{
			     Actions.removeChild(Action);
			     removeFlag = true;
		   }
	   });
	   
	   vmlHTML +='</svg>';
	   $('#flowChart-wrap').html(vmlHTML);
       if(removeFlag){
       	   var FlowXML = document.all.FlowXML;
           FlowXML.value = xmlRoot.xml;
       };
   }
	
	
}

//getSVGStepHTML 画图形的方法  added by huanghui@2012-7-13
function getSVGStepHTML(stepType,z_index,id,text,textColor,strokeColor,shadowColor,isShadow,width,height,X,Y,strokeWeight,textWeight,color1,color2,is3D,step3DDepth, nodeName, lookNodeName, doneNodeName){
	var fillBg='',strokeBg='';
	if(stepType=='BeginStep'){
		fillBg='#75cae9';
		strokeBg='#4da6c7';
		width=60;
	}else if(stepType=='EndStep'){
		fillBg='#A7393E';
		strokeBg='#79292C';
		width=60;
	}else {
		fillBg='#b5ddff';
		strokeBg='#61adec';
		var lenff=strlen(text);
	    if(lenff>6){
	    	width=(lenff-6)*10+100;
	    }
	}	
	height=60;
	var styleHTML = 'style="fill:'+fillBg+'; stroke-width:'+strokeWeight+'; stroke:'+strokeBg+';" ';
   	var gstyleHTML = 'id="'+id+'" style="cursor:pointer;"  width="'+width+'" height="'+height+'" ';
   	var nodeID =document.all.nodeID;
   	lookNodeName, doneNodeName
   	var nodeValues = lookNodeName;
   	var doneValues = doneNodeName;
   	var isHave = false;
   	var isRead = "";
   	var isDone = false;
   	if(nodeValues != null && nodeValues != "" && nodeValues != "undefined"){
		var array = nodeValues.split(",");
		for(var i=0;i<array.length;i++){
			var str = array[i];
			var arr = str.split("-");
			var key = arr[0];
			var read = arr[1];
			if(key==text){
				isHave = true;
		    }
		}
	}
   	if(doneValues != null && doneValues != "" && doneValues != "undefined"){
		var array = doneValues.split(",");
		for(var i=0;i<array.length;i++){
			var key = array[i];
			if(key==text){
				isDone = true;
		    }
		}
	}
	var imageWidth = '20';textWeight='20';
	if (isHave){
		styleHTML = 'style="fill:#FF4500; stroke-width:'+strokeWeight+'; stroke:'+shadowColor+';" ';
	} else if (isDone){
		styleHTML = 'style="fill:#b2f39b; stroke-width:'+strokeWeight+'; stroke:'+shadowColor+';" ';
	} else {
		styleHTML = 'style="fill:'+fillBg+'; stroke-width:'+strokeWeight+'; stroke:'+shadowColor+';" ';
	}
	if(width=='200'){imageWidth = '50';textWeight='35'}
   	var stepHTML = '';
    if(stepType=='BeginStep' ||stepType=='EndStep'){ //开始节点
    	var rx = parseFloat(width/2);
		var ry = parseFloat(height/2);
		var cx = parseFloat(X)+rx;
		var cy = parseFloat(Y)+ry;
		
		var imageX = cx-rx-5;
		var iamgeY = (cy-ry)-14;
		var textX = parseFloat(X) + parseFloat(rx)-18;
		var textY = parseFloat(Y)+ parseFloat(ry)+6;
		stepHTML = '<g '+gstyleHTML+'>'
			+'<ellipse cx="'+cx+'" cy="'+cy+'" rx="'+ry+'" ry="'+ry+'" '+styleHTML+' /> ';
		stepHTML += '<text x="'+textX+'" y="'+textY+'" font-size="20">'+text+'</text>' ;
		var imageName = 'start_page_enabled.gif';
		//if(stepType=='EndStep'){imageName = 'end_state_enabled.gif';}
		/*stepHTML +=' <image x="'+imageX+'" y="'+iamgeY+'" width="'+imageWidth+'" height="'+imageWidth+'" '
				 +' xlink:href="'+CTX+'/component/flowdesign/inc/images/'+imageName+'"/>' 
				 +' </g>';*/
		stepHTML +=' </g>';
   }else{
	   var textX = parseFloat(X)+parseFloat(width/2);
  		var textY = parseFloat(Y)+parseFloat(7*height/12);
  		var imageX = parseFloat(X)+parseFloat(width/20);
  		var imageY = parseFloat(Y)+parseFloat(height/3);	
   		var lenff=strlen(text);
   		
   		stepHTML = '<g '+gstyleHTML+'>'
   		textX = parseFloat(X)+26;
   		if (isHave){
   			textX = parseFloat(X)+36;
   			textY = parseFloat(Y)+36;
   		} else if (isDone){
   			textX = parseFloat(X)+36;
   			textY = parseFloat(Y)+36;
   		} else if (stepType=='StateStep' || stepType=='ForkStep'){
   			textX = parseFloat(X)+24;
   		}
   		if(stepType=='ForkStep' || stepType=='StateStep'){
   			stepHTML+='<polygon id="step" rx="10" ry="10" x="'+X+'" y="'+Y+'" width="'+width+'" height="'+height+'" '+ styleHTML+' points="'+parseFloat(X)+','+(parseFloat(Y)+parseFloat(height)/2)+' '+(parseFloat(X)+parseFloat(width)/2)+','+parseFloat(Y)+' '+(parseFloat(X)+parseFloat(width))+','+(parseFloat(Y)+parseFloat(height)/2)+' '+(parseFloat(X)+parseFloat(width)/2)+','+(parseFloat(Y)+parseFloat(height))+'" style="fill:#cccccc;stroke:#000000;stroke-width:1"/>'
   		}else{
   			stepHTML+='<rect id="step" rx="10" ry="10" x="'+X+'" y="'+Y+'" width="'+width+'" height="'+height+'" '+ styleHTML+' />'
   		}
		stepHTML+='<text x="'+textX+'" y="'+textY+'"  font-size="20">'+text+'</text>' ;
		if (isDone){
			stepHTML +=' <image x="'+imageX+'" y="'+(imageY-2)+'" width="26" height="26" '
			+' xlink:href="../../../OAPlus/styles/images/done.png" />';
		} else if(nodeValues != null && nodeValues != "" && nodeValues != "undefined"){
			var array = nodeValues.split(",");
			for(var i=0;i<array.length;i++){
				var str = array[i];
				var arr = str.split("-");
				var key = arr[0];
				var read = arr[1];
				if(key==text && read == "1"){
					stepHTML +=' <image x="'+imageX+'" y="'+(imageY-2)+'" width="26" height="26" '
					+' xlink:href="../../../OAPlus/styles/images/read.png" />';
			    } else if (key == text && read == "0") {
			    	stepHTML +=' <image x="'+imageX+'" y="'+(imageY-2)+'" width="26" height="26" '
					+' xlink:href="../../../OAPlus/styles/images/noRead.png" />';
			    }
			}
		}
   		stepHTML +=' </g>';
   }
   return stepHTML;
}
//画线的方法 added by huanghui@2012-7-13
function getSVGActionHTML(actionType,z_index,id,actionText,from,to,fromStep,toStep,
	strokeColor,strokeWeight,startArrow,endArrow, drawType){
  var styleHTML = '';
		/***
		 * * coordsize="2000,2000",width=800px,height=500px
		 * * x = 2000/800 = 2.5倍数   
		 * * y = 2000/500 = 4倍数
		 * * */
		//(789,840)--(1070,412)
		var fromStepX = parseFloat(fromStep.attr("x"));  //105
		var fromStepY = parseFloat(fromStep.attr("y"));	//216
		var toStepX = parseFloat(toStep.attr("x")); //787
		var toStepY = parseFloat(toStep.attr("y")); //840
		var fromStepWidth = parseFloat(fromStep.attr("width"));
		var fromStepHeight = parseFloat(fromStep.attr("height"));
		var toStepWidth = parseFloat(toStep.attr("width"));
		var toStepHeight = parseFloat(toStep.attr("height")); 
		var xx=0,yy=0;
		//得到起点和终点的坐标值
		var points = getActionPoints(actionType,fromStep[0],toStep[0]);  //这个方法在webflow.js里面
		if(actionType == 'Line'){ //直线,通过上面的方法得到points为："from="300,380" to="942,1170""
		    var x1=0,y1=0,x2=0,y2=0;
		    if(points!=''){
			    var arrPoints = points.split('=');
				if(arrPoints.length>0){
					x1 = arrPoints[1].substring(1,arrPoints[1].lastIndexOf(','));
					y1 = arrPoints[1].substring(arrPoints[1].lastIndexOf(',')+1,arrPoints[1].lastIndexOf('"'));
					x2 = arrPoints[2].substring(1,arrPoints[2].lastIndexOf(','));
					y2 = arrPoints[2].substring(arrPoints[2].lastIndexOf(',')+1,arrPoints[2].length-1);
				}    	
		    }
		    var t1 = (parseInt(x2)-parseInt(x1))/3 + parseInt(x1) + parseInt(10);
		    var t2 = (parseInt(y2)-parseInt(y1))/2 + parseInt(y1) - parseInt(10);
    	actionHTML = '<line id="'+id+'" title="'+to+'" x1="'+x1+'"  y1="'+y1+'" x2="'+x2+'" y2="'+y2+'" '
    				//+' onmousedown=\'cleancontextMenu();objFocusedOn("'+id+'","Action");\' oncontextmenu=\'objFocusedOn("'+id+'","Action");actionContextMenu("'+to+'","'+from+'");return false;\' ' 
    				+'style="stroke:#628EA0; stroke-width:'+strokeWeight+';" marker-end="url(#idArrow)"/>';//startArrow,
    	actionHTML += '<text id="text'+ id +'" x="'+t1+'" y="'+t2+'" fill="gray" font-size="20">'+ actionText +'</text>';
	    }else if(actionType == 'PolyLine'){ //折线,通过上面的方法得到points为："887,1020 887,1690 1600,1690"
	   		if(points==''){
	   			points='0,0 0,0 0,0';
	   		}
	   		if (undefined != drawType && null != drawType && "" != drawType){
	   			points = getActionPoints(actionType,fromStep[0],toStep[0], id, drawType);  //这个方法在webflow.js里面
	    	} else {
	    		drawType = "false";
	    	}
   		var arr = points.split(',');// 把折线坐标转换成数组
   		var senArr = arr[1].split(' ');// 把折线坐标1020 887 转换成数组,方便计算起点、拐点、终点坐标
   		var thiArr = arr[2].split(' ');// 把折线坐标1690 1600 转换成数组,方便计算起点、拐点、终点坐标
   		var st_x = arr[0];// 起点x轴, 同时也是拐点x轴坐标
   		var st_y = senArr[0];// 起点y轴
   		var g_y = arr[3];// 拐点y轴坐标,同时也是终点y轴坐标
   		var end_x = thiArr[1];// 终点x轴坐标
   		var text_x=0,text_y=0;// 定义text标签的 x y坐标
		var len_y = Math.abs((parseInt(g_y) - parseInt(st_y)));
		var len_x = Math.abs((parseInt(end_x) - parseInt(st_x)));
		// 判断x y坐标点, 用于显示线上文字(text标签需要一个x y坐标点)
		if (len_x >= len_y){// x轴长度比较长,计算终点与拐点之间的x y坐标点
			text_x = (parseInt(end_x)-parseInt(st_x))/2 + parseInt(st_x);
			text_y = parseInt(g_y) - parseInt(10);
		} else {// y轴比较长,计算拐点与起点之间的x y坐标点
			text_x = parseInt(st_x) + parseInt(10);
			text_y = (parseInt(g_y)-parseInt(st_y))/2 + parseInt(st_y);
		}
			actionHTML = '<polyline drawtype="'+drawType+'" id="'+id+'" title="'+to+'" points="'+points+'" from ="'+from+'" to="'+to+'" ' 
   					//+' onmousedown=\'cleancontextMenu();objFocusedOn("'+id+'","Action");\' oncontextmenu=\'objFocusedOn("'+id+'","Action");actionContextMenu("'+to+'");return false;\' ' 
   					+'style="fill:none;stroke:#628EA0;stroke-width:'+strokeWeight+';" marker-end="url(#idArrow)"/>';
   		actionHTML += '<text id="text'+ id +'" x="'+text_x+'" y="'+text_y+'" fill="gray" font-size="20">'+ actionText +'</text>';
    	
    }
   return actionHTML;
}
//added by huanghui@2012-7-13
function getSVGProperties(Steps,nodeName){
	Step = Steps.find('Step');
	for (var i = 0;i < Step.length;i++ ){
		var $this = $(Step[i]);
		var text = $this.find('BaseProperties').attr('text');
		if(text==nodeName){
	   		return $this.find('VMLProperties');
	 	}
	};
	return null;
}
//svg没有双击事件，将单击事件改双击事件doOnClick
function doOnClick(evt,id,stepType,text) {
   if ( evt.detail ==2 ){
     alert('success');
     workFlowSetting(id,stepType,text);
    }
}

function getActionPoints(actionType,fromStep,toStep,id, drawType){//实际调用此处方法
	//alert(drawType);
	if(id==undefined || id=='undefined'){
		id='';
	}
   if (fromStep==null || toStep==null) return '';
   var pointsHTML = '';
   var fromStepWidth = parseInt(fromStep.getAttribute("width"));
   var fromStepHeight = parseInt(fromStep.getAttribute("height"));
   var toStepWidth = parseInt(toStep.getAttribute("width"));
   var toStepHeight = parseInt(toStep.getAttribute("height"));
   var fromStepX = parseInt(fromStep.getAttribute("x"));
   var fromStepY = parseInt(fromStep.getAttribute("y"));
   var toStepX = parseInt(toStep.getAttribute("x"));
   var toStepY = parseInt(toStep.getAttribute("y"));

   //FromStep Center X,Y
   fromCenterX = fromStepX + parseInt(fromStepWidth/2);
   fromCenterY = fromStepY + parseInt(fromStepHeight/2);

   //ToStep Center X,Y
   toCenterX = toStepX + parseInt(toStepWidth/2);
   toCenterY = toStepY + parseInt(toStepHeight/2);

   /**
	 * fromStep(105,216)200*180--toStep(787,840)200*180
	 * fromCenter(205，306)---toCenter(887，930)
	 * 
	 * */
   if(actionType=='Line' && fromStep!=toStep){
     var toX=0,toY=0,fromX=0,fromY=0;
      if(fromStep!=toStep){
	   if (ifRepeatStep(fromStepX,fromStepY,fromStepWidth,fromStepHeight,toStepX,toStepY,toStepWidth,toStepHeight)) {
			//这里只在ie下返回，其他浏览器下svg图形有线段跟着移动的效果，这里如果直接返回，对其会有影响 moidfy huanghui@21012-8-3
			if(btv().ie<10){
				return "";
			}
	   } 
	      point2X = fromCenterX;
	      point2Y = toCenterY;
	   
	   if (toCenterX > fromCenterX) {//	直线为左边指向右边--->	  
		   absY = toCenterY>=fromCenterY?toCenterY-fromCenterY:fromCenterY-toCenterY;//两点的垂直距离
		   if (parseInt(fromStepHeight/2)>=absY) { 
			   point1X = fromStepX + fromStepWidth;
			   point1Y = toCenterY;
			   point2X = point1X;
			   point2Y = point1Y;
		   }else{
			   point1X = fromCenterX;
			   point1Y = fromCenterY<toCenterY?fromStepY+fromStepHeight:fromStepY;
		   }
		   absX = toCenterX-fromCenterX;
		   if (parseInt(fromStepWidth/2)>=absX) {
			   point3X = fromCenterX;
			   point3Y = fromCenterY<toCenterY?toStepY:toStepY+toStepHeight;
			   point2X = point3X;
			   point2Y = point3Y;
		   }else{
			   point3X = toStepX;
			   point3Y = toCenterY;
		   }		   
	   }
	   if (toCenterX < fromCenterX) { //	直线为右边指向左边<---	 
		   absY = toCenterY>=fromCenterY?toCenterY-fromCenterY:fromCenterY-toCenterY;
		   if (parseInt(fromStepHeight/2)>=absY) {
			   point1X = fromStepX;
			   point1Y = toCenterY;
			   point2X = point1X;
			   point2Y = point1Y;
		   }else{
			   point1X = fromCenterX;
			   point1Y = fromCenterY<toCenterY?fromStepY+fromStepHeight:fromStepY;
		   }
		   absX = fromCenterX-toCenterX;
		   if (parseInt(fromStepWidth/2)>=absX) {
			   point3X = fromCenterX;
			   point3Y = fromCenterY<toCenterY?toStepY:toStepY+toStepHeight;
			   point2X = point3X;
			   point2Y = point3Y;
		   }else{
			   point3X = toStepX + toStepWidth;
			   point3Y = toCenterY;
		   }		   
	   }
	   if (toCenterX == fromCenterX) { //	直线为竖线  |
		   point1X = fromCenterX;
		   point1Y = fromCenterY>toCenterY?fromStepY:fromStepY+fromStepHeight;
		   point3X = fromCenterX;
		   point3Y = fromCenterY>toCenterY?toStepY+toStepHeight:toStepY;
		   point2X = point3X;point2Y = point3Y;
	   }
	   if (toCenterY == fromCenterY) { //	直线为横线  -
		   point1X = fromCenterX>toCenterX?fromStepX:fromStepX+fromStepWidth;
		   point1Y = fromCenterY;
		   point3Y = fromCenterY;
		   point3X = fromCenterX>toCenterX?toStepX+toStepWidth:toStepX;
		   point2X = point3X;point2Y = point3Y;
	   }	   

	 
	    fromX=point1X;fromY=point1Y;toX=point3X;toY=point3Y;
	 }
     
      pointsHTML = 'from="'+fromX+','+fromY+'" to="'+toX+','+toY+'"'; 
   }else{
   		//var _this=document.getElementById(id);
   		var curClass='';		
   		if (drawType == 'true'){
   			curClass = "2";
   		} else {
   			curClass = "1";
   		}
     if(fromStep!=toStep){
	   if (ifRepeatStep(fromStepX,fromStepY,fromStepWidth,fromStepHeight,toStepX,toStepY,toStepWidth,toStepHeight)) {
			if(btv().ie<10){
				return "";
			}
	   } 

	      //point2X = fromCenterX;
	      //point2Y = toCenterY;
	   
	   if (toCenterX > fromCenterX) {		  
		   absY = toCenterY>=fromCenterY?toCenterY-fromCenterY:fromCenterY-toCenterY;
		   if (parseInt(fromStepHeight/2)>=absY) {
			   point1X = fromStepX + fromStepWidth;
			   point1Y = toCenterY;
			   point2X = point1X;
			   point2Y = point1Y;
		   }else{
			   if(fromCenterY<toCenterY){
					point1X = curClass=='2' ? fromCenterX+parseInt(fromStepWidth/2) : fromCenterX;
                    point1Y = curClass=='2' ? fromStepY+parseInt(fromStepHeight/2) : fromStepY+fromStepHeight;
				}else{
					point1X = curClass=='2' ? fromCenterX+parseInt(fromStepWidth/2) : fromCenterX;
					point1Y = curClass=='2' ? fromCenterY : fromCenterY-parseInt(fromStepHeight/2);
				}
		   }
		   absX = toCenterX-fromCenterX;
		   if (parseInt(fromStepWidth/2)>=absX) {
			   point3X = fromCenterX;
			   point3Y = fromCenterY<toCenterY?toStepY:toStepY+toStepHeight;
			   point2X = point3X;
			   point2Y = point3Y;
		   }else{
			    if(fromCenterY<toCenterY){
					point3X = curClass=='2' ? toStepX+parseInt(toStepWidth/2) : toStepX;
					point3Y = curClass=='2' ? toCenterY-parseInt(toStepHeight/2) : toCenterY;

					point2X = curClass=='2' ? toCenterX : fromCenterX;
                    point2Y = curClass=='2' ? fromCenterY : toCenterY;
				}else{
					point3X = curClass=='2' ? toCenterX : toStepX;
					point3Y = curClass=='2' ? toCenterY+parseInt(toStepHeight/2) : toCenterY;

					point2X = curClass=='2' ? toCenterX : fromCenterX;
                    point2Y = curClass=='2' ? fromCenterY : toCenterY;

				}
		   }		   
	   }
	   if (toCenterX < fromCenterX) {
		   absY = toCenterY>=fromCenterY?toCenterY-fromCenterY:fromCenterY-toCenterY;
		   if (parseInt(fromStepHeight/2)>=absY) {
			   point1X = fromStepX;
			   point1Y = toCenterY;
			   point2X = point1X;
			   point2Y = point1Y;
		   }else{
		   		if(fromCenterY<toCenterY){
		   			point1X = curClass=='2' ? fromCenterX : fromCenterX-parseInt(fromStepWidth/2);
                    point1Y = curClass=='2' ? fromStepY+fromStepHeight : fromStepY+parseInt(fromStepHeight/2);
		   		}else{
		   		    point1X = curClass=='2' ? fromStepX : fromCenterX;
                    point1Y = curClass=='2' ? fromCenterY : fromCenterY-parseInt(fromStepHeight/2);
		   		}
		   }
		   absX = fromCenterX-toCenterX;
		   if (parseInt(fromStepWidth/2)>=absX) {
			   point3X = fromCenterX;
			   point3Y = fromCenterY<toCenterY?toStepY:toStepY+toStepHeight;
			   point2X = point3X;
			   point2Y = point3Y;
		   }else{
		       if(fromCenterY<toCenterY){
					point3X = curClass=='2' ? toStepX+toStepWidth : toStepX+parseInt(toStepWidth/2);
                    point3Y = curClass=='2' ? toCenterY : toCenterY-parseInt(toStepHeight/2);

                    point2X = curClass=='2' ? fromCenterX : toCenterX;
                    point2Y = curClass=='2' ? toCenterY : fromCenterY;
				}else{

					point3X = curClass=='2' ? toCenterX :  toStepX+toStepWidth;
                    point3Y = curClass=='2' ? toCenterY+parseInt(toStepHeight/2) :  toCenterY;

                    point2X = curClass=='2' ? toCenterX :  fromCenterX;
                    point2Y = curClass=='2' ? fromCenterY :  toCenterY;

				}
		   }		   
	   }
	   if (toCenterX == fromCenterX) {
		   point1X = fromCenterX;
		   point1Y = fromCenterY>toCenterY?fromStepY:fromStepY+fromStepHeight;
		   point3X = fromCenterX;
		   point3Y = fromCenterY>toCenterY?toStepY+toStepHeight:toStepY;
		   point2X = point3X;point2Y = point3Y;
	   }
	   if (toCenterY == fromCenterY) {
		   point1X = fromCenterX>toCenterX?fromStepX:fromStepX+fromStepWidth;
		   point1Y = fromCenterY;
		   point3Y = fromCenterY;
		   point3X = fromCenterX>toCenterX?toStepX+toStepWidth:toStepX;
		   point2X = point3X;point2Y = point3Y;
	   }	   

	   pointsHTML = point1X+','+point1Y+' '+point2X+','+point2Y+' '+point3X+','+point3Y;
	   
	 }else{
	   var constLength = 30;
	   point0X = fromStepX+fromStepWidth-constLength;
	   point0Y = fromStepY+fromStepHeight;
	   point1X = point0X;
	   point1Y = point0Y+constLength;
	   point2X = fromStepX+fromStepWidth+constLength;
	   point2Y = point1Y;
	   point3X = point2X;
	   point3Y = point0Y-constLength;
	   point4X = fromStepX+fromStepWidth;
	   point4Y = point3Y;

	   pointsHTML = point0X+','+point0Y+' '+point1X+','+point1Y+' '+point2X+','+point2Y+' '+point3X+','+point3Y+' '+point4X+','+point4Y;
	 }

   }
   return pointsHTML;
}

function ifRepeatStep(fromStepX,fromStepY,fromStepWidth,fromStepHeight,toStepX,toStepY,toStepWidth,toStepHeight){
	  return (fromStepX + fromStepWidth >= toStepX) && (fromStepY + fromStepHeight >= toStepY) && (toStepX + toStepWidth >= fromStepX) && (toStepY + toStepHeight >= fromStepY);
	}


/****************** added by huanghui@2012-7-17 流程设计器显示用svg格式，兼容各浏览器   end **********************/
