define(['mobilekit','datetime'],function(){
    /**
     * 初始化日历
     */
    $('#vacation-time,#vacation-time-i').mobiscroll().datetime({
     /*   theme: '',
        mode: 'scroller',
        display: 'modal',
        lang: 'zh',*/
        minDate: new Date(1900,1,31),
        maxDate: new Date(2030,12,31),
        stepMinute: 5
    });
    /**
     *  输入内容时，输入框底部便蓝色
     */
    $('.form-group').on('focus','.form-group .edit',function(){
        $(this).closest('.form-control').addClass('active');
    }).on('blur','.form-group .edit',function(){
        $(this).closest('.form-control').removeClass('active');
    });
    /*
    * 显示/收缩审批流程
     */
    $(document).on('click','.vacation-process-title',function(){
        $('.vacation-process-content').toggleClass('hide');
    });
    /*
     * 休假类型
     */
    $('#classify').on('click',function(){
        $('.poplayer-wrap').removeClass('hide');
    });
    //点击休假类型取消按钮，隐藏弹出层
    $('.poplayer .cancel').on('click',function(){
        $('.poplayer-wrap').addClass('hide');
    });
    //点击休假类型确定按钮，隐藏弹出层
    $('.poplayer .active').on('click',function(){
        var len =$('.poplayer-list .list input[value="true"]').length;
        console.log(len,'len');
        if(len){
            var value = $('.poplayer-list .list input[value="true"]').parent().prev().text();
            if(value){
                $('#classify').val(value);
            }
        }
       $('.poplayer-wrap').addClass('hide');
    })
    /*
    *  初始化单选框事件
     */
    $(".radio").each(function () {
        var t = Checkbox({
            type:'radio',
            obj:$(this),
            radioSelector:'.radio',
            checked:true,
            enable:true
        });
        $(this).closest('.radio').click(function () {
            t.setChecked(true);
            return false;
        })
    })
    /*
    * 点击撤销按钮
     */
    $(document).on('click','#cancelVacation',function(){
        $('.cancel-vacation-wrap').removeClass('hide');
    });
    /*
     * 点击弹出层中取消撤销按钮
     */
    $(document).on('click','.cancel-vacation-wrap .cancel',function(){
        $('.cancel-vacation-wrap').addClass('hide');
    });
    /*
     * 点击弹出层中确认撤销按钮
     */
    $(document).on('click','.cancel-vacation-wrap .submit',function(){
        //删除当前dom元素,然后跳转到“我的发起”页面
        window.location.href = "myVacation.html";
        //隐藏弹出层
        $('.cancel-vacation-wrap').addClass('hide');
    });
    //下一步按钮
    $('#nextBtn').on('click',function(){
        if(check()){
            window.location.href = "/OA/view/workFlow/nextStep.html";
        }else {
            toast('您填写的信息有误！')
        }
    });
    //暂存
    $('#temporaryBtn').on('click',function(){
        if(check()){
            alert('暂存成功！');
            window.location.href = "";
        }else {
            toast('您填写的信息有误！')
        }
    })
    //更多
    $('.bar-tab').on('click','.more',function(){
        $('.moreBtn').toggleClass('hide');
    });

    //输入框聚焦时变色
    $('.form-group').on('focus','input',function(){
        $(this).closest('.form-control').addClass('active');
    }).on('blur','input',function(){
        $(this).closest('.form-control').removeClass('active');
    });
    //验证
    $('#title').on('blur',function(){
        if($(this).val()){
            $('#title-tips').addClass('hide');
            $('#title-tips').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus',function(){
        $('#itle-tips').addClass('hide');
        $('#itle-tips').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#classify').on('blur',function(){
        if($(this).val()){
            $('#classify-tips').addClass('hide');
            $('#classify-tips').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus',function(){
        $('#classify-tips').addClass('hide');
        $('#classify-tips').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#vacation-time').on('blur',function(){
        if($(this).val()){
            $('#vacation-time-tips').addClass('hide');
            $('#vacation-time-tips').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus',function(){
        $('#vacation-time-tips').addClass('hide');
        $('#vacation-time-tips').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#reason').on('blur',function(){
        if($(this).val()){
            $('#reason-tips').addClass('hide');
            $('#reason-tips').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }
    }).on('focus',function(){
        $('#reason-tips').addClass('hide');
        $('#reason-tips').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#day').on('blur',function(){
        var value = $('#day').val();
        if(value){
            $('#day-tips').addClass('hide');
            $('#day-tips').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }else{
            if(!$('#h').val()){
                $('#day-tips').removeClass('hide');
                $('#day-tips').addClass('show');
                $('#day-tips').text('您还没有填写休假期限');
                $(this).closest('.form-control').addClass('error');
            }
        }
    }).on('focus',function(){
        $('#day-tips').addClass('hide');
        $('#day-tips').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    $('#h').on('blur',function(){
        var value = $(this).val();
        if(value){
            $('#day-tips').addClass('hide');
            $('#day-tips').removeClass('show');
            $(this).closest('.form-control').removeClass('error');
        }else{
            if(!$('#h').val()){
                $('#day-tips').removeClass('hide');
                $('#day-tips').addClass('show');
                $('#day-tips').text('您还没有填写休假期限');
                $(this).closest('.form-control').addClass('error');
            }
        }
    }).on('focus',function(){
        $('#day-tips').addClass('hide');
        $('#day-tips').removeClass('show');
        $(this).closest('.form-control').removeClass('error');
    });
    /*
    * 检查是否都填写
     */
    function check(){
        if(!$('#title').val()){
            $('#title-tips').addClass('show');
            $('#title-tips').removeClass('hide');
            $('#title').closest('.form-control').addClass('error');
        }
        if(!$('#classify').val()){
            $('#classify-tips').addClass('show');
            $('#classify-tips').removeClass('hide');
            $('#classify').closest('.form-control').addClass('error');
        }
        if(!$('#vacation-time').val()){
            $('#vacation-time-tips').addClass('show');
            $('#vacation-time-tips').removeClass('hide');
            $('#vacation-time').closest('.form-control').addClass('error');
        }
        if(!$('#reason').val()){
            $('#reason-tips').addClass('show');
            $('#reason-tips').removeClass('hide');
            $('#reason').closest('.form-control').addClass('error');
        }
        if(!$('#day').val() && !$('#h').val()){
            console.log('1111');
            $('#day-tips').addClass('show');
            $('#day-tips').removeClass('hide');
            $('#day').closest('.form-control').addClass('error');
        }
        var flag = $('.fa-exclamation-circle').hasClass('show');
        if(flag){
            return false;
        }else{
            return true;
        }
    }

});