/****************** added by huanghui@2012-7-17 流程设计器用svg格式，兼容各浏览器   begin *****************/
/****
 * 全局变量CTX = ${ctx}
 * **/
/*以下 xiemei 2015-2-8*/
function strlen(str) {
    var len = 0;
    for (var i = 0; i < str.length; i++) {
        var c = str.charCodeAt(i);
        //单字节加1 
        if ((c >= 0x0001 && c <= 0x007e) || (0xff60 <= c && c <= 0xff9f)) {
            len++;
        }
        else {
            len += 2;
        }
    }
    return len;
}
/**
 * description : 得到字符串的字节长度;
 * @version 0.2;
 * @return 返回字符串的字节长度(eg:"一二12"的字节长度是6);
 */
String.prototype.getLength=function(){
 var text=this.replace(/[^\x00-\xff]/g,"**");
 return text.length;
}

/**
 * description : 按字节长度截取字符串.
 * @param len 需要截取的长度,字符串长度不足返回本身;
 * @return 返回截取后的字符串;
 * @requires getLength;
 */
String.prototype.getShortForm=function(len){
 var tempStr=this;
 if(this.getLength()>len){
  var i=0;
  for(var z=0;z<len;z++){
   if(tempStr.charCodeAt(z)>255){
    i=i+2;
   }else{
    i=i+1;
   }
   if(i>=len){
    tempStr=tempStr.slice(0,(z + 1));
    break;
   }
  }
  return tempStr;
 }else{
  return this+"";
 }
}
/*以上 xiemei 2015-2-8*/

var tmp = window.location.pathname;
tmp = tmp.substr(1,tmp.length);//去掉第一个‘/’
tmp = tmp.substr(0,tmp.indexOf('\/'));
if(CTX==null ||CTX=='' ||CTX=='undefined'){
	var CTX = "/"+tmp;
}
function stateBox(stateVal, contentVal){
	$(window.top.document.body).stateBox({
			state : stateVal,     //stateVal可以为"succeed"、"alert"、"error"之一，颜色不同，根据是什么类型的提示来写
			content : contentVal, //提示语的内容，比如说"保存成功"，这里一般为国际化的语句，尽量不自己写
			corner: true          
	});
}
//判断浏览器
function btv(){
    var btv = {};
    var ua = navigator.userAgent.toLowerCase();
    var temp = null;
    (temp = ua.match(/msie ([\d.]+)/))? btv.ie = temp[1]:
    (temp = ua.match(/firefox\/([\d.]+)/))?btv.ff = temp[1]:
    (temp = ua.match(/chrome\/([\d.]+)/))?btv.chrome = temp[1]:
    (temp = ua.match(/version\/([\d.]+).*safari/))?btv.safari  = temp[1]:
    (temp = ua.match(/opera\/([\d.]+)/))?btv.opera  = temp[1]:-1;
    return btv;
};
/**
 * @description attachEvent
 * @param target 事件触发对象 默认为document
 * @param type   事件
 * @param func   事件处理函数
*/
function eventListener(target,type, func) {
    if (target.addEventListener){
        target.addEventListener(type, func, false);
    }else if (target.attachEvent)
        target.attachEvent("on" + type, func);
    else target["on" + type] = func;
}; 


//非IE下就走下面的这段代码
if(!(btv().ie<10)){
	
	/**
	 * @description 解析xml格式的String类型参数的方法。
	 * 				1、解析了xml文件后转化为svg格式图形，显示在页面。
	 * 				2、在将这份xml文件传到后台进行保存。
	 * 				虽然严格的xml格式文件时区分大小的，是这里是用jquery进行解析，
	 * 				其将xml文件安装dom元素的形式来解析，所以对于标签的大小写是不敏感的。
	 * @param str 符合XML格式的字符串。			
	 * @author huanghui
	 * @date 2012-7-13
	 * */
	function redrawSVG(str){ 
		var xmlRoot = $(str); 
		if(xmlRoot.length>0){
			var Flow =  xmlRoot.find('FlowConfig');
			var Steps =  xmlRoot.find('Steps');
			var Actions = xmlRoot.find('Actions');
			//解析FlowConfig下面的VMLProperties。
			var flowPor = Flow.find('VMLProperties');
			var StepColor = flowPor.attr("stepStrokeColor");
			var StepTextColor = flowPor.attr("stepTextColor");
			var ActionColor = flowPor.attr("actionStrokeColor");
			var sStepColor = flowPor.attr("sStepStrokeColor");
			var sStepTextColor = flowPor.attr("sStepTextColor");
			var StepShadowColor = flowPor.attr("stepShadowColor");
			var IsStepShadow = flowPor.attr("isStepShadow");
			var StepColor1 = flowPor.attr("stepColor1");
			var StepColor2 = flowPor.attr("stepColor2");
			var IsStep3D = flowPor.attr("isStep3D");
			var Step3DDepth = flowPor.attr("step3DDepth");
			var StepChild = Steps.find('Step');
			var arrSVG = modifyRedrawSVG(str);//得到svg上面的参数
			var vmlHTML = '';
			//先加入配置
			var svgDefs = '<svg viewBox="'+arrSVG[0]+'" id="svg"  style="width:'+arrSVG[1]+'px;height:'+arrSVG[2]+'px;"'  
	           	 +' xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ev="http://www.w3.org/2001/xml-events" >'
	       			  +'<defs>'
			          +'	<linearGradient id="rectBody" x1="0%" y1="0%" x2="0%" y2="100%">'
			          +'      <stop offset="0%" style="stop-color:#ffffff; stop-opacity:1"/>'
			          +'      <stop offset="100%" style="stop-color:#c3e4f7; stop-opacity:1"/>'
			          +'   </linearGradient>'
			          +'	<linearGradient id="rectBodyRed" x1="0%" y1="0%" x2="0%" y2="100%">'
			          +'      <stop offset="0%" style="stop-color:#ffffff; stop-opacity:1"/>'
			          +'      <stop offset="90%" style="stop-color:#ff4747; stop-opacity:1"/>'
			          +'   </linearGradient>'
			          +'   <marker id="Classic" viewBox="0 0 10 10" refX="12" refY="5" markerUnits="strokeWidth" markerWidth="4" markerHeight="10" orient="auto">'
			          +'       <path d="M 0 0 L 10 5 L 0 10 10 5 z" fill="#a6d0e7" stroke="#a6d0e7"/>'
			          +'   </marker>'
			          +'   <marker id="directionClassic" viewBox="0 0 20 20" refX="20" refY="10" markerUnits="strokeWidth" markerWidth="6" markerHeight="10" orient="auto">'
			          +'       <path d="M 0 0 L 20 10 L 0 20 z" fill="#fff123" stroke="#fff123"/>'
			          +'   </marker>'
			          +'</defs>'
			          +'  <line id="direction" title="直线" x1="0" y1="0" x2="0" y2="0" style="stroke:#fff123; stroke-width:3;" marker-end="url(#directionClassic)"/>';
		    vmlHTML +=svgDefs;	
		   
		    //下面再解析 steps和actions   huanghui@2012-7-13 星期五那天写到这里来了
		    //draw steps 得到图形
		    StepChild.each(function(){
			   var nIndex,nId,nText,nType,nTextColor,nStrokeColor,nShadowColor,nIsShadow,nWidth,nHeight,
			   		nX,nY,nStrokeWeight,nTextWeight,nColor1,nColor2,nIs3D,n3DDepth;
			   var Step = $(this);
			   var stepBase = Step.find("BaseProperties");
			   var stepVml = Step.find("VMLProperties");
			   nId = stepBase.attr("id");
			   nText = stepBase.attr("text");
			   nType = stepBase.attr("stepType");
			   nIndex = stepVml.attr("zIndex");
			   if(nIndex=='') nIndex = '0';
			   if(nType=='BeginStep' || nType=='EndStep'){
				   nTextColor = sStepTextColor;
			       nStrokeColor = sStepColor;	
			   }else{
				   nTextColor = StepTextColor;
				   nStrokeColor = StepColor;		       	   
			   }
			   nShadowColor = StepShadowColor;
			   nIsShadow = IsStepShadow;
			   nWidth = stepVml.attr("width");
			   nHeight = stepVml.attr("height");
			   nX = stepVml.attr("x");
			   nY = stepVml.attr("y");
			   nStrokeWeight = stepVml.attr("strokeWeight");
			   nTextWeight = stepVml.attr("textWeight");
			   if(nStrokeWeight==''){nStrokeWeight='1';}
			   nColor1 = StepColor1;
			   nColor2 = StepColor2;
			   nIs3D = IsStep3D;
			   n3DDepth = Step3DDepth;
			   var stepHTML=getSVGStepHTML(nType,nIndex,nId,nText,nTextColor,nStrokeColor,nShadowColor,nIsShadow,nWidth,nHeight,nX,nY,nStrokeWeight,nTextWeight,nColor1,nColor2,nIs3D,n3DDepth);
			   vmlHTML += stepHTML;
			});          
		   
		   //draw actions 得到连线
		   var ActionChild = Actions.find('Action');
		   var removeFlag = false;
		   ActionChild.each(function(){
			   var lIndex,lId,lText,lType,lIsFocused,lFromStep,lToStep,lStrokeColor,lStrokeWeight,lStartArrow,lEndArrow;
			   var Action = $(this);
			   var actionBase = Action.find('BaseProperties');
			   var actionVml = Action.find('VMLProperties');
			   lId = actionBase.attr("id");
			   lText = actionBase.attr("text");
			   lType = actionBase.attr("actionType");
			   lFromStep = actionBase.attr("from");
			   lToStep = actionBase.attr("to");	
			   lIndex = actionVml.attr("zIndex");
			   if(lIndex=='') lIndex = '10';
			   lStartArrow = actionVml.attr("startArrow");
			   lEndArrow = actionVml.attr("endArrow");	
			   lStrokeWeight = actionVml.attr("strokeWeight");
			   lStrokeWeight = '3';
			   if(lStrokeWeight==''){lStrokeWeight='4';}
			   lStrokeColor = ActionColor;
			   
			   var lFromToStep=getSVGProperties(Steps,lFromStep);
			   var lStepToStep = getSVGProperties(Steps,lToStep);
			   var result = getSVGActionHTML(lType,lIndex,lId,lText,lFromStep,lToStep,lFromToStep,
			   					lStepToStep,lStrokeColor,lStrokeWeight,lStartArrow,lEndArrow);
			   if(result!='') {
				  vmlHTML +=result;
				    
			   }else{
				     Actions.removeChild(Action);
				     removeFlag = true;
			   }
		   });
		   vmlHTML +='</svg>';
		   clearVML();
	       drawObject(vmlHTML);
	       if(removeFlag){
	       	  document.getElementById('FlowXML').value = str;
	       };
	       svg = document.getElementById('svg');
	       saveLayoutXml(str);
	   };
	};
	
	// 定义线段Id全局变量
	var objLine = "";
	function alr(obj,x,y){
		var sVl = $("#text"+ obj +"").text();
		$("#text"+ obj +"").text("");
		x = x/1.5;
		y = y/1.5 + 60;
		objLine = obj;
		$("#lineDiv").show();
		$("#lineDiv").css({position: "absolute", left: x, top: y});
		var liVal = $("#lineVa").val(sVl);
		$("#lineVa")[0].focus();
	}
	
	function changeVal(obj){
		var liVal = $("#lineVa").val();
		$("#lineDiv").hide();
		var xml = document.getElementById('FlowXML');
	    var xmlDoc = new ActiveXObject('MSXML2.DOMDocument');
        xmlDoc.async = false;
        xmlDoc.loadXML(xml.value);
        var xmlRoot = xmlDoc.documentElement;
        var Actions = xmlRoot.getElementsByTagName("Actions").item(0)||xmlRoot.getElementsByTagName("actions").item(0);
        for ( var i = 0;i < Actions.childNodes.length;i++ ){
		   Action = Actions.childNodes.item(i);
		   var ActionBasePros =Action.getElementsByTagName("BaseProperties").item(0)||Action.getElementsByTagName("baseproperties").item(0);
		   lId = ActionBasePros.getAttribute("id");
		   if (objLine == lId){
		   	ActionBasePros.setAttribute("text", liVal);
		   }
       }
       $("#lineVa").val("");
       xml.value = xmlRoot.xml;
 	   saveLayoutXml(xmlRoot.xml);
	}
	
	function updateFlowXMLSVG(oldName,newName){
		var xml     = document.getElementById('FlowXML').value;

		var $xml = $(xml);
		var Steps   = $xml.find('Steps').find('Step');
  		var Actions = $xml.find("Actions").find('Action');
  		var flg = false;
  		for(var i=0;i<Steps.length;i++){	
	    	var $this = $(Steps[i]);
	    	var BaseProperties = $this.find('BaseProperties');
			var text = BaseProperties.attr("text");
			if(text==oldName) {
		    	BaseProperties.attr("text",newName);
		    	flg = true;
		   	 	break;
	  		}
	    };  
  		for ( var i = 0;i < Actions.length;i++ ) {
			var BaseProperties = $(Actions[i]).find('BaseProperties');
			var text=BaseProperties.attr("from");
		  	if(text==oldName) {
		    	BaseProperties.attr("from",newName);
		    	flg = true;
		  	}
		}
		for ( var i = 0;i < Actions.length;i++ ) {
	      	var BaseProperties = $(Actions[i]).find('BaseProperties');
		  	var text = BaseProperties.attr("to");
		  	if(text==oldName) {
		    	BaseProperties.attr("to",newName);
		    	//BaseProperties.attr("text",newName);
		    	flg = true;
		  	}
	  	}
	  	if( flg ) {
			redrawSVG($xml[0].outerHTML);
			AUTODRAW = true;
			document.all.FlowXML.value= $xml[0].outerHTML;
	  	}
	  	return $xml.html();
	};
	/**
	 * @description 画图形的方法（椭圆或者长方形）
	 * 				通过xml解析出来的参数，转化为svg图形。
	 * @author huanghui
	 * @date  2012-7-13
	 * */
	function getSVGStepHTML(stepType,z_index,id,text,textColor,strokeColor,shadowColor,isShadow,width,height,X,Y,strokeWeight,textWeight,color1,color2,is3D,step3DDepth){
	   	var styleHTML = 'style="fill:url(#rectBody); stroke-width:'+strokeWeight+'; stroke:'+shadowColor+';" ';
	   	var gstyleHTML = 'id="'+id+'" stepType="'+stepType+'"  style="cursor:pointer;z-index:'+z_index+';position:absolute;width:'+width+';height:'+height+';left:'+X+';top:'+Y+';" '
						+' onmouseover=\'popStepInfo("'+id+'","'+text+'","' +stepType +'" );\' '
						+' onmouseout=\'closePopTimer();\' '
						+' onmousedown=\'cleancontextMenu();objFocusedOnSVG("'+id+'","'+stepType+'");moveStep(evt,"'+id+'");\' '
						+' onclick=\'doOnClick(evt,"'+id+'","'+stepType+'","'+text+'");\' '
						+' oncontextmenu=\'stepContextMenu(evt,"'+text+'","'+stepType+'","'+text+'");return false;objFocusedOnSVG("'+id+'","'+stepType+'");\' ';
		var imageWidth = '20';textWeight='20';
		if(width=='200'){imageWidth = '50';textWeight='35'};
	   	var stepHTML = '';
	    if(stepType=='BeginStep' ||stepType=='EndStep'){ //开始节点
			var rx = parseFloat(width/2);
			var ry = parseFloat(height/2);
			var cx = parseFloat(X)+rx;
			var cy = parseFloat(Y)+ry;
			var textY = (cy+ry/12);
			var imageX = cx-2*rx/3;
			var iamgeY = cy-ry/3;
	   		stepHTML = '<g '+gstyleHTML+'>'
	   			+'<ellipse cx="'+cx+'" cy="'+cy+'" rx="'+rx+'" ry="'+ry+'" '+styleHTML+' /> '
				+' <text x="'+cx+'" y="'+textY+'" font-size="'+textWeight+'">'+text+'</text>' ;
			var imageName = 'start_page_enabled.gif';
			if(stepType=='EndStep'){imageName = 'end_state_enabled.gif';}
			stepHTML +=' <image x="'+imageX+'" y="'+iamgeY+'" width="'+imageWidth+'" height="'+imageWidth+'" '
					 +' xlink:href="'+CTX+'/component/flowdesign/inc/images/'+imageName+'"/>' 
					 +' </g>';
	   }else{
	   		var textX = parseFloat(X)+parseFloat(width/3);
	   		var textY = parseFloat(Y)+parseFloat(7*height/12);
	   		var imageX = parseFloat(X)+parseFloat(width/20);
	   		var imageY = parseFloat(Y)+parseFloat(height/3);	   		
	   		/*var lenff=strlen(text);
	   		stepHTML = '<g '+gstyleHTML+'>'
			+'<rect id="step" rx="10" ry="10" x="'+X+'" y="'+Y+'" width="'+width+'" height="'+height+'" '+ styleHTML+' />';
			var text1x=text.getShortForm(8);
			var text2x=text.slice(text1x.length);
			if(lenff<=8){		
				stepHTML+='<text x="'+textX+'" y="'+textY+'"  font-size="'+textWeight+'">'+'<tspan dx="-10" dy="0">'+text1x+'</tspan>'
				+'<tspan dx="-78" dy="24">'+text2x+'</tspan></text>';
			}else if(lenff>8){
				stepHTML+='<text x="'+textX+'" y="'+textY+'"  font-size="'+textWeight+'">'+'<tspan dx="-10" dy="-10">'+text1x+'</tspan>'
				+'<tspan dx="-78" dy="20">'+text2x+'</tspan></text>';
			}
			text=''+text1x+text2x;	*/
	   		stepHTML = '<g '+gstyleHTML+'>'
	   				+'<rect id="step" rx="10" ry="10" x="'+X+'" y="'+Y+'" width="'+width+'" height="'+height+'" '+ styleHTML+' />'
	   				+' <text x="'+textX+'" y="'+textY+'"  font-size="'+textWeight+'" style="word-break:break-all;word-wrap:break-word;">'+text+'</text>' ;
	   		var imageName = '';	
	   		if(stepType=='StateStep'){imageName ='decision_enabled.gif';}
	   		else if(stepType=='ForkStep'){imageName ='fork_enabled.gif';}
	   		else if(stepType=='JoinStep'){imageName ='join_enabled.gif';}
	   		else if(stepType=='NodeStep'){imageName ='task_node_enabled.gif';}
	   		else if(stepType=='TaskNodeStep'){imageName ='mail_node_enabled.gif';}
	   		else if(stepType=='MailNodeStep'){imageName ='node_enabled.gif';}
	   		else if(stepType=='ProcessStep'){imageName ='process_state_enabled.gif';}
	   		else if(stepType=='SuperStep'){imageName ='super_state_enabled.gif';}
	   		else{imageName ='end_state_enabled.gif';}	
	   		stepHTML +=' <image x="'+imageX+'" y="'+imageY+'" width="'+imageWidth+'" height="'+imageWidth+'" '
	   				+' xlink:href="'+CTX+'/component/flowdesign/inc/images/'+imageName+'" /> '
	   				+' </g>';
	   };
	   return stepHTML;
	};
	
	/**
	 * @description 画线段的方法（直线或者折线）
	 * 				通过xml解析出来的参数，转化为svg图形。
	 * @author huanghui
	 * @date  2012-7-13
	 * */
	function getSVGActionHTML(actionType,z_index,id,actionText,from,to,fromStep,toStep,
		strokeColor,strokeWeight,startArrow,endArrow){
		var styleHTML = '';
		/***
		 * * coordsize="2000,2000",width=800px,height=500px
		 * * x = 2000/800 = 2.5倍数   
		 * * y = 2000/500 = 4倍数
		 * * */
		//(789,840)--(1070,412)
		var fromStepX = parseFloat(fromStep.attr("x"));  //105
		var fromStepY = parseFloat(fromStep.attr("y"));	//216
		var toStepX = parseFloat(toStep.attr("x")); //787
		var toStepY = parseFloat(toStep.attr("y")); //840
		var fromStepWidth = parseFloat(fromStep.attr("width"));
		var fromStepHeight = parseFloat(fromStep.attr("height"));
		var toStepWidth = parseFloat(toStep.attr("width"));
		var toStepHeight = parseFloat(toStep.attr("height")); 
		var xx=0,yy=0;
		//得到起点和终点的坐标值
		var points = getActionPoints(actionType,fromStep[0],toStep[0]);  //这个方法在webflow.js里面
		if(actionType == 'Line'){ //直线,通过上面的方法得到points为："from="300,380" to="942,1170""
		    var x1=0,y1=0,x2=0,y2=0;
		    if(points!=''){
			    var arrPoints = points.split('=');
				if(arrPoints.length>0){
					x1 = arrPoints[1].substring(1,arrPoints[1].lastIndexOf(','));
					y1 = arrPoints[1].substring(arrPoints[1].lastIndexOf(',')+1,arrPoints[1].lastIndexOf('"'));
					x2 = arrPoints[2].substring(1,arrPoints[2].lastIndexOf(','));
					y2 = arrPoints[2].substring(arrPoints[2].lastIndexOf(',')+1,arrPoints[2].length-1);
				}    	
		    }
		    var t1 = (parseInt(x2)-parseInt(x1))/3 + parseInt(x1) + parseInt(10);
		    var t2 = (parseInt(y2)-parseInt(y1))/2 + parseInt(y1) - parseInt(10);
	    	actionHTML = '<line id="'+id+'" title="'+to+'" x1="'+x1+'"  y1="'+y1+'" x2="'+x2+'" y2="'+y2+'" from ="'+from+'" to="'+to+'" '
	    				+' onclick=\'alr("'+id+'","'+t1+'","'+t2+'");\'  onmousedown=\'cleancontextMenu();objFocusedOnSVG("'+id+'","Action");\' oncontextmenu=\'objFocusedOnSVG("'+id+'","Action");actionContextMenu(evt,"'+to+'","'+from+'");return false;\' ' 
	    				+'style="z-index:'+z_index+';position:absolute;stroke:'+strokeColor+'; stroke-width:'+strokeWeight+';" marker-end="url(#Classic)"/>';//startArrow,
	    	actionHTML += '<text id="text'+ id +'" x="'+t1+'" y="'+t2+'" fill="gray" font-size="20">'+ actionText +'</text>';
	    }else if(actionType == 'PolyLine'){ //折线,通过上面的方法得到points为："887,1020 887,1690 1600,1690"
	   		if(points==''){
	   			points='0,0 0,0 0,0';
	   		}
	   		var arr = points.split(',');// 把折线坐标转换成数组
	   		var senArr = arr[1].split(' ');// 把折线坐标1020 887 转换成数组,方便计算起点、拐点、终点坐标
	   		var thiArr = arr[2].split(' ');// 把折线坐标1690 1600 转换成数组,方便计算起点、拐点、终点坐标
	   		var st_x = arr[0];// 起点x轴, 同时也是拐点x轴坐标
	   		var st_y = senArr[0];// 起点y轴
	   		var g_y = arr[3];// 拐点y轴坐标,同时也是终点y轴坐标
	   		var end_x = thiArr[1];// 终点x轴坐标
	   		var text_x=0,text_y=0;// 定义text标签的 x y坐标
			var len_y = Math.abs((parseInt(g_y) - parseInt(st_y)));
			var len_x = Math.abs((parseInt(end_x) - parseInt(st_x)));
			// 判断x y坐标点, 用于显示线上文字(text标签需要一个x y坐标点)
			if (len_x >= len_y){// x轴长度比较长,计算终点与拐点之间的x y坐标点
				text_x = (parseInt(end_x)-parseInt(st_x))/2 + parseInt(st_x);
				text_y = parseInt(g_y) - parseInt(10);
			} else {// y轴比较长,计算拐点与起点之间的x y坐标点
				text_x = parseInt(st_x) + parseInt(10);
				text_y = (parseInt(g_y)-parseInt(st_y))/2 + parseInt(st_y);
			}
			actionHTML = '<polyline id="'+id+'" title="'+to+'" points="'+points+'" from ="'+from+'" to="'+to+'" ' 
	   					+' onclick=\'alr("'+id+'","'+text_x+'","'+text_y+'");\' onmousedown=\'cleancontextMenu();objFocusedOnSVG("'+id+'","Action");\' oncontextmenu=\'objFocusedOnSVG("'+id+'","Action");actionContextMenu(evt,"'+to+'","'+from+'");return false;\' ' 
	   					+'style="z-index:'+z_index+';position:absolute;fill:none;stroke:'+strokeColor+';stroke-width:'+strokeWeight+';" marker-end="url(#Classic)"/>';
	   		actionHTML += '<text id="text'+ id +'" x="'+text_x+'" y="'+text_y+'" fill="gray" font-size="20">'+ actionText +'</text>';
	    }
	   return actionHTML;
	}
	
	/***
	 * @description 得到节点的方jquery对象法
	 * @param Steps xml文件中Steps的jquery对象
	 * @param nodeName 节点名称
	 * @return 返回节点名称为nodeName的Step节点里面的VMLProperties参数的jquery对象
	 * @author huanghui
	 * @date  2012-7-13
	 * */
	function getSVGProperties(Steps,nodeName){
		Step = Steps.find('Step');
		var $vmlPros = '';
		Step.each(function(){
			var $this = $(this);
			var text = $this.find('BaseProperties').attr('text');
			if(text==nodeName){
		   		$vmlPros = $this.find('VMLProperties');
		 	}
		});
		return $vmlPros;
	}
	/****************** 以上为流程设计器显示的各种方法，下面是关于画流程图设计到的各种方法 **********************/
	/**
	 * @description 判断新增加的步骤ID是否冲突
	 * @author huanghui
	 * @date 2012-7-23
	 * */
	function validateIDSVG(stepId){
		var xml = document.getElementById('FlowXML').value;
		var flag = false;
	    var Step = $(xml).find('Steps').find('Step');
	    var nId="";
	    Step.each(function(){
	    	nId = $(this).find("BaseProperties").attr("id");
		 	if(nId==stepId){
		 		flag=true;
			 }
	    });
		return flag;
	}
	
	/**
	 * @description 得到Step的个数
	 * @author huanghui
	 * @date 2012-7-23
	 * */
	function getStepCountsSVG(){
		var xml = document.getElementById('FlowXML').value;
		var StepLength = $(xml).find("Step").length;
		StepLength = parseFloat(StepLength)-2;
		return StepLength;
	}
	
	/**
	 * @description 得到图形，将添加的图形加入到原来的xml中，返回新的xml值。
	 * @author huanghui
	 * @date 2012-7-23
	 * */
	function getStepXMLSVG(FlowXML,stepId,text,stepType,width,height,x,y,textWeight,strokeWeight){
	    var xml = makeStepXML(stepId,text,stepType,width,height,x,y,textWeight,strokeWeight);
	    var $xmlRoot = $(document.getElementById('FlowXML').value);
	    var Step = $xmlRoot.find('Steps>Step');
	    for(var i=0;i<Step.length;i++){	
	    	var $this = $(Step[i]);
			var nId = $this.find("BaseProperties").attr("id");
			if(nId==stepId){
			    stateBox('alert','新步骤编号已存在！请重新输入！\n\nThis Step Id has exist! Please input non-repeat Step Id!');return '';
		    }
		   	if(nId==stepId && stepId!=''){
			    $this.remove();
			    break;
		    }   
	    };  
	      
		var newXML = $xmlRoot.find("Steps").append($(xml)).end(); 
		try {
			var newData = newXML[1].outerHTML;
		}catch(e){
			var newData = newXML[0].outerHTML;
		}
		return newData;
	}
	
	/**
	 * @description 判断新增加的线段ID是否冲突
	 * @author huanghui
	 * @date 2012-7-24
	 * */
	function validateActionIDSVG(actionId){
		var xml = document.getElementById('FlowXML').value;
		var flag=false;
	    var Action = $(xml).find("Action");
	    var nId="";
	    Action.each(function(){
			var basePros = $(this).find('BaseProperties');
			nId = basePros.attr("id");
			if(nId==actionId){
				flag=true;
			}
	    });
		return flag;
	}
	
	
	/***
	 * @description 画图连线，连线的各种控制
	 * 				添加新的xml线段值，在后台加入到xml文件中，返回新的xml值
	 * @author huanghui
	 * @date 2012-7-24
	 * */
	function getActionXMLSVG(FlowXML,actionId,text,actionType,from,to,startArrow,endArrow,strokeWeight){
		//防止一个节点自己连向自己
		if(from==to)return "";
		if(!acitonFlagSVG(actionType,from,to)){return "";}
		//Line 对象
		var line=new Line(); 
		var xml=makeActionXML(actionId,text,actionType,from,to,startArrow,endArrow,strokeWeight);
		var xmlRoot = $(FlowXML.value);
		var Action = xmlRoot.find("Actions").find('Action');
		//添加：查找编号冲突的Id
		//修改：查找原来的Id  
		//Action.each(function(){
		for(var i=0;i<Action.length;i++){
			var $this = $(Action[i]);
			lId = $this.find("BaseProperties").attr("id");
			if(lId==actionId && actionId=='') {
				return '';
			}
			if(lId==actionId && actionId!='') {
				$this.remove();
			}	  
		}	
		//});
		line.addLine(from,to,actionId,text);//在xml文件中加入连线
		 /**
		  * 在input值里面加入xml 得到 ，取到这个添加dom元素的对象，然后得到outerHTML属性
		  * 而且不晓得为什么这里需要去newxmlRoot[1]或者newxmlRoot[0]。
		  * 但是这样就不报错了，而且取得值都是正确的。
		  * */
		var newxmlRoot = xmlRoot.find("Actions").append($(xml)).end();
		try {
			var newData = newxmlRoot[1].outerHTML;
		}catch(e){
			var newData = newxmlRoot[0].outerHTML;
		}
		return newData;
	}
	
	/**
	 * @description  用于线段判断：
	 * 				当两矩形框已经有一条线段时候，不能重复划线，但是箭头不同，是可以一样的。
	 * @author huanghui
	 * @date 2012-7-24
	**/
	function acitonFlagSVG(actionType,fromID,toID){
		//当是直线时，不能指向本身
		if(actionType=="Line"&&fromID==toID){
			return false;
		}
		//主要是为了判断开始节点只能连一个节点
		if(!startActionCheckSVG(fromID,toID))return false; 
	    //主要是为了判断结束节点不可以连接任何节点 
	    if(!endActionCheckSVG(fromID,toID)){ return false; }   
	    
	    var xml = document.getElementById('FlowXML').value;
	    if(!nodeActionCheckSVG(xml,fromID,toID))return false;
	    var Action = $(xml).find('Actions').find('Action');
	    //Action.each(function(){
	    for(var i=0;i<Action.length;i++){
	    	var basePros = $(Action[i]).find('BaseProperties');
	   		var from = basePros.attr("from");
	   		var to = basePros.attr("to");
	  		if(trim(from)==trim(fromID)&&trim(to)==trim(toID)){
	    	return false;
	    	}
	    }	
	   // });
	    return true;
	}
	
	/**
	 * @description  判断开始节点只能连向一个节点，暂时这么限制，其实jbpm是支持可以连多个节点的
	 * 				不能跟自己连接，通知起点不能作为终点
	 * @author huanghui
	 * @date 2012-7-24
	**/
	function startActionCheckSVG(fromId,toId){
		var xml = document.getElementById('FlowXML').value;
	    var Step = $(xml).find("Steps").find('Step');
	    var nId="";
	   // Step.each(function(){
	    for(var i=0;i<Step.length;i++){	
	    	var stepBasePros = $(Step[i]).find("BaseProperties"); 
	    	nId = stepBasePros.attr("text");
	    	var stepType = stepBasePros.attr("stepType");
	    	if(nId==fromId){
	    		if(stepType!='BeginStep') 
	    		return true;
	    	}
	    	if(nId==toId){//不能连向开始节点
	    		if(stepType=='BeginStep')
	    		return false;
	    	}
	    }
	   // });
		return true;
	}
	
	/**
	 * @description 判断结束节点只能连向一个节点，暂时这么限制，其实jbpm是支持可以连多个节点的
	 * 			不能跟自己连接，同时结束节点不能作为起点。
	 * @author huanghui
	 * @date 2012-7-24
	 * **/
	function endActionCheckSVG(fromId,toId){
		var xml = document.getElementById('FlowXML').value;
	    var Step = $(xml).find("Steps").find('Step');
	    var nId="";
	    //Step.each(function(){
	    for(var i=0;i<Step.length;i++){		
	    	var stepBasePros = $(Step[i]).find('BaseProperties');
			nId = stepBasePros.attr("text");
			var stepType = stepBasePros.attr("stepType");
			if(nId==toId){
				if(stepType!='EndStep') 
				return true;
			}
			if(nId==fromId){//不能连向开始节点
				if(stepType=='EndStep') 
				return false;
			}
	     }
	    //});
		return true;
	}
	
	/**
	 * @description 节点检查，检查某些节点之间是否可以连接
	 * @author huanghui
	 * @date 2012-7-24
	 * */
	function nodeActionCheckSVG(xmlRoot,fromID,toID){
		var fromText = getBasePropertiesSVG(fromID,xmlRoot);
		var fromType = fromText.attr("stepType");
		var toText = getBasePropertiesSVG(toID,xmlRoot);
		var toType="";
		if(toText ==null || typeof(toText) =='undefined'){
			return ;
		}else{
			toType= toText.attr("stepType");
		}
	 	/**----------------------当前节点是进程节点---------------------------------**/
		if(fromType=='NodeStep'){
			if(toType=='ForkStep'){
				var fromCofig=getNodeConfig(fromID);    
				return checkNodeConfig(fromCofig,'','1');
			}
			if(toType=='JoinStep'){
				var fromCofig=getNodeConfig(fromID);
				return checkNodeConfig(fromCofig,'','3');
			}
			if(toType=='NodeStep'){
				var toConfig=getNodeConfig(toID);
				flag = isInForkSVG(fromID,xmlRoot);
				if(flag)return checkNodeConfig('',toConfig,'5');
			}
		}
		/**-----------------------当前节点是会签节点--------------------------------**/
	   if( fromType == 'TaskNodeStep' ) {
	   		var line_count = getNodeOutLineCount( fromID, xmlRoot);
			if( line_count > 0 ) {
				 alert('会签只能连向一个节点！');
				 return false;
			} else if( toType == 'TaskNodeStep' ) {
				alert('会签节点不能和会签节点直接连接');
		        return false;
			} else if( toType == 'ForkStep' ) {
				alert('会签节点不能和分支节点直接连接');
		        return false;
			} else if( toType == 'ProcessStep' ) {
				alert('会签节点不能和子流程节点直接连接');
		        return false;
			}
	   }
	   /**-----------------------当前节点是条件节点--------------------------------**/
	   if( fromType == 'StateStep' ) {
	   	  	if(toType=='JoinStep') 
		    {    
		       alert('条件节点不能和聚合节点直接连接');
		       return false;
		    } else if ( toType == 'EndStep' ) {
		    	alert('条件节点不能和结束节点直接连接！');
		    	return false;
		    }
	   }
	  	/**-----------------------当前节点是fork节点--------------------------------**/
	    if(fromType=='ForkStep'){
	    	if(toType=='ForkStep'){
	    		stateBox('alert',"两个分支节点不能直接相连");
	    		return false;
	    	}
	    	if(toType=='JoinStep'){
	    		stateBox('alert',"分支和聚合节点不能直接相连");
	    		return false;
	    	}
	    	if(toType=='NodeStep'){
	    		var toConfig=getNodeConfig(toID);
	    		return checkNodeConfig('',toConfig,'2');
	    	}else if ( toType == 'EndStep' ) {
		    	alert('分支节点不能和结束节点直接连接！');
		    	return false;
		    }
	    }
	    /**-----------------------当前节点是join节点--------------------------------**/
		if(fromType=='JoinStep'){
			if(toType=='ForkStep'){
				stateBox('alert',"聚合和分支节点不能直接相连");
				return false;
			}
			if(toType=='JoinStep'){
				stateBox('alert',"两个聚合节点不能相连");
				return false;
			}
			if(toType=='NodeStep'){
				var toConfig=getNodeConfig(toID);
				return checkNodeConfig('',toConfig,'4');
			}
		}
		return true; 
	}
	
	/**
	 * @description 判断是否没有和fork相连，递归调用
	 * @author huanghui
	 * @date 2012-7-30
	 * */
	function  isInForkSVG(stepId,xmlRoot){
		if(stepId=='')return false;
		var lastNode=getLastNodeSVG(stepId,xmlRoot);
		if(lastNode=='')return false;
		var basePros = getBasePropertiesSVG(stepId,xmlRoot);
		var lastType= basePros.attr("stepType")||basePros.attr("steptype");
		if(lastType=='ForkStep')return true;
		if(lastType=='BeginStep'||lastType=='JoinStep')return false; 
		// 注释掉下面一行代码，是因为在画复杂流程图时，节点之间的线段画不上。
		//return isInForkSVG(lastNode,xmlRoot);
	}
	/**
	 * @description 判断线段中是否有结束节点为stepId的开始节点。
	 * @author huanghui
	 * @date 2012-7-30
	 * */  
	function getLastNodeSVG(stepId,xmlRoot){
		var Action = $(xmlRoot).find('Actions').find('Action');
		for ( var i = 0;i < Action.length;i++ ) {
			var BaseProperties = $(Action[i]).find('BaseProperties');
			var from=BaseProperties.attr("from");
			var to=BaseProperties.attr("to");
			if(to==stepId)
			return from;
		}
		return "";
	}
	
	/**
	 * @description 通过title值得到这个节点
	 * @param text title值，也就是name值
	 * @param xml xml格式的string类型对象
	 * @author huanghui
	 * @date 2012-7-24
	 * */
	function  getBasePropertiesSVG(text,xml){
		var  BaseProperties= $(xml).find("Step>BaseProperties");
		for(var i=0;i<BaseProperties.length;i++){
			var base= $(BaseProperties[i]);
			if(base.attr("text")==text)
				return base;
		}
	}
	
	/*******************************
	 * 以下为图形上面的各种方法
	 * 
	 * onmouseover=\'popStepInfo("'+id+'","'+text+'","' +stepType +'" );\' 
	 * onmouseout=\'closePopTimer();\' 
	 * onmousedown=\'cleancontextMenu();objFocusedOn("'+id+'","'+stepType+'");moveStep(this);\'  
	 * ondblclick=\'workFlowSetting("'+id+'","'+stepType+'","'+text+'");\'  
	 * oncontextmenu=\'objFocusedOn("'+id+'","'+stepType+'");stepContextMenu("'+text+'","'+stepType+'","'+text+'");return false;\'';
	 * ********************************************/
	 
	/**
	 * @description ondblclick双击事件
	 * 			ondblclick=\'workFlowSetting("'+id+'","'+stepType+'","'+text+'");\' 
	 * 			svg没有双击事件，用单击事件模仿双击事件ondblclick
	 * @author huanghui
	 * @date 2012-7-25 * 
	 * **/
	var count = 0; 
	var startTime;
	var endTime;
	var roleTime;
	function doOnClick(evt,id,stepType,text) {
		/**
		 * 原方法为
		 * if ( evt.detail ==2 ){
		 *   	workFlowSetting(id,stepType,text);
		 * } 
		 * 现在修改为下面的实现
		 * @author wangjian
		 */
		evt=evt?evt:(window.event?window.event:null);
		var ieVersion=$.browser.version;
		if(ieVersion=='11.0') {// 只有IE11 走这一个if 判断
			count += 1;
			if (count == 1){
				startTime = new Date();
			} else if (count == 2){
				endTime = new Date();
				if (endTime-startTime < 300){
					count = 0;
					startTime = null;
					endTime = null;
					roleTime = null;
					workFlowSetting(id,stepType,text);
				} 
			} else {
				roleTime = new Date();
				if (roleTime - endTime < 300){
					count = 0;
					workFlowSetting(id,stepType,text);
					startTime = null;
					endTime = null;
					roleTime = null;
				} else {
					count = 0;
					startTime = null;
					endTime = null;
					roleTime = null;
				}
			}
			/*count += 1;
			if (count == 2){
				count = 0;
				workFlowSetting(id,stepType,text);
			}*/
		} else {
			if ( evt.detail ==2 ){
		    	workFlowSetting(id,stepType,text);
		   } 
		}
	}
	
	/**
	 * 节点双击事件调用，弹出选项设置
	 */
	function setPower(id,stepType,text){
		workFlowSetting(id,stepType,text);
	}
	
	/**
	 * @description onmousedown事件 objFocusedOnSVG选中时修改其边框颜色，
	 * 			其他用到以下两个方法：
	 * 				setFocusedObjLaySVG方法选中是修改z-index层高
	 * 				objFocusedOffSVG方法去掉其他没有选中边框的颜色
	 * @author huanghui
	 * @date 2012-7-25
	 * */
	function objFocusedOnSVG(objId,type){
		var xmlRoot = document.getElementById('FlowXML').value;
	   if(xmlRoot!=''){
		   var FlowPros = $(xmlRoot).find('FlowConfig').find('VMLProperties');
		   if(type=='Action'){
			  var focusedOnColor = FlowPros.attr("actionFocusedStrokeColor");		   
		   }else{
			  var focusedOnColor = FlowPros.attr("stepFocusedStrokeColor");			   
		   } 
		   //选中是修改z-index层高 
		   xmlRoot = setFocusedObjLaySVG(xmlRoot,FOCUSEDOBJID,objId,type,CONST_LAY_TOPPEST);
		   AUTODRAW = false;
		   document.getElementById('FlowXML').value = xmlRoot;
		   AUTODRAW = true;
		   var $obj = $("#"+objId);
		   var $children = $obj.children().first();
		   if($children.length>0){
		   	  $children[0].style.stroke=focusedOnColor;
		   }else{
		   	  $obj[0].style.stroke=focusedOnColor;
		   }
		  // document.getElementById(objId).style.zIndex = CONST_LAY_TOPPEST;
		  // document.getElementById(objId).StrokeColor = focusedOnColor;
		   if(FOCUSEDOBJID == objId && MOVEFLAG) return;//移动时，选中状态不消失
		   if(FOCUSEDOBJID == objId && MENUFLAG) return;//右键菜单显示时，选中状态不消失
		   objFocusedOffSVG();//去掉其他图形的选中颜色
		   FOCUSEDOBJID = objId;
		   FOCUSEDOBJTYPE = type;
	   }
	}
	
	/**
	 * @description 选中时修改z-index层高
	 * 				存在问题：2012-7-26
	 * 					1、在vml中这个方法有用，但是在svg中修改样式不起作用。层高需要通过其他方式来处理
	 * @author huanghui
	 * @date 2012-7-25
	 * */
	function setFocusedObjLaySVG(xmlRoot,oldObjId,newObjId,objType,newLay){
		var Step = $(xmlRoot).find("Step");
		var Action = $(xmlRoot).find("Action");
		if(objType=='Action'){
			Action.each(function(){
				var $this = $(this);
				var aId = $this.find("BaseProperties").attr("id");
				if(aId == newObjId){
					document.getElementById(newObjId).style.zIndex = newLay;
					$this.find("VMLProperties").attr("zIndex",newLay);
				}
			});
		}else{
			if(oldObjId!='' && newObjId!='' && newObjId!=oldObjId){
				var fromStep = document.getElementById(oldObjId);
				var toStep = document.getElementById(newObjId);
				
				var fromStepWidth = parseFloat(fromStep.style.width);
				var fromStepHeight = parseFloat(fromStep.style.height);
				var fromStepX = parseFloat(fromStep.style.left);
				var fromStepY = parseFloat(fromStep.style.top);
				
				var toStepWidth = parseFloat(toStep.style.width);
				var toStepHeight = parseFloat(toStep.style.height);
				var toStepX = parseFloat(toStep.style.left);
				var toStepY = parseFloat(toStep.style.top);
				var flag = ifRepeatStep(fromStepX,fromStepY,fromStepWidth,fromStepHeight,toStepX,toStepY,toStepWidth,toStepHeight);
			}else{
				var flag = false;
			}
			Step.each(function(){
				var $this = $(this);
				var sId = $this.find("BaseProperties").attr("id");
				if(newObjId == sId){
					document.getElementById(sId).style.zIndex = newLay;
					$this.find("VMLProperties").attr("zIndex",newLay);
				}
				if(oldObjId == sId && flag){
					document.getElementById(oldObjId).style.zIndex = parseFloat(newLay)-10;
					$this.find("VMLProperties").attr("zIndex",parseFloat(newLay)-1);
				}
			});
			Action.each(function(){
		   		var $this = $(this);
		   		var basePros = $this.find("BaseProperties");
		   		var aId =basePros.attr("id"); 
		   		var fromStep = basePros.attr("from");
		   		var toStep = basePros.attr("to");
		   		var vmlPro = $this.find("VMLProperties");
		   		if(fromStep == newObjId || toStep == newObjId){			  
		   			document.getElementById(aId).style.zIndex = newLay;
		   			vmlPro.attr("zIndex",newLay);
		   		}else{
		   			document.getElementById(aId).style.zIndex = CONST_LAY_MIDDLE;
		   			vmlPro.attr("zIndex",parseFloat(newLay)-1);
		   		}	
		   	});
		} 
		return xmlRoot;
	}
	
	/**
	 * @description 去掉其他没有选中边框的颜色
	 * @author huanghui
	 * @date 2012-7-25
	 * */
	function objFocusedOffSVG(){
		if(FOCUSEDOBJID=='') return;
		var FlowXML = document.getElementById('FlowXML').value;
		if(FlowXML!=''){
			var vmlPros = $(FlowXML).find('FlowConfig>VMLProperties');
			var focusedOffColor = '';
			if(FOCUSEDOBJTYPE == 'Action'){
				focusedOffColor = vmlPros.attr("actionStrokeColor");
		   }else{
			   if(FOCUSEDOBJTYPE == 'BeginStep' || FOCUSEDOBJTYPE == 'EndStep'){
				   focusedOffColor = vmlPros.attr("sStepStrokeColor");
			   }else{
				   focusedOffColor = vmlPros.attr("stepStrokeColor");
			   }
		   }
		   var $obj = $("#"+FOCUSEDOBJID); //得到这个g标签
		   var $children = $obj.children().first(); //g标签下面的第一个子元素，为图形元素
		   if($children.length>0){//图形
			   $children[0].style.stroke = focusedOffColor;//然后去其style里面stroke属性，这个和vml中的StrokeColor不一样
		   }else{//线段
		   	   $obj[0].style.stroke = focusedOffColor;
		   }
		   FOCUSEDOBJID = '';
		   FOCUSEDOBJTYPE = '';
	   }
	}
	
	/**
	 * @description  mousemove事件，moveItSVG：修改图形的实际位置，让图形跟着鼠标移动
	 * 				onmousedown事件 moveStep(event,"'+id+'")
	 * 				function moveStep(moveId){	
						dragIt(moveId,"FlowVML");
					}
					document.onmousemove = moveItSVG;
					document.onmouseup = dropItSVG;
					* 
					* parseFloat与parseInt：注意在去数据的时候尽量用parseFloat，不要用parseInt
					* 		这个会有小数点的差别，而且乘以一个1.5的倍数后，然后再每次移动都执行，
					* 		相差的距离就会很大。
	 * @author huanghui
	 * @date 2012-7-25
	 * */
	function moveItSVG(event) {
		var event = event||window.event;
		closePopTimer();//move的时候将流程节点的信息去掉
		if (MOVEOBJ == null) { return false; }
		if(flag){
			MOVEFLAG = true;
			var moveObj = $('#'+MOVEOBJ)[0];
			var newX = (event.clientX + document.body.scrollLeft);
			var newY = (event.clientY + document.body.scrollTop);
			var distanceX = parseFloat(1.5*(newX - CURRENTX));//这里必须乘以1.5，以为svg图形整体缩小了1.5倍
			var distanceY = parseFloat(1.5*(newY - CURRENTY));
			var newLeft = parseFloat(moveObj.style.left) + distanceX;
			var newTop = parseFloat(moveObj.style.top) + distanceY;
			modifyMoveSVG(newLeft,newTop);// 修改画布大小方法 2012-8-2
			if(newLeft >= 0  && newTop >= 0 ){
				/**
				 * 修改实际图形的定位，跟着鼠标移动
				 * 这个地方moveObj是g标签，g标签中有图形、文字text、图片image 三个标签，他们的定位都要进行相应的修改
				 * 而且图形，还区分是椭圆ellipse还是长方形rect
				 * 但是只有椭圆的定位为cx、cy，其他的都是x、y
				 */
				moveObj.style.zIndex = CONST_LAY_TOPPEST;
				var $moveChildren = $(moveObj).children();
				if($moveChildren.length>0){
					$moveChildren.each(function(){
						var $this = $(this);
						var nodeName = this.nodeName;
						var x='x',y='y';
						if(nodeName=='ellipse'){//椭圆ellipse cx/cy
							x = 'cx';
							y = 'cy';
						}
						newLeft = parseFloat(this.getAttribute(x))+distanceX;
						newTop = parseFloat(this.getAttribute(y))+distanceY;
						if(nodeName=='ellipse' ||nodeName=='rect'){
							moveObj.style.left = newLeft;
							moveObj.style.top = newTop;
						}
						this.setAttribute(x,newLeft);
						this.setAttribute(y,newTop);
					});
					
				}
				CURRENTX = newX;
				CURRENTY = newY;
				modifyMoveLine(moveObj,distanceX,distanceY);//实现移动过程中线段移动效果 2012-8-3
				AUTODRAW = false;
			}	
		}
		event.returnValue = false;
		return false;
	}
	
	/**
	 * @description 拖拽 ，onmouseup = dropItSVG来控制图形移动后的位置
	 * 			放下鼠标后图形的实际位置处理方法			
	 * 			主要是位置变化：x、y值，然后得到新的xml为String类型的对象，再重绘图形。
	 * @author huanghui
	 * @date 2012-7-25
	 * **/
	function dropItSVG(event) {
		if(MOVEFLAG){
			MOVEFLAG = false;
			var $xmlRoot = $(document.getElementById('FlowXML').value);
			if($xmlRoot!='' && MOVEOBJ!=null){
				var Step = $xmlRoot.find('Steps>Step');
				var Action = $xmlRoot.find('Actions>Action');
				var moveObj = $('#'+MOVEOBJ)[0];
				var nodeName = $(moveObj).children()[0].nodeName;//g标签的第一个子节点
				var newThis ='';
				//修改图形移动后，图形的位置
				Step.each(function(){
					var $this = $(this);
					var stepId = $this.find('BaseProperties').attr('id');
					if(MOVEOBJ == stepId){
						var vmlPros = $this.find('VMLProperties');
						var x = parseFloat(moveObj.style.left);
						var y = parseFloat(moveObj.style.top);
						if(nodeName=='ellipse'){//如果是圆的话，需要减去高度和宽度的一半 2012-8-3
							x -= parseFloat(moveObj.style.width)/2;
							y -= parseFloat(moveObj.style.height)/2;
						}
						vmlPros.attr({"x":x,"y":y,"zIndex":CONST_LAY_TOPPEST});
					}
				});
				
				//修改viewbox和svg的高度宽度  2012-8-2
				var flowBasePros = $xmlRoot.find('FlowConfig').find('BaseProperties');
				var svg = document.getElementById('svg');
				var svgViewBox = svg.getAttribute('viewBox');
				var svgWidth = svg.style.width;
				var svgHeight = svg.style.height;
				flowBasePros.attr({'svgViewBox':svgViewBox,'svgWidth':svgWidth,'svgHeight':svgHeight});
				AUTODRAW = false;
				try{
					var newData = $xmlRoot[1].outerHTML;
				}catch(e){
					var newData = $xmlRoot[0].outerHTML;
				}
				document.getElementById('FlowXML').value = newData;
				redrawSVG(newData);
				AUTODRAW = true;
			}
		}
		MOVEOBJ = null;	
	    return true;
	};
	
	
	/***
	 * @description 点击图形右键显示菜单，参数传递
	 * @author huanghui
	 * @date 2012-7-30
	 * */
	function showContextMenuSVG(event,menuSrc){
		loadContextMenuSVG(event,menuSrc,'${ctx}/component/flowdesign/inc/contextMenu/contextmenu.xsl')
	}; 
	/***
	 * @description 点击图形右键显示菜单，ajax加载contextMenu
	 * 				xml为数据源，xsl为模板文件，在后台用ajax解析返回html
	 * 				本来尝试过直接用js进行解析，但是找了很多方法都不能实现，要么就是只有IE可以用的方法。
	 * 				所以这里才用java代码进行解析的。
	 * @author huanghui
	 * @date 2012-7-30
	 * */
	function loadContextMenuSVG(event,xmlContent,xslpath) {
		if(''!=xmlContent){
			var url=CTX+"/workflow/design/process-design!loadXmlXSL.action";
			xslpath='contextmenu.xsl';
			var data = 'xmlContent='+xmlContent+'&xslpath='+xslpath;
			var X = event.clientX;
			var Y = event.clientY;
			$.ajax({
				type: "POST",
				url: url,
				data: data,
				success:function(htmlStr){
					if(''!=htmlStr){
						var contextMenu;
					    if(appState.contextMenu != null){
						    if(btv().ie){
						    	contextMenu = appState.contextMenu.removeNode(true);
							}else{
								$(appState.contextMenu).remove();
							}
					    }
					    document.body.insertAdjacentHTML("beforeEnd",htmlStr);
					    contextMenu = document.body.childNodes[document.body.childNodes.length-1];
						var entityLength = $(xmlContent).find('entity').length;
						var MenuHeight = entityLength*25;
						var ValignD = document.body.clientHeight - Y;
					    contextMenu.style.left = X-3;
						if(ValignD > MenuHeight){
							contextMenu.style.top = Y-5
						}else{
							contextMenu.style.top = Y < MenuHeight? 5:Y-MenuHeight+10
						}    		
						appState.contextMenu = contextMenu;
					    event.cancelBubble = true;
					}
				},
				error:function(){
					stateBox('error',"error");
				}
			}); 
		}
	}
	
	/**
	 * @description 监听鼠标右键事件
	 * 			在非ie浏览器下 oncontextmenu方法不存在，只有用事件监听的方法了。
	 * 			根据标签不同出触发不同事件
	 * @author huanghui
	 * @date 2012-7-31
	 * */
	function contextmenuFnSVG(e){
		var $target = $(e.target);
		var nodeId =$target.attr('id');
		var nodeName =$target.attr('nodeName');
		if(nodeName=='svg'&&nodeId=='svg'){//空白处
			objFocusedOffSVG();//去掉选中颜色
			//flowContextMenu(e); JCSV1.5去掉空白处右键菜单功能
		}else if (nodeName=='line'||nodeName=='polyline'){//线段
			MENUFLAG = true;
			objFocusedOnSVG(nodeId,"Action");
			var to = $target.attr('to');
			var from = $target.attr('from');
			actionContextMenu(e,to,from);
		}else{//图形
			if(nodeName!='g'){//找到g标签作为target
				  $target = $target.parent('g');
				  nodeId = $target.attr('id');
			}
			var stepType= $target.attr('steptype');
			var text = $target.attr('title');
			MENUFLAG = true;
			objFocusedOnSVG(nodeId,stepType);
			stepContextMenu(e,text,stepType,text);
		}
		return false;
	}
	var MENUFLAG = false; //右键菜单显示时，让图形为选中状态
	
	/**
	 * @description 删除线段设置
	 * @author huanghui
	 * @date 2012-8-1
	 * **/
	function delActionSVG(actionId,from){
		removeXMLLineSVG(actionId,from);
	    var line=new Line();
	    line.deleteLine(actionId,from);
	    FOCUSEDOBJID = '';
	    FOCUSEDOBJTYPE = '';
	}
	
	/**
	 * @description 删除线段操作
	 * @author huanghui
	 * @date 2012-8-1
	 * */
	function removeXMLLineSVG(objId,from){
		var $xmlRoot = $(document.getElementById('FlowXML').value);
		if($xmlRoot.length>0){
			var Action = $xmlRoot.find('Actions').find('Action');
			var findFlag = false;
			for ( var i = 0;i < Action.length;i++){
				var ac = $(Action[i]);
				var acBasePros  =ac.find("BaseProperties");
				var  text = acBasePros.attr("to");
				var  f = acBasePros.attr("from");
				if(text==objId&&from==f) {
					//$newXML =ac.remove().end().end(); 	
					// 这里必须要用find形式来找，否则得不到删除节点后的对象			
					//$newXML = $xmlRoot.find('Action').eq(i).remove().end().end();
					ac.remove();
					findFlag = true;
					break;
				}
			}
			if (findFlag){
				AUTODRAW = true;
				var newDate = $xmlRoot[0].outerHTML;
				document.getElementById('FlowXML').value = newDate;
				redrawSVG(newDate);
			}
	   }
	}
	
	/**
	 * @description 删除图形设置方法
	 * @param nodeName 节点名称
	 * @author huanghui
	 * @date 2012-8-1
	 * */
	function delStepSVG(nodeName){
		if(checkNodeSVG(nodeName)){return;}//开始节点和结束节点是不让删除的
		if(confirm("是否确定删除该节点")){
			//删除节点时候，与后台交互时候
			var node=new Node();
			node.deleteNode(nodeName);
			removeXMLNodeSVG(nodeName);
			FOCUSEDOBJID = '';
			FOCUSEDOBJTYPE = '';
		}
	}
	/**
	 * @description 判断是否是开始，结束节点
	 * @param nodeName 节点名称
	 * @return flag 返回布尔值
	 * @author huanghui
	 * @date 2012-8-1
	 * */
	function checkNodeSVG(nodeName){
		var xmlRoot = document.getElementById('FlowXML').value;
		var flag=false;
		if(xmlRoot!=''){
			var Step = $(xmlRoot).find('Steps>Step');
			Step.each(function(){
				var $this = $(this);
				var StepBasePros = $this.find("BaseProperties");
				var text = StepBasePros.attr("text");
				if(text==nodeName){
					stepType= StepBasePros.attr("stepType");
					if(stepType=='BeginStep'){
						stateBox('alert',"开始节点不能删除");
						flag = true;
					}
					if(stepType=='EndStep'){
						stateBox('alert',"结束节点不能删除");
						flag = true;
					}
				}
			});
		}
		return flag;
	}
	
	/**
	 * @description 删除图形节点，以及其连接的线段
	 * @param objId 该图形的名称，也是id
	 * @author huanghui
	 * @date 2012-8-1
	 * */
	function removeXMLNodeSVG(objId){
		var $xmlRoot = $(document.getElementById('FlowXML').value);
		if($xmlRoot.length>0){
			var Step = $xmlRoot.find("Steps>Step");
			var Action = $xmlRoot.find("Actions>Action");
			var findFlag = false;
			var $newXml = "";
			for(var i = 0;i < Step.length;i++ ){
				var $this = $(Step[i]);
				var StepBasePros = $this.find("BaseProperties");
				var  id = StepBasePros.attr("text");
				if(id==objId){
					$this.remove();
					var j=0;
					var arrAc=new Array(Action.length);
					var fromID=new Array(Action.length);
					var toID=new Array(Action.length);
					for(var i = 0;i < Action.length;i++ ){
						arrAc[i] = $(Action[i]);
						var ActionBasePros= arrAc[i].find("BaseProperties");
						fromID[i]=trim(ActionBasePros.attr("from"));
						toID[i]=trim(ActionBasePros.attr("to"));
					}
				    for(var j=0;j<Action.length;j++){
				    	if(id==fromID[j]||id==toID[j]){
				    		$(Action[j]).remove();
				    	}
				    }
				    findFlag = true;
				    break;
				}
			}
			if(!findFlag){
				for(var i=0;i<Action.length;i++){
					var $act = $(Action[i]);
					var ActionBasePros = $act.find("BaseProperties");
					id = ActionBasePros.attr("id");
					if(id==objId) {
						$act.remove();
						findFlag = true;
						break;
					}
				}
			}
			if (findFlag) {
				var newDate = $xmlRoot[0].outerHTML;
				AUTODRAW = true;
				document.getElementById('FlowXML').value = newDate;
				redrawSVG(newDate);
			}
	   }
	}
	
	/**
	 * @description 用于实现线段移动效果
	 * @author huanghui
	 * @date 2012-8-1
	 * */
	function directionMoveSVG(event){
		var FlowVML =  document.getElementById("FlowVML");
		var $svg = $(FlowVML).find('svg');
		if($svg.length>0&&svg.capture){
			if(huabi[12].className=="bon1"||huabi[11].className=="bon1"){
				move_flag=true;
				var eventX,eventY;
				if(btv().ff){
		    		eventX = event.clientX,eventY = event.clientY;
		    	}else{
		    		eventX = event.x,eventY = event.y;
		    	}
				var _x= eventX-getX(FlowVML)+FlowVML.scrollLeft,
				_y= eventY-getY(FlowVML)+FlowVML.scrollTop;
				var direction = document.getElementById("direction");
				var x1 = 1.5*(parseFloat(xx)+ parseFloat(FlowVML.scrollLeft));
				var y1 = 1.5*(parseFloat(yy)+parseFloat(FlowVML.scrollTop));
				direction.setAttribute('x1',x1);//这里必须乘以1.5，以为svg图形整体缩小了1.5倍
				direction.setAttribute('y1',y1);
				direction.setAttribute('x2',1.5*_x);
				direction.setAttribute('y2',1.5*_y);
			 }
		}
	}
	/**
	 * @description 事件监听，在非ie浏览器下，监听document的mouseup事件
	 * 			当画线段时，执行了mousedown后，将鼠标移出到了图形区域之外，线段不会消失，只会停在图形区域中。
	 * 			为了修改这个问题，故进行了document事件监听
	 * @author huanghui
	 * @date 2012-8-1 
	 * */
	$(function(){
		if(!(btv().ie<10)){
			eventListener(document,'mouseup',function(e){
				var targetId = e.target.id ;
				if(targetId!='divtd'&&move_flag){
					move_flag=false;
					var direction = document.getElementById("direction");
					direction.setAttribute('x1',0);
					direction.setAttribute('y1',0);
					direction.setAttribute('x2',0);
					direction.setAttribute('y2',0);
					svg.capture=false;
				}
			});
		}
	});
	
	/**
	 * @description 移动后修改svg画布大小
	 * 				移动时当图形移到svg图形所在的div之外时，图形显示不出来。在ie下vml画布可以根据图形的大小来自
					定义，但是svg图形不能，这里必须要在移动时修改画布大小。
	 * 				图形只能向下或者向右移动时才修改画布大小
	 * 				需要修改svg标签的高度或者宽度，同时还要修改器viewbox属性，
	 * 				确保viewbox的值为svg标签的1.5倍
	 * @param newLeft 鼠标的left值
	 * @param newTop 鼠标的top值
	 * @author huanghui
	 * @date 2012-8-2
	 * */
	function modifyMoveSVG(newLeft,newTop){
		var svg = document.getElementById('svg');
		var height = parseFloat(svg.style.height);
		var width = parseFloat(svg.style.width);
		var _h = 50;//高度差值，图形的高度值
		var _w = 100;//宽度差值，图形的宽度
		var topHeight = parseFloat(1.5*height-_h);
		var leftWidth = parseFloat(1.5*width-_w);
		if(newTop>topHeight&&newTop>=0){  //根据top值，修改高度
			//这里要注意这个_a为倍数
			var _a = parseFloat(_h/height); 
			height += _h; 
			svg.style.height = height;//修改svg画板的高度
			var viewBox = svg.getAttribute('viewBox');
			var arrViewBox = viewBox.split(" ");
			var _viewH = parseFloat(arrViewBox[3]);
			_viewH +=  parseFloat(_a)*parseFloat(_viewH);
			arrViewBox[3]=_viewH;
			var newViewBox ='';
			for(var i=0;i<arrViewBox.length ;i++){
				newViewBox	+=	arrViewBox[i]+" ";		
			}
			svg.setAttribute('viewBox',newViewBox);//修改其放大比例，始终为1.5倍数，否则图形会变化
		}
		if(newLeft>leftWidth&&newTop>=0){//根据left值，修改宽度
			var _b = parseFloat(_w/width);
			width += _w; 
			svg.style.width = width;//修改svg画板的高度
			var viewBox = svg.getAttribute('viewBox');
			var arrViewBox = viewBox.split(" ");
			var _viewW = parseFloat(arrViewBox[2]);
			_viewW +=  parseFloat(_b)*parseFloat(_viewW);
			arrViewBox[2]=_viewW;
			var newViewBox ='';
			for(var i=0;i<arrViewBox.length ;i++){
				newViewBox	+=	arrViewBox[i]+" ";		
			}
			svg.setAttribute('viewBox',newViewBox);//修改其放大比例，始终为1.5倍数，否则图形会变化
		}
	}
	
	/**
	 * @description 重新画图方法中的修改画布大小
	 * 				通过页面svg标签是否存在，来判断是通过xml文件还是页面svg上面的属性来定义新的svg标签上的属性信息
	 * 				1、如果svg标签不存在，就是通过xml文件来获取信息。在getFlowXML初始化方法中加入了svg属性信息
	 * 					这里需要先遍历vmlproperties里面x和y值，取到最大值，然后跟xml中的值进行比较。取其最大值。
	 * 					注意：viewBox和高度宽度之间，必须为1.5倍的比例关系。（主要是IE上的图在chrome上显示）
	 * 				2、如果svg标签存在，这直接通过页面svg信息来重新画图。在移动时已经修改了页面svg标签上的属性信息。
	 * 					这里获取到的就会使最新的。
	 * @author huanghui
	 * @date 2012-8-2
	 * */
	function modifyRedrawSVG(str){
		var $str = $(str);
		var flowBasePros = $str.find('FlowConfig>baseproperties');
		//这里是处理上下兼容性问题
		var viewBox = flowBasePros.attr('svgviewbox')||'0 0 1567.5 802.5';
		var svgWidth = parseFloat(flowBasePros.attr('svgWidth'))||1045;
		var svgHeight = parseFloat(flowBasePros.attr('svgHeight'))||535;
		var StepChild = $str.find('Steps>Step');
		//var viewBox="0 0 1567.5 802.5",svgWidth='1045px',svgHeight='535px';默认值
		var $svg = $("#svg");
		if($svg.length==0){//这里是通过xml文件读取svg信息
			//viewBox这个是为了满足原来的vml图形，处理上下兼容性问题
			var width = $($(StepChild[0]).find("VMLProperties")[0]).attr("width");
			if(width=='200'){viewBox="0 0 1800 1800"};
			//下面就是遍历vmlproperties里面x和y值，取到最大值
			var stepVMLPros = StepChild.find('vmlproperties'),maxX=svgWidth,maxY=svgHeight;
			stepVMLPros.each(function(){
				var $this = $(this),thisX = parseFloat($this.attr('x')),thisY = parseFloat($this.attr('y'));
				if(maxX<thisX){maxX = thisX;}
				if(maxY<thisY){maxY = thisY;}
			});
			//这里加上150和100是加入右边和下面的距离补贴
			maxX = parseFloat(2*maxX/3+150);
			maxY = parseFloat(2*maxY/3+100);
			if(maxX > svgWidth){svgWidth = maxX;}
			if(maxY > svgHeight){svgHeight = maxY;}
			viewBoxW = 1.5*(svgWidth);
			viewBoxH = 1.5*(svgHeight);
			viewBox = "0 0 "+viewBoxW+" "+viewBoxH;	
		}else{
			//svg存在的话，那么就是移动图形时触发的重新画图方法，通过页面svg元素的值取得
			viewBox = $svg[0].getAttribute('viewBox');
			svgWidth = parseFloat($svg[0].style.width);
			svgHeight = parseFloat($svg[0].style.height);
		}
		var arrSVG = [viewBox,svgWidth,svgHeight];
		return arrSVG;
	}
	
	/**
	 * @description 实现移动过程中，如果有线段，则线段也跟着图形进行移动，
	 * 				只修改页面线段的值，因为在重新画图的时候线段会重新计算。
	 * 				在线段原来的值上加入一个移动过程过程中的差值。
	 * @param moveObj 移动元素的dom对象
	 * @param distanceX 移动过程中x方向的差值
	 * @param distanceY 移动过程中y方向的差值
	 * @author huanghui
	 * @date 2012-8-3
	 * */
	function modifyMoveLine(moveObj,distanceX,distanceY){
		var $xmlRoot = $(document.getElementById('FlowXML').value);
		if($xmlRoot.length>0){
			var moveObjName = moveObj.getAttribute('title'); 
			var Action = $xmlRoot.find('Actions>Action');
			Action.each(function(){
				var $this = $(this),basePros =$this.find("BaseProperties"),
					aId = basePros.attr("id"),fromStep = basePros.attr("from"),toStep = basePros.attr("to");
				if(fromStep == moveObjName ||toStep == moveObjName){
					var lineObj = document.getElementById(aId);
					lineObj.style.zIndex = CONST_LAY_TOPPEST;
					$this.find("VMLProperties").attr("zIndex",CONST_LAY_TOPPEST);
					var actionType = basePros.attr("actionType");
					if(actionType=='Line'){//直线(x1,y1)--(x2,y2)
						if(fromStep == moveObjName){//直线线段为起点，修改x1和y1
							var x1 = parseFloat(lineObj.getAttribute('x1'))+distanceX,
								y1 = parseFloat(lineObj.getAttribute('y1'))+distanceY;
							lineObj.setAttribute('x1',x1);
							lineObj.setAttribute('y1',y1);
						}else if(toStep == moveObjName){//直线线段为终点，修改x2和y2
							var x2 = parseFloat(lineObj.getAttribute('x2'))+distanceX,
								y2 = parseFloat(lineObj.getAttribute('y2'))+distanceY;
							lineObj.setAttribute('x2',x2);
							lineObj.setAttribute('y2',y2);
						}
					}else if(actionType == 'PolyLine'){//折线(起点 折点 终点)
						var points = lineObj.getAttribute('points'),arrPoints = points.split(" ");
						if(fromStep == moveObjName){//折线线段为起点，修改
							var startPointArr =arrPoints[0].split(","), centerPointArr =arrPoints[1].split(","),
								startX = parseFloat(startPointArr[0])+distanceX,satrtY = parseFloat(startPointArr[1])+distanceY;
							centerPointArr[0] =startX;
							var newPoints = startX+','+satrtY+' '+centerPointArr[0]+','+centerPointArr[1]+' '+arrPoints[2];
							lineObj.setAttribute('points',newPoints);
						}else if(toStep == moveObjName){//折线线段为终点
							var centerPointArr =arrPoints[1].split(",");
							var endPointArr =arrPoints[2].split(",");
							var endX = parseFloat(endPointArr[0])+distanceX,
								endY = parseFloat(endPointArr[1])+distanceY;
							centerPointArr[1] =endY;
							var newPoints = arrPoints[0]+' '+centerPointArr[0]+','+centerPointArr[1]+' '+endX+','+endY;
							lineObj.setAttribute('points',newPoints);
						}
					}
				}
			});
		}
	}
	
	function changeSVGSize(){
		var divgroup = $("#divtd");
		var dWidth = divgroup.width();
		var dHeight = divgroup.height();
		var FlowVML = document.getElementById("FlowVML");
		if(FlowVML!='' && FlowVML!=null){
			var FWidth = dWidth;
			if(btv().safari){
				FWidth = parseFloat(dWidth)-18;
			}
			FlowVML.style.width = FWidth;
			FlowVML.style.height = dHeight;	
		}
	}
	
	var svg = '';
	$(function(){
		document.getElementById("divgroup").style.overflow='';
		changeSVGSize();
	});
	
	$(window).resize(function(){ //自适应页面变化
		changeSVGSize()
	});

}

/**
 * 解决ff下，huabi[i]没有定义的问题。 20212-8-8
 * 而且IE下那种写法也有问题
 * */
var huabi = new Array();
$(function(){
	 $("#testid").find('ul>li>a').each(function(index){
	         huabi[index] =this;
	    });
});
/****************** added by huanghui@2012-8-7 流程设计器用svg格式，兼容各浏览器   end **********************/








