function saveWriteSignature(bizId) {// 提交业务时自动手写签字 20150310
	var $as=$('[id^="toWrite_"]');
	if($as.size()===0) return; 
	$as.each(function(){
        var $this=$(this),
        	id = $this.attr("id");
    	id = id.slice(id.indexOf('_')+1);// 字段ID
        var signature = $('#curImg_'+id).find('img').attr('src');// 签字图片资源
        if(signature != '' && signature != undefined) {
        	// 传递后台处理
	        $.ajax({
	        	url: CTX + '/platform/signature/signature-stamp!save.action',
	        	type:'post',
	        	data:{'bizId': bizId,'entity.signature':signature, 'bizFieldId': id, 'entity.type' : 1},
	        	success:function(data) {
	        	}
	        });
        }
    });
}


function savePicSignature(bizId) {// 提交业务时保存图片章 20150312
	var $as=$('[id^="stamp_"]');
	if($as.size()===0) return; 
	$as.each(function(){
        var $this=$(this);
        var id = $this.attr("id");
       
        
        var picDivId = id.replace("stamp","sigCurImg");
        var $pics = $('#' + picDivId + ' img');
        
        
        var input_id = id.replace("stamp","save");
        var picNames = $('#' + input_id).val();
        
        
        id = id.slice(id.indexOf('_')+1);// 字段ID

        
        var nameArr = picNames.split(',');
        $pics.each(function(index, element) {
        	var	picName = nameArr[index];// 图片章名称
        	if(picName) {
            	// 传递后台处理
    	        $.ajax({
    	        	url: CTX + '/platform/signature/signature-stamp!save.action',
    	        	type:'post',
    	        	data:{'bizId': bizId,'entity.picName':picName, 'bizFieldId': id, 'entity.type' : 2},
    	        	success:function(data) {
    	        	}
    	        });
            }
        });
        
        
        	
    });
}

//添加百度编辑器 *zyy*张宇勇
function saveHtmlUeditor(bizId){
	var insertData = $("#iInsertData")[0].innerHTML;
	var $as=$('.formUeditor');
	//var $as=$('[id^="baidu_editor_"]');
	if($as.size()===0) return;
	$as.each(function(){
		var $this=$(this);
        var id = $this.attr("id");
        if( $this[0].childNodes[1]!=undefined){
        	var html = $this[0].childNodes[1].childNodes[0].contentDocument.body.innerHTML;
	        if(insertData.indexOf(id)<0){
	        	$.ajax({
	            	url: CTX + 'platform/htmlEditor/html-editor!save.action',
	            	type:'post',
	            	data:{'bizId': bizId,'html':html,'bizType':id},
	            	success:function(data) {
	            	}
	            })
			}
        }
	});
}

//手机端 添加百度编辑器  *zyy*张宇勇
function showHtmlUeditor(bizId){
	 if(bizId!=null && bizId !=undefined && bizId!=""){
		 $.ajax({
			url: CTX + 'platform/htmlEditor/html-editor!getInnerHTML.action',
			type:'post',
			data:{'bizId': bizId},
			success:function(data) {
				var $as=$('.formUeditor');
				if($as.size()==0){
					return;
				}else if($as.size()==1){
					$as.each(function(){
						var $this=$(this);
				        var id = $this.attr("id");
				        for(var i=0;i<data.length;i++){
				        	var fieldattr = $("#div"+id).attr("fieldattr");
				        	if(fieldattr=="1"){//只读状态
				        		$("#"+id).html(data[i][1]);
				        		$("#"+id).show();
				        	}else{
				        		$this[0].childNodes[1].childNodes[0].contentDocument.body.innerHTML=data[i][1];
				        		
				        	}
				        }
					});
				}else{
					$as.each(function(){
						var $this=$(this);
				        var id = $this.attr("id");
				        for(var i=0;i<data.length;i++){
				        	if(data[i][0]==id){
				        		var fieldattr = $("#div"+id).attr("fieldattr");
					        	if(fieldattr=="1"){//只读状态
					        		$("#"+id).html(data[i][1]);
					        		$("#"+id).show();
					        	}else{
					        		$this[0].childNodes[1].childNodes[0].contentDocument.body.innerHTML=data[i][1];
					        	}
				        	}
				        }
					});
				}
			}
		})
	 } 
}

// 显示签字
function showCur(json){//先将数据加载到页面中,将其他人的签名显示在画布上	
	for(var i in json){
		for(var j=0;j<json[i].length;j++){
			var imgCreate=new Image();			
			imgCreate.src = json[i][j];
			$('#imgs_'+i).append(imgCreate);
			if(i.indexOf('handSign')>-1){
				//var TW=parseInt($('#curImg_'+i).css('width'));
				//var firWid=$('#imgs_'+i).find('img').attr('width');
				//var firHei=$('#imgs_'+i).find('img').attr('height');
				//$('#imgs_'+i).find('img').attr('width','100%');
				//$('#imgs_'+i).find('img').attr('height',150);//
				$('#imgs_'+i).find('img').css({'display':'block','width':'auto','height':'100%','position':'absolute','left':0,'top':0});
			}else if(i.indexOf('blank')>-1){
				var curIm=$('#imgs_'+i).find('img');
				var firWid=curIm.attr('width');
				var firHei=curIm.attr('height');
				curIm.attr('width','auto');
				curIm.attr('height','100%');
				curIm.css({width:'auto',height:'100%',position:'absolute',left:0,top:0});
			}

		}
	};
};

// 业务页面显示图片章
function showStamp(bizId){
	$.ajax({
		url: CTX + '/platform/signature/signature-stamp!getSignutures.action',
		type:'post',
		data:{'bizId': bizId, 'entity.type': 2},
		dataType: 'json',
		success:function(data){
			for(var i in data){//先将已盖签章数据加载到页面中
				var imgArr = data[i].split('@@');
				for(var j = 0; j < imgArr.length; j++) {
				var stampImg=new Image();
					stampImg.src = CTX + '/upload' + imgArr[j];
				$('#sigCurImg_'+i).before(stampImg);
				var firWid=$('#sigImgWrap_'+i).find('img').attr('width');
				var firHei=$('#sigImgWrap_'+i).find('img').attr('height');

				$('#sigImgWrap_'+i).find('img').css({'display':'block','width':80,'height':'auto','float':'left'});
				$('#sigCurImg_'+i).find('img').css({'display':'block','width':80,'height':'auto','float':'left'});
				
				}
			};
		}
	});
	
}

// 弹出窗口 显示签字
function showSignuture(bizId){
	$.ajax({
		url: CTX + '/platform/signature/signature-stamp!getSignutures.action',
		type:'post',
		data:{'bizId': bizId, 'entity.type': 1},
		dataType: 'json',
		success:function(data) {
			showCur(data);
		}
	});
}
//判断页面是否调用手签及签章控件，有则执行显示方法？？？？？？？(如何区分是公文页面还是表单页面)
function isShowSignuture(){
	var bizId;
	try{
		bizId= parent.Request.QueryString("pubdjbh");
	}catch(e){
		bizId = getUrlParam("appoid");
	}
	
	if(bizId!= undefined && bizId!= 'undefined'){
		bizId = bizId + '';
		if($('[id^="toWrite_"]').size()>0){//表单流程  
        	showSignuture(bizId);//手写签字显示
    	}
        if($('[id^="stamp_"]').size()>0){//stamp_
        	showStamp(bizId);//图片章显示
        }
	}

}
// 打开窗口 根据业务会再调整
function sigDia(bizFieldId){
	if($('#sendId').size()>0){
		var bizId=$('#sendId').val();
	}else{
		var bizId;
		try{
			bizId= parent.Request.QueryString("pubdjbh");
		}catch(e){
			bizId = getUrlParam("appoid");
		}
	}
	var oUrl= CTX +"/platform/signature/signature-stamp!toSignature.action?entity.bizId=" + bizId + "&entity.bizFieldId="+bizFieldId;
	var curImgSrc='';

	window.addEventListener('message', function(event){
 		curImgSrc=event.data;
		event.data='';
	}, false);	
	art.dialog.open(oUrl,{
		 title:"请在此处签字",width:"420px",height:"260px",window:"top",lock: true,
		 closeFn:function(){
	        if(curImgSrc!=''){
	        	window.postMessage('','*');
					 	var tH=document.getElementById('imgs_'+bizFieldId).offsetHeight,
				 			curImgDiv=document.getElementById('curImg_'+bizFieldId);	
				 		curImgDiv.innerHTML='';
						var img=new Image();
							img.src=curImgSrc;
							img.style.display='block';
							img.style.width='auto';
							img.style.height=tH+'px';
							img.style.position='absolute';
							img.style.left='0';
							img.style.top='0';
						curImgDiv.appendChild(img);
					}

			 /*var closeFlag=$("#closeFlag").val();
			 if(closeFlag==""||closeFlag==null){
			 } else{
				 $("#closeFlag").val("");
				 if(typeof(yesCloseOneDeptDialog)=="function"&&yesCloseOneDeptDialog!=undefined){
					 yesCloseOneDeptDialog();
				 }
			 }*/
		 }
	 })
}

function sigDialog(id){//签章--弹窗  xiemei
	var oUrl=CTX+"/handwrite/Signature/archives-write-signature.jsp?sigId="+id;
	var curImgSrc='';
	window.addEventListener('message', function(event){
 		curImgSrc=event.data;	
		event.data='';		
		//window.postMessage('','*');
	}, false);	
	art.dialog.open(oUrl,{
		title:"请选择签章类型",width:"400px",height:"280px",window:"top",lock: true,
		closeFn:function(){
			if(curImgSrc!='' && curImgSrc.indexOf('&+@')>-1){
				var curImgDiv=document.getElementById('sigCurImg_'+id);
        	curImgDiv.innerHTML='';
        	curImgArr=curImgSrc.split('&+@');
					var img=new Image();
						img.src=curImgArr[0];
						img.style.display='block';
						img.style.width='80px';
						img.style.height='auto';
						img.style.styleFloat='left';
						img.style.cssFloat='left';
					curImgDiv.appendChild(img);
					var picNameVal = $('#save_' + id).val();
					if(picNameVal) {
						$('#save_' + id).val(picNameVal + ',' + curImgArr[1]);
					} else {
						$('#save_' + id).val(curImgArr[1]);
					}
			}
			
			var closeFlag=$("#closeFlag").val();
			if(closeFlag==""||closeFlag==null){
			}else{$("#closeFlag").val("");
				if(typeof(yesCloseOneDeptDialog)=="function"&&yesCloseOneDeptDialog!=undefined){
					yesCloseOneDeptDialog();
				}
			}
		}
	})
}